*==============================================================================*
*                            Description of dofile                             *
/*=============================================================================*

This dofile sets paths and installs ado-files used for the analyses that are 
presented in the article "Management Gender Composition and the Gender Pay Gap: 
Evidence from British Panel Data". 
The structure of this dofile is as follows: 

  1. Installing ado-files
  2. Setting paths
 
*==============================================================================*/
*    	   	   	             1. Installing ado-files                           *
*==============================================================================*

ssc inst distinct, replace
ssc inst unique, replace
ssc inst copydesc, replace
ssc install estout, replace

*==============================================================================*/
*    	   	   	                  2. Setting paths                             *
*==============================================================================*

global dir "SET YOUR PATH"
 
global pathd "$dir/data"
global pathp "$dir/posted"
global patht "$dir/tables"
global pathf "$dir/figures"
global pathl "$dir/logfiles"

set more off
set matsize 11000

**end dofile
