*Setting up the SEQ

*********************************
*Syntax produced by the 2011 WERS Research Team
*********************************
clear all
set more off

capture log close
log using "$path_log\seq_set-up.log", replace


***********************************************
*List of derived variables
***********************************************
*Define labels - including those which are generic HB
*Derive banded usual hours to match 2004 variable (ehrband) HB
*Usual hours including overtime and fraction, after rounding (ehours) HB
*Banded version of usual weekly hours, including overtime (ehrband) HB
*Derive overtime hours for 2004 (eoverti) HB
*Derive contractual hours for 2011 (echours) HB
*Derive overtime for 2011 (eoverti) HB
*Derive contractual hours for 2004 (echours) HB
*Banded version of contractual hours, including fraction (echrband) HB
*Derive additive job satisfaction scale, 9 items (esatsc9) HB
*Derive version of job satisfaction scale to match the 8-item scale used in 2004 i.e. ommitting qa8e (esatsc8) HB
*Derive number of items on which employees are satisfied or very satisfied, from those on 2011 questionnaire (enjsat9) HB
*Derive number of items on which employees are satisfied or very satisfied, from those on 2004 questionnaire (enjsat8) HB
*Derive amount of time feeling tense in past few weeks (etense) HB
*Derive amount of time depressed in past few weeks (edepress) HB
*Derive amount of time worried in past few weeks (eworried) HB
*Derive amount of time gloomy in past few weeks (egloomy) HB
*Derive amount of time uneasy in last few weeks (euneasy) HB
*Derive amount of time miserable in past few weeks (emisery) HB
*Derive additive employee well-being scale, 6 items (ewellsc) HB
*Banded version of my job requires me to work very hard, 3 bands (eworkh) LS
*Banded version of never seem to have enough time to get work done, 3 bands (etimew) LS
*Banded version of i feel my job is secure in this workplace, 3 bands (esecure) LS
*Derive availability of working arrangements (eflexi ejobshr eredhrs ecompres ehomewrk etermtim epaid) HB
*Derive number of recession-induced changes reported (enumchg) LS
*Derive if any recession-induced changes reported (eanychg) LS
*Any change as result of recession - with not at workplace set to missing (eanychgx) LS
*Recession-induced changes - workload increased (eincwork) LS
*Recession-induced changes - work reorganised (ereorg) LS
*Recession-induced changes - moved to another job (emovejb) LS
*Recession-induced changes - wages were frozen or cut (ewagecut) LS
*Recession-induced changes - non-wage benefits were reduced (enonwage) LS
*Recession-induced changes - contracted working hours were reduced (ehrscut) LS
*Recession-induced changes - access to paid overtime was restricted (eovrtim) LS
*Recession-induced changes - required to take unpaid leave (eleave) LS
*Recession-induced changes - access to training was restricted (eredtrn) LS
*Recession-induced changes - none of the specified changes (enochg) LS
*Recession-induced changes - increase in workload and pay cut/freeze (ewagewrk) LS
*Derived variable to identify employees at workplace during recession (espoprec) LS
*Derive employee perceptions of climate (eclimate) HB
*Derive variable identifying how employee perceptions differ from employer (eclview) HB
*Additive organisational commitment scale, 3 items (ecommit) LS
*Additive organisational commitment scale, 4 items (ecommit2) LS
*Derive union membership status (emember) HB
*Derive indicator of gender (emale) HB
*Gender of employee relative to gender composition of workforce (e1gen) HB
*Recode age into 6 bands (eage) HB
*Age - alternative bands (4 bands) (eageb3) LS
*Derive dependent children, pre- and/or school age (edepch) HB
*Derive any dependent children (eanydepc) HB
*Derive employee has caring responsibilities relating to age, illness or disability (ecaring) HB
*Derive highest vocational or professional qualification (ehivoc) HB
*Derive highest academic qualification (ehiaca) HB
*Derive whether academic qualifications only, vocational only, both or none (eacavoc) HB
*Occupation code using SOC 2010 (just for 2011 dataset) - Major Group (esoc1) HB
*Occupation code using SOC 2010 (just for 2011 dataset) - Sub-Major Group (esoc2) HB
*Occupation code using SOC 2010 (just for 2011 dataset) - Minor Group (esoc3) HB
*Occupation code using SOC 2010 (just for 2011 dataset) - Unit Group (esoc4) HB
*Occupation code using SOC 2000 - Major Group (esocold1) HB
*Occupation code using SOC 2000 - Sub-Major Group (esocold2) HB
*Occupation code using SOC 2000 - Minor Group (esocold3) HB
*Occupation code using SOC 2000 - Unit Group (esocold4) HB
*Employees in managerial occupations - based on SOC 2000 (esocoldb) LS
*Employees in managerial occupations - based on SOC 2010 (esocb) LS
*Employee is in largest non-managerial group (ehiocc) HB - uses the 2010 soc for the 2011 dataset and the 2000 soc for the 2004 dataset
*Recode Ratings for management at keeping employees informed (einforun, einfostf, einfojob, einfofin) BvW
*Derive SEQ weight for 2004 and 2011 (eseqwt) BvW
*Derive ratings for management on seeking and responding to employee views (eseek, erespond, eallow) BvW
*Derive very/satisfied with sense of achievement (esata) HB
*Derive very/satisfied with scope for using own initiative (esatb) HB
*Derive very/satisfied with influence over job (esatc) HB
*Derive very/satisfied with training (esatd) HB
*Derive very/satisfied with opportunity to develop skills (esate) HB
*Derive very/satisfied with pay (esatf) HB
*Derive very/satisfied with job security (esatg) HB
*Derive very/satisfied with work itself (esath) HB
*Derive very/satisfied with involvement in decision-making (esati) HB
*A lot of influence over tasks (etask) HB
*A lot of influence over pace (epace) HB
*A lot of influence over how do work (ehow) HB
*A lot of influence over order in which carry out tasks (eorder) HB
*A lot of influence over start or finish times (estart) HB
*Amount of time tense - never and occasionally v rest (etenn) HB
*Amount of time depressed - never and occasionally v rest (edepn) HB
*Amount of time worried - never and occasionally v rest (eworn) HB
*Amount of time gloomy - never and occasionally v rest (eglon) HB
*Amount of time uneasy - never and occasionally v rest (eunen) HB
*Amount of time miserable - never and occasionally v rest (emisn) HB
*Recode agreement with 'people who progress have to put in long hours' (ehrcult) BvW
*Strongly agree that job requires to work very hard (ewhard) SW
*Strongly agree that never enough time to get work done (ewtime) SW
*Strongly agree or agree secure in job (ejsec) SW
*N items on which employees are satisfied or very satisfied, from those on 2004 questionnaire, excluding involvement in decision making (enjsat7) SW
*N items on which employees are satisfied or very satisfied, from those on 2011 questionnaire, excluding involvement in decision making (enjsat11) SW
*Job satisfaction across 7-items on 2004 and 2011 SEQs (esatall) HB
*Training - views about whether personal skills match skills for the job (eoverqu1 eoverqu2) SF
*Training - views on managers attitudes to developing staff (edevelp1 edevelp2) SF
*Training - satisfaction with training (esatrain) SF
*Training - satisfaction with opportunity to develop skills (edevskil) SF
*Recode agreement with organisation loyalty/commitment (einitiat, evalues, eloyal, eproud) BvW
*Recode contracted weekly hours into full-time/part-time (ecftpt) BvW
*Derive dummy variables for contracted full-time and part-time, 2004 and 2011 (eftc2011, eptc2011, eftc2004, eptc2004) BvW
*Recode qd4 back to yes/no/don't know (eqd4r) BvW
*Paid a Fixed salary or wage (efixed) AB Note: some cases set to DK here when no mention of fixed wage or PBR yet mention hours/pension
*Paid individual performance pay (eindpbr) AB Note: some cases set to DK here when no mention of fixed wage or PBR yet mention hours/pension
*Paid team or group performance pay (egrppbr) AB Note: some cases set to DK here when no mention of fixed wage or PBR yet mention hours/pension
*Paid Workplace or organizational performance pay (ewpopbr) AB Note: some cases set to DK here when no mention of fixed wage or PBR yet mention hours/pension
*Paid for extra hours of work or overtime (ehrprem) AB
*Pays contributions to pension scheme (epencon) AB
*N payments-by-results schemes(enpbr) AB Note: some cases set to DK here when no mention of fixed wage or PBR yet mention hours/pension
*Paid fixed wage, PBR or both (ehowpay) AB Note: some cases set to DK here when no mention of fixed wage or PBR yet mention hours/pension
*Carers (ecarer) SF
*Views on how work interfers with life outside work and vice versa (eqb2a eqb2b) SF
*VG/Good ratings for management at keeping employees informed (einforun2, einfostf2, einfojob2, einfofin2) JF
*VG/Good ratings for management on seeking and responding to employee views (eseek2, erespond2, eallow2) JF
*Collapse rating for amount of involvement in decision-making to three-point scale (edmake) JF
*VS/Satisfied rating for amount of involvement in decision-making (edmake2) Jf [this is actually identical to esati]
*Collapse rating for whether managers are sincere at understing employees' views to three-point scale (eundview) JF
*SA/Agree rating for whether managers are sincere at understing employees' views (eundview2) JF
*Strongly agree or agree that never enough time to get work done (ewtime2) HB
*Strongly agree or agree secure in job (ejsec) HB
*Employee weekly pay - banded (epayband) LS
*Employees earning 521 or more per week (epayhi) LS
* Highest academic qualification, recoded (ehiacar) AB
* Highest vocational qualification, recoded (ehivocr) AB
*Derive combined SEQ ethinicity variables for 2004 and 2011 (ethnic) BvW
*Relations between management and employees v/good (erelat2) HB
* Job satisfaction ordinal variables (esatach esatini esatinf esattra esatdev esatpay esatsec esatwrk esatdec) AB
* Any PBR (eanypbr) AB
* Mix of 8 types of PBR (emixpbr) AB
*Recode manager behaviours - C2 (epromise, esincere, ehonest, efair) BvW
*Weight for employees in panel workplaces (epqseqwt) JF
*More than half wf agreed or strongly agreed that they shared values in 2004 (evalhi) HB
*More than half wf agreed or strongly agreed that they felt loyal in 2004 (eloyhi) HB
*More than half wf agreed or strongly agreed that they felt proud of employer in 2004 (eloyhi) HB
*MQ recession variables for panel employees (erecimp, enumrec4) JF/BvW

*Save version of dataset containing the derived variables HB
 
***********************************************
*Open version of dataset which contains the MQ derived variables
***********************************************
use "$path_derived\mq_derived.dta", clear

***********************************************
*Define labels
***********************************************
/*Missing values
.a Refusal
.b Don't know
.c Multicoded
.d Schedule not applicable 
.e Item not applicable
.f Don't know or not answered
.g Refused or multi-coded
.h Refused, don't know or multicoded
.i Refusal, don't know, not applicable, multicoded
.j Negative
.k None
.l Don't know or item not applicable
.m Refused or item not applicable
*/

lab define echrband 1 "Less than 10 hours per week" 2 "10 to 29 hours per week" 3 "30 to 48 hours per week" 4 "More than 48 hours per week" .a "Refusal" .c "Multi-coded" .j "Negative" .k "None"
lab define eftpt 1 "Part-time (less than 30 hours per week)" 2 "Full-time (30 or more hours per week)" .a "Refusal" .c "Multi-coded" .k "None"
lab define eclview 	1 "Employee rating worse by more than 1 point" 2 "Employee rating worse by 1 point"	3 "Manager and employee ratings same" 4 "Manager rating worse by 1 point" 5 "Manager rating worse by more than 1 point" .i "Refusal, don't know, not applicable, multicoded"
lab define e1gen 1 "Male in equal/male-dominated workplace"	2 "Female in equal/male-dominated workplace" 3 "Male in female-dominated workplace"	4 "Female in female-dominated workplace" .i "Refusal, don't know, not applicable, multicoded"

lab define eage 1	"<20 years" 2	"20-29 yrs" 3	"30-39 yrs"	4	"40-49 yrs"	5	"50-559yrs"	6	"60+ yrs"	.a "Refusal" 
lab define edepch 0 "No dependent children" 1 "Children, pre-school" 2 "Children, school-age" 3 "Children, both pre- and school-age" .h "Refused or item not applicable"
lab define ehivoc 0 "None" 1 "Other vocational/pre-vocational" 2 "Level 1" 3 "Level 2" 4 "Trade apprenticeship" 5 "Level 3" 6 "Other professional qualification" 7 "Level 4" 8 "Level 5" .a "Refusal"
lab define ehiaca 0 "None" 1 "Other" 2 "CSE or equivalent" 3 "O-level or equivalent" 4 "1 A-level or equivalent" 5 "2+ A-level or equivalent" 6 "Degree or equivalent" 7 "Postgrad or equivalent" .a "Refusal"
lab define eacavoc 0 "Neither" 1 "Vocational/professional only" 2 "Academic only" 3 "Both" .a "Refusal"
lab define esoc1 1 "Managers, Directors and Senior Officials" 2	"Professional Occupations"	3	"Associate Professional and Technical Occupations"	4	"Administrative and Secretarial Occupations" 5	"Skilled Trades"	6	"Caring, Leisure and Other Service Occupations"7	"Sales and Customer Service Occupations"	8	"Process, Plant and Machine Operatives"	9	"Elementary Occupations"  .b "Don't know" .e "Item not applicable"
lab define ehiocc 1 "Employee in LOG" 2 "Employee in other non-managerial group" 8 "Manager" .l "Don't know or item not applicable"
lab define enumchg 0 "None" 1 "1" 2 "2" 3 "3" 4 "4 or more" 5 "Not at this workplace" .a "Refusal" .e "Item not applicable"
lab define eanychg 0 "None" 1 "At least one change" 2 "Not at this workplace" .a "Refusal" .e "Item not applicable"

*Generic labels
lab define emiss .a "Refusal" .b "Don't know" .c "Multi-coded" .d "Schedule not applicable" .e "Item not applicable" .j "Negative" 
lab define erefmul .g "Refused or multi-coded" .j "Negative"
lab define emiss3 .m "Refused, don't know or multicoded"
lab define eunknow .f "Don't know or not answered"
lab define yesno 1 "Yes" 0 "No" .a "Refusal" .b "Don't know" .c "Multi-coded", modify
lab define yesno2 1 "Yes" 0 "No" .a "Refusal" .b "Don't know" .c "Multi-coded" .e "Item not applicable"
lab define etime 1 "All of the time" 2 "Most of the time" 3 "Some of the time" 4 "Occasionally"	5 "Never" .a "Refusal" .c "Multi-coded" .e "Item not applicable"
lab define egood 1 "Very good" 2 "Good" 3 "Neither good nor poor" 4 "Poor" 5 "Very poor" .a "Refusal" .c "Multi-coded" .e "Item not applicable"
lab define eagree2 1 "Strongly agree" 2 "Agree" 3 "Neither agree nor disagree" 4 "Disagree" 5 "Strongly disagree" .a "Refusal" .b "Don't know" .c "Multi-coded" .e "Item not applicable"
lab define eagree3 1 "Agree or strongly agree" 2 "Neither agree nor disagree" 3 "Disagree or strongly disagree" .a "Refusal" .b "Don't know" .c "Multi-coded" .e "Item not applicable"
lab define egood3 1 "(V) Good" 2 "Neither good nor poor" 3 "(V) Poor" .a "Refusal" .b "Don't know" .c "Multi-coded" .e "Item not applicable" 
lab define esatis 1 "Satified or very satistfied" 2 "Neither satisfied nor dissatisfied" 3 "Dissatisfied or very dissatisfied" .a "Refusal" .b "Don't know" .c "Multi-coded" .e "Item not applicable" .i "Refusal, don't know, not applicable, multicoded"
lab define ehigh1 1 "Much higher" 2 "A bit higher" 3 "About the same" 4 " A bit lower" 5 "Much lower" .a "Refusal" .c "Multicoded" .e "Item not applicable"
lab define ehigh2 1 "Much or a bit higher" 2 "About the same" 3 " A bit or much lower" .a "Refusal" .c "Multicoded" .e "Item not applicable"
lab define eitem .a "Refusal" .b "Don't know" .e "Item not applicable" .f "Don't know or not answered"
label define esatis4 1 "Very satisfied or satisfied" 0 "Other ratings" .a "Refusal" .b "Don't know" .c "Multi-coded" .e "Item not applicable"
label define egood4 1 "Very good or good" 0 "Other ratings" .a "Refusal" .b "Don't know" .c "Multi-coded" .e "Item not applicable"
label define eagree4 1 "Strongly agree or ageee" 0 "Other ratings" .a "Refusal" .b "Don't know" .c "Multi-coded" .e "Item not applicable"

***********************************************
*Section A
***********************************************
*Derive banded usual hours to match 2004 variable (ehrband) 
*Some respondents give a decimal fraction, so this is also used
gen t=qa4_dec/100
replace t=0 if qa4_dec>=.
replace t=0 if t==0.25
replace t=1 if t==0.5|t==0.75

*Usual hours including overtime and fraction, after rounding (ehours)
gen ehours=qa4+t
replace ehours=.a if qa4==.a & ehours==.
replace ehours=t if qa4==.a & ehours==. & t>0 & t<.
replace ehours=.e if qa4==.e
lab var ehours "Usual hours inc. overtime including fraction after rounding"
lab val ehours emiss
drop t

*Banded version of usual weekly hours, including overtime (ehrband)
*In 2004 FF, zeros were coded to don't know/not applicable - here I keep the codes refusal and none as separate user defined missing values
gen byte ehrband=1 if ehours>=1 & ehours<=9
replace ehrband=2 if ehours>=10 & ehours<=29
replace ehrband=3 if ehours>=30 & ehours<=48
replace ehrband=4 if ehours>=49 & ehours<.
replace ehrband=.a if ehours==.a
replace ehrband=.k if ehours==0
lab var ehrband "Usual weekly hours - banded"
lab val ehrband echrband

*In 2004 respondents asked to give usual weekly overtime hours and in 2011 asked about weekly contractual hours
*Derive overtime hours for 2004 (eoverti)
gen t=a4_dec/100
replace t=0 if a4_dec>=.
replace t=0 if t==0.25
replace t=1 if t==0.5|t==0.75

gen int eoverti=a4+t
replace eoverti=.a if a4==.a & eoverti>=.
replace eoverti=t if a4==.a & eoverti>=. & t>0 & t<.
lab var eoverti "Usual weekly overtime hours"
drop t

*Derive contractual hours for 2011 (echours)
gen t=qa3_dec/100 
replace t=0 if qa3_dec>=.
replace t=0 if t==0.25
replace t=1 if t==0.5|t==0.75

gen echours=qa3+t
replace echours=.a if qa3==.a & echours>=.
replace echours=.c if qa3==.c & echours>=.
replace echours=t if qa3>=. & echours>=. & t>0 & t<.
lab var echours "Contracted hours including fraction after rounding"
lab val echours emiss
drop t

*Derive overtime for 2011
replace eoverti=ehours-echours if nseq2011==1
replace eoverti=.a if ehours==.a & nseq2011==1
replace eoverti=.a if echours==.a & nseq2011==1 & eoverti==.
replace eoverti=.c if echours==.c & nseq2011==1 & eoverti==.
lab val eoverti emiss

*Derive contractual hours for 2004
replace echours=ehours-eoverti if nseq2004==1
replace echours=.a if ehours==.a & nseq2004==1
replace echours=.a if eoverti==.a & nseq2004==1 & echours==.
replace echours=.c if eoverti==.c & nseq2004==1 & echours==.

*Banded version of contractual hours, including fraction (echrband)
gen byte echrband=1 if echours>=1 & echours<=9
replace echrband=2 if echours>=10 & echours<=29
replace echrband=3 if echours>=30 & echours<=48
replace echrband=4 if echours>=49 & echours<.
replace echrband=.a if echours==.a
replace echrband=.c if echours==.c
replace echrband=.k if echours==0 & echrband==.
replace echrband=.j if echours<0 & echrband==.
lab var echrband "Contractual weekly hours - banded"
lab val echrband echrband

*Recode total weekly hours into full-time/part-time (eftpt)
*This uses usual weekly hours, rather than contractual, as this is what we did in 2004
gen byte eftpt=1 if ehours>=1 & ehours<=29
replace eftpt=2 if ehours>=30 & ehours<.
replace eftpt=.a if ehours==.a
replace eftpt=.c if ehours==.c
replace eftpt=.k if ehours==0
lab var eftpt "Full- or part-time worker (based on usual hrs)"
lab val eftpt eftpt

*Additive job satisfaction scale, 9 items (esatsc9)
*Some people have ticked more than 1 response option
*Other than noting that they have multicoded
foreach X in a b c d e f g h {
	gen byte tesat`X'=2 if qa8`X'==1
	replace tesat`X'=1 if qa8`X'==2
	replace tesat`X'=0 if qa8`X'==3
	replace tesat`X'=-1 if qa8`X'==4
	replace tesat`X'=-2 if qa8`X'==5
	replace tesat`X'=.a if qa8`X'==.a
	replace tesat`X'=.b if qa8`X'==.b
	replace tesat`X'=.c if qa8`X'==.c
	replace tesat`X'=.e if qa8`X'==.e
}

gen byte tesati=2 if qb8==1
replace tesati=1 if qb8==2
replace tesati=0 if qb8==3
replace tesati=-1 if qb8==4
replace tesati=-2 if qb8==5
replace tesati=.a if qb8==.a
replace tesati=.c if qb8==.c
replace tesati=.e if qb8==.e

gen byte esatsc9=tesata+tesatb+tesatc+tesatd+tesate+tesatf+tesatg+tesath+tesati if (tesata<. & tesatb<. & tesatc<. & tesatd<. & tesate<. & tesatf<. & tesatg<. & tesath<. & tesati<.)
replace esatsc9=.m if esatsc9==.
lab var esatsc9 "Additive job satisfaction scale, 9 items"
lab val esatsc9 emiss3

*Version to match the 8-item scale used in 2004 i.e. omitting qa8e (esatsc8)
gen byte esatsc8=tesata+tesatb+tesatc+tesatd+tesatf+tesatg+tesath+tesati if (tesata<. & tesatb<. & tesatc<. & tesatd<. & tesatf<. & tesatg<. & tesath<. & tesati<.)
replace esatsc8=.m if esatsc8==.
lab var esatsc8 "Additive job satisfaction scale, 8 items"
lab val esatsc8 emiss3
drop tesata-tesati

***Now have item not applicable on qa8a etc.
*N items employees are satisfied or very satisfied (enjsat)
*Using all 9 satisfaction measures
foreach X in a b c d e f g h {
	gen byte tesat`X'=1 if qa8`X'==1|qa8`X'==2
	replace tesat`X'=0 if qa8`X'==3|qa8`X'==4|qa8`X'==5
	replace tesat`X'=.a if qa8`X'==.a
	replace tesat`X'=.b if qa8`X'==.b
	replace tesat`X'=.c if qa8`X'==.c
	replace tesat`X'=.e if qa8`X'==.e
}

gen tesati=1 if qb8==1|qb8==2
replace tesati=0 if qb8==3|qb8==4|qb8==5
replace tesati=.a if qb8==.a
replace tesati=.c if qb8==.c
replace tesati=.e if qb8==.e

*N items on which employees are satisfied or very satisfied, from those on 2011 questionnaire (enjsat9)
gen enjsat9=tesata+tesatb+tesatc+tesatd+tesate+tesatf+tesatg+tesath+tesati if (tesata<. & tesatb<. & tesatc<. & tesatd<. & tesate<. & tesatf<. & tesatg<. & tesath<. & tesati<.)
replace enjsat9=.m if enjsat9==.
lab var enjsat9 "N items employees satisfied or very satisfied (from 9)"
lab val enjsat9 emiss3

*N items on which employees are satisfied or very satisfied, from those on 2004 questionnaire (enjsat8)
gen enjsat8=tesata+tesatb+tesatc+tesatd+tesatf+tesatg+tesath+tesati if (tesata<. & tesatb<. & tesatc<. & tesatd<. & tesatf<. & tesatg<. & tesath<. & tesati<.)
replace enjsat8=.m if enjsat8==.
lab var enjsat8 "N items employees satisfied or very satisfied (from 8)"
lab val enjsat8 emiss3

*Whether employees satisfied or very satisfied on individual items
*For all 9 satisfaction measures
foreach X in a b c d e f g h i {
	rename tesat`X' esat`X'
	lab val esat`X' yesno
}

lab var esata "Very/satisfied with sense of achievement"
lab var esatb "Very/satisfied with scope for using own initiative"
lab var esatc "Very/satisfied with influence over job"
lab var esatd "Very/satisfied with training"
lab var esate "Very/satisfied with opportunity to develop skills"
lab var esatf "Very/satisfied with pay"
lab var esatg "Very/satisfied with job security"
lab var esath "Very/satisfied with work itself"
lab var esati "Very/satisfied with involvement in decision-making"

*Amount of time feeling tense in past few weeks (etense)
gen byte etense=qa9a
replace etense=.a if qa9a==.a
replace etense=.c if qa9a==.c
lab var etense "Amount of time feeling tense in past few weeks"
lab val etense etime

*Amount of time depressed in past few weeks (edepress)
*This was not on 2004 questionnaire
gen byte edepress=qa9b
replace edepress=.a if qa9b==.a
replace edepress=.c if qa9b==.c
lab var edepress "Amount of time feeling depressed in past few weeks"
lab val edepress etime

*Amount of time worried in past few weeks (eworried)
gen byte eworried=qa9c
replace eworried=.a if qa9c==.a
replace eworried=.c if qa9c==.c
lab var eworried "Amount of time worried in past few weeks"
lab val eworried etime

*Amount of time gloomy in past few weeks (egloomy)
*Not on 2004 questionnaire
gen byte egloomy=qa9d
replace egloomy=.a if qa9d==.a
replace egloomy=.c if qa9d==.c
lab var egloomy "Amount of time gloomy in past few weeks"
lab val egloomy etime

*Amount of time uneasy in last few weeks (euneasy)
gen byte euneasy=qa9e
replace euneasy=.a if qa9e==.a
replace euneasy=.c if qa9e==.c
lab var euneasy "Amount of time uneasy in past few weeks"
lab val euneasy etime

*Amount of time miserable in past few weeks (emisery)
*Not on 2004 questionnaire
gen byte emisery=qa9f
replace emisery=.a if qa9f==.a
replace emisery=.c if qa9f==.c
lab var emisery "Amount of time miserable in past few weeks"
lab val emisery etime

*Additive employee well-being scale, 6 items (ewellsc) 
*This is just for 2011 as the questions were different in 2004
foreach X in a b c d e f {
	gen byte ea9`X'=-2 if qa9`X'==1
	replace ea9`X'=-1 if qa9`X'==2
	replace ea9`X'=0 if qa9`X'==3
	replace ea9`X'=1 if qa9`X'==4
	replace ea9`X'=2 if qa9`X'==5
	replace ea9`X'=.a if qa9`X'==.a
	replace ea9`X'=.c if qa9`X'==.c
	}
gen byte ewellsc=ea9a+ea9b+ea9c+ea9d+ea9e+ea9f if (ea9a<. & ea9b<. & ea9c<. & ea9d<. & ea9e<. & ea9f<.)
replace ewellsc=.g if ewellsc==.
lab var ewellsc "Additive employee well-being scale, 6 items"
lab val ewellsc erefmul
drop ea9a-ea9f

*Work intensity (eworkh, etimew) 
*Note that for qa5a-qa5c we know the actual multiple responses given in 2011 (should not be multi-coded)
*But can't see how we can use these so ignore these responses and just treat as missing (multi-coded)

*My job requires I work hard (3 bands) (eworkh) 

recode qa5a (1/2=1)(3=2)(4/5=3)(.a=.a)(.b=.b)(.c=.c), ge(eworkh)

lab var eworkh "My job requires that I work hard"
lab val eworkh eagree3

*Never enough time to get work done (3 bands) (etimew) 

recode qa5b (1/2=1)(3=2)(4/5=3)(.a=.a)(.b=.b)(.c=.c), ge(etimew)

lab var etimew "I never have enough time to get my work done"
lab val etimew eagree3

*Perceptions of job security
*I feel my job is secure in this workplace (3 bands) (esecure)

recode qa5c (1/2=1)(3=2)(4/5=3)(.a=.a)(.b=.b)(.c=.c), ge(esecure)

lab var esecure "I feel my job is secure in this workplace"
lab val esecure eagree3

***********************************************
*Section B
***********************************************
*Section B
*Availability of working arrangements (eflexi ejobshr eredhrs ecompres ehomewrk etermtim epaid)
*Method of questionning in 2004 was quite different
foreach X in a b c d e f g {
	gen byte eqb1`X'=1 if qb1`X'==1|qb1`X'==2
	replace eqb1`X'=0 if qb1`X'==3
	replace eqb1`X'=.a if qb1`X'==.a
	replace eqb1`X'=.b if qb1`X'==.b
	replace eqb1`X'=.c if qb1`X'==.c
	lab val eqb1`X' yesno
}

rename eqb1a eflexi
rename eqb1b ejobshr
rename eqb1c eredhrs
rename eqb1d ecompres
rename eqb1e ehomewrk
rename eqb1f etermtim
rename eqb1g epaid

lab var eflexi "Availability of flexi-time"
lab var ejobshr "Availability of job-sharing"
lab var eredhrs "Chance to reduce working hours e.g. from FT to PT"
lab var ecompres "Working the same number of hours per week across fewer days"
lab var ehomewrk "Availability of homeworking"
lab var etermtim "Availability of term-time working"
lab var epaid "Availability of paid emergency leave"

*To derive 2004 equivalents
replace eflexi=b1a if nseq2004==1
replace ejobshr=b1b if nseq2004==1
replace eredhrs=b1c if nseq2004==1
replace ecompres=b1g if nseq2004==1
replace ehomewrk=b1e if nseq2004==1
replace etermtim=b3a if nseq2004==1
replace epaid=b3b if nseq2004==1

*Responses to recession question (B5)
*New in 2011 

*Derive variable to band number of responses given at recession question (enumchg)
*Some respondents who indicate they were not working at workplace in recession give another response (ignore any other response given)
*Some respondents tick 'none of the above' as well as other responses - in this case count their other response(s) and ignore 'none' i.e. assume at least one change
*Note the label 'none' here means none of the changes specified in the question

gen byte enumchg=99 if nseq2011==1
replace enumchg=.a if qb5mul1==.a
replace enumchg=.e if qb5mul1==.e
replace enumchg=5 if qb5mul1==1
recode enumchg (99=0) if qb5mul11==1 & qb5mul==1
recode enumchg (99=1) if qb5mul==1
recode enumchg (99=2) if qb5mul==2
recode enumchg (99=3) if qb5mul==3
recode enumchg (99=4) if qb5mul>3 & qb5mul<.
replace enumchg=4 if qb5mul11==1 & qb5mul>5 & qb5mul<. & qb5mul1!=1
replace enumchg=(qb5mul-1) if qb5mul11==1 & qb5mul>1 & qb5mul<5 & qb5mul1!=1

lab var enumchg "Number of recession-induced changes reported"
lab val enumchg enumchg

*Derive variable to identify any change as result of recession (eanychg)

recode enumchg (0=0) (1/4=1) (5=2), ge(eanychg)

lab var eanychg "Any recession-induced changes reported"
lab val eanychg eanychg

*Any change as result of recession - with not at workplace set to missing (eanychgx)

recode eanychg (2=.), gen (eanychgx)
lab var eanychgx "Any recession-induced changes reported - alternative version"
lab val eanychgx eanychg

*Set up individual dummy variables for each response on B5
*These take account of multi-codes on not at workplace, so DV set to zero if not at workplace
*Not needed for not at this workplace as no change here

*Workload increased

gen eincwork=qb5mul2
replace eincwork=0 if qb5mul1==1
lab var eincwork "Workload increased"
lab val eincwork yesno
ta eincwork if nseq2011==1, mi

*Work was reorganised

gen ereorg=qb5mul3
replace ereorg=0 if qb5mul1==1
lab var ereorg "Work was reorganised"
lab val ereorg yesno
ta ereorg if nseq2011==1, mi

*Moved to another job

gen emovejb=qb5mul4
replace emovejb=0 if qb5mul1==1
lab var emovejb "Moved to another job"
lab val emovejb yesno
ta emovejb if nseq2011==1, mi

*Wages frozen or cut

gen ewagecut=qb5mul5
replace ewagecut=0 if qb5mul1==1
lab var ewagecut "Wages frozen or cut"
lab val ewagecut yesno
ta ewagecut if nseq2011==1, mi

*Non-wage benefits reduced

gen enonwage=qb5mul6
replace enonwage=0 if qb5mul1==1
lab var enonwage "Non-wage benefits reduced"
lab val enonwage yesno
ta enonwage if nseq2011==1, mi

*Contracted working hours reduced

gen ehrscut=qb5mul7
replace ehrscut=0 if qb5mul1==1
lab var ehrscut "Contracted working hours reduced"
lab val ehrscut yesno
ta ehrscut if nseq2011==1, mi

*Access to paid overtime restricted

gen eovrtim=qb5mul8
replace eovrtim=0 if qb5mul1==1
lab var eovrtim "Access to paid overtime restricted"
lab val eovrtim yesno
ta eovrtim if nseq2011==1, mi

*Required to take unpaid leave

gen eleave=qb5mul9
replace eleave=0 if qb5mul1==1
lab var eleave "Required to take unpaid leave"
lab val eleave yesno
ta eleave if nseq2011==1, mi

*Access to training restricted

gen eredtrn=qb5mul10
replace eredtrn=0 if qb5mul1==1
lab var eredtrn "Access to training restricted"
lab val eredtrn yesno
ta eredtrn if nseq2011==1, mi

*None of the above

gen enochg=qb5mul11
replace enochg=0 if qb5mul1==1|qb5mul2==1|qb5mul3==1|qb5mul4==1|qb5mul5==1|qb5mul6==1|qb5mul7==1|qb5mul8==1|qb5mul9==1|qb5mul10==1
lab var enochg "None of specified changes occurred as result of recession"
lab val enochg yesno
ta enochg if nseq2011==1, mi

*Both increase in workload and wage freeze/cut

recode eincwork (1/2=0), gen(ewagewrk)
replace ewagewrk=1 if ewagecut==1 & eincwork==1
replace ewagewrk=2 if eincwork==1 & ewagecut==0
replace ewagewrk=3 if eincwork==0 & ewagecut==1

lab var ewagewrk "Workload increased and wages frozen/cut"
lab define ewagewrk 0 "Neither" 1 "Both" 2 "Workload increase only" 3 "Wage freeze/cut only" .a "Refusal" .b "Don't know" .c "Multi-coded" .e "Item not applicable"
lab val ewagewrk ewagewrk

*Derived variable to identify subpopulation of employees who were at workplace during recession (espoprec)

gen espoprec=1 if nseq2011==1 & qb5mul1==0
lab var espoprec "Employees at workplace during recession (according to response at B5)"

***********************************************
*Section C
***********************************************
*Employee perceptions of climate (eclimate)
gen byte eclimate=qc3
lab var eclimate "Employee perceptions of relations between managers and employees"
lab val eclimate egood

*Variable identifying how employee perceptions differ from employer (eclview)
gen eclview=3 if mrelate==qc3
replace eclview=4 if mrelate>qc3
replace eclview=5 if mrelate>(qc3+1)
replace eclview=2 if qc3>mrelate
replace eclview=1 if qc3>(mrelate+1)
replace eclview=.i if qc3>=. |mrelate>=.
lab var eclview "Agreement in employee and employer ratings of climate"
lab val eclview eclview


*Additive organisational commitment scale, 3 items (ecommit)
*Based on qc1b, qc1c, qc1d only - to be consistent with 2004

foreach X in b c d {
	gen byte tecom`X'=2 if qc1`X'==1
	replace tecom`X'=1 if qc1`X'==2
	replace tecom`X'=0 if qc1`X'==3
	replace tecom`X'=-1 if qc1`X'==4
	replace tecom`X'=-2 if qc1`X'==5
	replace tecom`X'=.a if qc1`X'==.a
	replace tecom`X'=.b if qc1`X'==.b
	replace tecom`X'=.c if qc1`X'==.c
}

gen byte ecommit=tecomb+tecomc+tecomd if (tecomb<. & tecomc<. &tecomd<.)
replace ecommit=.m if ecommit==.

lab var ecommit "Additive organisational commitment scale, 3 items"
lab val ecommit emiss3
drop tecomb tecomc tecomd

*Additive organisational commitment scale, 4 items (ecommit2)
*For 2011 only as qc1a new in 2011

foreach X in a b c d {
	gen byte tecom`X'=2 if qc1`X'==1
	replace tecom`X'=1 if qc1`X'==2
	replace tecom`X'=0 if qc1`X'==3
	replace tecom`X'=-1 if qc1`X'==4
	replace tecom`X'=-2 if qc1`X'==5
	replace tecom`X'=.a if qc1`X'==.a
	replace tecom`X'=.b if qc1`X'==.b
	replace tecom`X'=.c if qc1`X'==.c
}

gen byte ecommit2=tecoma+tecomb+tecomc+tecomd if (tecoma<. & tecomb<. & tecomc<. &tecomd<.)
replace ecommit2=.m if ecommit2==.

lab var ecommit2 "Additive organisational commitment scale, 4 items"
lab val ecommit2 emiss3
drop tecoma tecomb tecomc tecomd


***********************************************
*Section D
***********************************************

*Union membership status (emember)  
gen byte emember=1 if qd1==1
replace emember=0 if qd1==2|qd1==3
replace emember=.a if qd1==.a
replace emember=.c if qd1==.c
lab var emember "Whether union member"
lab val emember yesno

***********************************************
*Section E
***********************************************
*If male (emale)
gen byte emale=qe1
replace emale=0 if emale==2
lab var emale "Male"
lab val emale yesno

*Gender of employee relative to gender composition of workforce (e1gen)
gen e1gen=1 if qe1==1 & nf50==0
replace e1gen=2 if qe1==2 & nf50==0
replace e1gen=3 if qe1==1 & nf50==1
replace e1gen=4 if qe1==2 & nf50==1
replace e1gen=.i if (qe1==.a|qe1==.c|nf50==.b|nf50==.e)
lab var e1gen "Gender of employee relative to gender composition of wf"
lab val e1gen e1gen

*Recode age into 6 bands (eage)
gen byte eage=1 if qe2==1|qe2==2
replace eage=2 if qe2==3|qe2==4
replace eage=3 if qe2==5
replace eage=4 if qe2==6
replace eage=5 if qe2==7
replace eage=6 if qe2==8|qe2==9
replace eage=.a if qe2==.a
lab var eage "Respondent's age"
lab val eage eage

*Age - alternative bands (eageb3)

recode eage (1=1)(2=2) (3/5=3)(6=4), gen(eageb3)
lab var eageb3 "Respondent's age - alternative bands"
lab define eageb3 1	"Less than 20 years" 2	"Between 20 and 29" 3 "Between 30 and 59" 4 "60 years or more"	.a "Refusal" 
lab val eageb3 eageb3

*Dependent children, pre- and/or school age (edepch)
*Has to be derived differently for 2004 and 2011
gen byte edepch=0 if qe4==2
replace edepch=0 if e4_1==1
replace edepch=1 if qe4==1 & ((qe4a>0 & qe4a<.)|(qe4b>0 & qe4b<.))
replace edepch=1 if e4_1==0 & (e4_2==1|e4_3==1)
replace edepch=2 if qe4==1 & ((qe4c>0 & qe4c<.)|(qe4d>0 & qe4d<.)|(qe4e>0 & qe4e<.)|(qe4f>0 & qe4f<.)) & edepch==.
replace edepch=2 if e4_1==0 & (e4_4==1|e4_5==1|e4_6==1) & edepch==.
replace edepch=3 if qe4==1 & ((qe4c>0 & qe4c<.)|(qe4d>0 & qe4d<.)|(qe4e>0 & qe4e<.)|(qe4f>0 & qe4f<.)) & edepch==1
replace edepch=3 if e4_1==0 & (e4_4==1|e4_5==1|e4_6==1) & edepch==1 
replace edepch=.h if edepch==.
lab var edepch "Any dependent children"
lab val edepch edepch

*Any dependent children (eanydepc)
*Has to be derived differently for 2004 and 2011
gen byte eanydepc=qe4
replace eanydepc=0 if e4_1==1|qe4==2
replace eanydepc=1 if e4_1==0
replace eanydepc=.a if qe4==.a|e4_1==.a
lab var eanydepc "Any dependent children"
lab val eanydepc yesno

*Employee has caring responsibilities relating to age, illness or disability (ecaring)
gen byte ecaring=1 if qe5>1 & qe5<.
replace ecaring=0 if qe5==1
replace ecaring=.a if qe5==.a
replace ecaring=.c if qe5==.c
lab var ecaring "Caring responsibilities incl elder care, long term illness or disability"
lab val ecaring yesno

*Highest vocational or professional qualification (ehivoc)
*Have checked this has been correctly recoded for 2004, as the distribution looks different
gen byte ehivoc=0 if qe7mul17==1
replace ehivoc=1 if  qe7mul15==1
replace ehivoc=2 if  qe7mul9==1
replace ehivoc=3 if  qe7mul10==1
replace ehivoc=4 if  qe7mul14==1
replace ehivoc=5 if  qe7mul11==1
replace ehivoc=6 if  qe7mul16==1
replace ehivoc=7 if  qe7mul12==1
replace ehivoc=8 if  qe7mul13==1
replace ehivoc=.a if ehivoc==.
lab var ehivoc "Highest vocational or professional qualification"
lab val ehivoc ehivoc

*Highest academic qualification (ehiaca)
gen byte ehiaca=0 if qe7mul8==1
replace ehiaca=1 if qe7mul7==1
replace ehiaca=2 if qe7mul1==1
replace ehiaca=3 if qe7mul2==1
replace ehiaca=4 if qe7mul3==1
replace ehiaca=5 if qe7mul4==1
replace ehiaca=6 if qe7mul5==1
replace ehiaca=7 if qe7mul6==1
replace ehiaca=.a if ehiaca==.
lab var ehiaca "Highest academic qualification"
lab val ehiaca ehiaca

*Whether academic qualifications only, vocational only, both or none (eacavoc)
gen byte eacavoc=0 if ehiaca==0 & ehivoc==0
replace eacavoc=1 if ehivoc>0 & ehivoc<.
replace eacavoc=2 if ehiaca>0 & ehiaca<.
replace eacavoc=3 if ehiaca>0 & ehiaca<. & ehivoc>0 & ehivoc<.
replace eacavoc=.a if eacavoc==.
lab var eacavoc "Whether vocactional quals, academic or both"
lab val eacavoc eacavoc

*Occupation code - Major Group (esoc1)
*Occupation code - Sub-Major Group (Esoc2)
*Occupation code - Minor Group (esoc3)
*Occupation code - Unit Group (esoc4)
*Had SOC2000 in 2004, so have derived equivalent socs for the 2004 and 2011 datasets using this
gen int esoc4=xsoc2010
gen int esoc3=xsoc2010/10
gen byte esoc2=xsoc2010/100
gen byte esoc1=xsoc2010/1000
forvalues X=1/4 {
	replace esoc`X'=.b if xsoc2010==.b
	replace esoc`X'=.e if xsoc2010==.e
}

*This replicates the syntax used last time, but doesn't do anything for esoc2-esoc4
*Think it is because we're unlikely to use these more detailed categorisations, so just want to label the missing values
lab val esoc1 esoc1
lab val esoc2 esoc1
lab val esoc3 esoc1
lab val esoc4 esoc1
lab var esoc1 "Occupation - Major Group"
lab var esoc2 "Occupation - Sub-Major Group"
lab var esoc3	"Occupation - Minor Group"
lab var esoc4	"Occupation - Unit Group"

*Derive alternative version of SOC using 2000 SOC (esocold1-esocold4)
gen int esocold4=xsoc2000
gen int esocold3=xsoc2000/10
gen byte esocold2=xsoc2000/100
gen byte esocold1=xsoc2000/1000
forvalues X=1/4 {
	replace esocold`X'=.b if xsoc2000==.b
	replace esocold`X'=.e if xsoc2000==.e
}

lab val esocold1 esoc1
lab val esocold2 esoc1
lab val esocold3 esoc1
lab val esocold4 esoc1
lab var esocold1 "Occupation - Major Group"
lab var esocold2 "Occupation - Sub-Major Group"
lab var esocold3	"Occupation - Minor Group"
lab var esocold4	"Occupation - Unit Group"

*Employees in managerial occupations - based on SOC 2000 (esocoldb)
 
recode esocold1 (1=1)(2/9=0)(99=.), gen(esocoldb)
lab var esocold1 "Managers, Directors and Senior officials"
lab val esocold1 yesno

*Employees in managerial occupations - based on SOC 2010 (esocb)
 
recode esoc1 (1=1)(2/9=0), gen(esocb)
lab var esocb "Managers, Directors and Senior officials"
lab val esocb yesno

*Employee is in largest non-managerial group (ehiocc)
*This uses the 2000 SOC code for 2004 wps
gen byte ehiocc=1 if esoc1==nhiocc & nseq2011==1
replace ehiocc=1 if esocold1==nhiocc & nseq2004==1
replace ehiocc=2 if esoc1~=nhiocc & nseq2011==1
replace ehiocc=2 if esocold1~=nhiocc & nseq2004==1
replace ehiocc=8 if esoc1==1 & nseq2011==1
replace ehiocc=8 if esocold1==1 & nseq2004==1
replace ehiocc=.l if esoc1==.b|esoc1==.e|nhiocc==.e
lab var ehiocc "Employee in largest occupational group at workplace"
lab val ehiocc ehiocc

*Recode Ratings for management at keeping employees informed
*Note: I've changed the recode to a 3-point scale (not sure of the recode to the same 5-point scale in 2004) 
recode qb6a (1/2=1) (3=2) (4/5=3) (.a=.a) (.b=.b) (.c=.c) (.e=.e), ge(einforun)
recode qb6b (1/2=1) (3=2) (4/5=3) (.a=.a) (.b=.b) (.c=.c) (.e=.e), ge(einfostf)
recode qb6c (1/2=1) (3=2) (4/5=3) (.a=.a) (.b=.b) (.c=.c) (.e=.e), ge(einfojob)
recode qb6d (1/2=1) (3=2) (4/5=3) (.a=.a) (.b=.b) (.c=.c) (.e=.e), ge(einfofin)
label var einforun "Rating management on informing employees on way organisation run" 
label var einfostf "Rating management on informing employees on staffing changes" 
label var einfojob "Rating management on informing employees on way you do your job" 
label var einfofin "Rating management on informing employees about financial matters"
label val einfojob egood3
label val einfostf egood3
label val einforun egood3
label val einfofin egood3

* Derive SEQ weight for 2004 and 2011
* Note weight uses COMBINED weight for both panel and cross-section
* I have to scale the new seqwt for apr 2013 so that sums to 100
gen eseqwt=seqwtnrc_apr13
replace eseqwt=(seqwtnr2_apr13/129170) if nyear==0
label var eseqwt "Final SEQ weight"

su *eseqwt*
* weight for employees in panel workplaces
gen epqseqwt=seqwtnrp_may13
replace epqseqwt=. if nseqpan~=1
lab var epqseqwt "SEQ weight for employees in panel workplaces"

*Recode Ratings for management seeking and responding to employee views
*Note: I've changed the recode to a 3-point scale  
recode qb7a (1/2=1) (3=2) (4/5=3) (.a=.a) (.b=.b) (.c=.c) (.e=.e), ge(eseek)
recode qb7b (1/2=1) (3=2) (4/5=3) (.a=.a) (.b=.b) (.c=.c) (.e=.e), ge(erespond)
recode qb7c (1/2=1) (3=2) (4/5=3) (.a=.a) (.b=.b) (.c=.c) (.e=.e), ge(eallow)
label var eseek "Rating management on seeking views of employees and reps" 
label var erespond "Rating management on responding to suggestions from employees and reps" 
label var eallow "Rating management on allowing employees and reps influence over final decisions" 
label val eseek egood3
label val erespond egood3
label val eallow egood3

*A lot of influence over tasks
gen etask=1 if qa7a==1
replace etask=0 if qa7a>1 & qa7a<5
replace etask=.a if qa7a==.a
replace etask=.b if qa7a==.b
replace etask=.c if qa7a==.c
replace etask=.e if qa7a==.e
lab val etask yesno
lab var etask "A lot of influence over tasks"

*A lot of influence over pace
gen epace=1 if qa7b==1
replace epace=0 if qa7b>1 & qa7b<5
replace epace=.a if qa7b==.a
replace epace=.b if qa7b==.b
replace epace=.c if qa7b==.c
replace epace=.e if qa7b==.e
lab val epace yesno
lab var epace "A lot of influence over pace"

*A lot of influence over how do work
gen ehow=1 if qa7c==1
replace ehow=0 if qa7c>1 & qa7c<5
replace ehow=.a if qa7c==.a
replace ehow=.b if qa7c==.b
replace ehow=.c if qa7c==.c
replace ehow=.e if qa7c==.e
lab val ehow yesno
lab var ehow "A lot of influence over how do work"

*A lot of influence over order in which carry out tasks
gen eorder=1 if qa7d==1
replace eorder=0 if qa7d>1 & qa7d<5
replace eorder=.a if qa7d==.a
replace eorder=.b if qa7d==.b
replace eorder=.c if qa7d==.c
replace eorder=.e if qa7d==.e
lab val eorder yesno
lab var eorder "A lot of influence over order of tasks"

*A lot of influence over start or finish times
gen estart=1 if qa7e==1
replace estart=0 if qa7e>1 & qa7e<5
replace estart=.a if qa7e==.a
replace estart=.b if qa7e==.b
replace estart=.c if qa7e==.c
replace estart=.e if qa7e==.e
lab val estart yesno
lab var estart "A lot of influence over start or finish times"

*Amount of time tense - never and occasionally v rest
gen byte etenn=1 if qa9a==4|qa9a==5
replace etenn=0 if qa9a>0 & qa9a<4
replace etenn=.a if qa9a==.a
replace etenn=.c if qa9a==.c
replace etenn=.e if qa9a==.e
lab var etenn "Never/occasionally tense"
lab val etenn yesno

*Amount of time depressed - never and occasionally v rest
gen byte edepn=1 if qa9b==4|qa9b==5
replace edepn=0 if qa9b>0 & qa9b<4
replace edepn=.a if qa9b==.a
replace edepn=.c if qa9b==.c
replace edepn=.e if qa9b==.e
lab var edepn "Never/occasionally depressed"
lab val edepn yesno

*Amount of time worried - never and occasionally v rest
gen byte eworn=1 if qa9c==4|qa9c==5
replace eworn=0 if qa9c>0 & qa9c<4
replace eworn=.a if qa9c==.a
replace eworn=.c if qa9c==.c
replace eworn=.e if qa9c==.e
lab var eworn "Never/occasionally worried"
lab val eworn yesno

*Amount of time gloomy - never and occasionally v rest
gen byte eglon=1 if qa9d==4|qa9d==5
replace eglon=0 if qa9d>0 & qa9d<4
replace eglon=.a if qa9d==.a
replace eglon=.c if qa9d==.c
replace eglon=.e if qa9d==.e
lab var eglon "Never/occasionally gloomy"
lab val eglon yesno

*Amount of time uneasy - never and occasionally v rest
gen byte eunen=1 if qa9e==4|qa9e==5
replace eunen=0 if qa9e>0 & qa9e<4
replace eunen=.a if qa9e==.a
replace eunen=.c if qa9e==.c
replace eunen=.e if qa9e==.e
lab var eunen "Never/occasionally uneasy"
lab val eunen yesno

*Amount of time miserable - never and occasionally v rest
gen byte emisn=1 if qa9f==4|qa9f==5
replace emisn=0 if qa9f>0 & qa9f<4
replace emisn=.a if qa9f==.a
replace emisn=.c if qa9f==.c
replace emisn=.e if qa9f==.e
lab var emisn "Never/occasionally uneasy"
lab val emisn yesno

*Recode agreement with 'people who progress have to put in long hours'
recode qa6 (1/2=1) (3=2) (4/5=3) (.a=.a) (.b=.b) (.c=.c) (.e=.e), ge(ehrcult)
label var ehrcult "People in this workplace who want to progress usually have to put in long hours" 
label val ehrcult eagree3

*Strongly agree that job requires to work very hard (ewhard)
gen byte ewhard =1 if qa5a == 1
replace ewhard = 0 if qa5a>1 & qa5a<6
replace ewhard=.a if qa5a==.a
replace ewhard=.b if qa5a==.b
replace ewhard=.c if qa5a==.c
replace ewhard=.e if qa5a==.e
lab var ewhard "Strongly agree that work very hard"
lab val ewhard yesno

*Strongly agree that never enough time to get work done (ewtime)
gen byte ewtime =1 if qa5b == 1
replace ewtime = 0 if qa5b>1 & qa5b<6
replace ewtime=.a if qa5b==.a
replace ewtime=.b if qa5b==.b
replace ewtime=.c if qa5b==.c
replace ewtime=.e if qa5b==.e
lab var ewtime "Strongly agree not enough time to get work done"
lab val ewtime yesno

*Strongly agree or agree secure in job (ejsec)
gen byte ejsec =1 if qa5c < 3
replace ejsec = 0 if qa5c>2 & qa5c<6
replace ejsec=.a if qa5c==.a
replace ejsec=.b if qa5c==.b
replace ejsec=.c if qa5c==.c
replace ejsec=.e if qa5c==.e
lab var ejsec "Strongly agree or agree feel secure in job"
lab val ejsec yesno

*N items on which employees are satisfied or very satisfied, from those on 2004 questionnaire, excluding involvement in decision making (enjsat7)
gen enjsat7=esata+esatb+esatc+esatd+esatf+esatg+esath if (esata<. & esatb<. & esatc<. & esatd<. & esatf<. & esatg<. & esath<.)
replace enjsat7=.m if enjsat7==.
lab var enjsat7 "N items employees satisfied or very satisfied (7)"
lab val enjsat7 emiss3

*N items on which employees are satisfied or very satisfied, from those on 2011 questionnaire, excluding involvement in decision making (enjsat11)
gen enjsat11=esata+esatb+esatc+esatd+esatf+esate+esatg+esath if (esata<. & esatb<. & esatc<. & esatd<. & esate<. & esatf<. & esatg<. & esath<.)
replace enjsat11=.m if enjsat11==.
lab var enjsat11 "N items employees satisfied or very satisfied, 2011 only (A8)"
lab val enjsat11 emiss3

*Job satisfaction across 7-items on 2004 and 2011 SEQs (esatall)
recode enjsat7(7=1)(0/6=0)(.m=.m), gen(esatall)
lab var esatall "Satisfied or very satisfied across all 7 items"
lab var esatall yesno


******************************************************************
* TRAINING
******************************************************************

* views about whether personal skills match skills for the job
fre qb4*

* assign the multicoded cases to missing since there are so few of them
* The other questions on the SEQ have been answered so code the sysmis cases as .a "refused"
gen eoverqu1=qb4 
recode eoverqu1 (. = .a )
label value eoverqu1 ehigh1 
lab var eoverqu1 "Own skills higher or lower than skills for job"

gen eoverqu2=eoverqu1 
recode eoverqu2 (1/2=1)(3=2)(4/5=3) 
label value eoverqu2 ehigh2
lab var eoverqu2 "Own skills higher or lower than skills for job, grouped"

ta  eoverqu1 qb4, mi
ta eoverqu1 eoverqu2, mi

* views on managers attitudes to developing staff
fre qc2e*

* assign the multicoded cases to missing since there are so few of them
* The other questions on the SEQ have been answered so code the sysmis cases as .a "refused"
gen edevelp1=qc2e 
recode edevelp1 (. = .a)
label val edevelp1 eagree2
lab var edevelp1 "Managers encourage people to develop skills"

gen edevelp2=edevelp1 
recode edevelp2 (1/2=1)(3=2)(4/5=3)
label val edevelp2 eagree3
lab var edevelp2 "Managers encourage people to develop skills, grouped"
ta  edevelp1 qc2e, mi
ta edevelp2 edevelp1, mi

* Satisfaction with training
* 2011 data do not have user defined missing 
* 569 2004 cases are not assigned user-defined missing so don't know why there are missing
gen esatrain=qa8d
recode esatrain (1/2=1)(3=2)(4/5=3)
recode esatrain (. = .i) if nyear==1
label val esatrain esatis
label var esatrain "Satisfaction with training"
ta esatrain qa8d, mi

* Satisfaction with opportunity to develop skills 
* 2011 data do not have user defined missing 
* variable does not apply to cases in the 2004 seq data file
gen edevskil=qa8e
recode edevskil (1/2=1)(3=2)(4/5=3)
recode edevskil (. = .i) if nyear==1
recode edevskil (. = .e) if nyear==0
label val edevskil esatis
label var edevskil "Satisfaction with opportunity to develop skills in the job"
ta edevskil qa8e, mi
ta edevskil nyear, mi

*Recode agreement with organisation loyalty/commitment
*Note: I've changed the recode to a 3-point scale (not sure of the recode to the same 5-point scale in 2004) 
recode qc1a (1/2=1) (3=2) (4/5=3) (.a=.a) (.b=.b) (.c=.c) (.e=.e), ge(einitiat)
recode qc1b (1/2=1) (3=2) (4/5=3) (.a=.a) (.b=.b) (.c=.c) (.e=.e), ge(evalues)
recode qc1c (1/2=1) (3=2) (4/5=3) (.a=.a) (.b=.b) (.c=.c) (.e=.e), ge(eloyal)
recode qc1d (1/2=1) (3=2) (4/5=3) (.a=.a) (.b=.b) (.c=.c) (.e=.e), ge(eproud)
label var einitiat "Using my own initiative I carry out tasks not part of my job" 
label var evalues "Share many of the values of my organisation" 
label var eloyal "Feel loyal to my organisation" 
label var eproud "Proud to tell people who I work for"
label val einitiat eagree3
label val evalues eagree3
label val eloyal eagree3
label val eproud eagree3
ta einitiat nyear, mi 
ta evalues nyear, mi 
ta eloyal nyear, mi 
ta eproud nyear, mi 

**CONTRACTED HOURS**
*Recode contracted weekly hours into full-time/part-time
gen byte ecftpt=1 if echours>=1 & echours<=29
replace ecftpt=2 if echours>=30 & echours<.
replace ecftpt=.a if echours==.a
replace ecftpt=.c if echours==.c
replace ecftpt=.k if echours==0
lab var ecftpt "Full- or part-time contracted hours"
lab val ecftpt eftpt
ta ecftpt nyear, mi
*There are 559 respondents who are contracted to work part-time hours but work more than this on a usual basis.
*i.e. where contract ft/pt status does not match usual ft/pt status. 

*Create new standard break variables for looking at average hours by contracted ft/pt 
ge eftc2011=0
replace eftc2011=1 if ecftpt==2 & nyear==1
label var eftc2011 "Full-time contracted hours employees 2011"
ge eptc2011=0
replace eptc2011=1 if ecftpt==1 & nyear==1
label var eptc2011 "Part-time contracted hours employees 2011"
ge eftc2004=0
replace eftc2004=1 if ecftpt==2 & nyear==0
label var eftc2004 "Full-time contracted hours employees 2004"
ge eptc2004=0
replace eptc2004=1 if ecftpt==1 & nyear==0
label var eptc2004 "Part-time contracted hours employees 2004" 
ta ecftpt nyear, mi
fre eftc2011 eptc2011 eftc2004 eptc2004

*Recode qd4 to remove references to answering of q5
*Note 2004 approach has been copied where recoded to 1 if response at D5. 
*However, this approach adds the qualification that there is an answer at q5 that is not a missing value (i.e. refused or dk)
ge eqd4r=qd4
replace eqd4r=2 if qd4==3 & qd5a>=. & qd5b>=. & qd5c>=.  
replace eqd4r=.a if qd4==5 & qd5a>=. & qd5b>=. & qd5c>=.
replace eqd4r=.b if qd4==4 & qd5a>=. & qd5b>=. & qd5c>=.
replace eqd4r=1 if qd4>=3 & qd4<=5 & (qd5a<. | qd5b<. | qd5c<.) 
label var eqd4r  "Recode of d5 employee says union present"
label define eqd4r 1 "Yes" 2 "No" .a "Refused" .b "Don't know" .c "Multi coded" .e "Item not applicable"
label val eqd4r eqd4r
ta eqd4r nyear, mi

* How employees are paid

gen efixed=qe12mul1==1
replace efixed=.b if qe12mul1~=1&qe12mul2~=1&qe12mul3~=1&qe12mul4~=1&nyear==1
replace efixed=.a if qe12mul1==.a
replace efixed=.e if qe12mul1==.e|nyear==0
label var efixed "Fixed salary or wage"
label val efixed yesno
fre efixed

gen eindpbr=qe12mul2==1
replace eindpbr=.b if qe12mul1~=1&qe12mul2~=1&qe12mul3~=1&qe12mul4~=1&nyear==1
replace eindpbr=.a if qe12mul2==.a
replace eindpbr=.e if qe12mul2==.e|nyear==0
label var eindpbr "Paid individual performance pay"
label val eindpbr yesno
fre eindpbr

gen egrppbr=qe12mul3==1
replace egrppbr=.b if qe12mul1~=1&qe12mul2~=1&qe12mul3~=1&qe12mul4~=1&nyear==1
replace egrppbr=.a if qe12mul3==.a
replace egrppbr=.e if qe12mul3==.e|nyear==0
label var egrppbr "Paid team or group performance pay"
label val egrppbr yesno
fre egrppbr

gen ewpopbr=qe12mul4==1
replace ewpopbr=.b if qe12mul1~=1&qe12mul2~=1&qe12mul3~=1&qe12mul4~=1&nyear==1
replace ewpopbr=.a if qe12mul4==.a
replace ewpopbr=.e if qe12mul4==.e|nyear==0
label var ewpopbr "Paid Workplace or organizational performance pay"
label val ewpopbr yesno
fre ewpopbr

gen ehrprem=qe12mul5==1
replace ehrprem=.a if qe12mul5==.a
replace ehrprem=.e if qe12mul5==.e|nyear==0
label var ehrprem "Paid for extra hours of work or overtime"
label val ehrprem yesno
fre ehrprem

gen epencon=qe12mul6==1
replace epencon=.a if qe12mul6==.a
replace epencon=.e if qe12mul6==.e|nyear==0
label var epencon "Pays contributions to pension scheme"
label val epencon yesno
fre epencon

egen enpbr=anycount(eindpbr egrppbr ewpopbr),values(1)
label var enpbr "N payments-by-results schemes"
replace enpbr=.b if qe12mul1~=1&qe12mul2~=1&qe12mul3~=1&qe12mul4~=1&nyear==1
replace enpbr=.a if qe12mul1==.a
replace enpbr=.e if qe12mul1==.e|nyear==0
label val enpbr eitem
fre enpbr

gen ehowpay=1 if efixed==1
replace ehowpay=2 if efixed==0&enpbr>0&enpbr~=.
replace ehowpay=3 if efixed==1&enpbr>0&enpbr~=.
replace ehowpay=.a if efixed==.a
replace ehowpay=.e if efixed==.e|nyear==0
replace ehowpay=.b if ehowpay==.
label define ehowpay 1 "Fixed wage only" 2 "PBR only" 3 "Fixed plus PBR" .a "Refusal" .b "Don't know" .e "Item not applicable"
label variable ehowpay "Paid fixed wage, PBR or both"
label values ehowpay ehowpay
fre ehowpay


*****************************************************
* Carers
*****************************************************
gen ecarer=0
replace ecarer=1 if (eanydepc==1 | ecaring==1)
replace ecarer=. if eanydepc==.
replace ecarer=1 if (eanydepc==1 & ecaring==.a)
replace ecarer=1 if (eanydepc==.a & ecaring==1)
replace ecarer=1 if (eanydepc==1 & ecaring==.c)
replace ecarer=.a if (eanydepc==.a & ecaring==.a)
ta ecarer, mi

ta eanydepc ecaring, mi


*********************************************************************
* Views on how work interferes with life outside work and vice versa
*********************************************************************

* multicoded cases (7 at qb2a and 4 at qb2b are treated as missing and ignored)

recode qb2a qb2b (2=1)(3=2)(4=3)(5=3), pre(e)
label define eqb2 1 "Agree/strongly agree" 2 "Neither agree nor disagree" 3 "Disagree/strongly disagree" .a "Refusal" .b "Don't know" .e "Item not applicable"
label val eqb2a eqb2b eqb2
label var eqb2a "Difficult to fulfill nonwork commitments because of work"
label var eqb2b "Difficult to work properly because of nonwork commitments"

ta qb2a, mi
ta qb2b, mi
ta eqb2a, mi
ta eqb2b, mi

*********************************************************************

* VG/Good ratings for management at keeping employees informed (einforun2, einfostf2, einfojob2, einfofin2) JF

recode2 qb6a qb6b qb6c qb6d : 1,2=1 3/5=0 > einforun2 einfostf2 einfojob2 einfofin2
label var einforun2 "VG/Good rating for management on informing employees on way organisation run" 
label var einfostf2 "VG/Good rating for management on informing employees on staffing changes" 
label var einfojob2 "VG/Good rating for management on informing employees on way you do your job" 
label var einfofin2 "VG/Good rating for management on informing employees about financial matters"
label val einforun2 egood4
label val einfostf2 egood4
label val einfojob2 egood4
label val einfofin2 egood4
*fre einforun2 einfostf2 einfojob2 einfofin2 if nseq==1

* VG/Good ratings for management on seeking and responding to employee views (eseek2, erespond2, eallow2) JF

recode2 qb7a qb7b qb7c : 1,2=1 3/5=0 > eseek2 erespond2 eallow2 
label var eseek2 "VG/Good rating for management on seeking views of employees and reps" 
label var erespond2 "VG/Good rating for management on responding to suggestions from employees and reps" 
label var eallow2 "VG/Good rating for management on allowing employees and reps influence over final decisions" 
label val eseek2 egood4
label val erespond2 egood4
label val eallow2 egood4
*fre eseek2 erespond2 eallow2 if nseq==1

* Collapse rating for amount of involvement in decision-making to three-point scale (edmake) JF
* VS/Satisfied rating for amount of involvement in decision-making (edmake2) Jf [this is actually identical to esati]

recode qb8 (1/2=1) (3=2) (4/5=3) (.a=.a) (.b=.b) (.c=.c) (.e=.e), ge(edmake)
label var edmake "Rating for amount of involvement in decision-making"
label val edmake esatis

recode qb8 1/2=1 3/5=0, ge(edmake2)
label var edmake2 "VS/Satisfied rating for amount of involvement in decision-making" 
label val edmake2 esatis4
*fre qb8 edmake edmake2 if nseq==1

* Collapse rating for whether managers are sincere at understing employees' views to three-point scale (eundview) JF
* SA/Agree rating for whether managers are sincere at understing employees' views (eundview2) JF

recode qc2b (1/2=1) (3=2) (4/5=3) (.a=.a) (.b=.b) (.c=.c) (.e=.e), ge(eundview)
label var eundview "Rating for whether managers are sincere at understing employees' views"
label val eundview eagree3

recode qc2b 1/2=1 3/5=0, ge(eundview2)
label var eundview2 "SA/Agree that managers are sincere at understing employees' views" 
label val eundview2 eagree4
*fre qc2b eundview eundview2 if nseq==1

*Strongly agree or agree that never enough time to get work done (ewtime2)
recode qa5b (1/2=1)(3/5=0)(.a=.a)(.b=.b)(.c=.c)(.e=.e), gen(ewtime2)
lab var ewtime2 "Strongly agree or agree not enough time to get work done"
lab val ewtime2 yesno

*Strongly agree or agree secure in job (ejsec)
recode qa5c (1=1)(2/5=0)(.a=.a)(.b=.b)(.c=.c)(.e=.e), gen(ejsec2)
lab var ejsec2 "Strongly agree feel secure in job"
lab val ejsec2 yesno

*Employee weekly pay - banded (epayband)
recode qe11 (1/5=1)(6/10=2)(11/14=3) (.a=.a)(.c=.c) (.e=.e), gen(epayband)
label var epayband "Employee weekly pay - banded"
label define epayband 1 "60-220" 2 "221-520" 3 "521 or more" .a "Refusal" .c "Multi-coded" .e "Item not applicable"
label values epayband epayband

*Employees earning 521 or more per week (epayhi)
recode epayband (1/2=0)(3=1), gen(epayhi)
label var epayhi "Earning 521 or more per week"
label values epayhi yesno2

*********************************************************************

* Recode of highest academic and vociational qualifications

* problem is that aca and vocational pulled together in qe7 in 2011
* with only a single var capturing N responses whereas needed
* N responses for aca and voc separately. Thus although only 646 cases
* scoring zero on N responses, a much higher % not answering the aca column
* and vocational columns separately.  Might be reasonable to surmise that 
* those who respond on only one - ie voc or aca - are signalling no quals on the other.
* Therefore produce recoded variables EHIACAR and EHIVOCR.
* In case of academic quals the recode brings '04 and '11 distributions into line nicely.
* In case of vocational quals recode results in many more in '11 with no voc quals than in '04

fre qe7 if nyear==1

gen ehiacar=ehiaca
replace ehiacar=0 if nyear==1&ehiaca==.a&qe7>0
label variable ehiacar "Highest academic qualification, recoded"
label values ehiacar ehiaca
fre ehiacar

gen ehivocr=ehivoc
replace ehivocr=0 if nyear==1&ehivoc==.a&qe7>0
label variable ehivocr "Highest vocational qualification, recoded"
label values ehivocr ehivoc
fre ehivocr

************************************************************************

*Employee Ethinicity - 5 bands 
lab define ethnic 1 "White" 2 "Mixed" 3 "Asian" 4 "Black" 5 "Other" .a "Refusal" .b "Don't know" .c "Multi-coded" .e "Item not applicable"

gen byte ethnic=1 if qe13==1|qe13==2|qe13==3|e14==1|e14==2|e14==3 
replace ethnic=2 if qe13==4|qe13==5|qe13==6|qe13==7|e14==4|e14==5|e14==6|e14==7 
replace ethnic=3 if qe13==8|qe13==9|qe13==10|qe13==11|qe13==12|e14==8|e14==9|e14==10|e14==11|e14==15
replace ethnic=4 if qe13==13|qe13==14|qe13==15|e14==12|e14==13|e14==14 
replace ethnic=5 if qe13==16|qe13==17|e14==16
replace ethnic=.a if qe13==.a|e14==.a
replace ethnic=.c if qe13==.c|e14==.b
replace ethnic=.e if qe13==.e|e14==.c
label var ethnic "Which of these groups do you consider you belong? 5 groups"
label val ethnic ethnic
ta ethnic nyear, mi

*Relations between management and employees v/good (erelat2)
gen erelat2=1 if qc3==1|qc3==2
replace erelat2=0 if qc3>2 & qc3<6
replace erelat2=.a if qc3==.a
replace erelat2=.a if qc3==.b
replace erelat2=.a if qc3==.e
lab val erelat2 yesno
lab var erelat2 "Relations between management and employees v/good"

lab val enochg yesno

* Job Satisfaction
recode qa8a qa8b qa8c qa8d qa8e qa8f qa8g qa8h qb8 (1=5) (2=4) (3=3) (4=2) (5=1),ge(esatach esatini esatinf esattra esatdev esatpay esatsec esatwrk esatdec) copy
label define satis 1 "v dissat" 2 "dissat" 3 "neither" 4 "sat" 5 "v sat" .a "Refusal" .b "Don't know" .c "Multi-code" .e "Not applicable"
label var esatach "Sense of achievement"
label var esatini "Scope for initiative"
label var esatinf "Influence over job"
label var esattra "Training received"
label var esatdev "Opportunity to develop skills"
label var esatpay "Amouont of pay"
label var esatsec "Job security"
label var esatwrk "Work itself"
label var esatdec "Involvement in decision-making at workplace"
label values esatach esatini esatinf esattra esatdev esatpay esatsec esatwrk esatdec satis
fre esat*

* Any PBR
egen eanypbr=anymatch(eindpbr egrppbr ewpopbr),values(1)
label var eanypbr "Pay includes ind, grp or wpo payments-by-results"
replace eanypbr=.b if qe12mul1~=1&qe12mul2~=1&qe12mul3~=1&qe12mul4~=1&nyear==1
replace eanypbr=.a if qe12mul1==.a
replace eanypbr=.e if qe12mul1==.e|nyear==0
label val eanypbr yesno
fre eanypbr

* All 8 combinations of PBR
gen emixpbr=1 if eindpbr==0&egrppbr==0&ewpopbr==0
replace emixpbr=2 if eindpbr==1
replace emixpbr=3 if egrppbr==1
replace emixpbr=4 if ewpopbr==1
replace emixpbr=5 if eindpbr==1&egrppbr==1
replace emixpbr=6 if eindpbr==1&ewpopbr==1
replace emixpbr=7 if egrppbr==1&ewpopbr==1
replace emixpbr=8 if eindpbr==1&egrppbr==1&ewpopbr==1
label var emixpbr "Mix of PBR methods, individual worker"
replace emixpbr=.b if qe12mul1~=1&qe12mul2~=1&qe12mul3~=1&qe12mul4~=1&nyear==1
replace emixpbr=.a if qe12mul1==.a
replace emixpbr=.e if qe12mul1==.e|nyear==0
label define emixpbr 1 "No PBR" 2 "Only Ind PBR" 3 "Only Grp PBR" 4 "Only Wpo PBR" 5 "Ind + Grp PBR" 6 "Ind + Wpo PBR" 7 "Grp + Wpo PBR" 8 "All 3 PBR" .a "Refusal" .b "Don't know" .c "Multi-coded" .e "Item not applicable"
label val emixpbr emixpbr
fre emixpbr

*Recode manager behaviours 
recode qc2a (1/2=1)(3=2)(4/5=3)(.a=.a)(.b=.b)(.c=.c)(.e=.e), ge(epromise)
recode qc2b (1/2=1)(3=2)(4/5=3)(.a=.a)(.b=.b)(.c=.c)(.e=.e), ge(esincere)
recode qc2c (1/2=1)(3=2)(4/5=3)(.a=.a)(.b=.b)(.c=.c)(.e=.e), ge(ehonest)
recode qc2f (1/2=1)(3=2)(4/5=3)(.a=.a)(.b=.b)(.c=.c)(.e=.e), ge(efair)
lab var epromise "Managers can be relied upon to keep their promises" 
lab var esincere "Managers are sincere in attempting to understand employees views" 
lab var ehonest "Managers deal with employees honestly" 
lab var efair "Managers treat employees fairly"
lab val epromise esincere ehonest efair eagree3

*Derive binary measures of commitment
ta evalues, gen(eval)
ta eloyal, gen(eloy)
ta eproud, gen(eprou)

*More than half wf agreed or strongly agreed that they shared values in 2004 (evalhi)
bysort serno: egen t=mean(eval1)
gen evalhi=0 if t<=.5
replace evalhi=1 if t>.5 & t<.
lab var evalhi "More than half of wf share values of employer"
lab val evalhi yesno
drop t

*More than half wf agreed or strongly agreed that they felt loyal in 2004 (eloyhi)
bysort serno: egen t=mean(eloy1)
gen eloyhi=0 if t<=.5
replace eloyhi=1 if t>.5 & t<.
lab var eloyhi "More than half of wf fell loyal to employer"
lab val eloyhi yesno
drop t

*More than half wf agreed or strongly agreed that they felt proud of employer in 2004 (eloyhi)
bysort serno: egen t=mean(eprou1)
gen eprouhi=0 if t<=.5
replace eprouhi=1 if t>.5 & t<.
lab var eprouhi "More than half of wf proud of employer"
lab val eprouhi yesno
drop t

**Variables that copy MQ recession variables to all panel employees
*This will enable to look at employee averages across different recession effects
recode nrecimp .b .e=9, ge(tmp)
egen erecimp=max(tmp) if epqseqwt<., by(serno)
recode erecimp 9=.b
drop tmp
label var erecimp "Adverse impact of recession on 2004 panel employees"
label val erecimp nrecimp

recode numarec4 .b .e=9, ge(tmp)
egen enumrec4=max(tmp) if epqseqwt<., by(serno)
recode enumrec4 9=.b
drop tmp
label var enumrec4 "Number of actions in response to recession on 2004 panel employees"
label val enumrec4 enumchg


*Save version of dataset containing the derived variables
* First generate a final var which we can call in var lists, knowing it is the last of the SEQ derived vars on the file
gen byte nslast=1
label var nslast "Last SEQ derived variable on the data file"
quietly: compress
save "$path_derived\mq&seq_derived.dta", replace

erase "$path_derived\mq_derived.dta"

log close
