*This file derives the MQ variables (from 2004 and 2011)

*********************************
*Syntax produced by the 2011 WERS Research Team
*********************************
clear all
set more off

capture log close
log using "$path_log\mqsetup.log", replace

************************************************************************************************
*Notes
************************************************************************************************
*The syntax for a small number of variables has been starred out in this do file, where this requires data not included on the deposited dataset

************************************************************************************************
*Queries
************************************************************************************************
*LS - what are we going to do about whole set of edits that use nsic2003 (on nfsoc)??
*For now I have starred out both nfsoc and the edits for this reason
*But perhaps they could be included on SDS version?

************************************************************************************************
*Variables starred out for now - LS - think we can prob remove before finalise (i.e. these call on other vars we no longer have)
************************************************************************************************

*DV: whether any WRQ interview in 2004 (nwrq04ret) - MQ cases only JF
*DV: Fully detailed outcome code for 2011 refreshment productives (noutfull2011) JF
*DV: Fully detailed 2011 outcome code for 2004 cross-section (noutfull2004) JF
*DV: Summary 2011 outcome code for 2004 cross-section (8 categories) (noutsum2004) JF
*DV: Simple 2011 outcome code for 2004 cross-section (3 categories) (noutgrp2004) JF
*DV: Status in 2011 of all 2004 XS cases - used to identify 'leavers' inc closures (noutcom2004) JF
*DV: Estimated 2004 origin of 2011 pseudo XS cases - used to identify 'joiners' inc births (norigin2011) JF
*DV: Variable to identify continuing wps which are not in the panel (ncontin) HB
*DV: Workplace joined sample (new or into scope) since 2004 (njoiner) AB
*DV: Workplace left (closed or out of scope) by 2011 (nleaver) AB
*DV: Workplace in scope both years (nstayer) AB
*DV: Joiner, leaver, stayer status (njls) AB
*DV: Workplaces which were born between 2004 and 2011 (nbirth) HB
*DV: revision of NSICOD03 to deal with agriculture cases (nsic03) AB
*DV: Dummy variables for industry (nsic1-nsic12) HB *Now commented out, as using nsic03 instead of nsicod03*

************************************************************************************************
*Derived variables
************************************************************************************************
*Open dataset containing 2004 and 2011 MQ, WRQ and SEQs 
*Define labels 
*DV: MQ weight variables for all cases (nestwt, nempwt) BvW
*DV: Panel weights (npqestwt, npqempwt) HB JF
*DV: banded wp size (nallemp6) AB	//Note: this groups 100-499 whereas these have historically been split in WERS primary analysis
*DV: banded wp size (nallemp9) JF
*DV: whether wp is a single independent establishment (nsingle) AB
*DV: whether wp is a branch site, head office or single/sole UK (nbranch) JF
*DV: type of organisation to which wp belongs (nstatus5) JF
*DV: type of organisation to which wp belongs - splitting PLCs according to ALIST (nstatus6) JF
*DV: whether permission given to link data to other sources (nlinkdat) JF
*DV: whether SEQs placed at the workplace (nseqplace) JF
*DV: whether MQ interview took place on or off site (nmqloc) JF
*DV: type of MQ respondent (ntitle) JF
*DV: summary of MQ's subjective financial performance rating (nfperf1) JF
*DV: whether any SEQs returned in 2004 (nseq04ret) - MQ cases only JF
*DV: any union members at the workplace (nanymem) JF
*DV: union density (percentage) (nudenspc) JF
*DV: union density (banded) (nudens6, nudens3) JF
*DV: any flexi time for any employees (nflexi) JF
*DV: any redundancies in past 12 months (nanyred) JF
*DV: proportion of wf from ethnic minority group (nethprop, neprop) JF
*DV: proportion of wf female (nfemprop, nfprop) HB
*DV: whether % of wf female is greater than 50 per cent (nf50) HB
*DV: Proportion of workforce from EEA (neeaprop, neeaprb) LS
*DV: Proportion of workforce from outside EEA (noeaprop, noeaprb) LS
*DV: Any non-UK nationals at workplace (nanynouk) LS
*DV: Any non-UK nationals - by EEA and outside EEA (nnonuk) LS
*DV: Proportion of workforce who are non-UK nationals (EEA and outside EEA)(nnukprop, nnukprb) LS
*DV: Proportion of employees with long-term disability which affects the amount or type of work they can do (ndisab) LS
*DV: Proportion of employees with long-term disability, banded (ndisabb5, ndisabb4, ndisbd2) LS
*DV: Proportion of workplaces with any disabled employees (ndisany) LS
*DV: Any employees paid by PBR or merit pay (nmerpbr) AB
*DV: Any employees paid merit pay (nmerit) AB
*DV: Any employees paid by PBR (npbr) AB
*DV: Who is paid for performance (nperfwho) AB
*DV: Percentage of non-managerial employees in receipt of merit pay or PBR (npcperf) AB
*DV: Any employees paid PBR on individual performance (npbrind) AB
*DV: Any employees paid PBR on team performance (npbrteam) AB
*DV: Any employees paid PBR on workplace performance (npbrwp) AB
*DV: Any employees paid PBR on organizational performance (npbrorg) AB
*DV: Any employees paid PBR on other measures of performance (npbroth) AB
*DV: Any Profit-related Pay or Profit-related Bonuses (nprp) AB
*DV: Which employees participate in PRP scheme (nprpwho) AB
*DV: Percentage of non-managerial employees in receipt of PRP in last 12 months (npcprp) AB
*DV: Any share scheme for any employees (nshare) AB
*DV: Number of share schemes for any employees (nnshare) AB
*DV: Any Share Incentive Plan or SIP (nsip) AB
*DV: Any Save as You Earn SAYE or Sharesave (nsaye) AB
*DV: Any Enterprise Management Incentives or EMI (nemi) AB
*DV: Any Company Share Option Plan or CSOP (ncsop) AB
*DV: Any other employee share plan (nothsh) AB
*DV: Which employees eligible for share schemes (nshawho) AB
*DV: Percentage of non-managerial employees eligible for share plan (npcshar) AB
*DV: Frequency of pay review for LOG (nreview) AB
*DV: Outcome of LOG last pay review (nupdown) AB
*DV: Size of LOG pay award relative to management (nawardm) AB
*DV: Size of LOG pay award relative to other non-management (nawardnm) AB
*DV: LOG pay settlement influenced by changes in cost of living (nsetcost) AB
*DV: LOG pay settlement influenced by recruitment and retention (nsetrec) AB
*DV: LOG pay settlement influenced by financial performance (nsetperf) AB
*DV: LOG pay settlement influenced by productivity levels (nsetprod) AB
*DV: LOG pay settlement influenced by threat or actual industrial action (nsetinda) AB
*DV: LOG pay settlement influenced by national minimum wage (nsetnmw) AB // Note: only available in 2011
*DV: LOG pay settlement influenced by other factors (nsetoth) AB // Note: only available in 2011
*DV: Private sector dummy (nprivate) AB (and HB)
*DV: Broad sector (nsector3) AB (and HB) // Note: some DK's and agriculture/mining to be resolved by NatCen for final data so ignored in syntax
*DV: N total employees in occupational categories (noctot) AB
*DV: Sum of occupational totals as % of ZALLEMPS (npcdif) AB
*DV Any managerial employees (nanyman) AB
*DV Any professional employees (nanypro) AB
*DV Any associate professional employees (nanytec) AB
*DV Any admin and secretarial employees (nanyadm) AB
*DV Any skilled trades employees (nanyskl) AB
*DV Any personal service employees (nanyper) AB
*DV Any sales employees (nanysal) AB
*DV Any operative employees (nanyope) AB
*DV Any routine occupation employees (nanyrou) AB
*DV Total N occupations in workplace (noccs) AB
*DV: Whether there are collective disputes procedures (ngproced) BvW
*DV: Issues covered by collective disputes procedure (ngissue1, ngissue2, ngissue3, ngissue4) BvW
*DV: Bodies refered to in collective disputes procedure (ngbody1, ngbody2, ngbody3, ngbody4, ngbody5, ngbody6, ngbody7) BvW
*DV: Any strike action taken in 12 months (nstrike) (Nstract in 2004) BvW
*DV: Any non-stike action taken in the 12 months (nothact) BvW
*DV: Any action taken -  strike action only, non-strike industrial action only, both or neither (nindact) BvW
*DV: Any action threatened - strike action only, non-strike industrial action only, both or neither (nthreat) BvW
*DV: Any industrial action taken or threatened (naction) BvW
*DV: Rate of industrial action events per 100 employees (niaction) BvW
*DV: If any voluntary resignations (Nanyres) BvW
*DV: Rate of voluntary separations, no trimming (nresign2) BvW
*DV: Rate of redundancy, no trimming (nprored2) BvW
*DV: Type of sanction in last 12 months - from hsnact to make comparable to 2004 items (norwarn, nwarning, nsuspend, ndeduct, ndismiss, ntransf) BvW
*DV: Dismissals in past 12 months - any and rate (nanydism, nprodis2) BvW
*DV: ET claims in past year - any and rate per 1000 employees (nitclaim, nitrate2) BvW
*DV: Time spent on ER issues (nptime2) BvW
*DV: Recode bproport - Time spent by MQ respondent on ER issues (nptime2) BvW
*DV: Presence of 3 step grievance procedures (ngproc3c) BvW
*DV: Presence of 3 step disciplinary procedures (ndproc3c) BvW
*DV: Sanctions apllied to employees over the past 12 months - 6 items - any and rate (nsanc2, nprsanc2) BvW
*DV: Employees raised matter through grievance prodcedure in past 12 months - any and rate (nraised, ngrvrate) BvW
*DV: Incidence of joint consultative committees (njcc, ndmeet, ndmeet2, njccf, nanycom2) BvW
*DV: Government Regional Office (ngor) AB
*DV: Standard statistical region (nssr) AB
*DV: Age of establishment (inc previous addresses) (nage1, nage2, nage3) BvW
*DV: Low paid (nnmwprop, nnmwprob) SF
*DV: Training - Proportion of experienced largest occupation group who had off the job training in past 12 months (noffjobn noffjobb noffjobb) SF
*DV: Health and Safety - Arrangements for consulting over health and safety (nhealth1) SF
*DV: Total number of employees within the organisation in the UK (norgsize, norgsiz2)BvW
*DV: Flags to identify wps where org size imputed from IDBR (norgs_flg, norgs2_flg) LS
*DV: 10,000 or more employees within organisation (norg10k) LS
*DV: 5000 or more employees within organisation (norg5k) LS
*DV: Small, medium, large private enterprise and public sector (nsme1, nsme2) BvW
*DV: Equality and Diversity - Presence of a written equality opportunity policy (nipolicy) SF
*DV: Equality and Diversity - Monitoring of recruitment/selection by protected characteristics (niprac11 niprac12 niprac13 niprac14 niprac15 niprac16) SF
*DV: Equality and Diversity - Review of recruitment/selection procedures for indirect disctimination by protected characteristics  (niprac21 niprac22 niprac23 niprac24 niprac25 niprac26) SF
*DV: Equality and Diversity - Monitoring of promotion by protected characteristics (niprac31 niprac32 niprac33 niprac34 niprac35 niprac36) SF
*DV: Equality and Diversity - Review of promotion procedures for indirect discrimination by various protected characteristics (niprac41 niprac42 niprac43 niprac44 niprac45 niprac46) SF
*DV: Equality and Diversity - Review relative pay rates by protected characteristics (niprac51 niprac52 niprac53 niprac54 niprac55 niprac56) SF
*DV: Percentage of workforce part-time (nprtprop) HB
*DV: Proportion of workforce part-time (nptprop) HB
*DV: Any part-time employees (npartany) HB
*DV: Whether any threat for industrial action (strike or other) made(nanythrt) BvW
*DV: Proportion of eligible employees who voted in last ballot for industrial action - banded (nvoted) BvW
*DV: Proportion of employees who have raised an individual grievance through procedure in last 12 months (npraised) BvW
*DV: Percentage of employees on temporary or fixed-term contracts (nfixpc) HB
*DV: Any employees on fixed-term contracts (nfixterm) HB
*DV: Temporary agency workers as percentage of the workforce (ntemp) HB
*DV: Any staff on temporary agency contracts (ntempany) HB
*DV: Adverse impact of recession (nadverse) HB
*DV: Workplace weaker as result of recession (nweaker) HB
*DV: Proportion of managerial and nonmanagerial employees who have an hours opt-out agreement (noptoutm, noptoutnm, noptmb, noptnmb) BvW
*DV: Combined var of managerial and non-managerial employees who have an hours opt-out agreement (noptemp) BvW
*DV: Adverse impact of recession on 2004 panel wps - all 5 categories of LRECIMP (nrecimp) HB
*DV: Weaker as result of recession for 2004 panel wps (nrecexp) HB
*DV: Adverse impact of recession on 2004 panel wps - binary (nadversp) HB
*DV: Weaker as result of recession for 2004 panel wps - binary (nweakerp) HB
*DV: Shift working for any employees (njtime1) HB
*DV: Annualised hours for any employees (njtime2) HB
*DV: Zero hours contracts for any employees (njtime3) HB
*DV: Largest non-managerial occupational group as a proportion of the workforce (nlogprop and nlogprob) SF

*DV: Number of unions with members at the workplace, including zeros (nunionuma, nunuma6) JF	
*DV: Union recognition - focusing only on unions with members at the workplace (nrecoga) [was nrecog in 2004] JF
*DV: Dummy to indicate recognition of unions with members at the workplace (nanyreca) [was nrecog1 in 2004] JF
*DV: Union membership density >=50% but no recognition (n50norec) JF
*DV: Number of unions at the workplace, including those without members (nunionumb, nunumb6) JF
*DV: Union recognition - including unions without members at the workplace (nrecogb) [was nrecog2 in 2004] JF
*DV: Dummy to indicate recognition of any union (nanyrecb) [was nrecog3 in 2004] JF
*DV: Edited recognition variables for 2004 (xrecog, xrecog1, xrecog2, xrecog3) - matched on, not derived JF

*DV: Actions taken in response to recession (nreact1-nreact16) HB
*DV: Activities carried out by contractors (nnonem1-nnonem12) HB
*DV: Temporary agency workers doing work previously done by permanent employees (nemptem) HB
*DV: Reasons for use of temporary agency workers - coding to zero if no temps (nwhyt1-nwhyt7) HB
*DV: Contractors have replaced employees in past 5 years (nyr5emp) - coding wps which have no contractors or are less than 5 years old to zero (nyr5emp) HB
*DV: Reasons for contracting out work previously done by employees - coding to zero if no activities previously in-house contracted out (nwhyout1-nwhyout6) HB
*DV: Equality and Diversity - dummy variable for presence of a written equality opportunity policy (nanypol) AB
*DV: edited pay determination method by occupation (nfsoc1...nfsoc9) AB
*DV: edited pay determination method by occupation, inc extra 2011 edits (nfxsoc1...nfxsoc9) AB
*DV: N occs with pay set by Independent Pay Review Body (niprb) AB
*DV: N occs with pay set by Independent Pay Review Body, with 2011 researcher edits (nxiprb) AB
*DV: union involved in negotiating LOG last pay settlement (nlogneg) AB
*DV: pay method for LOG from NFSOC (nlfsoc) AB
*DV: pay method for LOG from NFXSOC (nlfxsoc) AB
*DV: N occupations for which NFSOC missing (nmsfsoc) AB
*DV: N occupations for which NFXSOC missing (nmsfxsoc) AB
*DV: Any collective bargaining, NFSOC only no LOG adjustment (nfanycb) AB [NCOVDUM in 2004]
*DV: Any collective bargaining, NFXSOC only no LOG adjustment (nfxanycb) AB
*DV: N occupations covered by col barg, NFSOC no LOG adjustment (nfsoccb) AB
*DV: N occupations covered by col barg, NFXSOC no LOG adjustment (nfxsoccb) AB
*DV: N employees covered by col barg, NFSOC only no LOG adjustment (nfsocov) AB [NCOVTOT2 in 2004]
*DV: N employees covered by col barg, NFXSOC only no LOG adjustment (nfxsocov) AB
*DV: % ZALLEMPS covered by col barg, NFSOC only no LOG adjustment (nfpccov) AB [NCOVPC2 in 2004]
*DV: categorical % employees covered by col barg,  NFSOC only no LOG adjustment (ncovcat1) AB [NCOVPC27 in 2004]
*DV: % ZALLEMPS covered by col barg, NFXSOC only no LOG adjustment (nfxpccov) AB
*DV: categorical % employees covered by col barg, NFXSOC only no LOG adjustment (ncovcat2) AB
*DV: N employees covered by col barg, NFSOC with LOG adjustment (nlfsocov) AB
*DV: N employees covered by col barg, NFXSOC with LOG adjustment (nlfxscov) AB
*DV: % ZALLEMPS covered by col barg, NFSOC with LOG adjustment (nlfpccov) AB
*DV: categorical % employees covered by col barg,  NFSOC with LOG adjustment (ncovcat3) AB [NCOVPC7 in 2004]
*DV: % ZALLEMPS covered by col barg, NFXSOC with LOG adjustment (nlfxpcov) AB
*DV: categorical % employees covered by col barg,  NFXSOC with LOG adjustment (ncovcat4) AB
*DV: banded % employees covered by CB, FCOVER recode (nfcover) AB
*DV: management normally negotiates with unions over pay (npayneg) AB
*DV: mid points in % employees covered by CB from NFCOVER (nfcov) AB
*DV: employees covered by CB, max using NFSOC LOG and NFCOVER adjustments (nfcovpc) AB
*DV: categorical % employees covered by col barg, NFSOC with LOG and NFCOVER adjustments (ncovcat5) AB
*DV: N occs with multi-employer CB, from NFSOC (ncbmult) AB
*DV: N occs with org-level CB, from NFSOC (ncborg) AB
*DV: N occs with workplace-level CB, from NFSOC (ncbwp) AB
*DV: N occs with management set pay at org-level, from NFSOC (nmanorg) AB
*DV: N occs with managment set pay at workplace-level, from NFSOC (nmanwp) AB
*DV: N occs with individual negotiations over pay, from NFSOC (nindneg) AB
*DV: N occs with other pay determination methods, from NFSOC (nothpay) AB
*DV: N types of pay determination for all occupations in the workplace, from NFSOC (npaydet) AB
*DV: Most distant level of pay decision making (npaylev) AB
*DV: Proportion of employees aged 16 or 17 (nage1617) AB
*DV: Proportion of employees aged 18 to 21 (nage1821) AB
*DV: Proportion of employees aged 50 or more (nage50p) AB
*DV: Proportion of employees aged 22-49 years (nage2249) AB
*DV: Proportion of employees accounted for by proportion in age bands (nallage) AB
*DV: Proportion of employees aged 50 or more, 6 bands (nage50b) AB
*DV: Proportion of employees aged 16 to 21 (nage1621) LS
*DV: Proportion of employees aged 16 to 21 - banded (nage21b) LS
*DV: Any employees aged 16 to 21 (nany1621) LS
*DV: Dummy variables for employment size (nemp1-nemp6) HB
*DV: Dummy variables for SMEs (nsmed1-nsmed4) HB
*DV: Dummy variables for sector (nsec1-nsec3) HB

*DV: Activities now in-house carried out by contractors 5 year previously (nconin1-nconin12) HB
*DV: Reasons for contracting in work previously done by contractors - coding to zero if no activities previously contracted out (nwhyin1-nwhyin5) HB
*DV: Equal opportunities policy which mentions no grounds (neqpol0) AB
*DV: Equal opportunities policy which mentions sex/gender (neqpol1) AB
*DV: Equal opportunities policy mentions ethnicity (neqpol2) AB
*DV: Equal opportunities policy mentions religion/belief (neqpol3) AB
*DV: Equal opportunities policy mentions marital status (neqpol4) AB
*DV: Equal opportunities policy mentions disability (neqpol5) AB
*DV: Equal opportunities policy mentions age (neqpol6) AB
*DV: Equal opportunities policy mentions sexual orientation (neqpol7) AB
*DV: Equal opportunities policy mentions trade union membership (neqpol8) AB
*DV: Equal opportunities policy mentions other types of discrimination (neqpol9) AB
*DV: Equal ops and diversity is part of HR job (njobeqop) AB
*DV: Workplace covered by formal strategic plan (nstrateg) AB
*DV: Stregetic plan covering employee diversity (nstrdiv) AB
*DV: Workplace has strategic plan covering employee diversity, dummy variable (ndivstra) AB
*DV: Procedures to encourage job apps, women and women returners (nspecwom) AB
*DV: Procedures to encourage job apps, minority ethnic groups (nspeceth) AB
*DV: Procedures to encourage job apps, older workers (nspecold) AB
*DV: Procedures to encourage job apps, disabled (nspecdis) AB
*DV: Procedures to encourage job apps, gay lesbian transgender (nspecglt) AB [2011 only]
*DV: Age is a factor in recruiting new employees (nagerec) AB
*DV: Formal assessment of workplace disabled access (nassess) AB
*DV: Presence of recognised union or JCC at workplace (nrepinst) BvW
*DV: Whether JCC has union reps on it (njccu) BvW
*DV: Presence of union representatives (nanyurep, nrecurep, nonsurep, ntoturep, nrepspm) BvW
*DV: N grounds mentioned in written equal ops policy (neqpols) AB
*DV: N grounds on which monitor recruitment and selection (nmonrec) AB [run on subset of grounds appearing in 2004 and 2011]
*DV: N grounds on which reviews recruitment and selection procedures (nrevrec) AB [run on subset of grounds appearing in 2004 and 2011]
*DV: N grounds on which monitors promotions (nmonpro) AB [run on subset of grounds appearing in 2004 and 2011]
*DV: N grounds on which reviews promotion procedures (nrevpro) AB [run on subset of grounds appearing in 2004 and 2011]
*DV: N grounds on which reviews relative pay (nrevpay) AB [run on subset of grounds appearing in 2004 and 2011]
*DV: Year of panel data (npandata) SF 
*DV: H&S - log transformation of rating of H&S risk (nlogrisk) SF
*DV: H&S - log transformation of rating of control of H&S risk (nlogcont) SF
*DV: Training - Classification of workplaces by whether a high, med or low proportion of the largest occupational group received off the job training (noffjob1) SF
*DV: Any occs with multi-employer CB, from NFSOC (necbmult) AB
*DV: Any occs with org-level CB, from NFSOC (necborg) AB
*DV: Any occs with wp-level CB, from NFSOC (necbwp) AB
*DV: Any occs with management set pay at org-level, from NFSOC (nemanorg) AB
*DV: Any occs with management set pay at wp-level, from NFSOC (nemanwp) AB
*DV: Any occs with individual negs over pay, from NFSOC (nindneg) AB
*DV: Any occs with pay set by Independent Pay Review Body, with backcode (neiprb) AB
*DV: Any occs with missing pay determination methods, from NFSOC (nemsfsoc) AB
*DV: More than one pay determination method (nmixpay) AB
*DV: Single pay determination method at workplace (nonepay) AB
*DV: All occupations covered by collective bargaining, NFSOC no LOG adjustment (nfallcb) AB
*DV: No occupations covered by collective bargaining, NFSOC no LOG adjustment (nnocb) AB
*DV: Multi-employer CB is only pay method (nonlycbm) AB
*DV: Organization level CB is only pay method (nonlycbo) AB
*DV: Workplace level CB is only pay method (nonlycbw) AB
*DV: Org level management is only pay method (nonlyorg) AB
*DV: Wp level management is only pay method (nonlywp) AB
*DV: Individual negotiations is only pay method (nonlyind) AB
*DV: Indep PRB is only pay method (nonlyprb) AB
*DV: Number of external bodies that the collective disputes procedure refers to (nmultref) BvW
*DV: Work-life balance - dummy variables on the following arrangments: 
*    working from home, flexi time, job sharing scheme, reduction in work hours, compressed hours, change set working hours, term time working 
*    (nffhome nffflexi nffflex1 nffjshar nffredhr nffredh1 nffcompr nffshift nffterm nnoflex) SF
*DV: Work-life balance - dummy variables on the following support for carers: 
*    workplace nursery, financial help with childcare, financial help with care for older adults, leave to care for an older adult, paid parental leave in addition to maternity and paternity leave and emergency care, emergency care
*    (nnursery, nccsubsi, noldcare, ncarelea, naddleav, nemcare)SF
*DV: Maternity and Patenity Pay (nmatpay npatpay) SF
*DV: Derive dummy variables for use of working-time opt-out for non-managerial employees (nopt1-nopt3) HB
*DV: Public/private sector status by year (nyrsec) AB
*DV: LOG pay settlement 2011 influenced by changes in cost of living (nstcost) AB
*DV: LOG pay settlement 2011 influenced by recruitment and retention (nstrec) AB
*DV: LOG pay settlement 2011 influenced by financial performance (nstperf) AB
*DV: LOG pay settlement 2011 influenced by productivity levels (nstprod) AB
*DV: LOG pay settlement 2011 influenced by industrial action (nstinda) AB
*DV: LOG pay settlement 2011 influenced by national minimum wage (nstnmw) AB
*DV: LOG pay settlement 2011 influenced by national agreement (nstnag) AB
*DV: LOG pay settlement 2011 influenced by reduction in funding (nstfun) AB
*DV: LOG pay settlement 2011 influenced by other factors (nstoth) AB
*DV: Pay review at least annual (nregrev) AB
*DV: Management normally negotiates with unions over hours of work (nhrsneg) AB
*DV: Management normally negotiates with unions over holiday entitlements (nholneg) AB
*DV: Management normally negotiates with unions over pension entitlements (npenneg) AB
*DV: Management normally negotiates with unions over training (ntraneg) AB
*DV: Management normally negotiates with unions over grievance procedures (ngrineg) AB
*DV: Management normally negotiates with unions over health and safety (nhthneg) AB
*DV: What management normally does with unions over pay (npayuni) AB
*DV: What Management normally does with unions over hours of work (nhrsuni) AB
*DV: What management normally does with unions over holiday entitlements (nholuni) AB
*DV: What management normally does with unions over pension entitlements (npenuni) AB
*DV: What management normally does with unions over training (ntrauni) AB
*DV: What management normally does with unions over health and safety (nhthuni) AB
*DV: Missings on union joint reg variables (nnegms) AB
*DV: N items employer normally negotiates with union (nnegs) AB
*DV: What management normally does with unions over grievance procedures (ngriuni) AB 
*DV: Missings on pay settlement influences (nsetms) AB
*DV: N influences on LOG pay settlement (nsetinfs) AB
*DV: Missings on 2011 pay settlement influences (nstms) AB
*DV: N influences on 2011 LOG pay settlement (nstinf) AB
*DV: N incentive schemes at workplace (nincent) AB
*DV: N incentive schemes at workplace, categorical (nincents) AB
*DV: Who has performance formally appraised (nappwho) AB
*DV: Percent of non-managerials with performance formally appraised (npcapp) AB
*DV: Any non-managerial employees' pay is linked to outcome of performance appraisal (npayapp) AB

*DV: Employees at the establishment, 3 bands (nallemp3) SF
*DV: Number of days largerst occupational group spent on training (nctrain) SF
*DV: Extent workplace affected by the recession, grouped (nrecimp1) SF
*DV: Rating combining H&S risks with control over the risks (niwrkris niwrkcon nhsrate) SF
*DV: Whether establishment has changed name in past 2 years (nchgname) LS
*DV: Whether establishment has changed address in past 2 years (nchgadd) LS
*DV: Establishment has changed activity in past 2 years (nchgact) LS
*DV: Agreed takeover/merger in past 2 years (nchgagmg) LS
*DV: Takeover/merger formally opposed in past 2 years (nchgopmg) LS
*DV: Sold by parent organisation in past 2 years (nchgsold) LS
*DV: Ex-public sector, now privatised/denationalised in past 2 years (nchgpriv) LS
*DV: Management buy-out in past 2 years (nchgmout) LS
*DV: Buy-out by employees generally in past 2 years (nchgeout) LS
*DV: Establishment split from another workplace in its organisation in past 2 years (nsplit) LS
*DV: Establishment merged with another in its organisation in past 2 years (nmerge) LS
*DV: AHOWCH - none of specified changes in past 2 years (nchgnone) LS
*DV: Government acquired share in operation in past 2 years -2011 only(nchggov) LS
*DV: Acquisition by venture capital/private equity - 2011 only(nchgvent) LS
*DV: Establishment has changed ownership in past 2 years (nchgown) LS
*DV: Establishment has changed ownership in past 2 years - includes employee buyout (nchgown2) LS
*DV: Establishment has changed ownership in past 2 years - includes new 2011 codes(nchgown3) LS
*DV: Merger or takeover in past 2 years - agreed and opposed (nanymg) LS
*DV: Number of responses at AHOWCH/AHOWCX (nnumchg) LS
*DV: Number of employees in 2004 for all panel cases (nall2004) HB
*DV: Number of employees in 2011 for all panel cases (nall2011) HB
*DV: Employment change in panel workplaces (nsizedif) HB
*DV: Classifying panel wps as growing, stable or shrinking by more than 20% (ngrow) HB
*DV: Classifying panel wps as growing, stable or shrinking, by more than 50% (ngrow2) HB
*DV: Reasons constraining provision of flexible working arrangements (nflexco1-nflexco7) HB
*DV: EPQ wage dispersion (npcwag1 npcwag2 npcwag3 npcwag4 npcwag5 npcwag6) AB
*DV: Proportion of employees earning under £5.94 per hour - banded (npcwag1b) LS
*DV: Proportion of employees earning under £5.94 per hour - alternative bands (npcwag1d) LS
*DV: Proportion of employees earning £18.01 or more per hour - banded (npcwag6d)
*DV: Dummy variables to indicate where at least 25% workforce in lowest and highest pay bands (n25lowp, n25highp) LS
*DV: Whether any grievances raised whether through a procedure or not (nanygrv) BvW
*DV: ER climate: managers and employees (nrelate, erelate) BvW
*DV: Trimmed absence rate (nabsence) BvW
*DV: Whether wp male or female dominated (nfdom) HB
*DV: Whether wp female-dominated (nfdom2) HB
*DV: Manager agrees or strongly agrees up to individual to balance work and family responsibilities (nphras04) HB
*DV: Whether contractors were former employees (npreemp) HB
*DV: Reasons for using fixed-term contracts (nwhyf1-nwhyf9) HB
*DV: % growth for 2004-2011 panel workplaces (npcgr04) HB
*DV: Annual growth rate in panel wps (npcgr04) HB
*DV: Collapse rating of whether manager agrees that discuss with emps before making changes (ndiscuss) JF
*DV: SA/Agree rating of whether manager agrees that discuss with emps before making changes (ndiscuss2) JF
*DV: Policy of guaranteed job security or no-compulsory redundancies for any staff (njobsec) JF
*DV: Experience of redundancies in past year (nredund) JF
*DV: Any consultation over redundancies made in past year / propposals withdrawn in past year (nredcon) JF
*DV: Any consultation over redundancies with reps (nrconrep) JF
*DV: Redundancy consulation changed N redundancies or found alternatives (2011 only) (nrchgnum) JF 
*DV: Redundancy consulation changed way employees were prepared for redundancy (2011 only) (nrprep) JF
*DV: Redundancy consulation changed strategies for redeployment (2011 only) (nrredep) JF
*DV: Redundancy consulation changed redundancy payments (2011 only) (nrpay) JF
*DV: Redundancy consulation changed criteria for selection (2011 only) (nrcrit) JF
*DV: Types of workplace change in past 2 years (nnewprp, nnewtech, nnewhours, nneworgn, nnewproc, nnewei, nnewprod, newnone) JF
*DV: Any consultation or negotiation (through any route) over most important workplace change in last 2 years (nnewncon) JF (AB altered label to reflect this on 14/3/13)
*DV: Any negotiation (through any route) over most important workplace change in last 2 years (nnewneg) JF
*DV: Any consultation (through any route) over most important workplace change in last 2 years (nnewcon) JF
*DV: Specialist vs generalist HR managers on basis of either time or title (nhrspec) JF .
*DV: Any union / non-union representative structures (nanyer1) JF
*DV: Union / non-union reps on site (nanyer2) JF
*DV: Private or public sector (nmqpri nmqpub npripub) SF
*DV: Managers' attitudes towards work life balance (nffatt) SF
*DV: Number of days largest occupational group spent on training(nctrain1) SF
*DV: Cut training in response to recession and impact of recession (nkeptran) SF
*DV: Managers' perception of Health and Safety risks and contol (nhsrisgp nhscongp) SF
*DV: Overlap between JCC and H&S Committee (njcchs) SF
*DV: Health and Safety training among employees in the largest occupational group (nhstrain) SF
*DV: Whether health and safety is one of the three most often discussed issues at all staff meetings (nhsmeet) SF
*DV: Whether health and safety is one of the three most often discussed issues at team briefings (nhsbrief) SF
*DV: Foreign owned (51%+) (nforeign) AB
*DV: Family owned (50%+) (nfamily) AB
*DV: Any union recognition (nanyrec) AB
*DV: N competitors for main product or service (ncompet) AB
*DV: Location of market for main product or service (ndegree) AB
*DV: Degree of market competition (ndegree) AB
*DV: Competition from overseas suppliers (novrsea) AB
*DV: company's UK market share (npctshar) AB
*DV: state of the market (nstamar) AB
*DV: labour costs as proportion of sales (nprosal) AB
*DV: demand depends on price (nprice) AB
*DV: demand depends on quality (nqual) AB
*DV: Methods of communication and consultation (notice, nsuggest, ncascade, newslet, nemail, nintra) BvW 

*DV: Categorical workplace collective bargaining coverage, 3-category (ncovca1 ncovca2 ncovca3 ncovca4 ncovca5) AB
*DV: N core items employer normally negotiates with union (ncoreneg) AB
*DV: Any occs with management set pay at wp or org-level, from NFSOC (nemanwpo) AB
*DV: Number of recognised unions with members at the workplace (ntotrec) JF
*DV: Adverse impact of recession on 2004 panel wps - grouped version of LRECIMP (nrecimp3) JF
*DV: Whether there was an MQ interviewee at the sampled workplace (like nmqloc but includes interviews done at MQ's home) JF

*DV: Workplace new over period from 1998 to 2004 (nnew) HB
*DV: Workplace closed between 2004 and 2011 (nclose) HB
*DV: Dummies for industry standard breaks (nsic1-nsic12) HB

*DV: Proportion of employees at wp 1 year before 2011 interview who were still there a year later (nprem) HB
*DV: Proportion of workplaces where the number of employees in 2004 was unknown (nemp6dk) HB
*DV: Whether panel wps shrank between 2004 and 2011 (nshrink) HB
*DV: Whether panel wps grew between 2004 and 2011 (ngrow20) HB
*DV: Reasons for making redundancies in the past year (nredrea1-nredrea11) HB
*DV: Combinations of voluntary and compulsory redundancies (nredtyp) HB
*DV: Coverage of job security guarantees (njscover) HB
*DV: Proportion of workplaces with some type of numerical flexibility, other than part-time (nflex1) HB
*DV: Any employees formally trained to do a job other than their own (nothjob) HB
*DV: Any employees who do jobs other than their own at least once a week (nothdo) HB
*DV: Number of flexible working arrangements across wps (nflex) HB
*DV: 2 or more types of numerical flexibility (nflex2p) HB
*DV: Percentage of employees from each occ (nprman, nprpro, nprtec, npradm, nprskl, nprper, nprsal, nprope, nprrou) HB
*DV: Public sector (npublic) AB
*DV: if any employees covered by col barg, NFSOC with LOG and NFCOVER adjustments (nanycov) AB
*DV: LOG pay settlement was freeze or cut (ndecfrez) AB
*DV: N items employer normally neither negotiates, consults or informs with union (nnoth) AB 
*DV: N items employer normally consults with or informs union (nconinf) AB
*DV: N items employer normally negotiates with union, categorical (nnegcat) AB
*DV: fringe benefits for LOG (npension ncar nhinsur nholiday nsickpay) AB
*DV: LOG entitled to none of 5 fringe benefits (nnofring) AB
*DV: N non-pay terms and conditions for LOG (nnfring) AB
*DV: N non-pay t&c for LOG exc hols (nnfring2) AB
*DV: fringe benefits for managers (nmanpen nmancar nmanins nmanhol nmanspay) AB
*DV: Managers entitled to none of 5 fringe benefits (nmannofr) AB
*DV: N non-pay terms and conditions for managers (nnmanfr) AB
*DV: N non-pay t&c for LOG exc hols (nnmanfr2) AB
*DV: Managers trust in union and non-union reps - 3 bands (nutrus, nnutrus) BvW
*DV: What managers  do (e.g. neg, cons, etc) over disciplinary and grievance procedures (ngrvdisa, ngrvdisb) BvW
*DV: Type of grievance raised in the past year (ngpay, ngpromo, nghs, ngtime, ngdiscr, ngunfair, ngbully, ngredun) BvW - amendeded 4 June 2013
*DV: Proportion of workforce that are managerial employees(nmgrprop) BvW
*DV: Proportion of managerial employees that are females (nfmprop) BvW
*DV: Proportion of managerial employees that are females - 5 bands (nfmprop5) BvW
*DV: Number of actions taken in response to the recession (numarec) BvW
*DV: Dummies for competing on quality (nqual1-nqual6) HB
*DV: Dummies for degree of competition (ncomp1-ncomp4) HB
*DV: Redundancy consultation resulted in no changes in 2011 (nrnone) HB
*DV: Whether union rep involved in redundancy consultations according to management respondent (nwhocon1) HB
*DV: Relations between management and employees v/good (nrelat2) HB
*DV: Change in climate (nclimch) HB
*DV: Change in climate - any movemement up or down the scale (nclimch2) HB
*DV: Representative structures in 2004 and 2011 (nanyer04) HB
*DV: On-site reps in 2004 and 2011 (nanyer204) HB
*DV: Whether ballot for IA in 12 months before interview (nballot) HB
*DV: Summary of MQ's subjective workplace performance rating (nfperf2) HB
*DV: Recode number of products to dummy (nproser) HB
*DV: Presence of employee representation covering the workplace (nanyer3) (JF)
*DV: Any workforce meetings with 25%+ time for questions/feedback (nmeet1) (JF)
*DV: Any team briefings with 25%+ time for questions/feedback (nbrief1) (JF)
*DV: Any meetings or briefings with 25%+ time for questions/feedback (nanymeet1) (JF)
*DV: Summary variable to indicate presence of representative, direct or no voice (nrepdir1) JF
*DV: Number of different types of disciplinary sanctions applied in last year (nsancnum) BvW
*DV: Reasons for taking disciplinary action in 2011 (ndtime, ndperf, ndiob, nmisuse, ndsafety, nviolen, nalcpro) BvW
*DV: employment weights for one year ago both cross-section and panel(nempwt1y, npemwt1y) BvW
*Recession resulted in cut to basic hours for 2004 panel observation (nreact7p) HB
*Recession resulted in unpaid leave for 2004 panel observation (nreact9p) HB
*Recession resulted in reduced agency/temp workers for 2004 panel observation (nreact10p) HB
*Recession resulted in increased agency/temp workers for 2004 panel observation (nreact11p) HB
*Recession resulted in changed work organisation for 2004 panel observation (nreact13p) HB
*Recession resulted in no action affecting wf (nreact15p) HB
*Private sector, trading externally (ntrade) HB *COMMENTED OUT BY JF 4TH JUN 13 - FAULTY*
*Higher or lower skilled occupation (nskill) HB
*More than half the workforce highly skilled (nhskill) HB
*Targets that the workplace has in place for performance, costs, job sat etc (ntarg#) (JF)
*Total number of targets that the workplace has in place (out of possible 11) (ntargnum) (JF)
*Workplace ER manager is female (nhrfem) (JF)
*Alternative branch site identifier (branch of multi, or soleUK) - used as filter for BCONSULT (nbranch2) (JF)
*Items that branch sites don't need to consult over (nbc1-nbc14) (JF)
*count of N items that branch sites don' tneed to consult over (nbcnum) (JF)
*ER items covered in strategic plan - oberved for all w/ps, whether any strategic plan or not (nbstrat#) (JF)
*Are any onsite union reps ULRS? (based on MQ report) (nulr) (JF)
*Alternative means of identifying JCCs which splits single and multi as per routing of questionnaire (njcc2) (JF)
*Trading workplaces (trading sector and sell good/services) - filter for kmarket etc (ntrade2) (JF)
*Private sector trading workplaces (ntrade3) (JF)
*Set up dummy variable for any freelancers (nfree) HB
*Set up dummy variable for any homeworkers (nhome) HB
*Presence of employee representation at the workplace (nanyer4) (JF)
*Summary variable to indicate presence of on-site representative voice, direct voice or no voice (nrepdir2) JF
*Panel workplaces that were private trading sector (ntrade3==1) in both 2004 and 2011 (ntrade3p) (JF)
*Dummy for overseas competition - none v. a little/lot (novers1-novers3) HB
*Derive categorical variable for union density suitable for public sector analysis (nudens4) HB

*Save version of dataset containing the MQ derived variables

**************************************************************

use "$path_derived\mq&wrq&seq_2004&2011.dta", clear


**************************************************
*Define labels
***************************************************
/*Missing values
.a "Refusal"
.b "Don't know"
.c Multicoded
.d Schedule not applicable 
.e Item not applicable
.f Don't know or not answered
.g Refused or multi-coded
.h Refused, don't know or multicoded
.i Refusal, don't know, not applicable, multicoded
.j Negative
.k None
.l Don't know or item not applicable
.m Refused or item not applicable
.n occupational mismatch
*/

*Generic labels
lab define nyesno 1 "Yes" 0 "No" .a "Refusal" .b "Don't know" .e "Item not applicable" .f "Don't know or not answered"
lab define nitem .a "Refusal" .b "Don't know" .e "Item not applicable" .f "Don't know or not answered"
lab define nocc 1 "Managers, Directors and Senior Officials" 2	"Professional Occupations"	3	"Associate Professional and Technical Occupations"	4	"Administrative and Secretarial Occupations" 5	"Skilled Trades"	6	"Caring, Leisure and Other Service Occupations"7	"Sales and Customer Service Occupations"	8	"Process, Plant and Machine Operatives"	9	"Elementary Occupations" .e "Item not applicable"
lab define nfprop	1	"<=10%" 2	">10% <=25%" 3 ">25% <=50%" 4 ">50% <=75%" 5 ">75% <=90%" 6 ">90%" .b "Don't know" .e "Item not applicable"
lab define nuprop	1 "None" 2	"1-24%" 3 "25-49%" 4 "50-74%" 5 "75-99%" 6 "100%" .b "Don't know" .e "Item not applicable"
label define nwho 1 "Managers and Senior Officials only" 2 "Non-managerial employees only" 3 "Both managerial and non-managerial employees" 4 "Neither" .a "Refusal" .b "Don't know" .e "Item not applicable"
lab define pcband 1 "100%" 2 "80-99%" 3 "60-79%" 4 "40-59%" 5 "20-39%" 6 "1-19%" 7 "None" .a "Refusal" .b "Don't know" .e "Item not applicable" .n "NPCDIF <90|>110"
label define yesnor 1 "Yes" 0 "No" 9 "Missing"
lab define nitem2 9 "Missing"

***************************************************
* Weights
***************************************************

* Derive MQ weight variables for all cases (nestwt, nempwt)
gen nestwt=estwtnrc_apr13
replace nestwt=estwtnr_apr13 if nyear==0
replace nestwt=. if nmq==0
label var nestwt "Establishment weight for Combined-XS MQs"

gen nempwt=empwtnrc_apr13
replace nempwt=empwtnr_apr13 if nyear==0
replace nempwt=. if nmq==0
label var nempwt "Employment weight for Combined-XS MQs"

*Panel weights (npqestwt, npqempwt)
* This is already present on 2004 and 2011 obs and has same name, so simple
gen npqestwt=pqwtnr_apr13
replace npqestwt=. if npanel==0
lab var npqestwt "Establishment weights for panel MQs"

gen npqempwt=pqempwtnr_apr13
replace npqempwt=. if npanel==0
lab var npqempwt "Employment weights for panel MQs"

su n*wt*


********************************
* Structural workplace variables
********************************

* Total employees at the establishment
su zallemps

recode zallemps (5/9=1 "5-9") (10/19=2 "10-19") (20/49=3 "20-49") (50/99=4 "50-99") (100/499=5 "100-499") (500/max=6 "500+") (.e=.e "Item not applicable"),ge(nallemp6)
label var nallemp6 "Total N employees, 6 categories"
ta nallemp6

recode zallemps (5/9=1 "5-9") (10/24=2 "10-24") (25/49=3 "25-49") (50/99=4 "50-99") (100/199=5 "100-199") (200/499=6 "200-499") (500/999=7 "500-999") (1000/1999=8 "1000-1999") (2000/max=9 "2000+") (.e=.e "Item not applicable"),ge(nallemp9)
label var nallemp9 "Total N employees, 9 categories"
ta nallemp9 nyear, mi

* Single establishment
recode asingle (2=1 "Yes") (.e=.e "Item not applicable") (else=0 "No"),ge(nsingle)
label var nsingle "If single indep establishment"
ta nsingle

* Branch site, head office or single/soleUK
recode asingle (1=1 "Branch site") (2 3=3 "Single site/sole UK") (.e=.e "Item not applicable"), ge(nbranch)
recode nbranch (1=2) if aconhead==1
label define nbranch 2 "Head office", add
label var nbranch "Whether branch site, head office or single/sole UK"
ta nbranch nyear, mi

* Legal status of organisation to which workplace belongs
recode astatus1 (1=1 "PLC") (2=2 "Private limited company") (3/8=3 "Other trading sector") (12=4 "Local/central govt") (9/11=5 "Other public sector") (.e=.e "Item not applicable"),ge(nstatus5)
label var nstatus5 "Legal status of organisation"
ta nstatus5 nyear, mi

* Legal status of organisation to which workplace belongs
recode astatus1 (1=2 "PLC not on stock exchange") (2=3 "Private limited company") (3/8=4 "Other trading sector") (12=5 "Local/central govt") (9/11=6 "Other public sector") (.e=.e "Item not applicable"),ge(nstatus6)
recode nstatus6 (2=1) if alist==1
label define nstatus6 1 "PLC listed on stock exchange", add
label var nstatus6 "Legal status of organisation"
ta nstatus6 nyear, mi

* Whether permission given to link data to other sources
recode mlinkdat (1=1 "Yes") (2 .a .b .e=0 "No/Not answered"), gen(nlinkdat)
label var nlinkdat "Whether permission given to link data to other sources"
tab nlinkdat nyear, mi

* Whether SEQs placed at the workplace
recode seqplace (1=1 "Yes") (2 3=0 "No"), ge(nseqplace)
label var nseqplace "Whether SEQs were placed at the workplace"
tab nseqplace nyear, mi

* Whether MQ interview took place on-site at the sampled workplace
recode mqloc (1=1 "Yes") (2/5 .a .b .e=0 "No/DK"), ge(nmqloc)
label var nmqloc "Whether MQ interview took place on-site at the sampled workplace"
tab nmqloc nyear, mi

* Variant of mqloc where use 'interview at workplace' and 'interview at MQ respondents home' as proxy for there being
* someone at the workplace who could do the interview (at MQ resps home is 0 on nmqloc)
recode mqloc (1 4=1 "Yes") (2 3 5 .a .b .e=0 "No/DK"), ge(nmqloc2)
label var nmqloc2 "Whether there was an MQ interviewee at the sampled workplace"
tab nmqloc2 nyear, mi

* Type of MQ respondent
gen ntitle=1 if nyear==0 & (inlist(BTITLE,1,2) | inlist(BTITLE2,1,2,5))
replace ntitle=2 if nyear==0 & (BTITLE==3 | inlist(BTITLE2,3,7))
replace ntitle=3 if nyear==0 & inlist(BTITLE2,6)
replace ntitle=4 if nyear==0 & inlist(BTITLE2,95,96)
replace ntitle=1 if nyear==1 & (inlist(btitlex,1,2) | inlist(btitlex2,1,2,6))
replace ntitle=2 if nyear==1 & (inlist(btitlex,3,4) | inlist(btitlex2,3,4))
replace ntitle=3 if nyear==1 & inlist(btitlex2,7)
replace ntitle=4 if nyear==1 & (btitlex==.e | (btitlex==5 & btitlex2>=95) | inlist(btitlex2,95,96,97))
label var ntitle "Type of MQ respondent"
label define ntitle 1 "HR manager" 2 "Owner/general manager" 3 "Finance manager/co secretary" 4 "Other/not specified"
label values ntitle ntitle
ta ntitle nyear, mi

* Establishment keeps records of sales, costs, profits
egen nrecsal=anymatch(krecper1-krecper9) if krecper1<=10, values(1)
egen nreccost=anymatch(krecper1-krecper9) if krecper1<=10, values(2)
egen nrecprof=anymatch(krecper1-krecper9) if krecper1<=10, values(3)
replace nrecsal=krecper1 if krecper1>10
replace nreccost=krecper1 if krecper1>10
replace nrecprof=krecper1 if krecper1>10
label values nrecsal-nrecprof nyesno
label var nrecsal "Workplace keeps records of sales/fees/budget"
label var nreccost "Workplace keeps records of costs"
label var nrecprof "Workplace keeps records of profit"
ta nrecsal nyear, mi
ta nreccost nyear, mi
ta nrecprof nyear, mi

* Summary of MQ's subjective workplace performance rating
recode kestper1 (1 2=1 "Above average for industry") (3=2 "About average for industry") (4 5=3 "Below average for industry") (6 7 .a .b .e=4 "Not answered"), ge(nfperf1)
label var nfperf1 "Summary of MQ's subjective financial performance rating"
ta nfperf1 nyear, mi

* Experience of SEQ in 2004 
gen nseq04ret=.e if nmq==0
sort serno npanyr
replace nseq04ret=1 if npanyr==1 & nseq[_n-1]==1
replace nseq04ret=2 if npanyr==1 & nseq[_n-1]==0
replace nseq04ret=3 if npanyr==0
replace nseq04ret=4 if nsource==1 & nmq==1
replace nseq04ret=5 if nsource==2 & nmq==1
label define nseq04ret 1 "Panel 2011 obs, returned SEQs in 2004" 2 "Panel 2011 obs, didn't return SEQs in 2004" 3 "Panel 2004 obs" 4 "Panel unproductive in 2011" 5 "Refreshment sample for 2011" .e "Item not applicable"
label values nseq04ret nseq04ret
lab var nseq04ret "Whether SEQs returned in 2004"
tab nseq04ret*

* Whether any union members (as known by MQ respondent)
recode zunimem (0=0 "No") (1/max=1 "Yes") (.b=.b "Don't know") (.e=.e "Not applicable"), ge(nanymem)
recode nanymem (.b=0) if zunipc==0 | zanymem==2
recode nanymem (.b=1) if inrange(zunipc,1,100) | zanymem==1
label var nanymem "Any union members at the workplace"

* Union density (as estimated by MQ respondent): 0-100%
* Note: nudenspc was called ndesnity in 2004
* Note: nudens6 was called ndens in 2004
gen nudenspc=0 if nanymem==0
replace nudenspc=zunipc if nudenspc==. & !mi(zunipc)
replace nudenspc=(zunimem*100/zallemps) if nudenspc==. & !mi(zunimem)
replace nudenspc=zunimem if nudenspc==. & mi(zunimem)
replace nudenspc=.b if nudens>100 & !mi(nudenspc)
label values nudenspc nitem
label var nudenspc "Union membership density (percentage)"
su nudenspc

gen int nudens6=1 if nanymem==0
replace nudens6=2 if nudenspc>0 & nudenspc<25
replace nudens6=3 if nudenspc>=25 & nudenspc<50
replace nudens6=4 if nudenspc>=50 & nudenspc<75
replace nudens6=5 if nudenspc>=75 & nudenspc<100
replace nudens6=6 if nudenspc==100
replace nudens6=.b if nudenspc==.b
replace nudens6=.e if nudenspc==.e
lab var nudens6 	"Union membership density: banded"
lab val nudens6 nuprop
tab nudens6

recode nudens6 (1=1 "Zero") (2/3=2 "1-49%") (4/6=3 "50-100%") (.a=.a "Refusal") (.b=.b "Don't know") (.e=.e "Item not applicable"), ge(nudens3)
label var nudens3 "Union membership density - banded"
ta nudens3 nyear, mi


* Any flexi time for any employees
egen nflexi=anymatch(iflexx1-iflexx8) if !mi(iflexx1), values(2)
replace nflexi=iflexx1 if mi(iflexx1)
label var nflexi "Any flexi-time for any employees"
label values nflexi nyesno

* Proportion of wf in ethnic minority group : 0-1
gen nethprop=0 if zethnic==0 | zethnicp==0
replace nethprop=zethnic/zallemps if nethprop==. & !mi(zethnic)
replace nethprop=zethnicp/100 if nethprop==. & !mi(zethnicp)
replace nethprop=.b if nethprop>1 
label values nethprop nitem
label var nethprop "Ethnic minority employees as proportion of all employment"
tab nethprop

gen int neprop=1 if nethprop==0
replace neprop=2 if nethprop>0 & nethprop<0.05
replace neprop=3 if nethprop>=0.05 & nethprop<0.10
replace neprop=4 if nethprop>=0.10 & nethprop<0.25
replace neprop=5 if nethprop>=0.25 & nethprop<=1
replace neprop=.b if nethprop==.b
label var neprop "Ethnic minority employees as proportion of all employment (banded)"
label define neprop 1 "None" 2 "1-4%" 3 "5-9%" 4 "10-24%" 5 "25%+" .b "DK"
label values neprop neprop
tab neprop

* Any redundancies in last 12 months
gen int nanyred=(zredund>0) if zredund<.a
replace nanyred=1 if zreddk==1
replace nanyred=.b if nanyred==.
label var nanyred "Any redundancies in the previous 12 months"
label values nanyred yesno
tab nanyred


**************************************************************
*Derive variables needed to set up SEQ derived variables
**************************************************************
*Proportion female in total employment (nfemprop, nfprop)
*In 2004 this was derived from (zfemfull+zfemprt)/zallemps, but we no longer have the numbers of full- and part-time women

gen float nfemprop=.
replace nfemprop=ztotwom/zallemps
replace nfemprop=.b if ztotwom==.b
replace nfemprop=.e if ztotwom==.e
replace nfemprop=.e if zallemps==.e
lab var nfemprop "Female employees as proportion of all employment"
lab val nfemprop nitem 

gen int nfprop=1 if nfemprop>=0 & nfemprop<=0.1
replace nfprop=2 if nfemprop>0.1 & nfemprop<=0.25
replace nfprop=3 if nfemprop>0.25 & nfemprop<=0.5
replace nfprop=4 if nfemprop>0.5 & nfemprop<=0.75
replace nfprop=5 if nfemprop>0.75 & nfemprop<=0.90
replace nfprop=6 if nfemprop>0.90 & nfemprop<=1
replace nfprop=.b if nfemprop==.b
replace nfprop=.e if nfemprop==.e
lab var nfprop 	"Female employees as proportion of all employment: banded"
lab val nfprop nfprop

*********************************************** .
*Female proportion is greater than 50 per cent (nf50)
gen byte nf50=1 if nfprop>3 & nfprop<7
replace nf50=0 if nfprop<4
replace nf50=.b if nfprop==.b
replace nf50=.e if nfprop==.e
lab var nf50 "More than 50% female"
lab val nf50 yesno

************************************************************
*Some additional employee characteristics from EPQ
************************************************************
*NON-UK NATIONALS - 2011 only

*Proportion of wf from EEA: 0-1
*Note have assumed values of 97 and 98 on znukeapc are valid codes
*Question only asked in 2011 - 2004 cases coded as general missings 

gen neeaprop=0 if znuknat==2|(znuknat==1 & (znukea==0|znukeapc==0))
replace neeaprop=znukea/zallemps if neeaprop==. & !mi(znukea)
replace neeaprop=znukeapc/100 if neeaprop==. & !mi(znukeapc)
replace neeaprop=.b if znuknat==3|(znuknat==1 & znukea==.b & znukeapc==.b)
replace neeaprop=.a if znukea==.a
replace neeaprop=.e if neeaprop==. & znuknat==1 & znukea==.e
label values neeaprop nitem
label var neeaprop "EEA nationals as proportion of all employment"
tab neeaprop
tab neeaprop if nmq2011==1

*Banded version

gen int neeaprb=1 if neeaprop==0
replace neeaprb=2 if neeaprop>0 & neeaprop<0.05
replace neeaprb=3 if neeaprop>=0.05 & neeaprop<0.10
replace neeaprb=4 if neeaprop>=0.10 & neeaprop<0.25
replace neeaprb=5 if neeaprop>=0.25 & neeaprop<=1
replace neeaprb=.a if neeaprop==.a
replace neeaprb=.b if neeaprop==.b
replace neeaprb=.e if neeaprop==.e
label var neeaprb "EEA nationals as proportion of all employment (banded)"
label define neeaprb 1 "None" 2 "1-4%" 3 "5-9%" 4 "10-24%" 5 "25%+" .a "Refusal" .b "DK" .e "Item not applicable"
label values neeaprb neeaprb
tab neeaprb if nmq2011==1

*Proportion of wf from outside EEA: 0-1

gen noeaprop=0 if znuknat==2|(znuknat==1 & (znukoea==0|znukoeapc==0))
replace noeaprop=znukoea/zallemps if noeaprop==. & !mi(znukoea)
replace noeaprop=znukoeapc/100 if noeaprop==. & !mi(znukoeapc)
replace noeaprop=.b if znuknat==3|(znuknat==1 & znukoea==.b & znukoeapc==.b)
replace noeaprop=.a if znukoea==.a
replace noeaprop=.e if noeaprop==. & znuknat==1 & znukoea==.e
label values noeaprop nitem
label var noeaprop "Non-EEA nationals as proportion of all employment"
tab noeaprop
tab noeaprop if nmq2011==1, missing

*Banded version

gen int noeaprb=1 if noeaprop==0
replace noeaprb=2 if noeaprop>0 & noeaprop<0.05
replace noeaprb=3 if noeaprop>=0.05 & noeaprop<0.10
replace noeaprb=4 if noeaprop>=0.10 & noeaprop<0.25
replace noeaprb=5 if noeaprop>=0.25 & noeaprop<=1
replace noeaprb=.a if noeaprop==.a
replace noeaprb=.b if noeaprop==.b
replace noeaprb=.e if noeaprop==.e
label var noeaprb "Non-EEA nationals as proportion of all employment (banded)"
label define noeaprb 1 "None" 2 "1-4%" 3 "5-9%" 4 "10-24%" 5 "25%+" .a "Refusal" .b "DK" .e "Item not applicable"
label values noeaprb noeaprb
tab noeaprb if nmq2011==1

*Any non-UK nationals

recode znuknat (1=1)(2=0)(3=.b), gen(nanynouk)

label var nanynouk "Any non-UK nationals at workplace"
label values nanynouk nyesno

*Any non-UK nationals - by EEA and outside EEA
*If respondent doesn't know number from EEA and/or OEA then classified to code 4 (DK numbers)
*note 5 wps where say employ non-UK nationals but then report zero for both EEA and outside EEA
*These are counted as (4) - employ non-UK nationals but DK how many from EEA/outside EEA

recode znuknat (2=5)(3=.b), gen(nnonuk)
replace nnonuk=3 if znuknat==1 & ((znukea>0 & znukea<.)|(znukeapc>0 & znukeapc<.)) & ((znukoea>0 & znukoea<.)|(znukoeapc>0 & znukoeapc<.))
replace nnonuk=4 if znuknat==1 & ((znukea==.b & znukeapc==.b)|(znukoea==.b & znukoeapc==.b))
replace nnonuk=1 if znuknat==1 & ((znukea>0 & znukea<.)|(znukeapc>0 & znukeapc<.)) & (znukoea==0|znukoeapc==0)
replace nnonuk=2 if znuknat==1 & ((znukoea>0 & znukoea<.)|(znukoeapc>0 & znukoeapc<.)) & (znukea==0|znukeapc==0)
replace nnonuk=4 if znuknat==1 & (znukea==0|znukeapc==0) & (znukoea==0|znukoeapc==0)
replace nnonuk=.a if znukea==.a|znukoea==.a
replace nnonuk=.e if znuknat==1 & (znukea==.e|znukoea==.e)
label var nnonuk "Any non-UK nationals - within or outside EEA"
label define nnonuk 1 "Yes - EEA only" 2 "Yes - outside EEA only" 3 "Yes - both EEA and outside" 4 "DK numbers from EEA or outside EEA" 5 "No non-UK nationals" .a "Refusal" .b "DK" .e "Item not applicable"
label values nnonuk nnonuk
ta nnonuk if nmq2011==1, missing


*Proportion of wf who are non-UK nationals (EEA plus outside EEA)
*If DK number from either/both EEA or outside EEA, set to DK here (.b)
*Just one case where proportion is greater than one - OEA given as % and EEA given as number, but roughly add up - so recode to 1 here

gen nnukprop=0 if znuknat==2|(znuknat==1 & (znukea==0|znukeapc==0) & (znukoea==0|znukoeapc==0))
replace nnukprop=neeaprop if nnonuk==1
replace nnukprop=noeaprop if nnonuk==2
replace nnukprop=(neeaprop+noeaprop) if nnonuk==3
replace nnukprop=1 if nnukprop>1 & nnukprop<.
replace nnukprop=.b if nnonuk==4
replace nnukprop=.b if znuknat==3
replace nnukprop=.a if nnonuk==.a
replace nnukprop=.e if nnonuk==.e
label values nnukprop nitem
label var nnukprop "EEA and non-EEA nationals as proportion of all employment"
tab nnukprop
tab nnukprop if nmq2011==1, missing

*Banded version

gen int nnukprb=1 if nnukprop==0
replace nnukprb=2 if nnukprop>0 & nnukprop<0.05
replace nnukprb=3 if nnukprop>=0.05 & nnukprop<0.10
replace nnukprb=4 if nnukprop>=0.10 & nnukprop<0.25
replace nnukprb=5 if nnukprop>=0.25 & nnukprop<=1
replace nnukprb=.a if nnukprop==.a
replace nnukprb=.b if nnukprop==.b
replace nnukprb=.e if nnukprop==.e
label var nnukprb "EEA and non-EEA nationals as proportion of all employment (banded)"
label define nnukprb 1 "None" 2 "1-4%" 3 "5-9%" 4 "10-24%" 5 "25%+" .a "Refusal" .b "DK" .e "Item not applicable"
label values nnukprb nnukprb
tab nnukprb if nmq2011==1, missing

**DISABILITY

*Proportion of employees with long-term disability which affects the amount or type of work they can do
*One case reports zero disabled employees but coded to DK on ZDISABPC - should have been coded item not applicable. But still counts as zero on dv below.
*2 cases where ZDISAB>ZALLEMPS in 2011 - for now both set to 1 on NDISAB
*1004009 - 9 disabled employees, 8 employees in total - zero of 9 employees were disabled in 2004
*2009008 - ZDISAB=85, ZALLEMPS=63

gen ndisab=0 if zdisab==0|zdisabpc==0
replace ndisab=zdisab/zallemps if ndisab==. & !mi(zdisab)
replace ndisab=zdisabpc/100 if ndisab==. & !mi(zdisabpc)
replace ndisab=1 if ndisab>1 & ndisab<.
replace ndisab=.b if zdisab==.b & zdisabpc==.b
replace ndisab=.a if zdisab==.a|zdisabpc==.a

label values ndisab nitem
label var ndisab "Proportion of employees with long-term disability"
tab ndisab

*Proportion of employees with long-term disability - 5 bands (ndisabb5) .
gen int ndisabb5=1 if ndisab==0
replace ndisabb5=2 if ndisab>0 & ndisab<0.05
replace ndisabb5=3 if ndisab>=0.05 & ndisab<0.10
replace ndisabb5=4 if ndisab>=0.10 & ndisab<0.25
replace ndisabb5=5 if ndisab>=0.25 & ndisab<=1
replace ndisabb5=.a if ndisab==.a
replace ndisabb5=.b if ndisab==.b

label var ndisabb5 "Proportion of employees with long-term disability (5 bands)"
label define ndisabb5 1 "None" 2 "1-4%" 3 "5-9%" 4 "10-24%" 5 "25%+" .a "Refusal" .b "DK" .e "Item not applicable"
label values ndisabb5 ndisabb5
tab ndisabb5 if nmq2011==1

*To distinguish betweeen none, few or relatively large proportion of disabled employees (ndisbd2)
recode ndisabb5 (1=1)(2=2)(3/5=3), gen(ndisbd2)
label var ndisbd2 "Proportion of employees with long-term disability (alternative bands)"
label define ndisbd2 1 "None" 2 "Some but less than 5 per cent" 3 "5 per cent or more" .a "Refusal" .b "DK" .e "Item not applicable"
label values ndisbd2 ndisbd2
tab ndisbd2 if nmq2011==1, missing

*Proportion of employees with long-term disability - 4 bands (ndisabb4)
recode ndisabb5 (5=4), gen(ndisabb4)
label var ndisabb4 "Proportion of employees with long-term disability (4 bands)"
label define ndisabb4 1 "None" 2 "Up to 5 per cent" 3 "5-9%" 4 "10%+" .a "Refusal" .b "DK" .e "Item not applicable"
label values ndisabb4 ndisabb4
tab ndisabb4 if nmq2011==1, missing


*Proportion of workplaces with any disabled employees (ndisany)

recode ndisabb4 (1=0)(2/4=1), gen(ndisany)

label var ndisany "Any employees with long-term disability"
label define ndisany 0 "None" 1 "Some disabled employees" .a "Refusal" .b "DK" .e "Item not applicable"
label values ndisany ndisany
tab ndisany if nmq2011==1, missing

***********************
* Performance pay
***********************

* Any employees paid by PBR or merit pay. Previously nanymerpbr
* but using shorter name now to avoid truncation

egen nmerpbr=anymatch(fperf1 fperf2 fperf3),values(1,2)
replace nmerpbr=.b if fperf1==.b|fperf2==.b|fperf3==.b
replace nmerpbr=.e if fperf1==.e
label var nmerpbr "Any employees paid by PBR or merit pay"
label values nmerpbr nyesno
ta nmerpbr nyear, mi

egen nmerit=anymatch(fperf1 fperf2 fperf3),values(2)
replace nmerit=.b if fperf1==.b|fperf2==.b|fperf3==.b
replace nmerit=.e if fperf1==.e
label var nmerit "Any employees paid merit pay"
label values nmerit nyesno
ta nmerit nyear, mi

egen npbr=anymatch(fperf1 fperf2 fperf3),values(1)
replace npbr=.b if fperf1==.b|fperf2==.b|fperf3==.b
replace npbr=.e if fperf1==.e
label var npbr "Any employees paid by results"
label values npbr nyesno
ta npbr nyear, mi

* Which employees paid for performance

gen nperfwho=1 if nyear==1 & (inlist(fpermnm1,1) | inlist(fpermnm2,1))
replace nperfwho=2 if nyear==1 & (inlist(fpermnm1,2) | inlist(fpermnm2,2))
replace nperfwho=3 if nyear==1 & ((fpermnm1==1&fpermnm2==2) | (fpermnm1==2&fpermnm2==1))
replace nperfwho=2 if nyear==0 & inlist(FPERWH01,FPERWH02,FPERWH03,FPERWH04,FPERWH05,FPERWH06,FPERWH07,FPERWH08,FPERWH09,FPERWH10,2,3,4,5,6,7,8,9)
replace nperfwho=1 if nyear==0 & inlist(FPERWH01,FPERWH02,FPERWH03,FPERWH04,FPERWH05,FPERWH06,FPERWH07,FPERWH08,FPERWH09,FPERWH10,1)
replace nperfwho=3 if nyear==0 & inlist(FPERWH01,FPERWH02,FPERWH03,FPERWH04,FPERWH05,FPERWH06,FPERWH07,FPERWH08,FPERWH09,FPERWH10,0)
replace nperfwho=3 if nyear==0 & nperfwho==1 & inlist(FPERWH01,FPERWH02,FPERWH03,FPERWH04,FPERWH05,FPERWH06,FPERWH07,FPERWH08,FPERWH09,FPERWH10,2,3,4,5,6,7,8,9)
replace nperfwho=4 if nmerpbr==0
replace nperfwho=.b if nmerpbr==.b|FPERWH01==.b
replace nperfwho=.e if nmerpbr==.e
label var nperfwho "Who is paid for performance"
label values nperfwho nwho
ta nperfwho nyear, mi

* % non-managerials receiving PBR or merit pay Npcperf

fre fpernon fpernont

ge npcx=fpernont/(zallemps-zmgr_tot)*100 if nyear==1
replace npcx=fpernont/(zallemps-zmng_tot)*100 if nyear==0
label var npcx "per cent non-managers on perf pay from exact count"
ta npcx nyear

recode npcx (99.5/100=1) (79.5/99.49=2) (59.5/79.49=3) (39.5/59.49=4) (19.5/39.49=5) (0.5/19.49=6) (0/0.49=7),ge(npcbnd)
label values npcbnd pcband
ta npcbnd

recode fpernon (1=1 "All") (2=2 "80-99%") (3=3 "60-79%") (4=4 "40-59%") (5=5 "20-39%") (6=6 "1-19%") (7=7 "None") (.b=.b "Don't know") (.e=.e "Not applicable"),gen(npcperf)
replace npcperf=7 if nperfwho==4
replace npcperf=npcbnd if (npcperf<0&npcperf>7)|fpernon==97
label var npcperf "Percent of non-managerial employees on PBR or merit pay"
label values npcperf pcband
ta npcperf nyear, mi

drop npcx npcbnd

* Measure of performance used to calculate PBR

fre fmeasur*

egen npbrind=anymatch(fmeasur*),values(1)
label var npbrind "Any employees with individual PBR"

egen npbrteam=anymatch(fmeasur*),values(2)
label var npbrteam "Any employees with team PBR"

egen npbrwp=anymatch(fmeasur*),values(3)
label var npbrwp "Any employees with workplace PBR"

egen npbrorg=anymatch(fmeasur*),values(4)
label var npbrorg "Any employees with organization PBR"

egen npbroth=anymatch(fmeasur*),values(5)
label var npbroth "Any employees with PBR using other measures"

recode npbr* (0=.e) if npbr==.e
recode npbr* (0=.b) if npbr==.b

label values npbrind npbrteam npbrwp npbrorg npbroth nyesno

ta npbrind nyear, mi

ta npbrteam nyear, mi

ta npbrwp nyear, mi

ta npbrorg nyear, mi

ta npbroth nyear, mi

* Receipt of Profit-related Pay or Bonuses

recode fprof (1=1) (2=0),gen(nprp)
label var nprp "Any employees receive profit-related payments or bonuses"
label values nprp nyesno
ta nprp nyear, mi

* Didn't use level at which PRP set in 2004. Appear to be problems with a subset of cases where there
* is PRP but coded "NA" at FLEVEL

bysort nyear: ta flevel fprof, mi

* Which employees get profit-related pay

gen nprpwho=1 if nyear==1 & (inlist(fprpmnm1,1) | inlist(fprpmnm2,1))
replace nprpwho=2 if nyear==1 & (inlist(fprpmnm1,2) | inlist(fprpmnm2,2))
replace nprpwho=3 if nyear==1 & ((fprpmnm1==1&fprpmnm2==2) | (fprpmnm1==2&fprpmnm2==1))
replace nprpwho=1 if nyear==0 & inlist(FPRPOC01,FPRPOC02,FPRPOC03,FPRPOC04,FPRPOC05,FPRPOC06,FPRPOC07,FPRPOC08,FPRPOC09,FPRPOC10,1)
replace nprpwho=2 if nyear==0 & inlist(FPRPOC01,FPRPOC02,FPRPOC03,FPRPOC04,FPRPOC05,FPRPOC06,FPRPOC07,FPRPOC08,FPRPOC09,FPRPOC10,2,3,4,5,6,7,8,9)
replace nprpwho=3 if nyear==0 & inlist(FPRPOC01,FPRPOC02,FPRPOC03,FPRPOC04,FPRPOC05,FPRPOC06,FPRPOC07,FPRPOC08,FPRPOC09,FPRPOC10,0)
replace nprpwho=3 if nyear==0 & nprpwho==1 & inlist(FPRPOC01,FPRPOC02,FPRPOC03,FPRPOC04,FPRPOC05,FPRPOC06,FPRPOC07,FPRPOC08,FPRPOC09,FPRPOC10,2,3,4,5,6,7,8,9)
replace nprpwho=4 if nprp==0
replace nprpwho=.b if nprp==.b|FPRPOC01==.b
replace nprpwho=.e if nprp==.e
label var nprpwho "Who participates in PRP scheme"
label values nprpwho nwho
ta nprpwho nyear, mi

* % non-managerials receiving PRP in last 12 months

fre fnonman fnonmant

ge npcx=fnonmant/(zallemps-zmgr_tot)*100 if nyear==1
replace npcx=fnonmant/(zallemps-zmng_tot)*100 if nyear==0
label var npcx "per cent non-managers on PRP from exact count"
ta npcx nyear

recode npcx (99.5/100=1) (79.5/99.49=2) (59.5/79.49=3) (39.5/59.49=4) (19.5/39.49=5) (0.5/19.49=6) (0/0.49=7),ge(npcbnd)
label values npcbnd pcband
ta npcbnd

recode fnonman (1=1 "All") (2=2 "80-99%") (3=3 "60-79%") (4=4 "40-59%") (5=5 "20-39%") (6=6 "1-19%") (7=7 "None") (.b=.b "Don't know") (.e=.e "Not applicable"),gen(npcprp)
replace npcprp=7 if nprpwho==4|nprpwho==1
replace npcprp=npcbnd if (npcprp<0&npcprp>7)|fnonman==97
label var npcprp "Percent of non-managerial employees receiving PRP in last 12 months"
label values npcprp pcband
ta npcprp nyear, mi

drop npcx npcbnd

* Employee share schemes (useful note on "WERS 2004 MQ derived variables.sps" about comparability
* of share plan data over time in WERS).

* Any share scheme (derivation sets non-trading sector, who are coded .e as NA, to zero)
* Variable was nesop in 2004 but misleading so renamed

egen nshare=anymatch(fshare*),values(1/5)
replace nshare=.a if fshare1==.a
replace nshare=.b if fshare1==.b
label var nshare "Any share scheme for any employees"
label values nshare nyesno
ta nshare nyear, mi

egen nnshare=anycount(fshare*),values(1/5)
replace nnshare=.a if fshare1==.a
replace nnshare=.b if fshare1==.b
label var nnshare "Number of share schemes for any employees"
label values nnshare nitem 
ta nnshare nyear, mi

egen nsip=anymatch(fshare*),values(1)
replace nsip=.a if fshare1==.a
replace nsip=.b if fshare1==.b
label var nsip "Any Share Incentive Plan (SIP)"
label values nsip nyesno
ta nsip nyear, mi

egen nsaye=anymatch(fshare*),values(2)
replace nsaye=.a if fshare1==.a
replace nsaye=.b if fshare1==.b
label var nsaye "Any Save AS You Earn Plan (SAYE)"
label values nsaye nyesno
ta nsaye nyear, mi

egen nemi=anymatch(fshare*),values(3)
replace nemi=.a if fshare1==.a
replace nemi=.b if fshare1==.b
label var nemi "Any Enterprise Management Incentives (EMI)"
label values nemi nyesno
ta nemi nyear, mi

egen ncsop=anymatch(fshare*),values(4)
replace ncsop=.a if fshare1==.a
replace ncsop=.b if fshare1==.b
label var ncsop "Any Company Share Option Plan (CSOP)"
label values ncsop nyesno
ta ncsop nyear, mi

egen nothsh=anymatch(fshare*),values(5)
replace nothsh=.a if fshare1==.a
replace nothsh=.b if fshare1==.b
label var nothsh "Any other employee share scheme"
label values nothsh nyesno
ta nothsh nyear, mi

* Which employees are eligible for share ownership schemes

gen nshawho=1 if nyear==1 & (inlist(fsosmnm1,1) | inlist(fsosmnm2,1))
replace nshawho=2 if nyear==1 & (inlist(fsosmnm1,2) | inlist(fsosmnm2,2))
replace nshawho=3 if nyear==1 & ((fsosmnm1==1&fsosmnm2==2) | (fsosmnm1==2&fsosmnm2==1))
replace nshawho=1 if nyear==0 & inlist(FOCCGR01,FOCCGR02,FOCCGR03,FOCCGR04,FOCCGR05,FOCCGR06,FOCCGR07,FOCCGR08,FOCCGR09,FOCCGR10,1)
replace nshawho=2 if nyear==0 & inlist(FOCCGR01,FOCCGR02,FOCCGR03,FOCCGR04,FOCCGR05,FOCCGR06,FOCCGR07,FOCCGR08,FOCCGR09,FOCCGR10,2,3,4,5,6,7,8,9)
replace nshawho=3 if nyear==0 & inlist(FOCCGR01,FOCCGR02,FOCCGR03,FOCCGR04,FOCCGR05,FOCCGR06,FOCCGR07,FOCCGR08,FOCCGR09,FOCCGR10,0)
replace nshawho=3 if nyear==0 & nshawho==1 & inlist(FOCCGR01,FOCCGR02,FOCCGR03,FOCCGR04,FOCCGR05,FOCCGR06,FOCCGR07,FOCCGR08,FOCCGR09,FOCCGR10,2,3,4,5,6,7,8,9)
replace nshawho=4 if nshare==0
replace nshawho=.a if nshare==.a|FOCCGR01==.a
replace nshawho=.b if nshare==.b|FOCCGR01==.b
replace nshawho=.e if nshare==.e
label var nshawho "Who eligible for share schemes"
label values nshawho nwho
ta nshawho nyear, mi

* % non-managerials eligible for share schemes

fre fsharwho fsharwht

ge npcx=fsharwht/(zallemps-zmgr_tot)*100 if nyear==1
replace npcx=fsharwht/(zallemps-zmng_tot)*100 if nyear==0
label var npcx "per cent non-managers eligible for share plan from exact count"
ta npcx nyear

recode npcx (99.5/100=1) (79.5/99.49=2) (59.5/79.49=3) (39.5/59.49=4) (19.5/39.49=5) (0.5/19.49=6) (0/0.49=7),ge(npcbnd)
label values npcbnd pcband
ta npcbnd

recode fsharwho (1=1 "All") (2=2 "80-99%") (3=3 "60-79%") (4=4 "40-59%") (5=5 "20-39%") (6=6 "1-19%") (7=7 "None") (.b=.b "Don't know") (.e=.e "Not applicable"),gen(npcshar)
replace npcshar=7 if nshawho==4|nshawho==1
replace npcshar=.a if nshawho==.a
replace npcshar=.b if nshawho==.b
replace npcshar=npcbnd if (npcshar<0&npcshar>7)|fsharwho==97
label var npcshar "Percent of non-managerial employees eligible for share plan"
label values npcshar pcband
ta npcshar nyear, mi

drop npcx npcbnd

***********************
* Pay Settlement
***********************

recode freview (1=1 "More than once a year") (2=2 "Annually") (3=3 "Less than once a year") (.a=.a "Refused") (.b=.b "Don't know") (.e=.e "Not applicable"),gen(nreview)
label var nreview "Frequency of pay review for LOG"
ta nreview nyear, mi

* Whether review led to rise, fall or no change. Note code 4 NA in 2004

recode fupdown (1=1 "Increased") (2=2 "Decreased") (3=3 "No change") (4=4 "Reviewed on individual basis") (.a=.a "Refused") (.b=.b "Don't know") (.e=.e "Not applicable"),gen(nupdown)
label var nupdown "Outcome of last LOG pay review"
ta nupdown nyear, mi

* Size of any increase relative to management and other NM employees

recode fawardm (1=1 "Higher") (2=2 "Same") (3=3 "Lower") (.a=.a "Refused") (.b=.b "Don't know") (.e=.e "Not applicable"),gen(nawardm)
replace nawardm=4 if fupdown==2|fupdown==3|fupdown==4
replace nawardm=.a if fupdown==.a
replace nawardm=.b if fupdown==.b
label define naward 1 "Higher" 2 "Same" 3 "Lower" 4 "No LOG increase" .a "Refused" .b "Don't know" .e "Not applicable"
label values nawardm naward
label var nawardm "LOG pay award relative to management"
ta nawardm nyear, mi

recode fawardnm (1=1 "Higher") (2=2 "Same") (3=3 "Lower") (.a=.a "Refused") (.b=.b "Don't know") (.e=.e "Not applicable"),gen(nawardnm)
replace nawardnm=4 if fupdown==2|fupdown==3|fupdown==4
replace nawardnm=.a if fupdown==.a
replace nawardnm=.b if fupdown==.b
label values nawardnm naward
label var nawardnm "LOG pay award relative to average for other non-management"
ta nawardnm nyear, mi

* Influences on the LOG pay settlement

egen nsetcost=anymatch(fset1-fset8),values(1)
replace nsetcost=1 if nyear==0&FLIVING==1
replace nsetcost=.a if fset1==.a|FLIVING==.a
replace nsetcost=.b if fset1==.b|FLIVING==.b
replace nsetcost=.e if fset1==.e|FLIVING==.e
label var nsetcost "LOG pay settlement influenced by changes in cost of living"
label values nsetcost nyesno
ta nsetcost nyear, mi

egen nsetrec=anymatch(fset1-fset8),values(2)
replace nsetrec=1 if nyear==0&FRECRUIT==1
replace nsetrec=.a if fset1==.a|FRECRUIT==.a
replace nsetrec=.b if fset1==.b|FRECRUIT==.b
replace nsetrec=.e if fset1==.e|FRECRUIT==.e
label var nsetrec "LOG pay settlement influenced by recruitment and retention"
label values nsetrec nyesno
ta nsetrec nyear, mi

egen nsetperf=anymatch(fset1-fset8),values(3)
replace nsetperf=1 if nyear==0&FPERFO==1
replace nsetperf=.a if fset1==.a|FPERFO==.a
replace nsetperf=.b if fset1==.b|FPERFO==.b
replace nsetperf=.e if fset1==.e|FPERFO==.e
label var nsetperf "LOG pay settlement influenced by financial performance"
label values nsetperf nyesno
ta nsetperf nyear, mi

egen nsetprod=anymatch(fset1-fset8),values(4)
replace nsetprod=1 if nyear==0&FPROD==1
replace nsetprod=.a if fset1==.a|FPROD==.a
replace nsetprod=.b if fset1==.b|FPROD==.b
replace nsetprod=.e if fset1==.e|FPROD==.e
label var nsetprod "LOG pay settlement influenced by productivity levels"
label values nsetprod nyesno
ta nsetprod nyear, mi

egen nsetinda=anymatch(fset1-fset8),values(5)
replace nsetinda=1 if nyear==0&FACTION==1
replace nsetinda=.a if fset1==.a|FACTION==.a
replace nsetinda=.b if fset1==.b|FACTION==.b
replace nsetinda=.e if fset1==.e|FACTION==.e
label var nsetinda "LOG pay settlement influenced by industrial action"
label values nsetinda nyesno
ta nsetinda nyear, mi

egen nsetnmw=anymatch(fset1-fset8),values(6)
replace nsetnmw=.a if fset1==.a
replace nsetnmw=.b if fset1==.b
replace nsetnmw=.e if fset1==.e
label var nsetnmw "LOG pay settlement influenced by national minimum wage"
label values nsetnmw nyesno
ta nsetnmw nyear, mi

egen nsetoth=anymatch(fset1-fset8),values(7)
replace nsetoth=.a if fset1==.a
replace nsetoth=.b if fset1==.b
replace nsetoth=.e if fset1==.e
label var nsetoth "LOG pay settlement influenced by other factors"
label values nsetoth nyesno
ta nsetoth nyear, mi

*********************
* Broad sector
*********************

*Public or private sector
gen byte nprivate=1 if (astatus1>0 & astatus1<8) & ((astatus2>0 & astatus2<8)|astatus2>=.)
replace nprivate=0 if (astatus1>7 & astatus1<=12) & ((astatus2>7 & astatus2<=12)|astatus2>=.)
replace nprivate=.e if nprivate==. & astatus1==.e
lab var nprivate "Private sector"
lab val nprivate nyesno
ta nprivate nyear, mi

*Whether public sector, private services or private manufacturing (nsector3)
***Need to sort out agriculture and don't knows but we assume these will disppear
***in final dataset
*** 10 cases were originally coded as missing when this variable was first derived.
*** That was because the derivation uses nsicod03 and the cases are odd cases.
*** AB inspected them and confirmed that they are valid cases at nsic2003 (sic 14100) and it is clear that they should be private services. (SF)

gen byte nsector3=1 if nprivate==1 & nsicod03==1
replace nsector3=.b if nsicod03==.b
replace nsector3=.e if nsicod03==.e
replace nsector3=2 if nprivate==1 & ((nsicod03>1 & nsicod03<=12)|nsicod07==14)
replace nsector3=2 if nprivate==1 & nsicod03==0
replace nsector3=3 if nprivate==0
lab var nsector3 "Manuf/services within broad sector"
lab define nsector3 1 "Private manufacturing" 2 "Private services"	3	"Public sector" .b "Don't know" .e "Item not applicable" 
lab val nsector3 nsector3
ta nsector3 nyear, mi

* Total N employees in occupations and discrepancy relative to total N employees

egen noctot=rowtotal(*_tot)
label var noctot "N employees in occupational totals"

tabstat noctot,by(nyear) stats(min max mean median)

gen npcdif=(noctot*100)/zallemps
replace npcdif=0 if noctot==0
label var npcdif "Sum of occupational totals as % of ZALLEMPS"
tabstat npcdif,by(nyear) stats(min max mean median)

* 3rd Sept 2013. Error found in third line below.  said zmgr_tot==.b when should be zmgr_tot==.e

gen nanyman=(zmgr_tot>0&zmgr_tot<.)|(zmng_tot>0&zmng_tot<.)
replace nanyman=.b if zmgr_tot==.b|zmng_tot==.b
replace nanyman=.e if zmgr_tot==.e|zmng_tot==.e
label var nanyman "Any managerial employees"
label value nanyman nyesno
ta nanyman nyear,mi

gen nanypro=zpro_tot>0&zpro_tot<.
replace nanypro=.b if zpro_tot==.b
replace nanypro=.e if zpro_tot==.e
label var nanypro "Any professional employees"
label value nanypro nyesno
ta nanypro nyear,mi

gen nanytec=ztec_tot>0&ztec_tot<.
replace nanytec=.b if ztec_tot==.b
replace nanytec=.e if ztec_tot==.e
label var nanytec "Any associate professional and tech employees"
label value nanytec nyesno
ta nanytec nyear,mi

gen nanyadm=zadm_tot>0&zadm_tot<.
replace nanyadm=.b if zadm_tot==.b
replace nanyadm=.e if zadm_tot==.e
label var nanyadm "Any admin and secretarial employees"
label value nanyadm nyesno
ta nanyadm nyear,mi

gen nanyskl=zskl_tot>0&zskl_tot<.
replace nanyskl=.b if zskl_tot==.b
replace nanyskl=.e if zskl_tot==.e
label var nanyskl "Any skilled trades employees"
label value nanyskl nyesno
ta nanyskl nyear,mi

gen nanyper=zper_tot>0&zper_tot<.
replace nanyper=.b if zper_tot==.b
replace nanyper=.e if zper_tot==.e
label var nanyper "Any personal service employees"
label value nanyper nyesno
ta nanyper nyear,mi

gen nanysal=zsal_tot>0&zsal_tot<.
replace nanysal=.b if zsal_tot==.b
replace nanysal=.e if zsal_tot==.e
label var nanysal "Any sales employees"
label value nanysal nyesno
ta nanysal nyear,mi

gen nanyope=zope_tot>0&zope_tot<.
replace nanyope=.b if zope_tot==.b
replace nanyope=.e if zope_tot==.e
label var nanyope "Any operatives employees"
label value nanyope nyesno
ta nanyope nyear,mi

gen nanyrou=zrou_tot>0&zrou_tot<.
replace nanyrou=.b if zrou_tot==.b
replace nanyrou=.e if zrou_tot==.e
label var nanyrou "Any routine employees"
label value nanyrou nyesno
ta nanyrou nyear,mi

* total N occupations

egen noccs=anycount(nanyman nanypro nanytec nanyadm nanyskl nanyper nanysal nanyope nanyrou),values(1)
label var noccs "Total N occupations at workplace"
ta noccs nyear, mi

tabstat noccs,by(nyear) stats(min max mean median)

***********************************
* COLLECTIVE DISPUTES
***********************************

label define naction 0 "No action" 1 "Non-strike action" 2 "Strike action" 3 "Both strike and other action" .e "Not applicable" .b "Don't know" .a "Refusal"
label define nthreat 0 "No threats" 1 "Non-strike action threat" 2 "Strike threat" 3 "Both strike and nonstrike action threatened" .f "Not answered" .e "Not applicable" .b "Don't know" .a "Refusal"
label define nanyact 0 "No action taken" 1 "Action threatened only" 2 "Action taken only" 3 "Both action threatened and taken" .f "Not answered" .e "Not applicable" .b "Don't know" .a "Refusal"

*Whether there are collective disputes procedures
gen ngproced = GPROCEDU
replace ngproced=0 if nyear==1 & inlist(gprocis1,0) 
replace ngproced=0 if nyear==0 & GPROCEDU==2
replace ngproced=1 if nyear==1 & inlist(gprocis1,1,2,3,4,5) 
replace ngproced=.b if gprocis1==.b
replace ngproced=.e if gprocis1==.e
label var ngproced "Collective dispute procedure present"
label values ngproced nyesno

ta ngproced nyear, mi

*Whether collective disputes procedure covers pay and conditions - binary
gen ngissue1 = 0
replace ngissue1=1 if inlist(gprocis1,1) | inlist(gprocis2,1) | inlist(gprocis3,1) | inlist(gprocis4,1) | inlist(gprocis5,1) | inlist(gprocis6,1) | inlist(xgproci1,1) | inlist(xgproci2,1) | inlist(xgproci3,1)  
replace ngissue1=1 if inlist(GISSUES1,1) | inlist(GISSUES2,1) | inlist(GISSUES3,1) | inlist(GISSUES4,1) | inlist(GISSUES5,1) | inlist(XGISSUE1,1) | inlist(XGISSUE2,1) | inlist(XGISSUE3,1)  
label var ngissue1 "Collective dispute procedure covers pay and conditions"
label values ngissue1 nyesno

ta ngissue1 nyear, mi

*Whether collective disputes procedure covers redundnacy - binary
gen ngissue2 = 0
replace ngissue2=1 if inlist(gprocis1,2) | inlist(gprocis2,2) | inlist(gprocis3,2) | inlist(gprocis4,2) | inlist(gprocis5,2) | inlist(gprocis6,2) | inlist(xgproci1,2) | inlist(xgproci2,2) | inlist(xgproci3,2)  
replace ngissue2=1 if inlist(GISSUES1,2) | inlist(GISSUES2,2) | inlist(GISSUES3,2) | inlist(GISSUES4,2) | inlist(GISSUES5,2) | inlist(XGISSUE1,2) | inlist(XGISSUE2,2) | inlist(XGISSUE3,2)  
label var ngissue2 "Collective dispute procedure covers redundancy"
label values ngissue2 nyesno

ta ngissue2 nyear, mi

*Whether collective disputes procedure covers organisation of work - binary
gen ngissue3 = 0
replace ngissue3=1 if inlist(gprocis1,3) | inlist(gprocis2,3) | inlist(gprocis3,3) | inlist(gprocis4,3) | inlist(gprocis5,3) | inlist(gprocis6,3) | inlist(xgproci1,3) | inlist(xgproci2,3) | inlist(xgproci3,3)  
replace ngissue3=1 if inlist(GISSUES1,3) | inlist(GISSUES2,3) | inlist(GISSUES3,3) | inlist(GISSUES4,3) | inlist(GISSUES5,3) | inlist(XGISSUE1,3) | inlist(XGISSUE2,3) | inlist(XGISSUE3,3)  
label var ngissue3 "Collective dispute procedure covers organisation of work"
label values ngissue3 nyesno

ta ngissue3 nyear, mi

*Whether collective disputes procedure covers health & safety - binary
gen ngissue4 = 0
replace ngissue4=1 if inlist(gprocis1,4) | inlist(gprocis2,4) | inlist(gprocis3,4) | inlist(gprocis4,4) | inlist(gprocis5,4) | inlist(gprocis6,4) | inlist(xgproci1,4) | inlist(xgproci2,4) | inlist(xgproci3,4)  
replace ngissue4=1 if inlist(GISSUES1,4) | inlist(GISSUES2,4) | inlist(GISSUES3,4) | inlist(GISSUES4,4) | inlist(GISSUES5,4) | inlist(XGISSUE1,4) | inlist(XGISSUE2,4) | inlist(XGISSUE3,4)  
label var ngissue4 "Collective dispute procedure covers health & safety"
label values ngissue4 nyesno

ta ngissue4 nyear, mi

*Collective disputes procedure refers issues to Acas Coniliation 
gen ngbody1 =0
replace ngbody1=1 if inlist(gbody1,1) | inlist(gbody2,1) | inlist(gbody3,1) | inlist(gbody4,1) | inlist(gbody5,1) | inlist(gbody6,1) | inlist(xgbody1,1) | inlist(xgbody2,1) | inlist(xgbody3,1)  
label var ngbody1 "Collective dispute procedure refers to Acas Conciliation"
label values ngbody1 nyesno

ta ngbody1 nyear, column

*Collective disputes procedure refers issues to Acas Arbitration 
gen ngbody2 =0
replace ngbody2=1 if inlist(gbody1,2) | inlist(gbody2,2) | inlist(gbody3,2) | inlist(gbody4,2) | inlist(gbody5,2) | inlist(gbody6,2) | inlist(xgbody1,2) | inlist(xgbody2,2) | inlist(xgbody3,2)  
label var ngbody2 "Collective dispute procedure refers to Acas Arbitration"
label values ngbody2 nyesno

ta ngbody2 nyear, column

*Collective disputes procedure refers issues to Independent arbitrator 
gen ngbody3 =0
replace ngbody3=1 if inlist(gbody1,3) | inlist(gbody2,3) | inlist(gbody3,3) | inlist(gbody4,3) | inlist(gbody5,3) | inlist(gbody6,3) | inlist(xgbody1,3) | inlist(xgbody2,3) | inlist(xgbody3,3)  
label var ngbody3 "Collective dispute procedure refers to independent arbitrator"
label values ngbody3 nyesno

ta ngbody3 nyear, column

*Collective disputes procedure refers issues to Independent mediator 
gen ngbody4 =0
replace ngbody4=1 if inlist(gbody1,4) | inlist(gbody2,4) | inlist(gbody3,4) | inlist(gbody4,4) | inlist(gbody5,4) | inlist(gbody6,4) | inlist(xgbody1,4) | inlist(xgbody2,4) | inlist(xgbody3,4)  
label var ngbody4 "Collective dispute procedure refers to independent mediator"
label values ngbody4 nyesno

ta ngbody4 nyear, column

*Collective disputes procedure refers issues to management 
gen ngbody5 =0
replace ngbody5=1 if inlist(gbody1,5) | inlist(gbody2,5) | inlist(gbody3,5) | inlist(gbody4,5) | inlist(gbody5,5) | inlist(gbody6,5) | inlist(xgbody1,5) | inlist(xgbody2,5) | inlist(xgbody3,5)  
label var ngbody5 "Collective dispute procedure refers to management"
label values ngbody5 nyesno

ta ngbody5 nyear, column

*Collective disputes procedure refers issues to a union 
gen ngbody6 =0 
replace ngbody6=1 if inlist(gbody1,6) | inlist(gbody2,6) | inlist(gbody3,6) | inlist(gbody4,6) | inlist(gbody5,6) | inlist(gbody6,6) | inlist(xgbody1,6) | inlist(xgbody2,6) | inlist(xgbody3,6)  
label var ngbody6 "Collective dispute procedure refers to a union"
label values ngbody6 nyesno

ta ngbody6 nyear, column

*Collective disputes procedure refers issues to an employers association 
gen ngbody7 =0
replace ngbody7=1 if inlist(gbody1,7) | inlist(gbody2,7) | inlist(gbody3,7) | inlist(gbody4,7) | inlist(gbody5,7) | inlist(gbody6,7) | inlist(xgbody1,7) | inlist(xgbody2,7) | inlist(xgbody3,7)  
label var ngbody7 "Collective dispute procedure refers to an employers association"
label values ngbody7 nyesno

ta ngbody7 nyear, column

*Any stike action taken in the last 12 months (Nstract in 2004)
fre GACTIO01 GACTIO02 GACTIO03 GACTIO04 GACTIO05 GACTIO06 GACTIO07 GACTIO08 GACTIO09

gen nstrike=0
replace nstrike=1 if inlist(GACTIO01,1,2,3) | inlist(GACTIO02,1,2,3) | inlist(GACTIO03,1,2,3) | inlist(GACTIO04,1,2,3) | inlist(GACTIO05,1,2,3) | inlist(GACTIO06,1,2,3)
replace nstrike=1 if inlist(gact1,1,2) | inlist(gact2,1,2) | inlist(gact3,1,2) | inlist(gact4,1,2) | inlist(gact5,1,2) | inlist(gact6,1,2) 
replace nstrike=.a if GACTIO01==.a | gact1==.a
replace nstrike=.b if GACTIO01==.b | gact1==.b
replace nstrike=.e if GACTIO01==.e | gact1==.e
label var nstrike "Any strike action taken in the last 12 months"
label values nstrike nyesno
ta nstrike nyear, mi

*Any non-stike action taken in the 12 months (nothact)
gen nothact=0
replace nothact=1 if inrange(GACTIO01,4,10) | inrange(GACTIO02,4,10) | inrange(GACTIO03,4,10) | inrange(GACTIO04,4,10) | inrange(GACTIO05,4,10) | inrange(GACTIO06,4,10)
replace nothact=1 if inrange(gact1,3,5) | inrange(gact2,3,5) | inrange(gact3,3,5) | inrange(gact4,3,5) | inrange(gact5,3,5) | inrange(gact6,3,5) 
replace nothact=.a if GACTIO01==.a | gact1==.a
replace nothact=.b if GACTIO01==.b | gact1==.b
replace nothact=.e if GACTIO01==.e | gact1==.e
label var nothact "Any non-strike action taken in the last 12 months"
label values nothact nyesno
ta nothact nyear, mi

*Any action taken -  strike action only, non-strike industrial action only, both or neither (Nindact)
gen nindact=0
replace nindact=1 if nothact==1 
replace nindact=2 if nstrike==1
replace nindact=3 if nothact==1 & nstrike==1
replace nindact=.e if GACTIO01==.e | gact1==.e
replace nindact=.b if GACTIO01==.b | gact1==.b
replace nindact=.a if GACTIO01==.a | gact1==.a
label var nindact "Type of industrial action taken in last 12 months"
label value nindact naction 
ta nindact nyear, mi

*Any action threatened - strike action only, non-strike industrial action only, both or neither 
gen nthreat=99
replace nthreat=0 if GPSTYR1==8 | gthreat1==5
replace nthreat=1 if inrange(GPSTYR1,2,7) | inrange(GPSTYR2,2,7) | inrange(GPSTYR3,2,7) | inrange(GPSTYR4,2,7) | inrange(GPSTYR5,2,7) | inrange(GPSTYR6,2,7) | inrange(GPSTYR7,2,7)
replace nthreat=1 if inrange(gthreat1,2,4) | inrange(gthreat2,2,4) | inrange(gthreat3,2,4) | inrange(gthreat4,2,4) | inrange(gthreat5,2,4) 
replace nthreat=2 if GPSTYR1==1 | gthreat1==1
replace nthreat=3 if GPSTYR1==1 & (inrange(GPSTYR1,2,7) | inrange(GPSTYR2,2,7) | inrange(GPSTYR3,2,7) | inrange(GPSTYR4,2,7) | inrange(GPSTYR5,2,7) | inrange(GPSTYR6,2,7) | inrange(GPSTYR7,2,7))
replace nthreat=3 if gthreat1==1 & (inrange(gthreat1,2,4) | inrange(gthreat2,2,4) | inrange(gthreat3,2,4) | inrange(gthreat4,2,4) | inrange(gthreat5,2,4))
replace nthreat=.f if GPSTYR1==-7
replace nthreat=.a if GPSTYR1==.a | gthreat1==.a
replace nthreat=.b if GPSTYR1==.b | gthreat1==.b
replace nthreat=.e if GPSTYR1==.e | gthreat1==.e
label var nthreat "Industrial action threatened in the last 12 months"
label values nthreat nthreat
ta nthreat nyear, mi

*Any industrial action taken or threatened 
gen naction=99
replace naction=0 if nindact==0 & nthreat==0
replace naction=1 if inrange(nthreat,1,3)
replace naction=2 if inrange(nindact,1,3)
replace naction=3 if inrange(nthreat,1,3) & inrange(nindact,1,3)
replace naction=.e if nindact==.e | nthreat==.e
replace naction=.b if nindact==.b | nthreat==.b
replace naction=.a if nindact==.a | nthreat==.a
replace naction=.f if nthreat==.f
label var naction "Any industrial action in last 12 months"
label value naction nanyact
ta naction nyear, mi

*Total number of industrial action events  (*100) 
egen niaction = rsum(GACTYR01 GACTYR02 GACTYR03 gactyr23 GACTYR04 GACTYR05 GACTYR06 GACTYR07 GACTYR08 GACTYR09 GACTYR10 gactyrot)
replace niaction = niaction *100
replace niaction=.a if GACTIO01==.a | gact1==.a
replace niaction=.b if GACTIO01==.b | gact1==.b
replace niaction=.e if GACTIO01==.e | gact1==.e
replace niaction=.b if GACTYR01==.b | GACTYR02==.b | GACTYR03==.b | gactyr23==.b | GACTYR04==.b | GACTYR05==.b | GACTYR06==.b | GACTYR07==.b | GACTYR08==.b | GACTYR09==.b | GACTYR10==.b | gactyrot==.b
replace niaction=.a if GACTYR01==.a | GACTYR02==.a | GACTYR03==.a | gactyr23==.a | GACTYR04==.a | GACTYR05==.a | GACTYR06==.a | GACTYR07==.a | GACTYR08==.a | GACTYR09==.a | GACTYR10==.a | gactyrot==.a
label var niaction "Rate of industrial action in last 12 months"
label value niaction nitem
ta niaction nyear, mi

**************************
* MEASURES OF DISCONTENT *
**************************

*If any voluntary separations in last year 
gen nanyres=0
replace nanyres=1 if zresigne>0.
replace nanyres=.a if zresigne==.a 
replace nanyres=.b if zresigne==.b 
replace nanyres=.e if zresigne==.e 
label var nanyres "Any voluntary separations"
label value nanyres nyesno
ta nanyres nyear, mi

*Rate of voluntary separations, no trimming
*Note: in 1998 zallemps was use but in 2004 this was changed to zemp1ago. So figures not comparable to 1998
*Note: in both 04 and 11 there were cases where zemp1ago < zresigne, so these were imputed to item not applicable
gen nresign2 = -1
replace nresign2 = (zresigne/zemp1ago)*100 if zemp1ago>0
replace nresign2=.e if zemp1ago<=0
replace nresign2=.e if zresigne>zemp1ago
replace nresign2=.e if zresigne==.e | zemp1ago==.e
replace nresign2=.b if zresigne==.b | zemp1ago==.b
replace nresign2=.a if zresigne==.a | zemp1ago==.a
label val nresign2 nitem
label var nresign2 "Rate of voluntary separations per 100"
by nyear, sort: su nresign2

*Rate of redundancy, no trimming 
*Note: nprored2 has no trimming and uses ZEMP1AGO as denominator
*Note: In 2004 the variable was called 'npropred2'
*Note: Added a line of syntax - cases set to missing where zredund > zemp1ago
gen nprored2 =-1 
replace nprored2=(zredund/zemp1ago)*100 if zemp1ago>0 
replace nprored2=.e if zemp1ago<=0
replace nprored2=.e if zredund>zemp1ago
replace nprored2=.e if zredund==.e | zemp1ago==.e
replace nprored2=.b if zredund==.b | zemp1ago==.b
replace nprored2=.a if zredund==.a | zemp1ago==.a
label val nprored2 nitem
label var nprored2 "Rate of redundancy per 100"
by nyear, sort: su nprored2

************************
* INDIVIDUAL DISUPUTES *
************************

*Note: need to create individual variables from hsnact to make comparable to items in 2004
*Any formal verbal warnings in the last 12 months
gen norwarn = HORWARN
replace norwarn =0 if nyear==1
replace norwarn =0 if HORWARN==2
replace norwarn =1 if inlist(hsanct1,1) | inlist(hsanct2,1) | inlist(hsanct3,1) | inlist(hsanct4,1) | inlist(hsanct5,1) | inlist(hsanct6,1) | inlist(hsanct7,1)
replace norwarn=.a if hsanct1==.a
replace norwarn=.b if hsanct1==.b 
replace norwarn=.e if hsanct1==.e
label val norwarn nyesno
label var norwarn "Formal verbal warning in last 12 months"
ta norwarn nyear, mi

*Any formal verbal warnings in the last 12 months
gen nwarning = HWARNING
replace nwarning =0 if nyear==1
replace nwarning =0 if HWARNING==2
replace nwarning =1 if inlist(hsanct1,2) | inlist(hsanct2,2) | inlist(hsanct3,2) | inlist(hsanct4,2) | inlist(hsanct5,2) | inlist(hsanct6,2) | inlist(hsanct7,2)
replace nwarning=.a if hsanct1==.a
replace nwarning=.b if hsanct1==.b 
replace nwarning=.e if hsanct1==.e
label val nwarning nyesno
label var nwarning "Formal written warning in last 12 months"
ta nwarning nyear, mi

*Any suspension with or without pay in the last 12 months
gen nsuspend = HSUSPEND
replace nsuspend =0 if nyear==1
replace nsuspend =0 if HSUSPEND==2
replace nsuspend =1 if inlist(hsanct1,3) | inlist(hsanct2,3) | inlist(hsanct3,3) | inlist(hsanct4,3) | inlist(hsanct5,3) | inlist(hsanct6,3) | inlist(hsanct7,3)
replace nsuspend=.a if hsanct1==.a
replace nsuspend=.b if hsanct1==.b 
replace nsuspend=.e if hsanct1==.e
label val nsuspend nyesno
label var nsuspend "Suspension with or without pay in last 12 months"
ta nsuspend nyear, mi

*Any deductions from pay in the last 12 months
gen ndeduct = HDEDUCT
replace ndeduct =0 if nyear==1
replace ndeduct =0 if HDEDUCT==2
replace ndeduct =1 if inlist(hsanct1,4) | inlist(hsanct2,4) | inlist(hsanct3,4) | inlist(hsanct4,4) | inlist(hsanct5,4) | inlist(hsanct6,4) | inlist(hsanct7,4)
replace ndeduct=.a if hsanct1==.a
replace ndeduct=.b if hsanct1==.b 
replace ndeduct=.e if hsanct1==.e
label val ndeduct nyesno
label var ndeduct "Deductions from pay in last 12 months"
ta ndeduct nyear, mi

*Any dismissals in the last 12 months (sanctions)
gen ndismiss = HDISMISS
replace ndismiss =0 if nyear==1
replace ndismiss =0 if HDISMISS==2
replace ndismiss =1 if inlist(hsanct1,5) | inlist(hsanct2,5) | inlist(hsanct3,5) | inlist(hsanct4,5) | inlist(hsanct5,5) | inlist(hsanct6,5) | inlist(hsanct7,5)
replace ndismiss=.a if hsanct1==.a
replace ndismiss=.b if hsanct1==.b 
replace ndismiss=.e if hsanct1==.e
label val ndismiss nyesno
label var ndismiss "Dismissal sanction in last 12 months"
ta ndismiss nyear, mi

*Any internal transfers in the last 12 months (sanctions)
gen ntransf = HTRANSF
replace ntransf =0 if nyear==1
replace ntransf =0 if HTRANSF==2
replace ntransf =1 if inlist(hsanct1,6) | inlist(hsanct2,6) | inlist(hsanct3,6) | inlist(hsanct4,6) | inlist(hsanct5,6) | inlist(hsanct6,6) | inlist(hsanct7,6)
replace ntransf=.a if hsanct1==.a
replace ntransf=.b if hsanct1==.b 
replace ntransf=.e if hsanct1==.e
label val ntransf nyesno
label var ntransf "Internal transfer sanction in last 12 months"
ta ntransf nyear, mi

*Any dismissals over the past 12 months using zdismiss
gen nanydism=0
replace nanydism=1 if zdismiss>0
replace nanydism=.a if zdismiss==.a
replace nanydism=.b if zdismiss==.b 
replace nanydism=.e if zdismiss==.e
label var nanydism "Any dismissals over the past 12 months (zdismiss)"
label val nanydism nyesno
ta nanydism nyear, mi

*Rate of dismissals per 100 employees, in last 12 months - using zemp1ago as base
*Note: variable was called 'npropdis2' in 2004
*Note: Added a line of syntax - cases set to missing where zdismiss > zemp1ago
*Note: There is one case in 04 that has a dismissal rate higher than 50. 
gen nprodis2=-1
replace nprodis2=(zdismiss/zemp1ago)*100 if zemp1ago>0 
replace nprodis2=.e if zemp1ago<=0
replace nprodis2=.e if zdismiss>zemp1ago
replace nprodis2=.e if zdismiss==.e | zemp1ago==.e
replace nprodis2=.b if zdismiss==.b | zemp1ago==.b
replace nprodis2=.a if zdismiss==.a | zemp1ago==.a
label val nprodis2 nitem	
label var nprodis2 "Rate of dismissal per 100"
by nyear, sort: su nprodis2

*Any Employment Tribunal claims in last 12 months 
gen nitclaim=hcomplai
replace nitclaim=0 if hcomplai==2 
label var nitclaim  "Any ET applications in last 12 months"
label val nitclaim nyesno
ta nitclaim nyear, mi

*Rate of ET applications per 1000 employees 
*Note: removed code=-2 'some, DK number'
*Note: Added a line of syntax - cases set to missing where hcomnum > zallemps
gen nitrate2=(hcomnum/zallemps)*1000
replace nitrate2=.e if hcomnum>zallemps
replace nitrate2=0 if nitclaim==0 
replace nitrate2=.e if nitclaim==.e 
replace nitrate2=.b if nitclaim==.b | hcomnum==.b
replace nitrate2=.a if nitclaim==.a | hcomnum==.a
label var nitrate2 "Number of ET applications per 1000 employees"
label val nitrate2 nitem
by nyear, sort: su nitrate2

*To find cases where rate of ET cases is greater than 12%
* use $vars_mq $vars_mdvs if (nitrate2>120 & nitrate2~=.a & nitrate2~=.b & nitrate2~=.e) using "$path_derived\mq&seq&wrq_derived.dta", clear
* ta hcomnum zallemps, mi
* use $vars_mq $vars_mdvs if nmq==1 using "$path_derived\mq&seq&wrq_derived.dta", clear
*Currently 11 cases with ET rate higher than 12% - all are workplaces with less than 100 employees

*Presence of 3 step grievance procedures (ngproc3c)
*Note: Form of syntax has changed slightly but should still do the same thing as in 2004
gen ngproc3c =0
replace ngproc3c =3 if inlist(hgrvwrte,1,2) | inlist(hgrvmtg,1,2) | hgrvapl ==1
replace ngproc3c =2 if inlist(hgrvwrte,1,2) & inlist(hgrvmtg,1,2) & hgrvapl ==1
replace ngproc3c =1 if hgrvwrte ==1 & hgrvmtg ==1 & hgrvapl ==1
replace ngproc3c =4 if hgrvwrte ==3 & hgrvmtg ==3 & hgrvapl ==2
replace ngproc3c =.e if hgrvwrte ==.e | hgrvmtg ==.e | hgrvapl ==.e
replace ngproc3c =.b if hgrvwrte ==.b | hgrvmtg ==.b | hgrvapl ==.b
replace ngproc3c =.a if hgrvwrte ==.a | hgrvmtg ==.a | hgrvapl ==.a
lab define n3step 1 "All 3 steps, all of the time" 2 "All 3 steps, not all of time" 3 "1 or 2 steps, all/some of the time" 4 "None of the 3 steps" .a "Refusal" .b "Don't know" .e "Item not applicable" .f "Don't know or not answered"
label val ngproc3c n3step	
label var ngproc3c "Three step grievance procedure in place"
ta ngproc3c nyear, mi

*Presence of 3 step disciplinary procedures (ndproc3c)
*Note: Form of syntax has changed slightly but should still do the same thing as in 2004
gen ndproc3c =0
replace ndproc3c =3 if inlist(hothwrt,1,2) | inlist(hothmtg,1,2) | happeal ==1
replace ndproc3c =2 if inlist(hothwrt,1,2) & inlist(hothmtg,1,2) & happeal ==1
replace ndproc3c =1 if hothwrt ==1 & hothmtg ==1 & happeal ==1
replace ndproc3c =4 if hothwrt ==3 & hothmtg ==3 & happeal ==2
replace ndproc3c =.e if hothwrt ==.e | hothmtg ==.e | happeal ==.e
replace ndproc3c =.b if hothwrt ==.b | hothmtg ==.b | happeal ==.b
replace ndproc3c =.a if hothwrt ==.a | hothmtg ==.a | happeal ==.a
label val ndproc3c n3step	
label var ndproc3c "Three step disciplinary procedure in place"
ta ndproc3c nyear, mi

*Any sanctions over the past 12 months - 6 types
*Note if hsanct=other only nsanc2=no because there is no equivalent in 2004
*Note: Variable was called 'nanysanc2' in 2004
gen nsanc2=0
replace nsanc2=1 if norwarn==1 | nwarning==1 | nsuspend==1 | ndeduct==1 | ndismiss==1 | ntransf==1
replace nsanc2=.e if norwarn==.e | nwarning==.e | nsuspend==.e | ndeduct==.e | ndismiss==.e | ntransf==.e
replace nsanc2=.b if norwarn==.b | nwarning==.b | nsuspend==.b | ndeduct==.b | ndismiss==.b | ntransf==.b
replace nsanc2=.a if norwarn==.a | nwarning==.a | nsuspend==.a | ndeduct==.a | ndismiss==.a | ntransf==.a
label var nsanc2 "Any sanctions in last 12 months - 6 items"
label val nsanc2 nyesno
ta nsanc2 nyear, mi

*Note: Haven't replicated 1998 'nanysanc' based solely on deduction, suspension and formal written warning

*Sanctions (6 item) rate per 100 employees 
*COMMENT FROM 2004 JF note this currently uses ZALLEMP as base.  OK?
*Note: Variable was called 'nprpsanc2' in 2004
*Note: Added a line of syntax cases set to missing where hsusnum>zaallemps
*Note: There are currently 20 workplaces where the rate of sanctions is greater than 50 for every 100 employees - 14 in 04 and 5 in 11.
gen nprsanc2 =-1
replace nprsanc2=hsusnum/zallemps*100 if hsusnum<zallemps
replace nprsanc2=.e if hsusnum>zallemps
replace nprsanc2=0 if nsanc2==0
replace nprsanc2=.a if nsanc2==.a
replace nprsanc2=.b if nsanc2==.b 
replace nprsanc2=.e if nsanc2==.e
label var nprsanc2 "Rate of sanctions per 100 employees"
label val nprsanc2 nitem
by nyear, sort: su nprsanc2

*Any employees raised matters through the individual grievance procedure
*Note: change hraised in 04 to hraisedx in 11 to ask number of grievances raised. Therefore DKs are higher in 2011.
gen nraised = HRAISED
replace nraised =2 if hraisedx==0 & nyear==1
replace nraised =1 if hraisedx>0 & nyear==1
replace nraised=.a if HRAISED==.a | hraisedx==.a
replace nraised=.b if HRAISED==.b | hraisedx==.b
replace nraised =3 if hproced==2
label define nraised 1 "Yes" 2 "No" 3 "Do not have a formal grievance procedure" .a "Refusal" .b "Don't know" .e "Item not applicable"
label val nraised nraised
label var nraised "Any employees raised a grievance thru procedure in last 12 months"
ta nraised nyear, mi

*Rate of greivances raised through formal procedures per 100 employees 
*Note: there is no 2004 equivalent. 
gen ngrvrate =.
replace ngrvrate=hraisedx/zallemps*100 if hraisedx<zallemps
replace ngrvrate=0 if hraisedx==0 
replace ngrvrate=.a if hraisedx==.a 
replace ngrvrate=.b if hraisedx==.b 
replace ngrvrate=.e if hraisedx==.e 
label var ngrvrate "Rate of grievances raised thru procedure per 100 employees 2011"
label val ngrvrate nitem
by nyear, sort:su ngrvrate

*To find cases where rate of grievances is greater than 25%
* use $vars_mq $vars_mdvs if (ngrvrate>25 & ngrvrate~=.a & ngrvrate~=.b & ngrvrate~=.e & ngrvrate~=.f) using "$path_derived\mq&seq&wrq_derived.dta", clear
* ta hraisedx zallemps, mi
* use $vars_mq $vars_mdvs if nmq==1 using "$path_derived\mq&seq&wrq_derived.dta", clear
*Currently 5 cases with grievance rate higher than 25% - all are workplaces with less than 200 employees....
*...although a couple look suspiciously collective..?

******************
* REPRESENTATION *
******************
label define njcc 0	"No workplace JCC" 1 "Single issue JCC(s) only" 2 "Multi-issue JCC(s)" .a "Refusal" .b "Don't know" .e "Item not applicable" 
label define nanycom 0	"No committee" 1 "Single issue JCC(s) only" 2	"Multi-issue JCC(s) only" 3 "Higher-level committee(s) only" 4 "Single issue JCC(s) + Higher level committee(s)" 5 "Multi-issue JCC(s) + Higher level committee(s)" .a "Refusal" .b "Don't know" .e "Item not applicable" 

*Any workplace level JCCs
*There are 121 'single issue' JCCS (both years). However, 84 of these chose more than 1 issue at D1WHICH. 
*Which definition of 'single issue' do we want to stick with? 
*Those that chose more than 1 issue were treated as multi-issue JCCs in the questions but are not in this syntax.
gen njcc=-1
replace njcc=.e if djoint==.e
replace njcc=.a if djoint==.a | dissues==.a
replace njcc=.b if djoint==.b | dissues==.b
replace njcc=0 if djoint==2
replace njcc=1 if djoint==1 & dissues==2
replace njcc=2 if djoint==1 & (dissues==1 | dissues==3)
label var njcc "Presence of workplace JCC(s)"
label val njcc njcc
ta njcc nyear, mi

* Recode frequency of meeting for multi-issue JCCs (banded)
*Note from 2004: Revised so that quarterly meetings are banded with more frequent meetings, not with less frequent ones. 
*We can then use Ndmeet to derive Njccf in line with the time-series. 
*Note: this variable recodes to 'no multi-issue JCC' even if they selected more than one issue (and were asked DMEET)
recode dmeet (0=0 "None" ) (1/3=1 "Less often than once a quarter") (4/11=2 "At least quarterly, not monthly") (12/97=3 "Monthly or more frequent") (.a=.a "Refusal") (.b=.b "Don't know") (.e=.e "Item not applicable"), ge(ndmeet)
replace ndmeet=.e if njcc==0 | njcc==1 
label var ndmeet "Frequnecy of multi-issue JCC meetings in the last 12 months" 
ta ndmeet nyear, mi

*Recode frequency of meeting for multi0-issue JCCS 
recode dmeet (-1=0 "Not a multi-issue JCC") (0/1=1 "Not met or met once") (2/3=2 "Met 2 or 3 times") (4/11=4 "Met 4-11 times") (12/97=5 "Met 12 or more times") (.a=.a "Refusal") (.b=.b "Don't know") (.e=.e "Item not applicable"), ge(ndmeet2)
replace ndmeet2=0 if njcc==0 | njcc==1 
label var ndmeet2 "Number of multi-issue JCC meetings in last 12 months"
ta ndmeet2 nyear, mi

*Any 'functioning' JCC (i.e. a multi-issue JCC that meets at least once a quarter)
gen njccf=njcc
replace njccf=.e if njcc==2 & (ndmeet>=.a & ndmeet<=.f)
replace njccf=1 if njcc==2 & ndmeet>1 & ndmeet <5
replace njccf=0 if njcc==2 & (ndmeet ==0 | ndmeet==1)
replace njccf=0 if njcc==0 | njcc==1
label var njccf "Any functioning JCC that has met at least 4 times in last 12 months" 
label val njccf nyesno
ta njccf nyear, mi

*Presence of consultative committees, either at workplace level or higher in org .
*Note: Nanycom is the 1998 variable, which treats single-issue committees as 'no committee' - not derived. 
gen nanycom2=njcc
replace nanycom2=njcc + 3 if dhighlev==1 & njcc>=0
replace nanycom2=.b if njcc==.b | dhighlev==.b
replace nanycom2=.a if njcc==.a | dhighlev==.a
label var nanycom2 "Presence of consultative committees at workplace or higher level"
label val nanycom2 nanycom
ta nanycom2 nyear, mi

**************
* Geography *
**************

/*
* Region. We have SSR and GOR.
rename gor ngor
label var ngor "Government Regional Office"
lab define ngor 1 "North East" 2 "North West" 3 "Y and H" 4 "E Mids" 5 "W Mids" 6 "East of England" 7 "London" 8 "South East" 9 "South West" 10 "Scotland" 11 "Wales" .a "Refusal" .b "Don't know" .e "Item not applicable"
label val ngor ngor
ta ngor nyear, mi
ta ssr 
ta ngor ssr

recode ssr (0=10 "Scotland") (1=1 "North") (2=2 "Y and H") (3=3 "E Mids") (4=4 "E Anglia") (5=5 "South East") (6=6 "South West") (7=7 "W Mids") (8=8 "North West") (9=9 "Wales"),gen(nssr)
label var nssr "Standard Statistical Region"
ta nssr nyear, mi

*/

********************
* AGE OF WORKPLACE *
********************

* Note: 2004 var didn't seem to incorporate ahowest
recode ahowlong (0/4=1 "Less than 5 years") (5/9=2 "5 to 9 years") (10/14=3 "10 to 14 years") (15/20=4 "15 to 20 years") (21/24=5 "21 to 24 years") (25/999=6 "25 or more years") (.b=.b "Don't know"), ge(nage1)
replace nage1=ahowest if ahowlong==.b
label var nage1 "Age of workplace at present and any previous address"

recode nage1 (1=1 "Less than 5 years") (2=2 "5 to 9 years") (3/5=3 "10 to 24 years") (6=4 "25 or more years") (.b=.b "Don't know"), ge(nage2)
label var nage2 "Age of workplace at present and any previous address"

* Nage3 disaggregates the 25 plus group, for analysis of union recognition cohort effect .
recode ahowlong (0/4=1 "Less than 5 years") (5/9=2 "5 to 9 years") (10/24=3 "10 to 24 years") (25/49=4 "25 to 49 years") (50/999=5 "50 or more years") (.b=.b "Don't know") (.e=.e "25+, but cant split"), ge(nage3)
replace nage3=ahowest if ahowest==1 | ahowest==2
replace nage3=3 if ahowest==3 | ahowest==4 | ahowest==5
replace nage3=.e if ahowest==6
replace nage3=.b if ahowest==.b
label var nage3 "Age of workplace at present and any previous address"


****************************************************************************
* Low paid
****************************************************************************

* Proportion of workforce in workplace on low pay, 2011: 0-1
* Low pay is defined as anyone, irrespctive of age, with pay equivalent to the adult National Minimum Wage rate 
* This variable applies only to 2011 because of changes question wording between 2004 and 2011
generate nnmwprop=0 if zwagea==0 | zwageapc==0
replace nnmwprop=zwagea/zallemps if nnmwprop==. & !missing(zwagea)
replace nnmwprop=zwageapc/100 if nnmwprop==. & !missing(zwageapc)
replace nnmwprop=.a if zwagea==.a
replace nnmwprop=.b if zwageapc==.b
replace nnmwprop=.e if nnmwprop==.
label values nnmwprop nitem
label var nnmwprop "Employees on low pay as proportion of all employees"

ta zwagea, mi 
ta zwageapc, mi
ta nnmwprop, mi

* Banded proportion of workforce in workplace on low pay, 2011
* Low pay is defined as anyone, irrespctive of age, with pay equivalent to the adult National Minimum Wage rate 
* This variable applies only to 2011 because of changes question wording between 2004 and 2011
generate int nnmwprob=1 if nnmwprop==0
replace nnmwprob=2 if nnmwprop>0 & nnmwprop <0.05
replace nnmwprob=3 if nnmwprop>=0.05 & nnmwprop <0.10
replace nnmwprob=4 if nnmwprop>=0.10 & nnmwprop <0.25
replace nnmwprob=5 if nnmwprop>=0.25 & nnmwprop <=1
replace nnmwprob=.a if nnmwprop==.a
replace nnmwprob=.b if nnmwprop==.b
replace nnmwprob=.e if nnmwprop==.e

label var nnmwprob "Employees on low pay as proportion of all employees (5 bands)"
label define nnmwprob 1 "None" 2 "1-4%" 3 "5-9%" 4 "10-24%" 5 "25%+" .a "Refusal" .b "DK" .e "Item not applicable"
label values nnmwprob nnmwprob
tab nnmwprob, mi

***************************************************************************************************************
* Training - Proportion of experienced largest occupation group who had off the job training in past 12 months: banded
***************************************************************************************************************

generate noffjobn=0
replace noffjobn=COFFJOBT/nhiocc1 if coffjob==97
replace noffjobn=.e if coffjob!=97
label values noffjobn nitem
label var noffjobn "Proportion of largest occupation group who'd off the job training cal from coffjobt"

generate noffjobb=0
replace noffjobb=6 if noffjobn >0 & noffjobn< 0.2
replace noffjobb=5 if noffjobn >=0.2 & noffjobn < 0.4
replace noffjobb=4 if noffjobn >=0.4 & noffjobn < 0.6
replace noffjobb=3 if noffjobn >=0.6 & noffjobn < 0.8
replace noffjobb=2 if noffjobn >=0.8 & noffjobn < 1
replace noffjobb=1 if noffjobn >=1
replace noffjobb=.e if noffjobn==.e
label define noffjobb 1 "100%" 2 "80-99%" 3 "60-79%" 4 "40-59%" 5 "20-39%" 6 "1-19%" .e "Item not applicable"
label values noffjobb noffjobb
label var noffjobb "Banded proportion- largest occuptaion group who'd off job training cal from coffjobt"
ta noffjobn noffjobb, mi 

generate noffjob=0
replace noffjob=1 if nyear==0 & (coffjob==1 | noffjobb==1)
replace noffjob=2 if nyear==0 & (coffjob==2 | noffjobb==2)
replace noffjob=3 if nyear==0 & (coffjob==3 | noffjobb==3)
replace noffjob=4 if nyear==0 & (coffjob==4 | noffjobb==4)
replace noffjob=5 if nyear==0 & (coffjob==5 | noffjobb==5)
replace noffjob=6 if nyear==0 & (coffjob==6 | noffjobb==6)
replace noffjob=7 if nyear==0 & coffjob==.b & coffchk==1
replace noffjob=8 if nyear==0 & coffjob==.b & coffchk==2
replace noffjob=8 if nyear==0 & coffjob==7
replace noffjob=.a if nyear==0 & coffjob==.a
replace noffjob=.b if nyear==0 & coffchk==.b
replace noffjob=1 if nyear==1 & coffjob==1 
replace noffjob=2 if nyear==1 & coffjob==2
replace noffjob=3 if nyear==1 & coffjob==3
replace noffjob=4 if nyear==1 & coffjob==4
replace noffjob=5 if nyear==1 & coffjob==5
replace noffjob=6 if nyear==1 & coffjob==6
replace noffjob=7 if nyear==1 & coffjob==.b & coffchk==1
replace noffjob=8 if nyear==1 & coffjob==.b & coffchk==2
replace noffjob=8 if nyear==1 & coffjob==7
replace noffjob=.a if nyear==1 & coffjob==.a
replace noffjob=.b if nyear==1 & coffchk==.b
label define noffjob 1 "100%" 2 "80-99%" 3 "60-79%" 4 "40-59%" 5 "20-39%" 6 "1-19%" 7 "DK figure" 8 "0%" .a "Refusal" .b "DK if LOG've off the job training"
label values noffjob noffjob
label var noffjob "Percentage of experienced largest occupational group who had off the job training in past 12 months"
ta coffjob nyear, mi
ta noffjob nyear, mi
*table to check 0% and DK 
ta coffchk nyear, mi
drop noffjobn noffjobb

***************************************************************************************************
* Health and Safety - Arrangements for consulting over health and safety 
***************************************************************************************************

* arrangements incorporating data from sections D and I
* the syntax below derives nhealth1
* although they both make use of data from sections D and I of the questionnaire, nhealth1 is not exactly the same as 
* nhealth2 derived for the 2004 source book.  This is bbecause nhealth2 used data from DWhich10-14 and DWhi01-14 
* but nhealth1 uses DWhich10-14. The 2011 WERS did not ask DWhi01-14. 

egen nhadhs=anymatch(DWHICH01-DWHICH13 DWHICH14) if (DWHICH01 <=13 & DWHICH01 >0), values (10)
label values nhadhs nyesno
label var nhadhs "Joint committee for H&S, SectionD"

ta nhadhs
 
generate nhealth1=0
replace nhealth1=1 if (icommtee==1 | nhadhs==1)
replace nhealth1=2 if iothrep==1
replace nhealth1=4 if iconsul1==1
replace nhealth1=3 if iconsul1>=2 & iconsul1 <=6
replace nhealth1=.a if icommtee==.a
replace nhealth1=.b if icommtee==.b | (icommtee==0 & iothrep==.b) | (icommtee==0 & iothrep==2 & iconsul1==.b)
replace nhealth1=.e if icommtee==.e
label define nhealth1 1 "Joint Committee" 2 "Worker reps" 3 "Consult direct" 4 "No consultation" .a "Refusal" .b "Don't know" .e "Item not applicable"
label values nhealth1 nhealth1 
label var nhealth1 "Consultation over health and safety inc SectionD"

ta nhealth1, mi
ta icommtee nhadhs, mi
* note - the workplaces coded no at icommtee but yes at nhadhs are not coded as having a joint committee at nhealth1 because they confirmed 
* at icommtee that they did not have a joint committee that covered health and safety

drop nhadhs


**ENTERPRISE SIZE**

*Total number of employees within the organisation in the UK 
recode auktot (1/2=1 "Less than 100 employees") (3/6=2 "100 to <1000 employees") (7/9=3 "1,000 to <10,000 employees") (10/12=4 "10,000 or more employees") (.a=.a "Refused") (.b=.b "Don't know") (.e=.e "Item not applicable"), ge(norgsize)
replace norgsize=.a if asingle==1 & auktotx==.e
replace norgsize=1 if asingle ~=1 & zallemps<=99
replace norgsize=2 if asingle ~=1 & zallemps>=100 & zallemps<=999
replace norgsize=3 if asingle ~=1 & zallemps>=1000 & zallemps<=9999
replace norgsize=4 if asingle ~=1 & zallemps>=10000
replace norgsize=1 if auktotx>=1 & auktotx<=4
replace norgsize=2 if auktotx>=5 & auktotx<=8
replace norgsize=3 if auktotx>=9 & auktotx<=11
replace norgsize=4 if auktotx>=12 & auktotx<=14
replace norgsize=.a if auktotx==.a
replace norgsize=.b if auktotx==.b
label var norgsize "Size of organisation in the UK - 4 bands"
ta norgsize nyear, mi

recode auktot (1=1 "Small organisation (less than 50 employees in UK)") (2/4=2 "Medium organisation (50-249 employees in UK)") (5/12=3 "Large organisation (250+ employees in UK)")(.a=.a "Refused") (.b=.b "Don't know") (.e=.e "Item not applicable"), ge(norgsiz2)
replace norgsiz2=.a if asingle==1 & auktotx==.e
replace norgsiz2=1 if asingle ~=1 & zallemps<=49
replace norgsiz2=2 if asingle ~=1 & zallemps>=50 & zallemps<=249
replace norgsiz2=3 if asingle ~=1 & zallemps>=250
replace norgsiz2=1 if auktotx>=1 & auktotx<=3
replace norgsiz2=2 if auktotx>=4 & auktotx<=6
replace norgsiz2=3 if auktotx>=7 & auktotx<=14
replace norgsiz2=.a if auktotx==.a
replace norgsiz2=.b if auktotx==.b
label var norgsiz2 "Size of organisation inthe UK - 3 bands"
ta norgsiz2 nyear, mi

*Replacing some missing values for organisation size using information from IDBR (LS)

*In 2004

replace norgsize=1 if nyear==0 & (w5serial==31000|w5serial==32860|w5serial==33214|w5serial==33298|w5serial==31886|w5serial==31943)
replace norgsize=2 if nyear==0 & (w5serial==31328|w5serial==31364|w5serial==31465|w5serial==31515|w5serial==31890|w5serial==32269|w5serial==32442|w5serial==32725|w5serial==33021|/*
*/w5serial==33331|w5serial==33679|w5serial==33703|w5serial==33709|w5serial==30539|w5serial==31148|w5serial==31343|w5serial==31657|w5serial==32712|w5serial==33130)
replace norgsize=3 if nyear==0 & (w5serial==30145|w5serial==30186|w5serial==30229|w5serial==30280|w5serial==30406|w5serial==30445|w5serial==30547|w5serial==30638|w5serial==30639|/*
*/w5serial==30684|w5serial==30811|w5serial==30830|w5serial==30891|w5serial==31433|w5serial==31450|w5serial==31662|w5serial==32060|w5serial==32213|w5serial==32520|w5serial==32650|/*
*/w5serial==33183|w5serial==33211|w5serial==33806|w5serial==33906|w5serial==30067|w5serial==30739|w5serial==30769|w5serial==30790|w5serial==30814|w5serial==30877|w5serial==30879|/*
*/w5serial==30913|w5serial==31839|w5serial==32297|w5serial==32349|w5serial==32505|w5serial==32775|w5serial==33023|w5serial==33028|w5serial==33029|w5serial==33030|w5serial==33088|/*
*/w5serial==33271)
replace norgsize=4 if nyear==0 & (w5serial==30249|w5serial==30479|w5serial==30486|w5serial==30647|w5serial==30686|w5serial==30707|w5serial==30757|w5serial==30809|w5serial==30860|/*
*/w5serial==30958|w5serial==30960|w5serial==31063|w5serial==31108|w5serial==31203|w5serial==31204|w5serial==31205|w5serial==31526|w5serial==31581|w5serial==31615|w5serial==32403|/*
*/w5serial==32578|w5serial==32580|w5serial==32598|w5serial==32730|w5serial==32731|w5serial==33004|w5serial==33103|w5serial==33165|w5serial==33440|w5serial==33498|w5serial==33802|/*
*/w5serial==30054|w5serial==30403|w5serial==30478|w5serial==30480|w5serial==30481|w5serial==30485|w5serial==30541|w5serial==30634|w5serial==30641|w5serial==30660|w5serial==30756|/*
*/w5serial==30817|w5serial==30939|w5serial==31101|w5serial==31175|w5serial==32599|w5serial==33002|w5serial==33003|w5serial==33036|w5serial==33087|w5serial==33345|w5serial==33346|/*
*/w5serial==33414)

*In 2011:

replace norgsize=1 if nyear==1 & (serno==2058014|serno==2065018|serno==2069020|serno==9022001)
replace norgsize=2 if nyear==1 & (serno==2012027|serno==2041030|serno==2051036|serno==2093017|serno==4011004|serno==9097010)
replace norgsize=3 if nyear==1 & (serno==2009008|serno==2012028|serno==2014024|serno==2019023|serno==2030004|serno==2033013|serno==2035011|serno==2055012|serno==2062044|serno==2066006 /*
*/|serno==2069014|serno==2071027|serno==2080007|serno==2085042|serno==2090028|serno==2093015|serno==2109005|serno==2116024|serno==2116033|serno==4002010|serno==4026006|serno==4037007/*
*/|serno==4071005|serno==4076010|serno==9119010)
replace norgsize=4 if nyear==1 & (serno==2007054|serno==2018030|serno==2029011|serno==2031015|serno==2031019|serno==2040003|serno==2042022|serno==2046009|serno==2053022|serno==2055015/*
*/|serno==2057030|serno==2065021|serno==2067020|serno==2082017|serno==2088032|serno==2089011|serno==2090026|serno==2097030|serno==2099009|serno==2104023|serno==2118041|serno==4012005/*
*/|serno==4017003|serno==4027003|serno==4029003|serno==4029004|serno==4041012|serno==4057007|serno==4069003|serno==9029005|serno==9037003|serno==9102005|serno==9103014|serno==	9110006)


*Create flag variable to identify cases imputed from IDBR 

gen norgs_flg=1 if nyear==1 & (serno==2058014|serno==2065018|serno==2069020|serno==9022001)
replace norgs_flg=1 if nyear==1 & (serno==2012027|serno==2041030|serno==2051036|serno==2093017|serno==4011004|serno==9097010)
replace norgs_flg=1 if nyear==1 & (serno==2009008|serno==2012028|serno==2014024|serno==2019023|serno==2030004|serno==2033013|serno==2035011|serno==2055012|serno==2062044|serno==2066006 /*
*/|serno==2069014|serno==2071027|serno==2080007|serno==2085042|serno==2090028|serno==2093015|serno==2109005|serno==2116024|serno==2116033|serno==4002010|serno==4026006|serno==4037007/*
*/|serno==4071005|serno==4076010|serno==9119010)
replace norgs_flg=1 if nyear==1 & (serno==2007054|serno==2018030|serno==2029011|serno==2031015|serno==2031019|serno==2040003|serno==2042022|serno==2046009|serno==2053022|serno==2055015/*
*/|serno==2057030|serno==2065021|serno==2067020|serno==2082017|serno==2088032|serno==2089011|serno==2090026|serno==2097030|serno==2099009|serno==2104023|serno==2118041|serno==4012005/*
*/|serno==4017003|serno==4027003|serno==4029003|serno==4029004|serno==4041012|serno==4057007|serno==4069003|serno==9029005|serno==9037003|serno==9102005|serno==9103014|serno==	9110006)

replace norgs_flg=1 if nyear==0 & (w5serial==31000|w5serial==32860|w5serial==33214|w5serial==33298|w5serial==31886|w5serial==31943)
replace norgs_flg=1 if nyear==0 & (w5serial==31328|w5serial==31364|w5serial==31465|w5serial==31515|w5serial==31890|w5serial==32269|w5serial==32442|w5serial==32725|w5serial==33021|/*
*/w5serial==33331|w5serial==33679|w5serial==33703|w5serial==33709|w5serial==30539|w5serial==31148|w5serial==31343|w5serial==31657|w5serial==32712|w5serial==33130)
replace norgs_flg=1 if nyear==0 & (w5serial==30145|w5serial==30186|w5serial==30229|w5serial==30280|w5serial==30406|w5serial==30445|w5serial==30547|w5serial==30638|w5serial==30639|/*
*/w5serial==30684|w5serial==30811|w5serial==30830|w5serial==30891|w5serial==31433|w5serial==31450|w5serial==31662|w5serial==32060|w5serial==32213|w5serial==32520|w5serial==32650|/*
*/w5serial==33183|w5serial==33211|w5serial==33806|w5serial==33906|w5serial==30067|w5serial==30739|w5serial==30769|w5serial==30790|w5serial==30814|w5serial==30877|w5serial==30879|/*
*/w5serial==30913|w5serial==31839|w5serial==32297|w5serial==32349|w5serial==32505|w5serial==32775|w5serial==33023|w5serial==33028|w5serial==33029|w5serial==33030|w5serial==33088|/*
*/w5serial==33271)
replace norgs_flg=1 if nyear==0 & (w5serial==30249|w5serial==30479|w5serial==30486|w5serial==30647|w5serial==30686|w5serial==30707|w5serial==30757|w5serial==30809|w5serial==30860|/*
*/w5serial==30958|w5serial==30960|w5serial==31063|w5serial==31108|w5serial==31203|w5serial==31204|w5serial==31205|w5serial==31526|w5serial==31581|w5serial==31615|w5serial==32403|/*
*/w5serial==32578|w5serial==32580|w5serial==32598|w5serial==32730|w5serial==32731|w5serial==33004|w5serial==33103|w5serial==33165|w5serial==33440|w5serial==33498|w5serial==33802|/*
*/w5serial==30054|w5serial==30403|w5serial==30478|w5serial==30480|w5serial==30481|w5serial==30485|w5serial==30541|w5serial==30634|w5serial==30641|w5serial==30660|w5serial==30756|/*
*/w5serial==30817|w5serial==30939|w5serial==31101|w5serial==31175|w5serial==32599|w5serial==33002|w5serial==33003|w5serial==33036|w5serial==33087|w5serial==33345|w5serial==33346|/*
*/w5serial==33414)

label variable norgs_flg "Norgsize imputed from IDBR"

*2004
replace norgsiz2=1 if nyear==0 & (w5serial==32860|w5serial==33298|w5serial==31886)
replace norgsiz2=2 if nyear==0 & (w5serial==31000|w5serial==31343|w5serial==31364|w5serial==31657|w5serial==31943|w5serial==33214|w5serial==33331|w5serial==33679)
replace norgsiz2=3 if nyear==0 & (w5serial==30054|w5serial==30067|w5serial==30229|w5serial==30249|w5serial==30280|w5serial==30403|w5serial==30406|w5serial==30445|w5serial==30478|w5serial==30480|w5serial==30481|w5serial==30485|w5serial==30486 /*
*/ |w5serial==30539|w5serial==30541|w5serial==30547|w5serial==30634|w5serial==30638|w5serial==30639|w5serial==30641|w5serial==30647|w5serial==30660|w5serial==30684|w5serial==30686|w5serial==30707|w5serial==30739|w5serial==30756 /*
*/ |w5serial==30757|w5serial==30769|w5serial==30790|w5serial==30809|w5serial==30811|w5serial==30814|w5serial==30817|w5serial==30830|w5serial==30860|w5serial==30877|w5serial==30879|w5serial==30913|w5serial==30939|w5serial==30958 /*
*/ |w5serial==30960|w5serial==31101|w5serial==31108|w5serial==31148|w5serial==31175|w5serial==31203|w5serial==31204|w5serial==31205|w5serial==31328|w5serial==31433|w5serial==31465|w5serial==31515|w5serial==31526|w5serial==31581 /*
*/ |w5serial==31615|w5serial==31662|w5serial==31839|w5serial==31890|w5serial==32213|w5serial==32269|w5serial==32297|w5serial==32403|w5serial==32442|w5serial==32505|w5serial==32520|w5serial==32578|w5serial==32580|w5serial==32598 /*
*/ |w5serial==32599|w5serial==32712|w5serial==32725|w5serial==32730|w5serial==32731|w5serial==32775|w5serial==33002|w5serial==33003|w5serial==33004|w5serial==33021|w5serial==33023|w5serial==33028|w5serial==33029|w5serial==33030 /*
*/ |w5serial==33036|w5serial==33087|w5serial==33088|w5serial==33103|w5serial==33165|w5serial==33183|w5serial==33211|w5serial==33271|w5serial==33345|w5serial==33346|w5serial==33414|w5serial==33440|w5serial==33703|w5serial==33709 /*
*/ |w5serial==33802|w5serial==33806|w5serial==33906|w5serial==30145|w5serial==30186|w5serial==30479|w5serial==30891|w5serial==31063|w5serial==31450|w5serial==32060|w5serial==32650|w5serial==33498|w5serial==32349|w5serial==33130)

*2011

replace norgsiz2=1 if nyear==1 & serno==2058014
replace norgsiz2=2 if nyear==1 & (serno==2012027|serno==2065018|serno==2069020|serno==4011004|serno==9022001)
replace norgsiz2=3 if nyear==1 & (serno==2007054|serno==2009008|serno==2012028|serno==2014024|serno==2018030|serno==2019023|serno==2029011|serno==2030004|serno==2031015|serno==2031019|serno==2033013|serno==2035011 /*
*/|serno==2040003|serno==2041030|serno==2042022|serno==2046009|serno==2051036|serno==2053022|serno==2055012|serno==2055015|serno==2057030|serno==2062044|serno==2065021|serno==2066006|serno==2067020 /*
*/|serno==2069014|serno==2071027|serno==2080007|serno==2082017|serno==2085042|serno==2088032|serno==2089011|serno==2090026|serno==2090028|serno==2093015|serno==2093017|serno==2097030|serno==2099009 /*
*/|serno==2104023|serno==2109005|serno==2116024|serno==2116033|serno==2118041|serno==4002010|serno==4012005|serno==4017003|serno==4026006|serno==4027003|serno==4029003|serno==4029004|serno==4037007 /*
*/|serno==4041012|serno==4057007|serno==4069003|serno==4071005|serno==4076010|serno==9029005|serno==9037003|serno==9097010|serno==9102005|serno==9103014|serno==9110006|serno==9119010)

*Create flag variable to identify cases imputed from IDBR

gen norgs2_flg=1 if nyear==0 & (w5serial==32860|w5serial==33298|w5serial==31886)
replace norgs2_flg=1 if nyear==0 & (w5serial==31000|w5serial==31343|w5serial==31364|w5serial==31657|w5serial==31943|w5serial==33214|w5serial==33331|w5serial==33679)
replace norgs2_flg=1 if nyear==0 & (w5serial==30054|w5serial==30067|w5serial==30229|w5serial==30249|w5serial==30280|w5serial==30403|w5serial==30406|w5serial==30445|w5serial==30478|w5serial==30480|w5serial==30481|w5serial==30485|w5serial==30486 /*
*/ |w5serial==30539|w5serial==30541|w5serial==30547|w5serial==30634|w5serial==30638|w5serial==30639|w5serial==30641|w5serial==30647|w5serial==30660|w5serial==30684|w5serial==30686|w5serial==30707|w5serial==30739|w5serial==30756 /*
*/ |w5serial==30757|w5serial==30769|w5serial==30790|w5serial==30809|w5serial==30811|w5serial==30814|w5serial==30817|w5serial==30830|w5serial==30860|w5serial==30877|w5serial==30879|w5serial==30913|w5serial==30939|w5serial==30958 /*
*/ |w5serial==30960|w5serial==31101|w5serial==31108|w5serial==31148|w5serial==31175|w5serial==31203|w5serial==31204|w5serial==31205|w5serial==31328|w5serial==31433|w5serial==31465|w5serial==31515|w5serial==31526|w5serial==31581 /*
*/ |w5serial==31615|w5serial==31662|w5serial==31839|w5serial==31890|w5serial==32213|w5serial==32269|w5serial==32297|w5serial==32403|w5serial==32442|w5serial==32505|w5serial==32520|w5serial==32578|w5serial==32580|w5serial==32598 /*
*/ |w5serial==32599|w5serial==32712|w5serial==32725|w5serial==32730|w5serial==32731|w5serial==32775|w5serial==33002|w5serial==33003|w5serial==33004|w5serial==33021|w5serial==33023|w5serial==33028|w5serial==33029|w5serial==33030 /*
*/ |w5serial==33036|w5serial==33087|w5serial==33088|w5serial==33103|w5serial==33165|w5serial==33183|w5serial==33211|w5serial==33271|w5serial==33345|w5serial==33346|w5serial==33414|w5serial==33440|w5serial==33703|w5serial==33709 /*
*/ |w5serial==33802|w5serial==33806|w5serial==33906|w5serial==30145|w5serial==30186|w5serial==30479|w5serial==30891|w5serial==31063|w5serial==31450|w5serial==32060|w5serial==32650|w5serial==33498|w5serial==32349|w5serial==33130)

replace norgs2_flg=1 if nyear==1 & serno==2058014
replace norgs2_flg=1 if nyear==1 & (serno==2012027|serno==2065018|serno==2069020|serno==4011004|serno==9022001)
replace norgs2_flg=1 if nyear==1 & (serno==2007054|serno==2009008|serno==2012028|serno==2014024|serno==2018030|serno==2019023|serno==2029011|serno==2030004|serno==2031015|serno==2031019|serno==2033013|serno==2035011 /*
*/|serno==2040003|serno==2041030|serno==2042022|serno==2046009|serno==2051036|serno==2053022|serno==2055012|serno==2055015|serno==2057030|serno==2062044|serno==2065021|serno==2066006|serno==2067020 /*
*/|serno==2069014|serno==2071027|serno==2080007|serno==2082017|serno==2085042|serno==2088032|serno==2089011|serno==2090026|serno==2090028|serno==2093015|serno==2093017|serno==2097030|serno==2099009 /*
*/|serno==2104023|serno==2109005|serno==2116024|serno==2116033|serno==2118041|serno==4002010|serno==4012005|serno==4017003|serno==4026006|serno==4027003|serno==4029003|serno==4029004|serno==4037007 /*
*/|serno==4041012|serno==4057007|serno==4069003|serno==4071005|serno==4076010|serno==9029005|serno==9037003|serno==9097010|serno==9102005|serno==9103014|serno==9110006|serno==9119010)

label variable norgs2_flg "Norgsiz2 imputed from IDBR"

*Dummy variable to indicate org size of 10,000 plus (norg10k)

recode norgsize (1/3=0 "No")(4=1 "Yes") (.a=.a "Refused") (.b=.b "Don't know"), gen(norg10k)
label variable norg10k "Organisation with 10,000 or more employees"

*Dummy variable to indicate org size of 5,000 plus employees (norg5k)
*5000 employees or more within the organisation in the UK 

recode auktot (1/8=0 "No") (9/12=1 "Yes") (.a=.a "Refused") (.b=.b "Don't know") (.e=.e "Item not applicable"), ge(norg5k)
replace norg5k=.a if asingle==1 & auktotx==.e
replace norg5k=0 if asingle ~=1 & zallemps<=4999
replace norg5k=1 if asingle ~=1 & zallemps>=5000
replace norg5k=0 if auktotx>=1 & auktotx<=10
replace norg5k=1 if auktotx>=11 & auktotx<=14
replace norg5k=.a if auktotx==.a
replace norg5k=.b if auktotx==.b
label variable norg5k "Organisation with 5,000 or more employees"
ta norg5k nyear if nmq==1, mi

*Then replace missings with information from IDBR
*In 2011:
replace norg5k=0 if nyear==1 & (serno==2058014|serno==2065018|serno==2069020|serno==9022001|serno==2012027|serno==2041030|serno==2051036|serno==2093017|serno==4011004|serno==9097010)
replace norg5k=0 if nyear==1 & (serno==2009008|serno==2012028|serno==2014024|serno==2030004|serno==2033013|serno==2062044|serno==2066006|serno==2069014|serno==2071027|serno==2080007|/*
*/serno==2109005|serno==2116024)
replace norg5k=1 if nyear==1 & (serno==2007054|serno==2018030|serno==2019023|serno==2029011|serno==2031015|serno==2031019|serno==2035011|serno==2040003|serno==2042022|serno==2046009|/*
*/serno==2053022|serno==2055012|serno==2055015|serno==2057030|serno==2065021|serno==2067020|serno==2082017|serno==2085042|serno==2088032|serno==2089011|serno==2090026|serno==2090028|/*
*/serno==2093015|serno==2097030|serno==2099009|serno==2104023|serno==2116033|serno==2118041|serno==4002010|serno==4012005|serno==4017003|serno==4026006|serno==4027003|serno==4029003|/*
*/serno==4029004|serno==4037007|serno==4041012|serno==4057007|serno==4069003|serno==4071005|serno==4076010|serno==9029005|serno==9037003|serno==9102005|serno==9103014|serno==9110006|/*
*/serno==9119010)

*In 2004:
replace norg5k=0 if nyear==0 & (w5serial==31000|w5serial==32860|w5serial==33214|w5serial==33298|w5serial==31886|w5serial==31943)
replace norg5k=0 if nyear==0 & (w5serial==31328|w5serial==31364|w5serial==31465|w5serial==31515|w5serial==31890|w5serial==32269|w5serial==32442|w5serial==32725|w5serial==33021|/*
*/w5serial==33331|w5serial==33679|w5serial==33703|w5serial==33709|w5serial==30539|w5serial==31148|w5serial==31343|w5serial==31657|w5serial==32712|w5serial==33130)
replace norg5k=0 if nyear==0 & (w5serial==30145|w5serial==30186|w5serial==30280|w5serial==30830|w5serial==31433|w5serial==31450|w5serial==31662|w5serial==32650|w5serial==33183|/*
*/w5serial==33806|w5serial==33906|w5serial==30067|w5serial==30739|w5serial==30769|w5serial==30790|w5serial==31839|w5serial==32349|w5serial==32775|w5serial==33023|w5serial==33271)
replace norg5k=1 if nyear==0 & (w5serial==30249|w5serial==30479|w5serial==30486|w5serial==30647|w5serial==30686|w5serial==30707|w5serial==30757|w5serial==30809|w5serial==30860| /*
*/w5serial==30958|w5serial==30960|w5serial==31063|w5serial==31108|w5serial==31203|w5serial==31204|w5serial==31205|w5serial==31526|w5serial==31581|w5serial==31615|w5serial==32403|/*
*/w5serial==32578|w5serial==32580|w5serial==32598|w5serial==32730|w5serial==32731|w5serial==33004|w5serial==33103|w5serial==33165|w5serial==33440|w5serial==33498|w5serial==33802|/*
*/w5serial==30054|w5serial==30403|w5serial==30478|w5serial==30480|w5serial==30481|w5serial==30485|w5serial==30541|w5serial==30634|w5serial==30641|w5serial==30660|w5serial==30756|/*
*/w5serial==30817|w5serial==30939|w5serial==31101|w5serial==31175|w5serial==32599|w5serial==33002|w5serial==33003|w5serial==33036|w5serial==33087|w5serial==33345|w5serial==33346|/*
*/w5serial==33414|w5serial==30229|w5serial==30406|w5serial==30445|w5serial==30547|w5serial==30638|w5serial==30639|w5serial==30684|w5serial==30811|w5serial==30891|w5serial==32060|/*
*/w5serial==32213|w5serial==32520|w5serial==33211|w5serial==30814|w5serial==30877|w5serial==30879|w5serial==30913|w5serial==32297|w5serial==32505|w5serial==33028|w5serial==33029|/*
*/w5serial==33030|w5serial==33088)

*Derive standard break variable for SME and public sector
*Note that derivation is slightly different to that in 2004 - if public sector workplace missing org size, set to missing on nsme1, nsme2 in 2004 (i.e. not public sector)
*Here we code this as public sector (only 1 2004 workplace is affected, but affects more in 2011)

ge nsme1=norgsiz2 
replace nsme1=4 if nprivate==0
label var nsme1 "Type and size of enterprise in UK"
label define nsme1 1 "Small private enterprise (<50 emps)" 2 "Medium private enterprise (50-249 emps)" 3 "Large private enterprise (250+ emps)" 4 "Public sector" .a "Refusal" .b "Don't know" .e "Item not applicable"
label val nsme1 nsme1 
ta nsme1 nyear, mi

recode nsme1 (1/2=1 "Small/Medium private enterprise (<250 emps)") (3=2 "Large private enterprise (250+ emps)") (4=3 "Public sector") (.a=.a "Refused") (.b=.b "Don't know") (.e=.e "Item not applicable"), ge(nsme2)
label var nsme2 "Type and size of enterprise in UK"
ta nsme2 nyear, mi


************************************************************************************
* Equality and Diversity
************************************************************************************

* Presence of a written equality opportunity policy

generate nipolicy=-1
replace nipolicy=2 if ipolicy==1
replace nipolicy=1 if ipolicy==2
replace nipolicy=3 if igroun01==10
replace nipolicy=.a if ipolicy==.a
replace nipolicy=.b if ipolicy==.b
replace nipolicy=.e if ipolicy==.e
label define nipolicy 1 "No" 2 "Yes" 3 "Yes but policy doesn't specify groups"
label values nipolicy nipolicy
label var nipolicy "Presence of formal eq opp policy"

ta nipolicy, mi
set more off
fre ipolicy ig*

recode nipolicy (1=0) (2 3=1),gen(nanypol)
replace nanypol=.a if ipolicy==.a
replace nanypol=.b if ipolicy==.b
replace nanypol=.e if ipolicy==.e
label values nanypol nyesno
label var nanypol "Presence of formal eq opp policy"
ta nanypol, mi

* Whether monitored recruitment or selection by various protected characteristics
* 2004 WERS did not cover monitoring by sexual orientation and religion

set more off

su IPRACT1* ipractx1*

* by gender
egen niprac11=anymatch(IPRACT1* ipractx1*), values (1)
replace niprac11=.a if IPRACT11==.a|ipractx11==.a
replace niprac11=.b if IPRACT11==.b|ipractx11==.b
replace niprac11=.e if IPRACT11==.e|ipractx11==.e
label values niprac11 nyesno
label var niprac11 "Monitored recruitment/selection by gender"
ta niprac11 nyear, mi

* by ethnicity
egen niprac12=anymatch(IPRACT1* ipractx1*), values (2)
replace niprac12=.a if IPRACT11==.a|ipractx11==.a
replace niprac12=.b if IPRACT11==.b|ipractx11==.b
replace niprac12=.e if IPRACT11==.e|ipractx11==.e
label values niprac12 nyesno
label var niprac12 "Monitored recruitment/selection by ethnicity"
ta niprac12 nyear, mi

* by disability
egen niprac13=anymatch(IPRACT1* ipractx1*), values (3)
replace niprac13=.a if IPRACT11==.a|ipractx11==.a
replace niprac13=.b if IPRACT11==.b|ipractx11==.b
replace niprac13=.e if IPRACT11==.e|ipractx11==.e
label values niprac13 nyesno
label var niprac13 "Monitored recruitment/selection by disability"
ta niprac13 nyear, mi

* by age
egen niprac14=anymatch(IPRACT1* ipractx1*), values (4)
replace niprac14=.a if IPRACT11==.a|ipractx11==.a
replace niprac14=.b if IPRACT11==.b|ipractx11==.b
replace niprac14=.e if IPRACT11==.e|ipractx11==.e
label values niprac14 nyesno
label var niprac14 "Monitored recruitment/selection by age"
ta niprac14 nyear, mi

* by sexual orientation (2011 only, not asked in 2004)
egen niprac15=anymatch(ipractx1*), values (5)
replace niprac15=.a if ipractx11==.a
replace niprac15=.b if ipractx11==.b
replace niprac15=.e if ipractx11==.e|nyear==0
label values niprac15 nyesno
label var niprac15 "Monitored recruitment/selection by sexual orientation"
ta niprac15 nyear, mi

* by religion or belief (2011 only, not asked in 2004)
egen niprac16=anymatch(ipractx1*), values (6)
replace niprac16=.a if ipractx11==.a
replace niprac16=.b if ipractx11==.b
replace niprac16=.e if ipractx11==.e|nyear==0
label values niprac16 nyesno
label var niprac16 "Monitored recruitment/selection by religion"
ta niprac16 nyear, mi

* Whether reviewed recruitment or selection procedures to identify indirect discrimination by various protected characteristics
* 2004 WERS did not cover monitoring by sexual orientation and religion

set more off
su IPRACT2* ipractx2* 

* by gender
egen niprac21=anymatch(IPRACT2* ipractx2*), values (1)
replace niprac21=.a if IPRACT21==.a|ipractx21==.a
replace niprac21=.b if IPRACT21==.b|ipractx21==.b
replace niprac21=.e if IPRACT21==.e|ipractx21==.e
label values niprac21 nyesno
label var niprac21 "Reviewed recruitment/selection for indir discrim by gender"
ta niprac21 nyear, mi

* by ethnicity
egen niprac22=anymatch(IPRACT2* ipractx2*), values (2)
replace niprac22=.a if IPRACT21==.a|ipractx21==.a
replace niprac22=.b if IPRACT21==.b|ipractx21==.b
replace niprac22=.e if IPRACT21==.e|ipractx21==.e
label values niprac22 nyesno
label var niprac22 "Reviewed recruitment/selection for indir discrim by ethnicity"
ta niprac22 nyear, mi

* by disability
egen niprac23=anymatch(IPRACT2* ipractx2*), values (3)
replace niprac23=.a if IPRACT21==.a|ipractx21==.a
replace niprac23=.b if IPRACT21==.b|ipractx21==.b
replace niprac23=.e if IPRACT21==.e|ipractx21==.c
label values niprac23 nyesno
label var niprac23 "Reviewed recruitment/selection for indir discrim by disability"
ta niprac23 nyear, mi

* by age
egen niprac24=anymatch(IPRACT2* ipractx2*), values (4)
replace niprac24=.a if IPRACT21==.a|ipractx21==.a
replace niprac24=.b if IPRACT21==.b|ipractx21==.b
replace niprac24=.e if IPRACT21==.e|ipractx21==.e
label values niprac24 nyesno
label var niprac24 "Reviewed recruitment/selection for indir discrim by age"
ta niprac24 nyear, mi

* by sexual orientation (2011 only, not asked in 2004)
egen niprac25=anymatch(ipractx2*), values (5)
replace niprac25=.a if ipractx21==.a
replace niprac25=.b if ipractx21==.b
replace niprac25=.e if ipractx21==.e|nyear==0
label values niprac25 nyesno
label var niprac25 "Reviewed recruitment/selection for indir discrim by sexual orientation"
ta niprac25 nyear, mi

* by religion or belief (2011 only, not asked in 2004)
egen niprac26=anymatch(ipractx2*), values (6)
replace niprac26=.a if ipractx21==.a
replace niprac26=.b if ipractx21==.b
replace niprac26=.e if ipractx21==.e|nyear==0
label values niprac26 nyesno
label var niprac26 "Reviewed recruitment/selection for indir discrim by religion"
ta niprac26 nyear, mi

* Whether monitored promotion by various protected characteristics
* 2004 WERS did not cover monitoring by sexual orientation and religion

set more off

su IPRACT3* ipractx3*

* by gender
egen niprac31=anymatch(IPRACT3* ipractx3*), values (1)
replace niprac31=.a if IPRACT31==.a|ipractx31==.a
replace niprac31=.b if IPRACT31==.b|ipractx31==.b
replace niprac31=.e if IPRACT31==.e|ipractx31==.e
label values niprac31 nyesno
label var niprac31 "Monitored promotion by gender"
ta niprac31 nyear,mi

* by ethnicity
egen niprac32=anymatch(IPRACT3* ipractx3*), values (2)
replace niprac32=.a if IPRACT31==.a|ipractx31==.a
replace niprac32=.b if IPRACT31==.b|ipractx31==.b
replace niprac32=.e if IPRACT31==.e|ipractx31==.e
label values niprac32 nyesno
label var niprac32 "Monitored promotion by ethnicity"
ta niprac32, mi

* by disability
egen niprac33=anymatch(IPRACT3* ipractx3*), values (3)
replace niprac33=.a if IPRACT31==.a|ipractx31==.a
replace niprac33=.b if IPRACT31==.b|ipractx31==.b
replace niprac33=.e if IPRACT31==.e|ipractx31==.e
label values niprac33 nyesno
label var niprac33 "Monitored promotion by disability"
ta niprac33, mi

* by age
egen niprac34=anymatch(IPRACT3* ipractx3*), values (4)
replace niprac34=.a if IPRACT31==.a|ipractx31==.a
replace niprac34=.b if IPRACT31==.b|ipractx31==.b
replace niprac34=.e if IPRACT31==.e|ipractx31==.e
label values niprac34 nyesno
label var niprac34 "Monitored promotion by age"
ta niprac34, mi

* by sexual orientation (2011 only, not asked in 2004)
egen niprac35=anymatch(ipractx3*), values (5)
replace niprac35=.a if ipractx31==.a
replace niprac35=.b if ipractx31==.b
replace niprac35=.e if ipractx31==.e|nyear==0
label values niprac35 nyesno
label var niprac35 "Monitored promotion by sexual orientation"
ta niprac35, mi

* by religion or belief (2011 only, not asked in 2004)
egen niprac36=anymatch(ipractx3*), values (6)
replace niprac36=.a if ipractx31==.a
replace niprac36=.b if ipractx31==.b
replace niprac36=.e if ipractx31==.e|nyear==0
label values niprac36 nyesno
label var niprac36 "Monitored promotion by religion"
ta niprac36, mi

* Whether reviewed promotion procedures to identify indirect discrimination by various protected characteristics
* 2004 WERS did not cover monitoring by sexual orientation and religion

set more off
su IPRACT4* ipractx4* 

* by gender
egen niprac41=anymatch(IPRACT4* ipractx4*), values (1)
replace niprac41=.a if IPRACT41==.a|ipractx41==.a
replace niprac41=.b if IPRACT41==.b|ipractx41==.b
replace niprac41=.e if IPRACT41==.e|ipractx41==.e
label values niprac41 nyesno
label var niprac41 "Reviewed promotion for indir discrim by gender"
ta niprac41 nyear, mi

* by ethnicity
egen niprac42=anymatch(IPRACT4* ipractx4*), values (2)
replace niprac42=.a if IPRACT41==.a|ipractx41==.a
replace niprac42=.b if IPRACT41==.b|ipractx41==.b
replace niprac42=.e if IPRACT41==.e|ipractx41==.e
label values niprac42 nyesno
label var niprac42 "Reviewed promotion for indir discrim by ethnicity"
ta niprac42 nyear, mi

* by disability
egen niprac43=anymatch(IPRACT4* ipractx4*), values (3)
replace niprac43=.a if IPRACT41==.a|ipractx41==.a
replace niprac43=.b if IPRACT41==.b|ipractx41==.b
replace niprac43=.e if IPRACT41==.e|ipractx41==.e
label values niprac43 nyesno
label var niprac43 "Reviewed promotion for indir discrim by disability"
ta niprac43 nyear, mi

* by age
egen niprac44=anymatch(IPRACT4* ipractx4*), values (4)
replace niprac44=.a if IPRACT41==.a|ipractx41==.a
replace niprac44=.b if IPRACT41==.b|ipractx41==.b
replace niprac44=.e if IPRACT41==.e|ipractx41==.e
label values niprac44 nyesno
label var niprac44 "Reviewed promotion for indir discrim by age"
ta niprac44 nyear, mi

* by sexual orientation (2011 only, not asked in 2004)
egen niprac45=anymatch(ipractx4*), values (5)
replace niprac45=.a if ipractx41==.a
replace niprac45=.b if ipractx41==.b
replace niprac45=.e if ipractx41==.e|nyear==0
label values niprac45 nyesno
label var niprac45 "Reviewed promotion for indir discrim by sexual orientation"
ta niprac45 nyear, mi

* by religion or belief (2011 only, not asked in 2004)
egen niprac46=anymatch(ipractx4*), values (6)
replace niprac46=.a if ipractx41==.a
replace niprac46=.b if ipractx41==.b
replace niprac46=.e if ipractx41==.e|nyear==0
label values niprac46 nyesno
label var niprac46 "Reviewed promotion for indir discrim by religion"
ta niprac46 nyear, mi

* Whether reviewed relative pay rates by various protected characteristics
* 2004 WERS did not cover monitoring by sexual orientation and religion

set more off
su IPRACT5* ipractx5* 

* by gender
egen niprac51=anymatch(IPRACT5* ipractx5*), values (1)
replace niprac51=.a if IPRACT51==.a|ipractx51==.a
replace niprac51=.b if IPRACT51==.b|ipractx51==.b
replace niprac51=.e if IPRACT51==.e|ipractx51==.e
label values niprac51 nyesno
label var niprac51 "Reviewed relative pay rates by gender"
ta niprac51 nyear, mi

* by ethnicity
egen niprac52=anymatch(IPRACT5* ipractx5*), values (2)
replace niprac52=.a if IPRACT51==.a|ipractx51==.a
replace niprac52=.b if IPRACT51==.b|ipractx51==.b
replace niprac52=.e if IPRACT51==.e|ipractx51==.e
label values niprac52 nyesno
label var niprac52 "Reviewed promotion for indir discrim by ethnicity"
ta niprac52 nyear, mi

* by disability
egen niprac53=anymatch(IPRACT5* ipractx5*), values (3)
replace niprac53=.a if IPRACT51==.a|ipractx51==.a
replace niprac53=.b if IPRACT51==.b|ipractx51==.b
replace niprac53=.e if IPRACT51==.e|ipractx51==.e
label values niprac53 nyesno
label var niprac53 "Reviewed promotion for indir discrim by disability"
ta niprac53 nyear, mi

* by age
egen niprac54=anymatch(IPRACT5* ipractx5*), values (4)
replace niprac54=.a if IPRACT51==.a|ipractx51==.a
replace niprac54=.b if IPRACT51==.b|ipractx51==.b
replace niprac54=.e if IPRACT51==.e|ipractx51==.e
label values niprac54 nyesno
label var niprac54 "Reviewed promotion for indir discrim by age"
ta niprac54 nyear, mi

* by sexual orientation (2011 only, not asked in 2004)
egen niprac55=anymatch(ipractx5*), values (5)
replace niprac55=.a if ipractx51==.a
replace niprac55=.b if ipractx51==.b
replace niprac55=.e if ipractx51==.e|nyear==0
label values niprac55 nyesno
label var niprac55 "Reviewed promotion for indir discrim by sexual orientation"
ta niprac55 nyear, mi

* by religion or belief (2011 only, not asked in 2004)
egen niprac56=anymatch(ipractx5*), values (6)
replace niprac56=.a if ipractx51==.a
replace niprac56=.b if ipractx51==.b
replace niprac56=.e if ipractx51==.e|nyear==0
label values niprac56 nyesno
label var niprac56 "Reviewed promotion for indir discrim by religion"
ta niprac56 nyear, mi
*/

***********************
*Percentage of workforce part-time (nprtprop)
***********************
*For 2011
gen nprtprop=100*(zprtm+zprto)/zallemps
replace nprtprop=.b if zprtm==.b|zprto==.b
replace nprtprop=.e if zprtm==.e|zprto==.e
lab var nprtprop "Percentage of workforce part-time"

*For 2004
replace nprtprop=100*(ZMALPRT+ZFEMPRT)/zallemps if nprtprop==.
replace nprtprop=.b if ZMALPRT==.b|ZFEMPRT==.b
replace nprtprop=.e if ZMALPRT==.e|ZFEMPRT==.e

***********************
*Proportion of workforce part-time (nptprop)
***********************
gen byte nptprop=1 if nprtprop==0
replace nptprop=2 if nprtprop>0 & nprtprop<=10
replace nptprop=3 if nprtprop>10 & nprtprop<=25
replace nptprop=4 if nprtprop>25 & nprtprop<=50
replace nptprop=5 if nprtprop>50 & nprtprop<=75
replace nptprop=6 if nprtprop>75 & nprtprop<.
replace nptprop=.b if nprtprop==.b
replace nptprop=.e if nprtprop==.e
lab define nptprop 1 "No part-time employees" 2 "10% or less" 3 "More than 10% to 25%" 4 "More than 25% to 50%" 5 "More than 50% to 75%" 6 "More than 75%" .b "Don't know" .e "Item not applicable"
lab val nptprop nptprop
lab var nptprop "Proportion of workforce part-time"

***********************
*Any part-time employees (npartany)
***********************
gen byte npartany=0 if nprtprop==0
replace npartany=1 if nprtprop>0 & nprtprop<.
replace npartany=.b if nprtprop==.b
replace npartany=.e if nprtprop==.e
lab val npartany yesno
lab var npartany "Any part-time employees"


*Create var any threat for industrial action made 
ge nanythrt=nthreat
replace nanythrt=1 if nthreat>=1 & nthreat<=3
label var nanythrt "Any threat of industrial action made in last 12 months"
label val nanythrt nyesno
ta nanythrt nyear, mi

*Create banded var: proportion of employees who voted in last industrial action ballot
recode gvoted (1/24=1 "Less than 25%") (25/49=2 "25 to <50%") (50/74=3 "50 to <75%") (75/100=4 "75 to 100%") (.a=.a "Refusal") (.b=.b "Don't know") (.e=.e "Item not applicable"), ge(nvoted)
label var nvoted "Proportion of eligible employees who voted in last ballot for industrial action"
ta nvoted nyear, mi

*Rename gfavour as incorrect variable label.
label var gfavour "How many ballots resulted in a majority in favour of industrial action"

*Proportion of employees who have raised a grievance in last 12 months
*Outlier: there is one workplace that has 96% because 24 out of 25 employees raised a grievance. 
ge npraised=hraisedp
replace npraised=hraisedx/zallemps*100 if hraisedx>0
replace npraised=hraisedx if hraisedx==.a | hraisedx==.b | hraisedx==.e | hraisedx==.
label var npraised "% of employees who have raised a grievance through procedure in last 12 mths"
label val npraised nitem
ta npraised nyear, mi

***********************
*Percentage of employees on temporary or fixed-term contracts (nfixpc)
***********************
gen nfixpc=100*(zfixterm/zallemps)
replace nfixpc=0 if zanytem==2
replace nfixpc=.b if zanytem==1
replace nfixpc=.a if zfixterm==.a
replace nfixpc=.b if zfixterm==.b & nfixpc==.
replace nfixpc=.a if zanytem==.a
replace nfixpc=.b if zanytem==.b
lab var nfixpc "Percentage of employees on temporary/fixed-term contracts"
lab val nfixpc nitem

***********************
*Any employees on fixed-term contracts (nfixterm)
***********************
gen byte nfixterm=0 if nfixpc==0
replace nfixterm=1 if nfixpc>0 & nfixpc<.
replace nfixterm=1 if zanytem==1
replace nfixterm=.a if nfixpc==.a
replace nfixterm=.b if nfixpc==.b & nfixterm==.
lab var nfixterm "Any employees on temporary/fixed-term contracts"
lab val nfixterm yesno

***********************
*Temporary agency workers as percentage of the workforce (ntemp)
***********************
*We derived this in 2004, but as these workers are not employees, it seems slightly odd to express as percentage of workforce when agency workers are not employees
gen ntemp=100*(zagency/zallemps)
replace ntemp=0 if zanyagy==2
replace ntemp=.b if zanyagy==1
replace ntemp=.a if zagency==.a
replace ntemp=.a if zanyagy==.a
replace ntemp=.b if zanyagy==.b
lab var ntemp "Temporary agency workers as percentage of workforce"
lab val ntemp nitem

***********************
*Any staff on temporary agency contracts (ntempany)
***********************
gen byte ntempany=0 if ntemp==0
replace ntempany=1 if ntemp>0 & ntemp<.
replace ntempany=1 if zanyagy==1
replace ntempany=.a if ntemp==.a
replace ntempany=.b if ntemp==.b & ntempany==.
lab var ntempany "Any employees on temporary agency contracts"
lab val ntempany yesno

***********************
*Adverse impact of recession (nadverse)
***********************
gen byte nadverse=1 if lrecimp==1|lrecimp==2
replace nadverse=0 if lrecimp>=3 & lrecimp<.
replace nadverse=.a if lrecimp==.a
replace nadverse=.b if lrecimp==.b
replace nadverse=.e if lrecimp==.e
lab var nadverse "Stronger adverse impact from recession - top 2"
lab val nadverse yesno 

***********************
*Workplace weaker as result of recession (nweaker)
gen byte nweaker=1 if lrecexp==1|lrecexp==2
replace nweaker=0 if lrecexp>=3 & lrecexp<.
replace nweaker=.a if lrecexp==.a
replace nweaker=.b if lrecexp==.b
replace nweaker=.e if lrecexp==.e
lab var nweaker "Agree or strongly agree weaker due to recession - top 2" 
lab val nweaker yesno

************************
* WORKING TIME OPT-OUT *
************************
*Derive proportion of employees on working hours opt out agreements 
ge noptempy=joptmant/zallemps*100
recode noptempy (0=7) (1/19.4999=6) (19.5000/39=5) (40/59=4) (60/79=3) (80/99=2) (100=1)
ge noptoutm=joptman
replace noptoutm=noptempy if joptman==97
drop noptempy

ge noptempy=joptnmt/zallemps*100
recode noptempy (0=7) (1/19.4999=6) (19.5000/39=5) (40/59=4) (60/79=3) (80/99=2) (100=1)
ge noptoutn=joptnm
replace noptoutn=noptempy if joptnm==97
drop noptempy

label var noptoutm "Proportion of managerial employees who have signed an hours opt-out"
label val noptoutm pcband
label var noptoutn "Proportion of non-managerial employees who have signed an hours opt-out"
label val noptoutn pcband
ta noptoutm nyear, mi
ta noptoutn nyear, mi

*Derive groups of employees who are on opt-out hours agreements
recode noptoutm (1=1 "All managers") (2/6=2 "Some managers") (7=3 "No managers") (.a=.a "Refused") (.b=.b "Don't know") (.e=.e "Item not applicable"), ge(noptmb)
label var noptmb "Proportion of managers who signed an hours opt-out - banded"
recode noptoutn (1=1 "All") (2/6=2 "Some") (7=3 "None") (.a=.a "Refused") (.b=.b "Don't know") (.e=.e "Item not applicable"), ge(noptnmb)
label var noptnmb "Proportion of non-managerial employees who signed an hours opt-out - banded"
ta noptmb nyear, mi
ta noptnmb nyear, mi

ge noptemp=3
replace noptemp=. if nmq2011~=1
replace noptemp=.e if noptmb==.e | noptnmb==.e
replace noptemp=.b if noptmb==.b | noptnmb==.b
replace noptemp=.a if noptmb==.a | noptnmb==.a
replace noptemp=. if noptmb==.
replace noptemp=1 if nanyman==0 & noptnmb==1
replace noptemp=3 if nanyman==0 & noptnmb==2
replace noptemp=4 if nanyman==0 & noptnmb==3
replace noptemp=1 if nanyman==1 & noccs==1 & noptmb==1
replace noptemp=3 if nanyman==1 & noccs==1 & noptmb==2
replace noptemp=4 if nanyman==1 & noccs==1 & noptmb==3
replace noptemp=1 if noptmb==1 & noptnmb==1
replace noptemp=2 if noptmb==1 & (noptnmb==2 | noptnmb==3)
replace noptemp=4 if noptmb==3 & noptnmb==3
label define noptout 1 "All employees" 2 "All managers & some/none employees" 3 "Some employees" 4 "No employees" .a "Refused" .b "Don't know"
label val noptemp noptout
label var noptemp "Employees who have an signed an hours opt-out agreement"
ta noptemp nyear, mi

*Adverse impact of recession on 2004 panel wps (nrecimp)
bysort serno npanel (nyear): gen nrecimp=lrecimp[_n+1]
replace nrecimp=lrecimp if npanel==1 & nyear==1
replace nrecimp=. if npanel==0
lab var nrecimp "Adverse impact of recession on 2004 panel wps"
lab define nrecimp 1 "A great deal" 2 "Quite a lot" 3 "A moderate amount" 4 "Just a little" 5 "No adverse effect" .a "Refusal" .b "Don't know" .e "Item not applicable"
lab val nrecimp nrecimp

* grouped version with 3 categories
recode nrecimp 1/2=1 3=2 4/5=3, ge(nrecimp3)
lab var nrecimp "Adverse impact of recession on 2004 panel wps"
lab define nrecimp3 1 "A great deal/Quite a lot" 2 "A moderate amount" 4 "Just a little/No adverse effect" .a "Refusal" .b "Don't know" .e "Item not applicable"
lab val nrecimp nrecimp

*Weaker as result of recession for 2004 panel wps (nrecexp)
bysort serno npanel (nyear): gen nrecexp=lrecexp[_n+1]
replace nrecexp=lrecexp if npanel==1 & nyear==1
replace nrecexp=. if npanel==0
lab var nrecexp "Weaker as result of recession for 2004 panel wps"
lab val nrecexp nagree
lab define nagree 1 "Strongly agree" 2 "Agree" 3 "Neither agree nor disagree" 4 "Disagree" 5 "Strongly disagree" .a "Refusal" .b "Don't know" .e "Item not applicable"

*Adverse impact of recession on 2004 panel wps - binary (nadversp)
bysort serno npanel (nyear): gen nadversp=nadverse[_n+1]
replace nadversp=nadverse if npanel==1 & nyear==1
replace nadversp=. if npanel==0
lab var nadversp "Adverse impact of recession on 2004 panel wps - top 2"
lab val nadversp yesno

*Weaker as result of recession for 2004 panel wps - binary (nweakerp)
bysort serno npanel (nyear): gen nweakerp=nweaker[_n+1]
replace nweakerp=nweaker if npanel==1 & nyear==1
replace nweakerp=. if npanel==0
lab var nweakerp "Weaker impact of recession on 2004 panel wps - top 2"
lab val nweakerp yesno

*Shift working for any employees (njtime1)
egen njtime1=anymatch(jtimear1-jtimear3), values(1)
replace njtime1=.a if jtimear1==.a
replace njtime1=.b if jtimear1==.b
replace njtime1=.e if jtimear1==.e
lab var njtime1 "Shift working for any employees"
lab val njtime1 yesno

*Annualised hours for any employees (njtime2)
egen njtime2=anymatch(jtimear1-jtimear3), values(2)
replace njtime2=.a if jtimear1==.a
replace njtime2=.b if jtimear1==.b
replace njtime2=.e if jtimear1==.e
lab var njtime2 "Annualised hours for any employees"
lab val njtime2 yesno

*Zero hours contracts for any employees (njtime3)
egen njtime3=anymatch(jtimear1-jtimear3), values(3)
replace njtime3=.a if jtimear1==.a
replace njtime3=.b if jtimear1==.b
replace njtime3=.e if jtimear1==.e
lab var njtime3 "Zero hours contracts for any employees"
lab val njtime3 yesno


******************************************************************************************
* Largest non-managerial occupational group as a proportion of all employees
******************************************************************************************

gen nlogprop=-1
replace nlogprop=nhiocc1/zallemps 
replace nlogprop=.e if nhiocc1==.e
replace nlogprop=.k if nhiocc1==0
label define nlogprop .e "Item not applicable" .k "None"
label value nlogprop nlogprop
label var nlogprop "Largest non-managerial occupational group as proportion of all employees"

set more off
ta nlogprop, mi

* Banded largest non-managerial occupational group as a proportion of all employees

generate int nlogprob=5 if nlogprop==1
replace nlogprob=1 if nlogprop>0 & nlogprop <0.25
replace nlogprob=2 if nlogprop>=0.25 & nlogprop <0.50
replace nlogprob=3 if nlogprop>=0.50 & nlogprop <0.75
replace nlogprob=4 if nlogprop>=0.75 & nlogprop <=1
replace nlogprob=.e if nlogprop==.e
replace nlogprob=.k if nlogprop==.k
label var nlogprob "Largest non-managerial occupational group as proportion of all employees (banded)"
label define nlogprob 1 "1-24%" 2 "25-49%" 3 "50-74%" 4 "75-99%" 5 "100%" .e "Item not applicable" .k "None"
label values nlogprob nlogprob

tab nlogprob, mi

***********************
* Whether any WRQ interview in 2004
***********************

* Merge in data file indicating N wrep interviews per workplace in 2004
*merge m:1 serno nyear using "$path_derived\WERS 2004 WRQ outcome summary.dta", nogen
*tab mwr12 mwr34
*tab mwr12 mwr34 if nsource==3
*gen nwrq04ret=.e if nmq==0
*sort serno npanyr
*replace nwrq04ret=1 if npanyr==1 & (mwr12[_n-1]==1 | mwr34[_n-1]==1)
*replace nwrq04ret=2 if npanyr==1 & ((mwr12[_n-1]==0 & mwr34[_n-1]==0) | (mwr12[_n-1]==. & mwr34[_n-1]==.))
*replace nwrq04ret=3 if npanyr==0
*replace nwrq04ret=4 if nsource==1 & nmq==1
*replace nwrq04ret=5 if nsource==2 & nmq==1
*label define nwrq04ret 1 "Panel 2011 obs, WRQ interview in 2004" 2 "Panel 2011 obs, no WRQ interview in 2004" 3 "Panel 2004 obs" 4 "Panel unproductive in 2011" 5 "Refreshment sample for 2011" .e "Item not applicable"
*label values nwrq04ret nwrq04ret
*lab var nwrq04ret "Whether WRQ interview in 2004"
*fre nwrq04ret*
*drop mwr1 mwr2 mwr3 mwr4 mwr12 mwr34

***********************
* Union recognition
***********************

* In 2004, we had two sets of union recognition variables: nrecog and associated vars, plus xrecog and associated vars
* Nrecog was derived directly from the interview data; xrecog applied some edits to the interview data which ensured that 
* unions reported to be recognised for employees covered by PRBs were coded as not recognised
* These edits applied to specific unions in schools and prisons, yet very few workplaces moved from 'any recognition' to 
* 'no recognition' because school support staff had a national recognition agreement and, although the prisons PRB covers all operational staff we could
* not discount the possibility that cleaners etc might have a recognition agreement, and so invariably workplaces were still left
* with at least one recognised union
* In 2011 the X edit would be extended to cover the NHS, where all staff except doctors and dentists are now covered by the PRB
* but we would still expect few (if any) NHS workplaces to switch to non-recognised, because the BMA has a recognition agreement
* In 2011 we have the added complication that we don't have as much information on which unions are recognised (we have the names
* from the EPQ but we don't know at ETOTREC2 which are recognised, and we don't collect any union names at EADDREC or EOTHREC)
* So I have decided not to engage in the X recode in 2011
* Instead I derive the Nrecog variables consistently for both years; I then match on the 2004 X variables so that we have them for
* sensitivity analysis 

* Number of unions with members at the workplace, including zeros (nunionuma, nunuma6).

* BvW has already done nunionum and nunum6, but nunionum doesn't follow our 2004 syntax in forcing nunionum to be zero 
* when nanymem=none; it also ignores eunionck for 2004 (not present in 2011 but accommodated by removing 10 union limit on zunionum); 
* So I rederive both here (the syntax for nunum6 is unchanged).
* I also rename to nunuma, since we have another nunionum variable to follow (which I will call nunumb) and stata won't like the ambiguity of 'nunionum'
* BvW queried whether there needs to be some cleaning for cases where they have selected the same union twice, but 
* I haven't done any could be different parts of same union - seen as distinct by manager (e.g. T&G and AEEU parts of Amicus)

gen nunionuma=zunionum
replace nunionuma=EUNIONUM if nyear==0
replace nunionuma=EUNIONCK if nyear==0 & EUNIONCK<.
replace nunionuma=0 if EUNIONUM==.e
replace nunionuma=0 if nanymem==0
label var nunionuma "Number of unions with members at the workplace"
label val nunionuma nitem
ta nunionuma nyear, mi

*Number of unions - 6 or more banded. 
*Note: Variable was called 'Nunumbd' in 2004

ge nunuma6=nunionuma
replace nunuma6=6 if nunionuma>=6 & nunionuma<=97 
label var nunuma6 "Number of unions with members at the workplace"
label define nunuma6 .a "Refusal" .b "Don't know" .e "Item not applicable" 6 "6 or more" 
label val nunuma6 nunuma6 
ta nunuma6 nyear, mi


* Union recognition - focusing only on unions with members at the workplace (nrecoga) [was nrecog in 2004].

* 30/1/13: Nrecoga, Nanyreca, N50norec all commented out by JF and revised derivation inserted, which acknowledges that the original capi-derived variable
* etotrec is deficient and that it is also possible to derive nanyreca in a way that does not rely on membership. 
* See email to Alex on 22nd Jan 13. 
* I first derive a new variable ntotrec, which improves on the capi-derived variable etotrec
* I then re-derive nrecoga and nanyreca using the new ntotrec, and then n50norec
* Nrecogb and nanyrecb also get re-derived later on

** Derivation slightly amended from 2004 so that w/ps where density not known get separate code (put with <10% in 2004)
** Codes also altered: 4 in 2011 = 8 in 2004; 5 in 2011 = 9 in 2004
**gen nrecoga=1 if nanymem==0
**replace nrecoga=2 if nyear==0 & nanymem==1 & etotrec==0
**replace nrecoga=3 if nyear==0 & nanymem==1 & etotrec>=1 & etotrec<=10
**replace nrecoga=4 if nyear==0 & nanymem==1 & mi(etotrec) & inrange(nudenspc,10,100)
**replace nrecoga=5 if nyear==0 & nanymem==1 & mi(etotrec) & nudenspc<10
**replace nrecoga=6 if nyear==0 & ((nanymem==1 & mi(etotrec) & mi(nudenspc)) | mi(nanymem))
**replace nrecoga=2 if nyear==1 & nanymem==1 & ((nunionuma==1 & etotrec1==2) | (inrange(nunionuma,2,97) & etotrec2==0))
**replace nrecoga=3 if nyear==1 & nanymem==1 & ((nunionuma==1 & etotrec1==1) | (inrange(nunionuma,2,97) & inrange(etotrec2,1,97)))
**replace nrecoga=4 if nyear==1 & nanymem==1 & ((nunionuma==1 & mi(etotrec1)) | (inrange(nunionuma,2,97) & mi(etotrec2))) & inrange(nudenspc,10,100)
**replace nrecoga=5 if nyear==1 & nanymem==1 & ((nunionuma==1 & mi(etotrec1)) | (inrange(nunionuma,2,97) & mi(etotrec2))) & nudenspc<10
**replace nrecoga=6 if nyear==1 & ((nanymem==1 & ((nunionuma==1 & mi(etotrec1)) | (inrange(nunionuma,2,97) & mi(etotrec2))) & mi(nudenspc)) | mi(nanymem))
** account for xxetotrec
**replace nrecoga=2 if xxetotrec==0
**replace nrecoga=3 if inrange(xxetotrec,1,97)
**label var nrecoga "Any union recognition among unions with members at the workplace"
**label define nrecoga 1 "No union members present" 2 "Unions present with members, but none recognised" 3 "Recognised unions with members" /*
**	*/ 4 "Dont know: density more than 10 %" 5 "Dont know: density 10 % or less" 6 "Don't know: density also not known"
**label values nrecoga nrecoga
**ta nrecoga nyear, mi
** Collapse nrecoga (nanyreca) [was nrecog1 in 2004].
** Again I have altered the codes since 2004 (1 in 2004 syntax = 0 in 2011; 2 in 2004 = 1)
**recode nrecoga 1/2=0 3=1 4/6=.b, gen(nanyreca)
**label var nanyreca "Any union recognition among unions with members at the workplace"
**label values nanyreca yesno
**ta nanyreca nyear,mi
** Majority members, but no recognition (n50norec).
** Again I have altered the codes from the 2004 syntax, and added a category for density missing
**recode nrecog 1=0 3/6=0 2=1, gen(n50norec)
**recode n50norec 1=3 if mi(nudenspc)
**recode n50norec 1=2 if nudenspc>50 & nudenspc<=100
**recode n50norec 1=1 if nudenspc<=50
**label variable n50norec "Density where there is membership but no recognition"
**label define n50norec 3 "Density not known" 2 ">50% density, no recog" 1 "<=50% density, no recog" 0 "All other workplaces"
**label values n50norec n50norec
**ta n50norec nyear, mi				
** Union recognition - including unions without members at the workplace (nrecogb) [was nrecog2 in 2004]
**recode nrecoga 3=4 4=5 5=6 6=7, gen(nrecogb)
**recode nrecogb 1=3 if eothrec==1
**recode nrecogb 1/2=3 5/7=3 if eaddrec==1
**label var nrecogb "Any union recognition, including unions without members at the workplace"
**label define nrecogb 1 "No members, no recognition" 2 "Members but no recognition" 3 "Recognition but only of unions without members" /*
**	*/ 4 "Recognition of unions with members" 5 "Dont know: density more than 10 %" 6 "Dont know: density 10 % or less" 7 "Don't know: density also not known"
**label values nrecogb nrecogb
**ta nrecoga nrecogb, mi
**ta nrecogb nyear, mi
** Collapse nrecogb (nanyrecb) [was nrecog3 in 2004].
** Again I have altered the codes since 2004 (1 in 2004 syntax = 0 in 2011; 2 in 2004 = 1)
**recode nrecogb 1/2=0 3/4=1 5/7=.b, gen(nanyrecb)
**label var nanyrecb "Any recognised unions at the workplace"
**label values nanyrecb yesno
**ta nanyrecb nyear,mi

* NTOTREC
* 2004
egen ntotrec=anycount(ERECOG01-ERECOG10), values(1)
replace ntotrec=. if nyear~=0
replace ntotrec=. if (EUNIONUM==.b | eanyemp==2) & nyear==0
replace ntotrec=. if ntotrec==0 &  /*
		*/ ((ERECOG01==.b | ERECOG02==.b | ERECOG03==.b | ERECOG04==.b | ERECOG05==.b | ERECOG06==.b | ERECOG07==.b | ERECOG08==.b | ERECOG09==.b | ERECOG10==.b) /*
		*/  | (ERECOG01==.a | ERECOG02==.a | ERECOG03==.a | ERECOG04==.a | ERECOG05==.a | ERECOG06==.a | ERECOG07==.a | ERECOG08==.a | ERECOG09==.a | ERECOG10==.a)) /*
		*/ & nyear==0
* 2011
replace ntotrec=0 if (etotrec1==2 | etotrec2==0) & nyear==1
replace ntotrec=1 if (etotrec1==1 | etotrec2==1) & nyear==1
replace ntotrec=etotrec2 if etotrec2>=2 & etotrec2<. & nyear==1
replace ntotrec=. if (zunionum==0 | mi(zunionum) | etotrec1==.b | etotrec2==.b) & nyear==1
replace ntotrec=1 if xxetotrec==1 & nyear==1
replace ntotrec=0 if xxetotrec==2 & nyear==1
label var ntotrec "Number of recognised unions with members at the workplace"
label values ntotrec nitem
fre etotrec ntotrec
ta ntotrec nyear if nmq==1, mi

* NANYRECA - conditional on mgr knowing N unions with members, are any recognised?
* 2004
ge nanyreca=1 if ntotrec>=1 & ntotrec<. & nyear==0
replace nanyreca=0 if (ntotrec==0 | eanyemp==2) & nyear==0
recode nanyreca .=.b if nyear==0
* 2011
replace nanyreca=1 if ntotrec>=1 & ntotrec<. & nyear==1
replace nanyreca=0 if (ntotrec==0 | zunionum==0) & nyear==1
replace nanyreca=.b if (mi(zunionum) | etotrec1==.b | etotrec2==.b) & nyear==1
label var nanyreca "Any union recognition among unions with members at the workplace"
label values nanyreca yesno
ta nanyreca nyear if nmq==1, mi

* NRECOGA - conditional on there being members, are any of those unions recognised?
** DK codes altered from 2004 derivation syntax (simplified)
recode nanymem 1=2 0=1 .b=5, ge(nrecoga)
recode nrecoga 2=3 if nanyreca==1
recode nrecoga 2=4 if nanyreca==.b
label var nrecoga "Any union recognition among unions with members at the workplace"
label define nrecoga 1 "No union members present" 2 "Unions present with members, but none recognised" 3 "Recognised unions with members" /*
	*/ 4 "Members but DK recognition" 5 "DK if any members" 
label values nrecoga nrecoga
ta nrecoga nyear if nmq==1, mi

* N50NOREC - Majority members, but no recognition 
* Again codes altered from the 2004 syntax
recode nrecoga 1=1 3=3 2=1 4=4 5=5, gen(n50norec)
recode n50norec 1=5 if mi(nudenspc)
recode n50norec 1=2 if nudenspc>50 & nudenspc<=100
recode n50norec 1=1 if nudenspc<=50
label variable n50norec "Density where there is membership but no recognition"
label define n50norec 1 "<=50% density, no recog" 2 ">50% density, no recog" 3 "Some recognition" 4 "Members but DK recognition" 5 "Members but DK density"
label values n50norec n50norec
ta n50norec nyear if nmq==1, mi				

** NRECOGB Union recognition - including unions without members at the workplace [was nrecog2 in 2004]
recode nrecoga 3=4 4=5 5=6, gen(nrecogb)
recode nrecogb 1=3 if eothrec==1
recode nrecogb 1/2=3 5/6=3 if eaddrec==1
label var nrecogb "Any union recognition, including unions without members at the workplace"
label define nrecogb 1 "No members, no recognition" 2 "Members but no recognition" 3 "Recognition but only of unions without members" /*
	*/ 4 "Recognition of unions with members" 5 "Members but DK recognition" 6 "DK if any members" 
label values nrecogb nrecogb
ta nrecoga nrecogb if nmq==1, mi
ta nrecogb nyear if nmq==1, mi

* NANYRECB Collapse nrecogb [was nrecog3 in 2004].
* Again I have altered the codes since 2004 (1 in 2004 syntax = 0 in 2011; 2 in 2004 = 1)
ge nanyrecb=nanyreca 
replace nanyrecb=1 if nrecogb==3 
label var nanyrecb "Any recognised unions at the workplace"
label values nanyrecb yesno
ta nanyrecb nyear if nmq==1,mi

* Match on the edited recognition variables for 2004, to provide a means of sensitivity testing
* These are not available or derived for 2011 - see above

sort serno
merge m:1 serno using "$path_extradata\WERS_2004_MQ_edited_recognition_dvs.dta", keep(master match) keepusing(xrecog xrecog1 xrecog2 xrecog3) nogen
recode2 xrecog xrecog1 xrecog2 xrecog3 : .=.b if nyear==0
recode2 xrecog xrecog1 xrecog2 xrecog3 : else=.e if nyear==1
foreach x in xrecog xrecog1 xrecog2 xrecog3 {
	label define `x' .b "Don't know" .e "NA for 2011", add
}
fre xrecog*

* Number of unions at the workplace, including those without members (nunionumb, nunumb6)
* In 2004, this variable got set to missing if eaddnum or eothnum were missing
* Here I ignore missings on eaddnum (so that eaddnum only adds to nunionuma), but I do recognise missings on eothnum (since there is no starting number of unions to add to)
* If eothrec = DK I assume no extra unions

gen nunionumb=nunionuma
replace nunionumb=(nunionumb+eaddnum) if eaddrec==1 & !mi(nunionuma,eaddnum)
replace nunionumb=eothnum if eothrec==1
label var nunionumb "Number of unions with either members present or a recognition agreement"
label val nunionumb nitem
ta nunionumb nyear, mi

ge nunumb6=nunionumb
replace nunumb6=6 if nunionumb>=6 & nunionumb<=97 
label var nunumb6 "Number of unions with either members present or a recognition agreement"
label val nunumb6 nunuma6 
ta nunumb6 nyear, mi

***********************
* Joiners and leavers
***********************
*noutcom2004 & noutsum2004 already on deposited dataset so starred out below
*other dvs which would require merging of additional data are also starred out here

* First rename outcome code for 2011 refreshment cases (and fix labels)
* The variable is observed for 2011 panel productives, but I wipe those values as they (necessarily) mirror the 
* values held in the 2004 outcome codes that I will match on below
*rename outfinal noutfull2011
*recode noutfull2011 .=.e if nsource~=2
*label variable noutfull2011 "Fully detailed outcome code for 2011 refreshment productives"
*local lbe : value label noutfull2011
*label define `lbe' .e "NA for 2004 sample", modify
*fre noutfull2011 if nmq==1

* Second match 2004 outcome code onto dataset, so we can identify leavers
*erge m:1 serno using "$path_2011_raw\2011 final outcomes for 2004 cases.dta", keep(master match) nogen
*su out*
*rename outfinal noutfull2004
*rename outfinal_major noutsum2004
*rename outcome_grp_revised noutgrp2004
*recode2 noutfull2004 noutsum2004 noutgrp2004 : else=.e if nsource==2
*label variable noutfull2004 "Fully detailed 2011 outcome code for 2004 cross-section"
*label variable noutsum2004 "Summary 2011 outcome code for 2004 cross-section (8 categories)"
*label variable noutgrp2004 "Simple 2011 outcome code for 2004 cross-section (3 categories)"
*foreach x in noutfull2004 noutsum2004 noutgrp2004 {
	*local lbe : value label `x'
	*label define `lbe' .e "NA for 2011 refreshment sample", modify
*}
*fre noutfull2004 noutsum2004 noutgrp2004 if nmq==1

* This is our identifier of 2011 outcomes for all 2004 XS cases (continuing, moved out of scope, closed down) (noutcom2004) JF
*recode noutsum2004 11/12=3 13=2 20/33=1 14=.b .e=.e, gen(noutcom2004)
*label var noutcom2004 "Status in 2011 of all 2004 XS cases"
*label define noutcom2004 1 "In-scope in 2004 and 2011" 2 "Surviving but out of scope in 2011" 3 "Closed down by 2011" .b "Outcome unclear".e "NA for 2011 refreshment sample"
*label values noutcom2004 noutcom2004
*fre noutcom2004 if nmq==1
*fre noutcom2004 if nmq==1 & nyear==0

* This is our identifier of 2004 historic status for all 2011 pseudo XS cases (continuing, moved into scope, birth) (norigin2011) JF
*ge zerosize1=(zemp6ago==0) if nyear==1
*ge zerosize2=(historicsizegp==0) if nyear==1
*gen zerosum=(zerosize1+zerosize2+notexist04) if nyear==1
*ge birth=(inscope04==0 & (zerosum==3 | (zerosum==2 & amalg2~=1) | (zerosum==1 & (zemp6ago==0 | (notexist04==1 & zemp6dk==2))))) if nyear==1
*ge agelt7=(ahowlong<=7 | ahowest==1) if nyear==1
*recode birth 0=1 if agelt7==1

*ge norigin2011=1 if inscope04==1 | inlist(nsource,3,4)
*replace norigin2011=2 if inscope04==0 & birth==0
*replace norigin2011=3 if inscope04==0 & birth==1
*replace norigin2011=.e if nsource==1
*label var norigin2011 "Estimated 2004 origin of 2011 pseudo XS cases"
*label define norigin2011 1 "In-scope in 2004 and 2011" 2 "Grew into scope since 2004" 3 "Born since 2004" .e "NA for 2004 non-panel cases"
*label values norigin2011 norigin2011
*fre norigin2011 if nmq==1 
*fre norigin2011 if nmq==1 & nyear==1

*drop inscope04 historicsizegp notexist04 zerosize1 zerosize2 zerosum birth agelt7

*Actions taken in response to recession (nreact1-nreact16)
*Not doing anything with codes 95 and 96
for num 1/16: egen nreactX=anymatch(lreact01-lreact14 xlreac1-xlreac3), values(X)
replace nreact14=0 if xlreac1<17|xlreac2<17|xlreac3<17
for num 1/16: replace nreactX=.a if lreact01==.a
for num 1/16: replace nreactX=.b if lreact01==.b
for num 1/16: replace nreactX=.e if lreact01==.e
for num 1/16: lab val nreactX yesno
lab var nreact1 "Recession resulted in compulsory redundancies"
lab var nreact2 "Recession resulted in voluntary redundancies"
lab var nreact3 "Recession resulted in temporary recruitment freeze"
lab var nreact4 "Recession resulted in postponed plans to expand"
lab var nreact5 "Recession resulted in wage cut/freeze"
lab var nreact6 "Recession resulted in reduced non-wage benefits"
lab var nreact7 "Recession resulted in reduced basic hours"
lab var nreact8 "Recession resulted in reduced paid overtime"
lab var nreact9 "Recession resulted in unpaid leave"
lab var nreact10 "Recession resulted in reduced agency/temp workers"
lab var nreact11 "Recession resulted in increased agency/temp workers"
lab var nreact12 "Recession resulted in reduced training expenditure"
lab var nreact13 "Recession resulted in changed work organisation"
lab var nreact14 "Recession resulted in other (non-backcoded) action"
lab var nreact15 "Recession resulted in no action affecting wf"
lab var nreact16 "Recession resulted in increased workload"

*Activities carried out by contractors (nnonem1-nnonem12)
for num 1/12: egen nnonemX=anymatch(jnonem01-jnonem11), values (X)
for num 1/12: replace nnonemX=.a if jnonem01==.a
for num 1/12: replace nnonemX=.b if jnonem01==.b
for num 1/12: replace nnonemX=.e if jnonem01==.e
for num 1/12: lab val nnonemX yesno
lab var nnonem1 "Cleaning of building and premises contracted out"
lab var nnonem2 "Security contracted out"
lab var nnonem3 "Catering contracted out"
lab var nnonem4 "Building maintenance contracted out"
lab var nnonem5 "Printing/photocopying contracted out"
lab var nnonem6 "Payroll contracted out"
lab var nnonem7 "Transport of documents/goods contracted out"
lab var nnonem8 "Computing services contracted out"
lab var nnonem9 "Training contracted out"
lab var nnonem10 "Recruitment contracted out"
lab var nnonem11 "Temporary filling of vacant posts contracted out"
lab var nnonem12 "No listed activities contracted out"

*Temporary agency workers doing work previously done by permanent employees (nemptem)
*Coding wps without any temporary agency workers to zero
recode jemptem (1/2=1)(3=0)(.a=.a)(.b=.b)(.e=.e), gen(nemptem)
replace nemptem=0 if zagency==0|zanyagy==2 & nemptem==.e
lab val nemptem yesno
lab var nemptem "Replaced some permanent employees with temps"

*Reasons for use of temporary agency workers - coding to zero if no temps (nwhyt1-nwhyt7)
for num 1/7: egen nwhytX=anymatch(jwhytem1-jwhytem7 xjwhyte1-xjwhyte3), values(X)
replace nwhyt7=0 if xjwhyte1<7|xjwhyte2<7|xjwhyte3<7
for num 1/7: replace nwhytX=.a if jwhytem1==.a
for num 1/7: replace nwhytX=.b if jwhytem1==.b
for num 1/7: replace nwhytX=.e if jwhytem1==.e
for num 1/7: replace nwhytX=0 if zagency==0|zanyagy==2 & jwhytem1==.e
for num 1/7: lab val nwhytX yesno
lab var nwhyt1 "Using temps to match staff to peaks in demand"
lab var nwhyt2 "Using temps for short-term cover for absence/vacancies"
lab var nwhyt3 "Using temps for maternity/annual leave cover"
lab var nwhyt4 "Using temps as unable to fill vacancies"
lab var nwhyt5 "Using temps to obtain specialist skills"
lab var nwhyt6 "Using temps as freeze on permanent staff numbers"
lab var nwhyt7 "Using temps for other reason (not backcoded)"

*Contractors have replaced employees in past 5 years (nyr5emp) - coding wps which have no contractors or are less than 5 years old to zero
recode jyr5emp (1=1)(2=0)(.b=.b)(.e=.e), gen(nyr5emp)
replace nyr5emp=0 if nnonem12==1 | (ahowlong<5|ahowest==1)
lab val nyr5emp yesno
lab var nyr5emp "Replaced employees with contractors in past 5 years"

*Reasons for contracting out work previously done by employees - coding to zero if no activities previously in-house contracted out 
for num 1/6: egen nwhyoutX=anymatch(jwhyout1-jwhyout5 xjwhyou1-xjwhyou3), values(X)
replace nwhyout5=0 if xjwhyou1<7|xjwhyou2<7|xjwhyou3<7
for num 1/6: replace nwhyoutX=.a if jwhyout1==.a
for num 1/6: replace nwhyoutX=.b if jwhyout1==.b
for num 1/6: replace nwhyoutX=.e if jwhyout1==.e
for num 1/6: replace nwhyoutX=0 if nyr5emp==0 & jwhyout1==.e
for num 1/6: lab val nwhyoutX yesno
lab var nwhyout1 "Contracted out activities due to cost savings"
lab var nwhyout2 "Contracted out activities due to improved service"
lab var nwhyout3 "Contracted out activities to focus on core business"
lab var nwhyout4 "Contracted out activities due to greater flexibility"
lab var nwhyout5 "Contracted out activities for other reasons (not backcoded)"
lab var nwhyout6 "Contracted out activities due to CCT/government regulations"

**********************************************************************************************
* Pay determination
* LS - Derivation of nfsoc and edits are starred out below - edits use nsic2003 i.e. detailed industry not on deposited data
* This code derives all 2004 variables afresh. "recoding pay.do"
* matches in 2004 derived variables held in "c:\Work\WERS6\wers04\Data\Stata\wers2004pay.dta"
* and does some sensitivity checking.
**********************************************************************************************



* Begin with FSOC in 2004 as well as 2011 thus
* ignoring NFSOC* derived variables from 2004. For 2011 we derive 
* are edited versions of FSOC to approximate NFSOC
* in 2004 plus new versions of NFSOC for 2011 only which 
* utilise the XXFSOC* variables only produced for 2011

label define occpay 0 "None in occupation" 1 "Col Barg multiple employer" 2 "Col Barg org level" 3 "Col Barg wp level" 4 "Set by management org level" /*
	*/ 5 "Set by management wp level" 6 "Neg with individuals" 7 "Independent PRB" 8 "Other" 95 "Other specific" 96 "Other vague" 97 "editor unsure"/*
	*/ .a "Refused" .b "Don't know" .e "Item not applicable" .f "Don't know or not answered"
	
drop nfsoc1 nfsoc2 nfsoc3 nfsoc4 nfsoc5 nfsoc6 nfsoc7 nfsoc8 nfsoc9

replace fsoc1=FSOC1 if nyear==0 & missing(fsoc1) //adding 2004 values, idem below
replace fsoc2=FSOC2 if nyear==0 & missing(fsoc2)
replace fsoc3=FSOC3 if nyear==0 & missing(fsoc3)
replace fsoc4=FSOC4 if nyear==0 & missing(fsoc4)
replace fsoc5=FSOC5 if nyear==0 & missing(fsoc5)
replace fsoc6=FSOC6 if nyear==0 & missing(fsoc6)
replace fsoc7=FSOC7 if nyear==0 & missing(fsoc7)
replace fsoc8=FSOC8 if nyear==0 & missing(fsoc8)
replace fsoc9=FSOC9 if nyear==0 & missing(fsoc9)


tab fsoc1 nyear, m
tab FSOC1 nyear, m

ge nfsoc1=fsoc1
ge nfsoc2=fsoc2 
ge nfsoc3=fsoc3
ge nfsoc4=fsoc4
ge nfsoc5=fsoc5
ge nfsoc6=fsoc6
ge nfsoc7=fsoc7
ge nfsoc8=fsoc8
ge nfsoc9=fsoc9

replace nfsoc1=0 if zmgr_tot==0&nyear==1
replace nfsoc1=0 if zmng_tot==0&nyear==0
replace nfsoc2=0 if zpro_tot==0
replace nfsoc3=0 if ztec_tot==0
replace nfsoc4=0 if zadm_tot==0
replace nfsoc5=0 if zskl_tot==0
replace nfsoc6=0 if zper_tot==0
replace nfsoc7=0 if zsal_tot==0
replace nfsoc8=0 if zope_tot==0
replace nfsoc9=0 if zrou_tot==0

* incorporate data from the backcodes in 2011

replace nfsoc1=xfsoc12 if xfsoc12<.
replace nfsoc1=xfsoc11 if xfsoc11<.
replace nfsoc2=xfsoc22 if xfsoc22<.
replace nfsoc2=xfsoc21 if xfsoc21<.
replace nfsoc3=xfsoc32 if xfsoc32<.
replace nfsoc3=xfsoc31 if xfsoc31<.
replace nfsoc4=xfsoc41 if xfsoc41<.
replace nfsoc5=xfsoc51 if xfsoc51<.
replace nfsoc6=xfsoc61 if xfsoc61<.
replace nfsoc7=xfsoc71 if xfsoc71<.
replace nfsoc8=xfsoc81 if xfsoc81<.
replace nfsoc9=xfsoc92 if xfsoc92<.
replace nfsoc9=xfsoc91 if xfsoc91<.

label var nfsoc1 "Method of pay determination edited, managers"
label var nfsoc2 "Method of pay determination edited, prof"
label var nfsoc3 "Method of pay determination edited, ass prof"
label var nfsoc4 "Method of pay determination edited, admin"
label var nfsoc5 "Method of pay determination edited, skilled trades"
label var nfsoc6 "Method of pay determination edited, pers serv"
label var nfsoc7 "Method of pay determination edited, sales"
label var nfsoc8 "Method of pay determination edited, operatives"
label var nfsoc9 "Method of pay determination edited, routine"

ta nfsoc1 nyear, m

label values nfsoc* occpay

* For 2011 only we can also call on researcher edits contained in XXFSOC* variables
* which are based on investigations triggered by conflicts between FSOC and FCOVER.
* Because no equivalent in 2004 produce new 2011 only variables called NFXSOC*

gen nfxsoc1=nfsoc1 if nyear==1
replace nfxsoc1=xxfsoc1 if xxfsoc1<8
label var nfxsoc1 "Method of pay determination 2011 edits, managers"
label values nfxsoc1 occpay
ta nfxsoc1 nyear, mi
fre nfxsoc1

gen nfxsoc2=nfsoc2 if nyear==1
replace nfxsoc2=xxfsoc2 if xxfsoc2<8
label var nfxsoc2 "Method of pay determination 2011 edits, prof"
label values nfxsoc2 occpay
ta nfxsoc2 nyear, mi
fre nfxsoc2

gen nfxsoc3=nfsoc3 if nyear==1
replace nfxsoc3=xxfsoc3 if xxfsoc3<8
label var nfxsoc3 "Method of pay determination 2011 edits, ass prof"
label values nfxsoc3 occpay
ta nfxsoc3 nyear, mi
fre nfxsoc3

gen nfxsoc4=nfsoc4 if nyear==1
replace nfxsoc4=xxfsoc4 if xxfsoc4<8
label var nfxsoc4 "Method of pay determination 2011 edits, admin"
label values nfxsoc4 occpay
ta nfxsoc4 nyear, mi
fre nfxsoc4

gen nfxsoc5=nfsoc5 if nyear==1
replace nfxsoc5=xxfsoc5 if xxfsoc5<8
label var nfxsoc5 "Method of pay determination 2011 edits, skilled trades"
label values nfxsoc5 occpay
ta nfxsoc5 nyear, mi
fre nfxsoc5

gen nfxsoc6=nfsoc6 if nyear==1
replace nfxsoc6=xxfsoc6 if xxfsoc6<8
label var nfxsoc6 "Method of pay determination 2011 edits, pers serv"
label values nfxsoc6 occpay
ta nfxsoc6 nyear, mi
fre nfxsoc6

gen nfxsoc7=nfsoc7 if nyear==1
replace nfxsoc7=xxfsoc7 if xxfsoc7<8
label var nfxsoc7 "Method of pay determination 2011 edits, sales"
label values nfxsoc7 occpay
ta nfxsoc7 nyear, mi
fre nfxsoc7

gen nfxsoc8=nfsoc8 if nyear==1
replace nfxsoc8=xxfsoc8 if xxfsoc8<8
label var nfxsoc8 "Method of pay determination 2011 edits, operatives"
label values nfxsoc8 occpay
ta nfxsoc8 nyear, mi
fre nfxsoc8

gen nfxsoc9=nfsoc9 if nyear==1
replace nfxsoc9=xxfsoc9 if xxfsoc9<8
label var nfxsoc9 "Method of pay determination 2011 edits, routine"
label values nfxsoc9 occpay
ta nfxsoc9 nyear, mi
fre nfxsoc9

su nfxsoc*
*/

* IPRB edits.
* Make adjustments to the NFSOC* and NFXSOC* variables with hard edits
* for IPRB where we believe respondents have made an error. Recodes based on
* what we know about IPRB in the real world. Circumstances have changed in some cases compared to 2004
* so there are 2004 and 2011 lines of code in some cases. For what we did in 
* 2004 see fsocfix04jf.sps in WERS04\SETUP. For 2011 research team did some edits (see checks 33 and 34 in edit codebook). 
* For fuller account see "public sector pay arrangements (esp PRBs).doc" in dropbox.
* Edits below use NSIC2003 at present but may be adviseable to switch to the 2007 SIC. 
* For pay setting in Scotland look at Bell et al. 2012 in dropbox, especially Hatchett's chapter
* We also consulted a number of websites including:
* http://www.lge.gov.uk/lge/core/page.do?pageId=119267
* http://www.scotland.gov.uk/Topics/Government/public-sector-pay/bodies-not-covered
* http://www.unison.org.uk/policestaff/pages_view.asp?did=8209

* NHS PRB see http://www.ome.uk.com/example/NHS_Pay_Review_Body.aspx

* For 2004 see lines 273ff in fsocfix04jf.sps for situation. Agenda for Change was CB for Eng, Scotland and Wales
* We ended up recoding all code 7 ie PRB into nat CB.We were probably wrong to have omitted Scotland from the AfC recode in 2004. 
* NHS Scotland was clearly within the remit for AfC. Wikipedia says Scotland was slower to implement that E&W, but that's a side
* issue really since the timing of the agreement (1st Oct 2004) is the key thing. Those in trusts that were slow to implement will
* have had to give back pay to cover delays in implementation. 

* Agenda for Change was CB but now ended. Also PRB now covers all NHS staff, except doctors and dentists. Covers Scotland too
* In 2011 all SOC groups should be recoded to FSOC=7 in public sector hospitals (ASTATUS1>=8 and SIC2003 = 85110 or 85111)

recode nfsoc1-nfsoc9 (7=1) if astatus1>7&nyear==0&(asic2003==85110|asic2003==85111)
recode nfsoc1-nfsoc9 nfxsoc1-nfxsoc9 (1/97=7) if astatus1>7&nyear==1&(asic2003==85110|asic2003==85111)

* Doctors and Dentists PRB *

* As in 2004 difficulties identifying the covered medical practices (SIC2003 = 8512) and dentist practices (SIC2003 = 8513)
* means we leave these cases unedited. But note that those working in public sector hospitals are covered by edit above

* Prison Service PRB*

* Covers most operational staff in state prisons (ASTATUS1=9 or ASTATUS2=9 and SIC2003=75230) in England and Wales (NGOR~=10). 
* Assume, as in 2004, that staff such as cleaners were probably excluded so restricted our attention to SOCs1-8. 
* The restriction to ASTATUS=9 was used to focus in on the Prison Service Agency and to avoid extending the recode to the Crown Prosecution Service etc. 
* So for all SOCs1-8 where (ASTATUS1=9 or ASTATUS2=9 and ASIC2003=75230 and NGOR~=10), recode 1,2 and 3 (col barg) 7 (PRB). 
* Clear from Bell et al page 70 that there is national pay bargaining
* in Scottish Prison Service and impression is that it has been there for some time. So recoded PRB in Scottish case to national pay bargaining. 
* Slight worry is that a forced edit of this type might inadvertently catch workplaces outside the Prison Service. 

recode nfsoc1-nfsoc8 nfxsoc1-nfxsoc8 (1/3=7) if (astatus1==9|astatus2==9)&(asic2003==75230)&ngor~=10
recode nfsoc1-nfsoc8 nfxsoc1-nfxsoc8 (7=1) if (astatus1==9|astatus2==9)&(asic2003==75230)&ngor==10

* School teachers PRB

* Approach is as per 2004 so allow edit to run over 2004 and 2011. FSOC should be coded from 1 to 7 for SOC1 and SOC2 where (ASTATUS>=8 and ASIC2003 = 80100 or 80210 and NGOR~=”10”)
* In Scotland teachers and associated professionals have national pay bargaining (Bell et al. page 70) so this is enforced in the code below.
* No way to identify academies or free schools, other than by visual inspection of each case, so ignore. However, given this ambiguity, we let FSOC codes other than PRB
* in Eng/Wales and national collective bargaining in Scotland stand.
 
recode nfsoc1-nfsoc2 nfxsoc1-nfxsoc2 (1=7) if (astatus1>7|astatus2>7)&(asic2003==80100|asic2003==80210)&ngor~=10
recode nfsoc1-nfsoc2 nfxsoc1-nfxsoc2 (7=1) if (astatus1>7|astatus2>7)&(asic2003==80100|asic2003==80210)&ngor==10

* Senior Salaries PRB

* As in 2004 assume N involved to small to bother with so ignored

* Armed Forces PRB

* As in 2004 assumed all covered are out of scope since WERS only covers civilian workforce. Therefore ignored

* School Support Staff Negotiating Board 

* Until end January 2012 the SSSNB engaged in national collective bargaining (FSOC=1) of all school support staff in England
* but this was abolished on 1st February 2012 with schools adopting local arrangements which may or may not entail collective bargaining.
* Problem with FSOC=1 after 1/2/12 because not clear what arrangements actually govern pay bargaining for those cases.  Management interview
* cut off of 31 Jan 2012 is value 19023. However, I've chosen to exclude mention of this cut off in code below, treating all as if it was
* pre Feb 2012. One reason for this is non-random date of interview. Another is that pay determination still likely to reflect previous regime
* even if it has switched. 

* John has added: this website says pay is set by each local council in Scotland.  http://www.tes.co.uk/article.aspx?storyCode=6164363. 
* That would imply org-level col barg, but since council employees in Sctoland are covered by Scottish Joint Council for Local Government Employees,
* I would say this amounts to national coll barg (albeit just within Scotland). This website says that pay in Wales is governed by the national agrement
* for local government employees (which is an agreement covering council employees in England and Wales). 
* http://www.atl.org.uk/help-and-advice/rights-and-conditions/support-rights-Wales.asp So again I would say national coll barg there. 
* We have been exercised about the School Support Staff Negotiating Body. This website makes it clear that it only covered England. 
* http://www.lge.gov.uk/lge/core/page.do?pageId=778046 My assessment of the SSNB is that: it operated between July 2009 and Feb 2012; pay for 
* school support staff was previously set by local councils using the national agreement (as it continued to be in Wales); and that post-Feb 2012 
* schools in England will be free to do what they want (although one would imagine that most LEA schools will just revert to using the national
* agreement for council employees). So basically we would recode PRB to nat coll barg for school support staff everywhere in 2004 and 2011. THIS IS
* WHAT WE DO BELOW

*gen before = cond(startdat < td(01Feb2012), 1, 0)

recode nfsoc3-nfsoc9 nfxsoc3-nfxsoc9 (7=1) if (astatus1>7|astatus2>7)&(asic2003==80100|asic2003==80210)

* Police officers Police Negotiating Board is national pay bargaining for all police in the UK.
* Support staff not covered by PNB but covered by voluntary CB we think, whereas Hatchett (2012: 27) suggests they also have national pay bargaining.
* We have decided to go with Hatchett and this website http://www.unison.org.uk/policestaff/pages_view.asp?did=8209. Metropolitan Police Service
* support staff have negotiated agreements for these staff, but also clear that MPS isn't part of the Police Staff Council which
* sets national rates for other forces. So we propose company-level collective bargaining for police support staff in London. 

recode nfsoc1-nfsoc9 nfxsoc1-nfxsoc9 (7=1) if (astatus1>7|astatus2>7)&asic2003==75240
recode nfsoc3-nfsoc9 nfxsoc3-nfxsoc9 (7=2) if (astatus1>7|astatus2>7)&asic2003==75240&ngor==7



* check N times IPRB identified as source of pay determination for an occupation
* two versions: (a) including 2011 backcodes (b) 2011 backcodes plus researcher edits

egen niprb=anycount(nfsoc1 nfsoc2 nfsoc3 nfsoc4 nfsoc5 nfsoc6 nfsoc7 nfsoc8 nfsoc9),values(7)
label var niprb "N occs with pay set by Independent Pay Review Body, with backcode"
bysort nyear: ta niprb nprivate, mi

egen nxiprb=anycount(nfxsoc1 nfxsoc2 nfxsoc3 nfxsoc4 nfxsoc5 nfxsoc6 nfxsoc7 nfxsoc8 nfxsoc9),values(7)
label var nxiprb "N occs with pay set by Independent Pay Review Body, with 2011 researcher edits"
bysort nyear: ta nxiprb nprivate, mi

* list out potentially problematic private sector cases which harbour IPRB
* Note some identify themselves as trusts/charities so could conceivably be
* NHS Trusts so should be public sector. 

*list nfsoc* nfxsoc* nsic* astatus1 if astatus1<5&niprb>0

*list nfsoc* nfxsoc* nsic* astatus1 if astatus1<5&nxiprb>0


* Adjustment for LOG pay settlement to account for
* indications of collective bargaining there. Remember
* this was absent in 1998 so had two sets of vars, one
* with LOG adjustment, one without. This meant needed vars
* with and without LOG adjustment for 2004 too to do analysis
* of behavioural v compositional change. For 2004-2011 we
* could use log-adjusted only.  But investigation below indicates
* it's not necessarily the best option so need to run with both.
* LOG adjustment simply means that if respondent mentions negotiation
* with LOG in last pay settlement then this is CB and so
* FSOC data to be adjusted accordingly, subject to PRB
* checks which may overwrite the identification of CB
* via LOG settlement. Note: in 2004 NUNEGP (0,1) used
* FWHODID* and FCONSNEG to identify union reps involved
* in negotiation in last pay settlement. In 2011 I can't
* see a variable identifying who involved but FCONS code
* 2 identifies negotation. Note: checks below raise some
* questions about just how
* useful the LOG pay settlement data might be for recoding
* CB coverage data. If we do decide to use then we might
* wish to recode NLOGNEG to account for circumstances
* in which employer thought it was negotiation but
* in fact it was IPRB (as per NFSOC data)

egen unidid=anymatch(FWHODID*),values(5 7)
gen nlogneg=0
replace nlogneg=1 if nyear==0&FCONSNEG==2&unidid>0
replace nlogneg=1 if nyear==1&fcons==2&(nanyrecb==1)
label var nlogneg "union involved in neg LOG last pay settlement"
label values nlogneg yesno
ta nlogneg nyear,mi

* How does info on LOG pay settlement tally with what we know
* about LOG pay determination from NFSOC and NFXSOC? NB: FSOC
* data may signal collective bargaining when NLOGNEG does not
* for good reason, ie. when union negotiations have not involved
* lay reps or officials at the workplace.

gen nlfsoc=nfsoc2 if nhiocc==2
replace nlfsoc=nfsoc3 if nhiocc==3
replace nlfsoc=nfsoc4 if nhiocc==4
replace nlfsoc=nfsoc5 if nhiocc==5
replace nlfsoc=nfsoc6 if nhiocc==6
replace nlfsoc=nfsoc7 if nhiocc==7
replace nlfsoc=nfsoc8 if nhiocc==8
replace nlfsoc=nfsoc9 if nhiocc==9
replace nlfsoc=.e if nhiocc==.e
label var nlfsoc "Pay method for LOG from NFSOC"
label values nlfsoc occpay
ta nlfsoc nyear, mi

gen nlfxsoc=nfxsoc2 if nhiocc==2
replace nlfxsoc=nfxsoc3 if nhiocc==3
replace nlfxsoc=nfxsoc4 if nhiocc==4
replace nlfxsoc=nfxsoc5 if nhiocc==5
replace nlfxsoc=nfxsoc6 if nhiocc==6
replace nlfxsoc=nfxsoc7 if nhiocc==7
replace nlfxsoc=nfxsoc8 if nhiocc==8
replace nlfxsoc=nfxsoc9 if nhiocc==9
replace nlfxsoc=.e if nhiocc==.e
label var nlfxsoc "Pay method for LOG from NFXSOC"
label values nlfxsoc occpay
ta nlfxsoc nyear, mi

* Now move onto N and % covered. First produce a couple
* of variables which do not account for negotiation of
* last pay settlement for LOG. Then do versions that do
* account for this

* Identify those with missing data. Consider
* removing these cases from the final version of the derived data. Have to tackle the .a and .b values
* by temporarily setting up 9 variables that are coded 8 if an nfsoc variable was coded .a or .b and 0 otherwise. 
* Call these nfsoc1x, nfsoc2x etc. Then the egen command will count over these variables as well as the standard nfsocs.
* Then delete temp vars


forvalues i=1/9 {
    recode nfsoc`i' .a=8 .b=8 else=0, gen(nfsoc`i'x)
}
egen nmsfsoc=anycount(nfsoc*),values(8 95 96 97)
replace nmsfsoc=noccs if noccs==0
label var nmsfsoc "N occs for which NFSOC missing"
ta nmsfsoc nyear, mi

drop nfsoc*x

ta nmsfsoc noccs

forvalues i=1/9 {
    recode nfxsoc`i' .a=8 .b=8 else=0, gen(nfxsoc`i'x)
}
egen nmsfxsoc=anycount(nfxsoc*),values(8 95 96 97)
replace nmsfxsoc=noccs if noccs==0
replace nmsfxsoc=.e if nyear==0
label var nmsfxsoc "N occs for which NFXSOC missing"
label values nmsfxsoc nitem
ta nmsfxsoc nyear, mi

drop nfxsoc*x

* Any CB coverage based on NFSOC data and then for NFXSOC equivalent
* Neither variable accounts for LOG adjustment using last pay settlement. Derivation
* permits valid responses even where one or more NFSOC are missing

egen nfanycb=anymatch(nfsoc*),values(1/3)
label var nfanycb "If any collective bargaining, NFSOC only no LOG adjustment"
label values nfanycb yesno
ta nfanycb nyear, mi

ta nmsfsoc nfanycb, mi

egen nfxanycb=anymatch(nfxsoc*),values(1/3)
replace nfxanycb=.e if nyear==0
label var nfxanycb "If any collective bargaining, NFXSOC only no LOG adjustment"
label values nfxanycb yesno
ta nfxanycb nyear, mi

* Number of occupations in the workplace with CB coverage

egen nfsoccb=anycount(nfsoc*),values(1/3)
label var nfsoccb "N occupations covered by col barg, NFSOC no LOG adjustment"
ta nfsoccb nyear, mi

egen nfxsoccb=anycount(nfsoc*),values(1/3)
replace nfxsoccb=.e if nyear==0
label var nfxsoccb "N occupations covered by col barg, NFXSOC no LOG adjustment"
label values nfxsoccb nitem
ta nfxsoccb nyear, mi

* N employees covered by collective bargaining and then % covered
* Old 2004 equivalents were NCOVTOT2 and NCOVPC2 both of which made no
* LOG adjustment for last pay settlement. NB: variable is constructed
* such that it ignores missings on NFSOC and problems with occupational
* totals. These adjustments are made when we construct % covered variables. Note use of ZALLEMPS
* where nfsoccb==noccs to deal with cases where NFSOC identifies coverage but
* occupational total is absent

gen nfsocov=0
replace nfsocov=zmgr_tot if nfsoc1<4&nfsoc1~=0&nyear==1
replace nfsocov=zmng_tot if nfsoc1<4&nfsoc1~=0&nyear==0
replace nfsocov=nfsocov+zpro_tot if nfsoc2<4&nfsoc2~=0
replace nfsocov=nfsocov+ztec_tot if nfsoc3<4&nfsoc3~=0
replace nfsocov=nfsocov+zadm_tot if nfsoc4<4&nfsoc4~=0
replace nfsocov=nfsocov+zskl_tot if nfsoc5<4&nfsoc5~=0
replace nfsocov=nfsocov+zper_tot if nfsoc6<4&nfsoc6~=0
replace nfsocov=nfsocov+zsal_tot if nfsoc7<4&nfsoc7~=0
replace nfsocov=nfsocov+zope_tot if nfsoc8<4&nfsoc8~=0
replace nfsocov=nfsocov+zrou_tot if nfsoc9<4&nfsoc9~=0
replace nfsocov=zallemps if nfsoccb>=noccs|nfsocov>=zallemps
replace nfsocov=.b if nfsocov==.&nfsoccb>0
replace nfsocov=0 if nfsoccb==0&nfsocov==.
label var nfsocov "N employees covered by CB, NFSOC only no LOG adjustment"
label define cbcover .b "CB but don't know N" .e "Item not applicable"
label values nfsocov cbcover
fre nfsocov

list serno nyear nfanycb noccs nmsfsoc nfsoc* *tot if nfsocov==.b

gen nfxsocov=0 if nyear==1
replace nfxsocov=zmgr_tot if nfxsoc1<4&nfxsoc1~=0&nyear==1
replace nfxsocov=nfxsocov+zpro_tot if nfxsoc2<4&nfxsoc2~=0
replace nfxsocov=nfxsocov+ztec_tot if nfxsoc3<4&nfxsoc3~=0
replace nfxsocov=nfxsocov+zadm_tot if nfxsoc4<4&nfxsoc4~=0
replace nfxsocov=nfxsocov+zskl_tot if nfxsoc5<4&nfxsoc5~=0
replace nfxsocov=nfxsocov+zper_tot if nfxsoc6<4&nfxsoc6~=0
replace nfxsocov=nfxsocov+zsal_tot if nfxsoc7<4&nfxsoc7~=0
replace nfxsocov=nfxsocov+zope_tot if nfxsoc8<4&nfxsoc8~=0
replace nfxsocov=nfxsocov+zrou_tot if nfxsoc9<4&nfxsoc9~=0
replace nfxsocov=zallemps if nfxsoccb>=noccs|nfxsocov>zallemps
replace nfxsocov=.b if nfxsocov==.&nfxsoccb>0
replace nfxsocov=0 if nfxsoccb==0&nfxsocov==.
replace nfxsocov=.e if nyear==0
label var nfxsocov "N employees covered by CB, NFXSOC only no LOG adjustment"
label values nfxsocov cbcover
fre nfxsocov

list serno nyear nfxanycb noccs nmsfxsoc nfxsoc* *tot if nfxsocov==.b

* In calculating % employees covered by CB at the workplace we are faced
* with a choice as to whether to use ZALLEMPS as the denominator or NOCTOT
* which is N employees from the occupational totals. NPCDIF gives the discrepancy
* between the two expressed as noctot*100/zallemps. In 2004 we seem to have used
* ZALLEMPS as the denominator so going to do the same again.  Decision is to use zallemps, 
* but to set the coverage % to missing if npcdif is outside reasonable boundaries. 
* This applies to nfpccov, nfxpccov, nlfpccov and nlfxpcov

gen nfpccov=(nfsocov*100)/zallemps
replace nfpccov=.b if nfsocov==.b
replace nfpccov=.e if nfsocov==.e
replace nfpccov=.n if npcdif<90|npcdif>110
label var nfpccov "% ZALLEMPS covered by CB, NFSOC only no LOG adjustment"
label define cbpc .b "CB but don't know N" .e "Item not applicable" .n "NPCDIF <90|>110"
label values nfpccov cbpc
fre nfpccov

tabstat nfpccov,by(nyear) stats(min max mean median p75)

* Categorical CB coverage with no LOG adjustment (in 2004 equivalents were NCOVPC27 and NCOVPC26)

recode nfpccov (0=7) (0.01/19.49=6) (19.5/39.49=5) (39.5/59.49=4) (59.5/79.49=3) (79.5/99.49=2) (99.5/100=1) (.b=.b) (.e=.e) (.n=.n),ge(ncovcat1)
label var ncovcat1 "categorical % employees covered by col barg,  NFSOC only no LOG adjustment"
label values ncovcat1 pcband
fre ncovcat1

ta ncovcat1 nyear, mi

ta ncovcat1 nmsfsoc, mi

gen nfxpccov=(nfxsocov*100)/zallemps
replace nfxpccov=.b if nfxsocov==.b
replace nfxpccov=.e if nfxsocov==.e
replace nfxpccov=.n if npcdif<90|npcdif>110
label var nfxpccov "% ZALLEMPS covered by CB, NFXSOC only no LOG adjustment"
label values nfxpccov cbpc
fre nfxpccov

tabstat nfxpccov,by(nyear) stats(min max mean median p75)

* Categorical CB coverage using NFXSOC, no LOG adjustment

recode nfxpccov (0=7) (0.01/19.49=6) (19.5/39.49=5) (39.5/59.49=4) (59.5/79.49=3) (79.5/99.49=2) (99.5/100=1) (.b=.b) (.e=.e) (.n=.n),ge(ncovcat2)
label var ncovcat2 "categorical % employees covered by col barg,  NFXSOC only no LOG adjustment"
label values ncovcat2 pcband
ta ncovcat2 nyear, mi

* LOG adjusted coverage. If NLOGNEG=1 (ie manager says negotiated with union reps in last
* LOG pay settlement) and NLFSOC>3 (ie. NFSOC for LOG did not identify CB as the form of
* pay determination) then LOG adjustment will result in higher CB coverage. We do not reduce
* coverage where NLOGNEG==0 if NLFSOC identifies CB so that log-adjusted col barg coverage
* is upper bound relative to no LOG adjustment

gen nlfsocov=nfsocov
replace nlfsocov=nfsocov+nhiocc1 if nlogneg==1&nlfsoc~=1&nlfsoc~=2&nlfsoc~=3
replace nlfsocov=.b if nlfsocov==.&nlogneg==1
label var nlfsocov "N employees covered by CB, NFSOC with LOG adjustment"
label values nlfsocov cbcover
fre nlfsocov

list zallemps nhiocc1 nlogneg *_tot nfsoc* if nlfsocov==.

tabstat nfsocov nlfsocov,by(nyear) stats(min max mean median p75)

gen nlfxscov=nfxsocov
replace nlfxscov=nfxsocov+nhiocc1 if nlogneg==1&nlfxsoc~=1&nlfxsoc~=2&nlfxsoc~=3
replace nlfxscov=.b if nlfxscov==.&nlogneg==1&nyear==1
replace nlfxscov=.e if nyear==0
label var nlfxscov "N employees covered by CB, NFXSOC with LOG adjustment"
label values nlfxscov cbcover
fre nlfxscov

list zallemps nhiocc1 nlogneg *_tot nfsoc* if nlfxscov==.

* % employees covered by CB using LOG adjusted coverage

gen nlfpccov=(nlfsocov*100)/zallemps
replace nlfpccov=100 if nfpccov==100
replace nlfpccov=.b if nlfsocov==.b
replace nlfpccov=.e if nlfsocov==.e
replace nlfpccov=.n if npcdif<90|npcdif>110
label var nlfpccov "% ZALLEMPS covered by CB, NFSOC with LOG adjustment"
label values nlfpccov cbpc
fre nlfpccov

list zallemps nfsocov nfpccov nlfsocov nhiocc1 nlfpccov if nlfpccov>100&nlfpccov<.

tabstat nfpccov nlfpccov,by(nyear) stats(min max mean median p75)

* Categorical CB coverage with LOG adjustment (in 2004 equivalents were NCOVPC7 and NCOVPC6)

recode nlfpccov (0=7) (0.01/19.49=6) (19.5/39.49=5) (39.5/59.49=4) (59.5/79.49=3) (79.5/99.49=2) (99.5/100=1) (.b=.b) (.e=.e) (.n=.n),ge(ncovcat3)
label var ncovcat3 "categorical % employees covered by col barg,  NFSOC with LOG adjustment"
label values ncovcat3 pcband
fre ncovcat3

ta ncovcat3 nyear, mi

gen nlfxpcov=(nlfxscov*100)/zallemps
replace nlfxpcov=100 if nfxpccov==100
replace nlfxpcov=.b if nlfxscov==.b
replace nlfxpcov=.e if nlfxscov==.e
replace nlfxpcov=.n if npcdif<90|npcdif>110
label var nlfxpcov "% ZALLEMPS covered by CB, NFXSOC with LOG adjustment"
label values nlfxpcov cbpc
fre nlfxpcov

list nlfsoc nlfxpcov nfxpccov nfpccov zallemps nhiocc nhiocc1 nlogneg *_tot nfxsoc* nfsoc* nyear if nlfxpcov>100&nlfxpcov<201

tabstat nfpccov nlfpccov nfxpccov nlfxpcov,by(nyear) stats(min max mean median p75)

recode nlfxpcov (0=7) (0.01/19.49=6) (19.5/39.49=5) (39.5/59.49=4) (59.5/79.49=3) (79.5/99.49=2) (99.5/100=1) (.b=.b) (.e=.e) (.n=.n),ge(ncovcat4)
label var ncovcat4 "categorical % employees covered by col barg,  NFXSOC with LOG adjustment"
label values ncovcat4 pcband
fre ncovcat4

ta ncovcat4 nyear, mi

* Construction of banded CB coverage data incorporating % covered by collective bargaining based on FCOVER and FCOVERT

ge fcovertpc=(fcovert/zallemps)*100 if fcovert~=.
ta fcovertpc

tab fcover nyear, mi

ge nfcover=fcover
replace nfcover=7 if fcovertpc==0
replace nfcover=6 if fcovertpc>0&fcovertpc<20
replace nfcover=5 if fcovertpc>19.5&fcovertpc<40
replace nfcover=4 if fcovertpc>39.5&fcovertpc<60
replace nfcover=3 if fcovertpc>59.5&fcovertpc<80
replace nfcover=2 if fcovertpc>79.5&fcovertpc<100
replace nfcover=1 if fcovertpc==100
label var nfcover "banded % employees covered by CB, FCOVER recode"
label values nfcover pcband
fre nfcover

ta nfcover nyear, mi

* Plenty of discrepancies in the various sources of collective bargaining coverage
* Consider reconciliation of NCOVCAT* with NFCOVER in similar fashion to 2004.

tab1 nfcover ncovcat*

bysort nyear: ta nfcover ncovcat1, row
bysort nyear: ta nfcover ncovcat2, row
bysort nyear: ta nfcover ncovcat3, row
bysort nyear: ta nfcover ncovcat4, row

* Use NFCOVER to produce an alternative version of NLFPCCOV ie % CB using NFSOC with LOG adjustment
* The alternative variable takes the maximium value from the new var created with NFCOVER and NLFPCCOV

gen nfcovlb=0
gen nfcovub=0
replace nfcovlb=1 if nfcover==6
replace nfcovub=19 if nfcover==6
replace nfcovlb=20 if nfcover==5
replace nfcovub=39 if nfcover==5
replace nfcovlb=40 if nfcover==4
replace nfcovub=59 if nfcover==4
replace nfcovlb=60 if nfcover==3
replace nfcovub=79 if nfcover==3
replace nfcovlb=80 if nfcover==2
replace nfcovub=99 if nfcover==2

gen nfcov=(nfcovlb+((nfcovub-nfcovlb)/2))
replace nfcov=100 if nfcover==1
replace nfcov=0 if nfcover==7
label var nfcov "% employees covered by CB from NFCOVER"
ta nfcov

* Now take whichever is the highest from nfcov and nlfpccov
* beware that NFCOVPC also used in 2004 derivation for FCOVER adjusted NCOVPC but not in this dataset
* The categorical equivalents in 2004 were NFCOVPC6 and NFCOVPC7

egen nfcovpc=rowmax(nfcov nlfpccov)
label var nfcovpc "% employees covered by CB, max using NFSOC LOG and NFCOVER adjustments"
fre nfcovpc

desc nfcovpc nfcov nlfpccov nlfxpcov nfxpccov nfpccov

tabstat nfcovpc nfcov nlfpccov nfpccov nlfxpcov nfxpccov,by(nyear) stats(min max mean median p75)

recode nfcovpc (0=7) (0.01/19.49=6) (19.5/39.49=5) (39.5/59.49=4) (59.5/79.49=3) (79.5/99.49=2) (99.5/100=1),ge(ncovcat5)
label var ncovcat5 "categorical % employees covered by col barg,  NFSOC with LOG and NFCOVER adjustments"
label values ncovcat5 pcband
fre ncovcat5

bysort nyear: tab1 ncovcat5 ncovcat4 ncovcat3 ncovcat2 ncovcat1

* The mix of pay determination methods in the workplace based on NFSOC*
* Note NIPRB already done above

egen ncbmult=anycount(nfsoc1-nfsoc9),value(1)
replace ncbmult=.f if nmsfsoc>0
label values ncbmult nitem
label var ncbmult "N occs with multi-employer CB, from NFSOC"
fre ncbmult

egen ncborg=anycount(nfsoc1-nfsoc9),value(2)
replace ncborg=.f if nmsfsoc>0
label values ncborg nitem
label var ncborg "N occs with org-level CB, from NFSOC"
fre ncborg

egen ncbwp=anycount(nfsoc1-nfsoc9),value(3)
replace ncbwp=.f if nmsfsoc>0
label values ncbwp nitem
label var ncbwp "N occs with wp-level CB, from NFSOC"
fre ncbwp

egen nmanorg=anycount(nfsoc1-nfsoc9),value(4)
replace nmanorg=.f if nmsfsoc>0
label values nmanorg nitem
label var nmanorg "N occs with management set pay at org-level, from NFSOC"
fre nmanorg

egen nmanwp=anycount(nfsoc1-nfsoc9),value(5)
replace nmanwp=.f if nmsfsoc>0
label values nmanwp nitem
label var nmanwp "N occs with management set pay at wp-level, from NFSOC"
fre nmanwp

egen nindneg=anycount(nfsoc1-nfsoc9),value(6)
replace nindneg=.f if nmsfsoc>0
label values nindneg nitem
label var nindneg "N occs with individual negs over pay, from NFSOC"
fre nindneg

egen nothpay=anycount(nfsoc1-nfsoc9),values(8 95 96 97)
replace nothpay=.f if nmsfsoc>0
label values nothpay nitem
label var nothpay "N occs with other pay determination methods, from NFSOC"
fre nothpay

* Total N pay determination methods used
* Similar to NPAYNUM2 in 2004

egen npaydet=anycount(ncbmult ncborg ncbwp nmanorg nmanwp nindneg niprb nothpay),values(1/9)
replace npaydet=.f if nmsfsoc>0
replace npaydet=1 if npaydet==0&nfsocov==zallemps
replace npaydet=.f if npaydet==0
label values npaydet nitem
label var npaydet "N types of pay determination for occs at wp from NFSOC"
fre npaydet

ta npaydet nyear, mi

* Locus of pay decision-making to identify most distant level. Uses NFPCCOV which only uses NFSOC*
* to identify the cut off for coverage >=50%. Note that 2004 version was called NPAYLOCUS

gen npaylev=3 if ncbwp>0&nfpccov>=50
replace npaylev=2 if ncborg>0&nfpccov>=50
replace npaylev=1 if ncbmult>0&nfpccov>=50
replace npaylev=7 if nothpay>0&nfpccov<50
replace npaylev=6 if (nindneg>0|nmanwp>0)&nfpccov<50
replace npaylev=5 if nmanorg>0&nfpccov<50
replace npaylev=4 if niprb>0&nfpccov<50
replace npaylev=.f if npaylev==.
label var npaylev "Most distant level of pay decision making"
label define npaylev 1 "CB, multi-employer" 2 "CB, organization" 3 "CB, workplace" 4 "Indep PRB" 5 "Management at org level" 6 "Management at wp level" 7 "Other" .f "Don't know or not answered"
label values npaylev npaylev
ta npaylev nyear, mi

* If any of the various types of pay determination at the workplace

egen necbmult=anymatch(nfsoc1-nfsoc9),value(1)
replace necbmult=.f if nmsfsoc>0
label values necbmult nyesno
label var necbmult "Any occs with multi-employer CB, from NFSOC"
fre necbmult

egen necborg=anymatch(nfsoc1-nfsoc9),value(2)
replace necborg=.f if nmsfsoc>0
label values necborg nyesno
label var necborg "Any occs with org-level CB, from NFSOC"
fre necborg

egen necbwp=anymatch(nfsoc1-nfsoc9),value(3)
replace necbwp=.f if nmsfsoc>0
label values necbwp nyesno
label var necbwp "Any occs with wp-level CB, from NFSOC"
fre necbwp

egen nemanorg=anymatch(nfsoc1-nfsoc9),value(4)
replace nemanorg=.f if nmsfsoc>0
label values nemanorg nyesno
label var nemanorg "Any occs with management set pay at org-level, from NFSOC"
fre nemanorg

egen nemanwp=anymatch(nfsoc1-nfsoc9),value(5)
replace nemanwp=.f if nmsfsoc>0
label values nemanwp nyesno
label var nemanwp "Any occs with management set pay at wp-level, from NFSOC"
fre nemanwp

egen neindneg=anymatch(nfsoc1-nfsoc9),value(6)
replace neindneg=.f if nmsfsoc>0
label values neindneg nyesno
label var neindneg "Any occs with individual negs over pay, from NFSOC"
fre nindneg

egen neiprb=anymatch(nfsoc1-nfsoc9),values(7)
replace neiprb=.f if nmsfsoc>0
label values neiprb nyesno
label var neiprb "Any occs with pay set by Independent Pay Review Body, with backcode"
fre neiprb

gen nemsfsoc=nmsfsoc>0
label values nemsfsoc nyesno
label var nemsfsoc "Any occs with missing or DK pay determination methods, from NFSOC"
fre nemsfsoc

gen nmixpay=npaydet>1
replace nmixpay=.f if npaydet==.f|npaydet==0
label values nmixpay nyesno
label var nmixpay "More than one pay determination method"
fre nmixpay

gen nonepay=npaydet==1
replace nmixpay=.f if npaydet==.f|npaydet==0
label values nonepay nyesno
label var nonepay "Single pay determination method at workplace"
fre nonepay

gen nfallcb=nfsoccb==noccs
replace nfallcb=.f if nmsfsoc>0|noccs==0
label values nfallcb nyesno
label var nfallcb "All occupations covered by collective bargaining, NFSOC no LOG adjustment"
fre nfallcb

gen nnocb=nfsoccb==0
replace nnocb=.f if nmsfsoc>0|noccs==0
label values nnocb nyesno
label var nnocb "No occupations covered by collective bargaining, NFSOC no LOG adjustment"
fre nnocb


gen nonlycbm=ncbmult==noccs
replace nonlycbm=.f if nmsfsoc>0|noccs==0
label values nonlycbm nyesno
label var nonlycbm "Multi-employer CB is only pay method"
fre nonlycbm

gen nonlycbo=ncborg==noccs
replace nonlycbo=.f if nmsfsoc>0|noccs==0
label values nonlycbo nyesno
label var nonlycbo "Organization level CB is only pay method"
fre nonlycbo

gen nonlycbw=ncbwp==noccs
replace nonlycbw=.f if nmsfsoc>0|noccs==0
label values nonlycbw nyesno
label var nonlycbw "Workplace level CB is only pay method"
fre nonlycbw

gen nonlyorg=nmanorg==noccs
replace nonlyorg=.f if nmsfsoc>0|noccs==0
label values nonlyorg nyesno
label var nonlyorg "Org level management is only pay method"
fre nonlyorg

gen nonlywp=nmanwp==noccs
replace nonlywp=.f if nmsfsoc>0|noccs==0
label values nonlywp nyesno
label var nonlywp "Wp level management is only pay method"
fre nonlywp

gen nonlyind=nindneg==noccs
replace nonlyind=.f if nmsfsoc>0|noccs==0
label values nonlyind nyesno
label var nonlyind "Individual negotiations is only pay method"
fre nonlyind

gen nonlyprb=niprb==noccs
replace nonlyprb=.f if nmsfsoc>0|noccs==0
label values nonlyprb nyesno
label var nonlyprb "Indep PRB is only pay method"
fre nonlyprb

recode ncovcat1 ncovcat2 ncovcat3 ncovcat4 ncovcat5 (7=1) (2/6=2) (1=3),gen(ncovca1 ncovca2 ncovca3 ncovca4 ncovca5) 
label define covcat 1 "None" 2 "Some" 3 "100%", modify
label values ncovca1 ncovca2 ncovca3 ncovca4 ncovca5 covcat

egen nemanwpo=anymatch(nfsoc1-nfsoc9),value(4,5)
replace nemanwpo=.f if nmsfsoc>0
label values nemanwpo nyesno
label var nemanwpo "Any occs with management set pay at wp or org-level, from NFSOC"
fre nemanwpo

* any coverage using NFSOC with LOG and NFCOVER adjustments

gen nanycov=ncovcat5<7
label var nanycov "if any employees covered by col barg, NFSOC with LOG and NFCOVER adjustments"
label values nanycov yesno
fre nanycov

* age distribution of employees in the workplace

gen nage1617=0 if z16t17==0|z16t17pc==0
replace nage1617=z16t17/zallemps if nage1617==.&z16t17~=.
replace nage1617=z16t17pc/100 if nage1617==.&z16t17pc~=.
replace nage1617=.a if z16t17==.a
replace nage1617=.b if z16t17==.b&z16t17pc==.b
replace nage1617=.e if z16t17==.e&z16t17pc==.e
label values nage1617 nitem
label var nage1617 "Proportion of employees aged 16 or 17"
fre nage1617

gen nage1821=0 if z18t21==0|z18t21pc==0
replace nage1821=z18t21/zallemps if nage1821==.&z18t21~=.
replace nage1821=z18t21pc/100 if nage1821==.&z18t21pc~=.
replace nage1821=.a if z18t21==.a
replace nage1821=.b if z18t21==.b&z18t21pc==.b
replace nage1821=.e if z18t21==.e&z18t21pc==.e
label values nage1821 nitem
label var nage1821 "Proportion of employees aged 18 to 21"
fre nage1821

gen nage50p=0 if z50plus==0|z50plusp==0
replace nage50p=z50plus/zallemps if nage50p==.&z50plus~=.
replace nage50p=z50plusp/100 if nage50p==.&z50plusp~=.
replace nage50p=.a if z50plus==.a
replace nage50p=.b if z50plus==.b&z50plusp==.b
replace nage50p=.e if z50plus==.e&z50plusp==.e
label values nage50p nitem
label var nage50p "Proportion of employees aged 50 or more"
fre nage50p

gen nage2249=0 if z22t49==0|z22t49pc==0
replace nage2249=z22t49/zallemps if nage2249==.&z22t49~=.
replace nage2249=z22t49pc/100 if nage2249==.&z22t49pc~=.
replace nage2249=.a if z22t49==.a
replace nage2249=.b if z22t49==.b&z22t49pc==.b
replace nage2249=.e if z22t49==.e&z22t49pc==.e
replace nage2249=1-nage1617-nage1821-nage50p if nyear==0
replace nage2249=.b if nage2249==.&nyear==0
label values nage2249 nitem
label var nage2249 "Proportion of employees aged 22-49 years"
fre nage2249

egen tempagms=rowmiss(nage1617 nage1821 nage2249 nage50p)
label var tempagms "temp var capturing missings on age categories"
ta tempagms

gen nallage=nage1617+nage1821+nage2249+nage50p
replace nallage=.b if tempagms>0
replace nallage=.b if nallage<0.9|nallage>1.1
label var nallage "Proportion of employees accounted for by proportion in age bands"
label values nallage nitem
fre nallage
drop tempagms

* Categorical variable for proportion older workers

gen int nage50b=1 if nage50p==0
replace nage50b=2 if nage50p>0 & nage50p<0.1
replace nage50b=3 if nage50p>=0.1 & nage50p<0.25
replace nage50b=4 if nage50p>=0.25 & nage50p<0.5
replace nage50b=5 if nage50p>=0.5 & nage50p<0.75
replace nage50b=6 if nage50p>=0.75 & nage50p~=.
replace nage50b=.a if nage50p==.a
replace nage50b=.b if nage50p==.b
replace nage50b=.e if nage50p==.e
label var nage50b "Proportion of employees aged 50 or more (6 bands)"
label define nage50b 1 "None" 2 "1-9%" 3 "10-24%" 4 "25-49%" 5 "50-74%" 6 "75%+" .a "Refusal" .b "DK" .e "Item not applicable"
label values nage50b nage50b
fre nage50b 

*Proportion of employees aged 16 to 21 (nage1621)

gen nage1621=nage1617+nage1821
replace nage1621=.a if nage1617==.a|nage1821==.a
replace nage1621=.b if nage1617==.b|nage1821==.b

label var nage1621 "Proportion of employees aged 16 to 21"
label values nage1621 nitem

*Proportion of employees aged 16 to 21 - banded (nage21b)

gen int nage21b=1 if nage1621==0
replace nage21b=2 if nage1621>0 & nage1621<0.1
replace nage21b=3 if nage1621>=0.1 & nage1621<0.25
replace nage21b=4 if nage1621>=0.25 & nage1621<0.5
replace nage21b=5 if nage1621>=0.5 & nage1621<0.75
replace nage21b=6 if nage1621>=0.75 & nage1621~=.
replace nage21b=.a if nage1621==.a
replace nage21b=.b if nage1621==.b
replace nage21b=.e if nage1621==.e
label var nage21b "Proportion of employees aged 16 to 21 (6 bands)"
label define nage21b 1 "None" 2 "1-9%" 3 "10-24%" 4 "25-49%" 5 "50-74%" 6 "75%+" .a "Refusal" .b "DK" .e "Item not applicable"
label values nage21b nage21b

*Any employees aged 16 to 21 (nany1621)
recode nage21b (1=0)(2/6=1), gen(nany1621)
label var nany1621 "Any employees aged 16 to 21"
label values nany1621 nyesno

*Dummy variables for employment size (nemp1-nemp6)
ta nallemp6, gen(nemp)

*Dummy variables for SMEs (nsmed1-nsmed4)
ta nsme1, gen(nsmed)

*Dummy variables for sector (nsec1-nsec3)
ta nsector3, gen(nsec)

*Dummy variables for industry (nsic1-nsic12) ***HB Now commented out, as switched to using nsic03, rather than nsicod03***
*ta nsicod03, gen(nsic)

*Activities now in-house carried out by contractors 5 year previously (nconin1-nconin12)
for num 1/12: egen nconinX=anymatch(jconin01-jconin08), values (X)
for num 1/12: replace nconinX=.a if jconin01==.a
for num 1/12: replace nconinX=.b if jconin01==.b
for num 1/12: replace nconinX=.e if jconin01==.e
for num 1/12: lab val nconinX yesno
lab var nconin1 "Cleaning of building and premises contracted in"
lab var nconin2 "Security contracted in"
lab var nconin3 "Catering contracted in"
lab var nconin4 "Building maintenance contracted in"
lab var nconin5 "Printing/photocopying contracted in"
lab var nconin6 "Payroll contracted in"
lab var nconin7 "Transport of documents/goods contracted in"
lab var nconin8 "Computing services contracted in"
lab var nconin9 "Training contracted in"
lab var nconin10 "Recruitment contracted in"
lab var nconin11 "Temporary filling of vacant posts contracted in"
lab var nconin12 "No listed activities contracted in"

*Reasons for contracting in work previously done by contractors - coding to zero if no activities previously contracted out (nwhyin1-nwhyin5)
for num 1/5: egen nwhyinX=anymatch(jwhyin1-jwhyin3 xjwhyin1-xjwhyin3), values(X)
replace nwhyin3=0 if xjwhyin1<6|xjwhyin2<6|xjwhyin3<6
for num 1/5: replace nwhyinX=.a if jwhyin1==.a
for num 1/5: replace nwhyinX=.b if jwhyin1==.b
for num 1/5: replace nwhyinX=.e if jwhyin1==.e
for num 1/5: replace nwhyinX=0 if nconin12==1 & jwhyin1==.e
for num 1/5: lab val nwhyinX yesno
lab var nwhyin1 "Contracted in activities due to cost savings"
lab var nwhyin2 "Contracted in activities due to improved service"
lab var nwhyin3 "Contracted in activities for other reasons (not backcoded)"
lab var nwhyin4 "Contracted in activities due to union/staff pressure"
lab var nwhyin5 "Contracted in activities due to sufficient in-house capability"

* Grounds listed under equal ops/diversity policy

gen neqpol0=nipolicy==3
replace neqpol0=.a if ipolicy==.a|igroun01==.a
replace neqpol0=.b if ipolicy==.b|igroun01==.b
replace neqpol0=.e if ipolicy==.e|igroun01==.e
label values neqpol0 nyesno
label var neqpol0 "Equal opportunities policy which mentions no grounds"

for num 1/9: egen neqpolX=anymatch(igroun01-igroun09), values(X)
for num 1/9: replace neqpolX=0 if igroun01==10
for num 1/9: replace neqpolX=.a if ipolicy==.a|igroun01==.a
for num 1/9: replace neqpolX=.b if ipolicy==.b|igroun01==.b
for num 1/9: replace neqpolX=.e if ipolicy==.e|igroun01==.e
for num 1/9: lab val neqpolX yesno
label var neqpol1 "Equal opportunities policy which mentions sex/gender"
label var neqpol2 "Equal opportunities policy mentions ethnicity"
label var neqpol3 "Equal opportunities policy mentions religion/belief"
label var neqpol4 "Equal opportunities policy mentions marital status"
label var neqpol5 "Equal opportunities policy mentions disability"
label var neqpol6 "Equal opportunities policy mentions age"
label var neqpol7 "Equal opportunities policy mentions sexual orientation"
label var neqpol8 "Equal opportunities policy mentions trade union membership"
label var neqpol9 "Equal opportunities policy mentions other types of discrimination"
fre neqpol*

* Eq ops and diversity part of HR job
egen njobeqop=anymatch(byourj*),values(0 10)
replace njobeqop=.a if byourj01==.a
replace njobeqop=.b if byourj01==.b
replace njobeqop=.e if byourj01==.e
label var njobeqop "Equal ops and diversity is part of HR job"
label values njobeqop nyesno
ta njobeqop nyear, mi

* Workplace covered by a strategic plan which covers employee diversity
recode bstrateg (1=1) (2=0),gen(nstrateg)
replace nstrateg=.a if bstrateg==.a
replace nstrateg=.b if bstrateg==.b
replace nstrateg=.e if bstrateg==.e
label var nstrateg "Workplace covered by formal strategic plan"
label values nstrateg nyesno
ta nstrateg nyear, mi

egen nstrdiv=anymatch(bmanag*),values(3)
replace nstrdiv=3 if nstrdiv==1
replace nstrdiv=2 if nstrdiv==0
replace nstrdiv=1 if bstrateg==2
replace nstrdiv=.a if bmanage1==.a
replace nstrdiv=.b if bmanage1==.b
replace nstrdiv=.e if bmanage1==.e&bstrateg==1
label var nstrdiv "Stregetic plan covering employee diversity"
label define nstrdiv 1 "No plan" 2 "Plan, no diversity" 3 "Plan with diversity" .a "Refusal" .b "Don't know" .e "Item not applicable"
label values nstrdiv nstrdiv
ta nstrdiv nyear, mi

recode nstrdiv (1 2=0) (3=1), gen(ndivstra)
replace ndivstra=.a if bmanage1==.a
replace ndivstra=.b if bmanage1==.b
replace ndivstra=.e if bmanage1==.e&bstrateg==1
label var ndivstra "Workplace has strategic plan covering employee diversity"
label values ndivstra nyesno
ta ndivstra nyear, mi

* Special procedures to encourage applications from various groups
* Here focus is on those covered by legislation on equal ops and discrimination
* Unclear why there are code e's in 2011 since it's an ask all question
egen nspecwom=anymatch(cspec*),values(1 2)
replace nspecwom=.a if cspecix1==.a|CSPECIA1==.a
replace nspecwom=.b if cspecix1==.b|CSPECIA1==.b
replace nspecwom=.e if cspecix1==.e
label var nspecwom "Procedures to encourage job apps, women and women returners"
label values nspecwom nyesno
ta nspecwom nyear, mi

egen nspeceth=anymatch(cspec*),values(3)
replace nspeceth=.a if cspecix1==.a|CSPECIA1==.a
replace nspeceth=.b if cspecix1==.b|CSPECIA1==.b
replace nspeceth=.e if cspecix1==.e
label var nspeceth "Procedures to encourage job apps, minority ethnic groups"
label values nspeceth nyesno
ta nspeceth nyear, mi

egen nspecold=anymatch(cspec*),values(4)
replace nspecold=.a if cspecix1==.a|CSPECIA1==.a
replace nspecold=.b if cspecix1==.b|CSPECIA1==.b
replace nspecold=.e if cspecix1==.e
label var nspecold "Procedures to encourage job apps, older workers"
label values nspecold nyesno
ta nspecold nyear, mi

egen nspecdis=anymatch(cspec*),values(5)
replace nspecdis=.a if cspecix1==.a|CSPECIA1==.a
replace nspecdis=.b if cspecix1==.b|CSPECIA1==.b
replace nspecdis=.e if cspecix1==.e
label var nspecdis "Procedures to encourage job apps, disabled"
label values nspecdis nyesno
ta nspecdis nyear, mi

* GLT for 2011 only
egen nspecglt=anymatch(cspec*),values(5)
replace nspecglt=.a if cspecix1==.a|CSPECIA1==.a
replace nspecglt=.b if cspecix1==.b|CSPECIA1==.b
replace nspecglt=.e if cspecix1==.e|nyear==0
label var nspecglt "Procedures to encourage job apps, gay lesbian transgender"
label values nspecglt nyesno
ta nspecglt nyear, mi

egen nagerec=anymatch(cfactor* xcfac*),values(5)
replace nagerec=.a if cfactor1==.a
replace nagerec=.b if cfactor1==.b
replace nagerec=.e if cfactor1==.e
label var nagerec "Age is a factor in recruiting new employees"
label values nagerec nyesno
ta nagerec nyear, col 

* Disabled access to workplace
recode iassess (2=0), gen(nassess) copyrest
label var nassess "Formal assessment of workplace disabled access"
label values nassess nyesno
ta nassess nyear, mi

*************************
* UNION REPRESENTATIVES *
*************************
*Presence of recognised union or JCC at workplace
ge nrepinst=4
replace nrepinst=2 if nanyrecb==1
replace nrepinst=3 if njcc==1 | njcc==2
replace nrepinst=1 if (njcc==1 | njcc==2) & nanyrecb==1
replace nrepinst=.a if njcc==.a
replace nrepinst=.b if njcc==.b | nanyrecb==.b
label var nrepinst "Presence of recognised union or JCC at workplace"
label define nrepinst 1 "Recognised union & workplace JCC" 2 "Recognised union only" 3 "JCC only" 4 "Neither recog union or JCC" .a "Refused" .b "Don't know" .e "Item not applicable"
label val nrepinst nrepinst
fre nrepinst

*Whether JCC has union reps on it 
*Note: This is an extension of eujcc in that it incorporates those without union reps into the var
ge njccu=-1
replace njccu =.e if njcc==0 | njcc==1
replace njccu =1 if eujcc==1
replace njccu =0 if njcc==2 & eujcc~=1
replace njccu =.a if njcc==.a | eujcc==.a
replace njccu =.b if njcc==.b | eujcc==.b
label var njccu "Whether JCC covering widest range of issues has union rep on it"
label val njccu nyesno
ta njccu nyear, mi

*Any lay union representatives, either on or off-site
ge nanyurep =0
replace nanyurep=.a if esteward==.a | estewext==.a | eothurep==.a
replace nanyurep=.b if esteward==.b | estewext==.b | eothurep==.b
replace nanyurep=1 if esteward==1 | estewext==1 | eothurep==1
label var nanyurep "Any lay union reps on or off-site"
label val nanyurep nyesno
ta nanyurep nyear, mi

*Any representatives of recognised unions
*Note: this variable was called nanyurep1 in 2004
ge nrecurep =0
replace nrecurep=3 if nanyrecb==1
replace nrecurep=.e if nanyrecb==0 | nanyrecb==.b
replace nrecurep=.a if esteward==.a | estewext==.a
replace nrecurep=.b if esteward==.b | estewext==.b
replace nrecurep=1 if esteward==1
replace nrecurep=2 if estewext==1
label var nrecurep "Any reps of recognised unions with members at the workplace"
label define nrecurep 1	"Recog unions have reps on site" 2 "Lgst recog union has reps at another workplace" 3 "Recog unions have no reps" .a "Refused" .b "DK" .e "Item not applicable"
label val nrecurep nrecurep
ta nrecurep nyear, mi

*Presence of any on-site union reps (nonsurep)
*Note this var was called nanyurep2 in 2004
*The handful of cases where there are reps of recog unions, and non-recog us are present but DK if any reps, are placed on code 2 .
*In reverse situation, where know there are reps of non-recog unions but DK if recog unions have reps, place in code 3
ge nonsurep =0
replace nonsurep=.b if nanymem==.b
replace nonsurep=6 if nanymem==0
replace nonsurep=1 if esteward==1 & eothurep==1
replace nonsurep=2 if esteward==1 & eothurep~=1
replace nonsurep=3 if esteward~=1 & eothurep==1
replace nonsurep=4 if nanymem==1 & esteward~=1 & eothurep~=1
replace nonsurep=5 if nanymem==1 & (nunionumb==.b | (esteward==.a & eothurep==.a) | (esteward==.a & eothurep==.a))
label var nonsurep "Presence of on-site union reps"
label define nonsurep 1	"Reps of recognised and non-recognised unions" 2 "Reps of recognised unions" 3 "Reps of non-recognised unions" 4 "Union members but no reps" 5 "Union members, but DK if any reps (inc EUNIONUM missing)" 6 "No union members" .a "Refused" .b "Don't know"
label val nonsurep nonsurep 
ta nonsurep nyear, mi

*Total number of on-site union reps 
*There is one case where esteward=yes but estewnum=.e serno=1042010. This has been coded to DK.
ge ntoturep=estewnum
replace ntoturep=0 if nonsurep>3 & nonsurep <7
replace ntoturep=.b if nonsurep==5
replace ntoturep= estewnum + enumothu if nonsurep==1
replace ntoturep= enumothu if nonsurep==3
replace ntoturep=.b if estewnum==.b | enumothu==.b | nonsurep==.b
replace ntoturep=.a if estewnum==.a | enumothu==.a | nonsurep==.a
replace ntoturep=.b if estewnum==.e & esteward==1
label var ntoturep "Total number of on-site union reps" 
label val ntoturep nitem
ta ntoturep nyear, mi

*Number of union members at the workplace (incorporating ZUNIPC)
*There is one case where ZUNIMEM=DK & ZUNIPC=.e This has been coded to DK. 
ge nunimem=zunimem
replace nunimem=zunipc/100*zallemps if zunimem==.b
replace nunimem=.a if zunimem==.a | zunipc==.a 
replace nunimem=.b if zunipc==.b 
replace nunimem=.b if zunimem==.b & zunipc==.e
label var nunimem "Total number of union members at the workplace"
label val nunimem nitem
by nyear, sort: su nunimem

*Number of union representatives per 100 members
*Refined variable so it only includes those with union members at the workplace. 
*There are 5 cases (1 in 04, 4 in 11) where there are more reps than union members
*For FF these cases will be ignored. 
ge nrepspm=ntoturep/nunimem*100
replace nrepspm=0 if ntoturep==0
replace nrepspm=.e if nunimem==0
replace nrepspm=.e if ntoturep>nunimem
replace nrepspm=.b if ntoturep==.b | nunimem==.b
replace nrepspm=.a if ntoturep==.a | nunimem==.a
label var nrepspm "Total number of on-site union reps per 100 members"
label val nrepspm nitem
by nyear, sort: su nrepspm

* Equal ops policies and practice
egen neqpols=anycount(neqpol1-neqpol9),values(1)
replace neqpols=.a if ipolicy==.a|igroun01==.a
replace neqpols=.b if ipolicy==.b|igroun01==.b
replace neqpols=.e if ipolicy==.e|igroun01==.e
label var neqpols "N grounds mentioned in written equal ops policy"
label values neqpols nitem
ta neqpols nyear, mi

egen nmonrec=anycount(niprac11-niprac14),values(1)
replace nmonrec=.a if niprac11==.a
replace nmonrec=.b if niprac11==.b
replace nmonrec=.e if niprac11==.e
label var nmonrec "N grounds on which monitor recruitment and selection"
label values nmonrec nitem
ta nmonrec nyear, mi

egen nrevrec=anycount(niprac21-niprac24),values(1)
replace nrevrec=.a if niprac21==.a
replace nrevrec=.b if niprac21==.b
replace nrevrec=.e if niprac21==.e
label var nrevrec "N grounds on which reviews recruitment and selection procedures"
label values nrevrec nitem
ta nrevrec nyear, mi

egen nmonpro=anycount(niprac31-niprac34),values(1)
replace nmonpro=.a if niprac31==.a
replace nmonpro=.b if niprac31==.b
replace nmonpro=.e if niprac31==.e
label var nmonpro "N grounds on which monitors promotions"
label values nmonpro nitem
ta nmonpro nyear, mi

egen nrevpro=anycount(niprac41-niprac44),values(1)
replace nrevpro=.a if niprac41==.a
replace nrevpro=.b if niprac41==.b
replace nrevpro=.e if niprac41==.e
label var nrevpro "N grounds on which reviews promotion procedures"
label values nrevpro nitem
ta nrevpro nyear, mi

egen nrevpay=anycount(niprac51-niprac54),values(1)
replace nrevpay=.a if niprac51==.a
replace nrevpay=.b if niprac51==.b
replace nrevpay=.e if niprac51==.e
label var nrevpay "N grounds on which reviews relative pay"
label values nrevpay nitem
ta nrevpay nyear, mi


*****************************************************************************
* Year of panel data
*****************************************************************************

gen npandata=0
replace npandata=1 if nsource==3
replace npandata=2 if nsource==4
replace npandata=.e if (nsource==1 | nsource==2)
label define npandata 1 "2004 panel data" 2 "2011 panel data"
label val npandata npandata
label var npandata "Year of panel data"

ta npandata, mi

******************************************************
* log transformation of rating of H&S risk and control
******************************************************

*rating of risks
gen nlogrisk=log(iwrkrisk)
replace nlogrisk=.e if nyear==0
replace nlogrisk=.a if iwrkrisk==.a
replace nlogrisk=.b if iwrkrisk==.b
replace nlogrisk=.e if iwrkrisk==.e
label val nlogrisk nitem
label var nlogrisk "Rating of H&S risk (log)"

ta nlogrisk, mi

*rating of control over the risks
gen nlogcont=log(iwrkcont)
replace nlogcont=.e if nyear==0
replace nlogcont=.a if iwrkcont==.a
replace nlogcont=.b if iwrkcont==.b
replace nlogcont=.e if iwrkcont==.e
label val nlogcont nitem
label var nlogcont "Rating of control over H&S risk (log)"

ta nlogcont, mi


******************************************************************************************************************************
* Training - Recoding noffjob to identify workplaces where a high, med or low proportion of LOG received off the job training
******************************************************************************************************************************

gen noffjob1=0
replace noffjob1=1 if( noffjob==1 | noffjob==2)
replace noffjob1=2 if (noffjob==3 | noffjob==4 | noffjob==5)
replace noffjob1=3 if noffjob==6
replace noffjob1=4 if noffjob==8
replace noffjob1=.a if noffjob==.a
replace noffjob1=.b if (noffjob==.b | noffjob==7)
label define noffjob1 1 "High,80% and over" 2 "Medium, 20%-79%" 3 "Low, 1%-19%" 4 "0%" .a "Refusal" .b "Don't know"
label val noffjob1 noffjob1
label var noffjob1 "Grouped percentage of experienced largest occupational group who had off the job training"

ta noffjob noffjob1, mi

*Collective disputes procedures refer to more than one external body
*Note: Do not include management higher in the org in the count
ge nmultref=ngbody1+ngbody2+ngbody3+ngbody4+ngbody6+ngbody7
replace nmultref=.e if ngproced==0 
replace nmultref=ngproced if ngproced>=.
label var nmultref "Number of external bodies disputes procedure refers to"
label val nmultref nitem
fre nmultref


*****************************************************
* Family friendly arrangements and support for carers
*****************************************************

* The 2004 and 2011 data on family friendly arrangments are stored in different variables
* because the codes changed between the two years.
* These commands derive variables that combine the information on both years 


* Recode the 2004 data to make them consistent with 2011 
recode IFLEX1-IFLEX9 (2=4)(3=13)(4=3)(5=2)(7=5) (8=18) (9=8), pre(n)
label define niflex 1 "Work from home" 2 "Flexi time" 3 "Job share" 4 "Abiity to reduce hours" 5 "Compressed hours" 6 "Change to sift working" 8 "None of these" 13 "Ability to increase hours" 18 "Night working" .a "Refusal" .b "Don't know" .e "Item not applicable"
label val nIFLEX1-nIFLEX9 niflex
label var nIFLEX1 "Types of family friendly arrangements"
label var nIFLEX2 "Types of family friendly arrangements"
label var nIFLEX3 "Types of family friendly arrangements"
label var nIFLEX4 "Types of family friendly arrangements"
label var nIFLEX5 "Types of family friendly arrangements"
label var nIFLEX6 "Types of family friendly arrangements"
label var nIFLEX7 "Types of family friendly arrangements"
label var nIFLEX8 "Types of family friendly arrangements"
label var nIFLEX9 "Types of family friendly arrangements"

* working from home
egen nffhome=anymatch(IFLEX1-IFLEX9 iflexx1-iflexx7), values (1)
replace nffhome=.a if IFLEX1==.a|iflexx1==.a
replace nffhome=.b if IFLEX1==.b|iflexx1==.b
replace nffhome=.e if IFLEX1==.e|iflexx1==.e
label values nffhome nyesno
label var nffhome "Availability of home-based working"
ta nffhome nyear, mi

* flexi time
egen nffflexi=anymatch(nIFLEX1-nIFLEX9 iflexx1-iflexx7), values (2)
replace nffflexi=.a if IFLEX1==.a|iflexx1==.a
replace nffflexi=.b if IFLEX1==.b|iflexx1==.b
replace nffflexi=.e if IFLEX1==.e|iflexx1==.e
label values nffflexi nyesno
label var nffflexi "Availability of flexi time"
ta nffflexi nyear, mi

* Flexi time available to those with statutory rights or also to other employees
* 2011 only because of question changes
gen nffflex1=0
replace nffflex1=1 if (nyear==1 & nffflexi ==1 & iflxelix==1)
replace nffflex1=2 if (nyear==1 & nffflexi ==1 & iflxelix==2)
replace nffflex1=3 if (nyear==1 & nffflexi ==1 & iflxelix==3)
replace nffflex1=4 if (nyear==1 & nffflexi ==0)
replace nffflex1=.a if nyear==1 & (nffflexi ==.a | iflxelix==.a)
replace nffflex1=.b if nyear==1 & (nffflexi ==.b | iflxelix==.b)
replace nffflex1=.e if nyear==1 & (nffflexi ==.e | iflxelix==.c)
replace nffflex1=.e if nyear==0 
label define nffpract 1 "Emp with statutory rights only" 2 "Beyond emp with statutory rignts" 3 "All emp" 4 "No provision" .a "Refusal" .b "Don't know" .e "Item not applicable"
label val nffflex1 nffpract
label var nffflex1 "Is flexi time available to emp with statutory rights or other emp?"

ta iflxelix nffflexi if nmq2011==1, mi
ta nffflex1 if nmq2011==1, mi
ta nffflex1 nyear, mi

* job share
egen nffjshar=anymatch(nIFLEX1-nIFLEX9 iflexx1-iflexx7), values (3)
replace nffjshar=.a if IFLEX1==.a|iflexx1==.a
replace nffjshar=.b if IFLEX1==.b|iflexx1==.b
replace nffjshar=.e if IFLEX1==.e|iflexx1==.e
label values nffjshar nyesno
label var nffjshar "Availability of job share"
ta nffjshar nyear, mi

* Reduced hours
egen nffredhr=anymatch(nIFLEX1-nIFLEX9 iflexx1-iflexx7), values (4)
replace nffredhr=.a if IFLEX1==.a|iflexx1==.a
replace nffredhr=.b if IFLEX1==.b|iflexx1==.b
replace nffredhr=.e if IFLEX1==.e|iflexx1==.e
label values nffredhr nyesno
label var nffredhr "Availability of reduced hours"
ta nffredhr nyear, mi

* Reduced hours available to those with statutory rights or other employees
* 2011 only because of question changes
gen nffredh1=0
replace nffredh1=1 if (nyear==1 & nffredhr ==1 & ipteligx==1)
replace nffredh1=2 if (nyear==1 & nffredhr ==1 & ipteligx==2)
replace nffredh1=3 if (nyear==1 & nffredhr ==1 & ipteligx==3)
replace nffredh1=4 if (nyear==1 & nffredhr ==0)
replace nffredh1=.a if nyear==1 & (nffredhr ==.a | ipteligx==.a)
replace nffredh1=.b if nyear==1 & (nffredhr ==.b | ipteligx==.b)
replace nffredh1=.e if nyear==1 & (nffredhr ==.e | ipteligx==.c)
replace nffredh1=.e if nyear==0 
label val nffredh1 nffpract
label var nffredh1 "Is reduced hours available to emp with statutory rights or other emp?"


ta ipteligx nffredhr if nmq2011==1, mi
ta nffredh1 if nmq2011==1, mi
ta nffredh1 nyear, mi

* Compressed hours
egen nffcompr=anymatch(nIFLEX1-nIFLEX9 iflexx1-iflexx7), values (5)
replace nffcompr=.a if IFLEX1==.a|iflexx1==.a
replace nffcompr=.b if IFLEX1==.b|iflexx1==.b
replace nffcompr=.e if IFLEX1==.e|iflexx1==.e
label values nffcompr nyesno
label var nffcompr "Availability of compress hours"
ta nffcompr nyear, mi

* Change set working hours
* 2011 only because of question changes
egen nffshift=anymatch(iflexx1-iflexx7), values (6)
replace nffshift=.a if iflexx1==.a
replace nffshift=.b if iflexx1==.b
replace nffshift=.e if iflexx1==.e
label values nffshift nyesno
label var nffshift "Ability to change set working hours"
ta nffshift nyear, mi

* Term time working
* The 2004 data are in ifamily1-ifamily5 
* Recode ifamily1-ifamily5 to make it competable with iflexx1-
recode IFAMILY1-IFAMILY5 (1=7) (2=1) (3=2) (4=3) (5=4), pre(n)
label define IFAMILY 1 "WP nursery" 2 "Help w childcare cost" 3 "Help w adult care cost" 4 "Adult Carers leave" 6 "None of these" 7 "Term time working" .a "Refusal" .b "Don't know" .e "Item not applicable"
label val nIFAMILY1-nIFAMILY5 IFAMILY
label var nIFAMILY1 "Arrangements for carers"
label var nIFAMILY2 "Arrangements for carers"
label var nIFAMILY3 "Arrangements for carers"
label var nIFAMILY4 "Arrangements for carers"
label var nIFAMILY5 "Arrangements for carers"


egen nffterm=anymatch(nIFAMILY1-nIFAMILY5 iflexx1-iflexx7), values (7)
replace nffterm=.a if IFLEX1==.a|iflexx1==.a
replace nffterm=.b if IFLEX1==.b|iflexx1==.b
replace nffterm=.e if IFLEX1==.e|iflexx1==.e
label values nffterm nyesno
label var nffterm "Availability of term time working"
ta nffterm nyear, mi
ta nIFAMILY1 nyear, mi


* Did not offered any of the family friendly arrangments covered in WERS
* Need data from iflex1 and ifamily1 to derive the 2004 data.
by nyear, sort: ta IFLEX1 IFAMILY1, mi

gen nnoflex=0
replace nnoflex=1 if (nyear==0 & IFLEX1==9 & IFAMILY1!=1)
replace nnoflex=1 if (nyear==1 & iflexx1==8)
replace nnoflex=.a if (nyear==0 & IFLEX1==.a)
replace nnoflex=.a if (nyear==1 & iflexx1==.a)
replace nnoflex=.b if (nyear==0 & IFLEX1==.b)
replace nnoflex=.b if (nyear==1 & iflexx1==.b)
replace nnoflex=.e if (nyear==0 & IFLEX1==.e)
replace nnoflex=.e if (nyear==1 & iflexx1==.e)
label values nnoflex nyesno
label var nnoflex "Not offered any family friendly arrangments covered in WERS"
ta nnoflex nyear, mi


* Support for carers

* Workplace nurseries
egen nnursery=anymatch(nIFAMILY1-nIFAMILY5 ifamilx1-ifamilx6), values (1)
replace nnursery=.a if nIFAMILY1==.a|ifamilx1==.a
replace nnursery=.b if nIFAMILY1==.b|ifamilx1==.b
replace nnursery=.e if nIFAMILY1==.e|ifamilx1==.e
label values nnursery nyesno
label var nnursery "Any employees entitled to nursery places?"
ta nnursery nyear, mi

* Financial help with childcare 
egen nccsubsi=anymatch(nIFAMILY1-nIFAMILY5 ifamilx1-ifamilx6), values (2)
replace nccsubsi=.a if nIFAMILY1==.a|ifamilx1==.a
replace nccsubsi=.b if nIFAMILY1==.b|ifamilx1==.b
replace nccsubsi=.e if nIFAMILY1==.e|ifamilx1==.e
label values nccsubsi nyesno
label var nccsubsi "Any employees entitled to financial help with childcare?"
ta nccsubsi nyear, mi


* Financial help with care of older adults
egen noldcare=anymatch(nIFAMILY1-nIFAMILY5 ifamilx1-ifamilx6), values (3)
replace noldcare=.a if nIFAMILY1==.a|ifamilx1==.a
replace noldcare=.b if nIFAMILY1==.b|ifamilx1==.b
replace noldcare=.e if nIFAMILY1==.e|ifamilx1==.e
label values noldcare nyesno
label var noldcare "Any employees entitled to financial help with care of older adults?"
ta noldcare nyear, mi


* Leave for carers of older adults
egen ncarelea=anymatch(nIFAMILY1-nIFAMILY5 ifamilx1-ifamilx6), values (4)
replace ncarelea=.a if nIFAMILY1==.a|ifamilx1==.a
replace ncarelea=.b if nIFAMILY1==.b|ifamilx1==.b
replace ncarelea=.e if nIFAMILY1==.e|ifamilx1==.e
label values ncarelea nyesno
label var ncarelea "Any employees entitled to leave to care for older adults?"
ta ncarelea nyear, mi

* Paid parental leave in additon to maternity and paternity and emergencey leave
egen naddleav=anymatch(nIFAMILY1-nIFAMILY5 ifamilx1-ifamilx6), values (5)
replace naddleav=.a if nIFAMILY1==.a|ifamilx1==.a
replace naddleav=.b if nIFAMILY1==.b|ifamilx1==.b
replace naddleav=.e if nIFAMILY1==.e|ifamilx1==.e
label values naddleav nyesno
label var naddleav "Any employees entitled to additional paid parental leave?"
ta naddleav nyear, mi

* Paid leave to deal with an emergency

egen nemcare=anymatch(ifmoff1-ifmoff8), values (4)
replace nemcare=.a if ifmoff1==.a
replace nemcare=.b if ifmoff1==.b
replace nemcare=.e if ifmoff1==.e
label values nemcare nyesno
label var nemcare "Availability of paid emergency care leave"
ta nemcare nyear, mi

drop nIFLEX1-nIFLEX9 nIFAMILY1-nIFAMILY5


************************************************
* Maternity and Paternity pay
************************************************

* Maternity pay
* 2011 only because of question changes

ta imatfulx imatpay, mi 

gen nmatpay=0
replace nmatpay=1 if imatpay==1
replace nmatpay=2 if (imatpay==2 & imatfulx==1)
replace nmatpay=3 if (imatpay==2 & imatfulx==2)
replace nmatpay=4 if (imatpay==2 & imatfulx==3)
replace nmatpay=5 if (imatpay==2 & imatfulx==.b)
replace nmatpay=.a if imatpay==.a
replace nmatpay=.b if imatpay==.b
replace nmatpay=.e if imatpay==.e
replace nmatpay=.e if nyear==0
label define nmatpay 1 "Statutory Maternity Pay" 2 "Additonal at full pay rate" 3 "Additonal at reduced rate"  4 "Additional part full part reduced" 5 "Additional, DK details" .a "Refusal" .b "Don't know" .e "Item not applicable"
label value nmatpay nmatpay
label var nmatpay "Maternity pay provision"

ta nmatpay nyear, mi

* Paternity pay
* 2011 only because of question changes

ta ipatfulx ipatpay, mi 

gen npatpay=0
replace npatpay=1 if ipatpay==1
replace npatpay=2 if (ipatpay==2 & ipatfulx==1)
replace npatpay=3 if (ipatpay==2 & ipatfulx==2)
replace npatpay=4 if (ipatpay==2 & ipatfulx==3)
replace npatpay=5 if (ipatpay==2 & ipatfulx==.b)
replace npatpay=6 if ipatpay==3 
replace npatpay=.a if ipatpay==.a
replace npatpay=.b if ipatpay==.b
replace npatpay=.e if ipatpay==.e
replace npatpay=.e if nyear==0
label define npatpay 1 "Statutory Paternity Pay" 2 "Additonal at full pay rate" 3 "Additonal at reduced rate"  4 "Additional part full part reduced" 5 "Additional, DK details" 6 "Situation not arisen" .a "Refusal" .b "Don't know" .e "Item not applicable"
label value npatpay npatpay
label var npatpay "Paternity pay provision"

ta npatpay nyear, mi

*Derive dummy variables for use of working-time opt-out for non-managerial employees (nopt1-nopt3)
ta noptnmb, gen(nopt)

* Year and sector

gen nyrsec=1 if nyear==0&nprivate==0
replace nyrsec=2 if nyear==1&nprivate==0
replace nyrsec=3 if nyear==0&nprivate==1
replace nyrsec=4 if nyear==1&nprivate==1
label define nyrsec 1 "2004, public" 2 "2011, public" 3 "2004, private" 4 "2011, private"
label var nyrsec "Year and sector"
label values nyrsec nyrsec
tab nyrsec, mi

* Influences on the LOG pay settlement, 2011 only 

egen nstcost=anymatch(fset1-fset8 xfset1-xfset3),values(1)
replace nstcost=.a if fset1==.a
replace nstcost=.b if fset1==.b
replace nstcost=.e if fset1==.e|nyear==0
label var nstcost "LOG pay settlement 2011 influenced by changes in cost of living"
label values nstcost nyesno
fre nstcost

egen nstrec=anymatch(fset1-fset8 xfset1-xfset3),values(2)
replace nstrec=.a if fset1==.a
replace nstrec=.b if fset1==.b
replace nstrec=.e if fset1==.e|nyear==0
label var nstrec "LOG pay settlement 2011 influenced by recruitment and retention"
label values nstrec nyesno
fre nstrec

egen nstperf=anymatch(fset1-fset8 xfset1-xfset3),values(3)
replace nstperf=.a if fset1==.a
replace nstperf=.b if fset1==.b
replace nstperf=.e if fset1==.e|nyear==0
label var nstperf "LOG pay settlement 2011 influenced by financial performance"
label values nstperf nyesno
fre nstperf

egen nstprod=anymatch(fset1-fset8 xfset1-xfset3),values(4)
replace nstprod=.a if fset1==.a
replace nstprod=.b if fset1==.b
replace nstprod=.e if fset1==.e|nyear==0
label var nstprod "LOG pay settlement 2011 influenced by productivity levels"
label values nstprod nyesno
fre nstprod

egen nstinda=anymatch(fset1-fset8 xfset1-xfset3),values(5)
replace nstinda=.a if fset1==.a
replace nstinda=.b if fset1==.b
replace nstinda=.e if fset1==.e|nyear==0
label var nstinda "LOG pay settlement 2011 influenced by industrial action"
label values nstinda nyesno
fre nstinda

egen nstnmw=anymatch(fset1-fset8 xfset1-xfset3),values(6)
replace nstnmw=.a if fset1==.a
replace nstnmw=.b if fset1==.b
replace nstnmw=.e if fset1==.e|nyear==0
label var nstnmw "LOG pay settlement 2011 influenced by national minimum wage"
label values nstnmw nyesno
ta nstnmw nyear, mi

egen nstnag=anymatch(fset1-fset8 xfset1-xfset3),values(9)
replace nstnag=.a if fset1==.a
replace nstnag=.b if fset1==.b
replace nstnag=.e if fset1==.e|nyear==0
label var nstnag "LOG pay settlement 2011 influenced by national agreement"
label values nstnag yesno
ta nstnag nyear, mi

egen nstfun=anymatch(fset1-fset8 xfset1-xfset3),values(10)
replace nstfun=.a if fset1==.a
replace nstfun=.b if fset1==.b
replace nstfun=.e if fset1==.e|nyear==0
label var nstfun "LOG pay settlement 2011 influenced by reduction in funding"
label values nstfun yesno
ta nstfun nyear, mi

egen nstoth=anymatch(fset1-fset8 xfset1-xfset3),values(95 96 97)
replace nstoth=.a if fset1==.a
replace nstoth=.b if fset1==.b
replace nstoth=.e if fset1==.e|nyear==0
label var nstoth "LOG pay settlement 2011 influenced by other factors"
label values nstoth nyesno
ta nstoth nyear, mi

egen nregrev=anymatch(nreview),values(1 2)
replace nregrev=.a if nreview==.a
replace nregrev=.b if nreview==.b
replace nregrev=.e if nreview==.e
label var nregrev "Pay review at least annual"
label values nregrev nyesno
ta nregrev, mi

* Joint regulation of terms and conditions where there is union presence (members or a union) on site. 
* I ignore those cases where only 2004 asked, namely
* ESTAFFA, ESELECTA, EQUALOPA, EPERFORA.  Also note NPAYNEG already derived in mqsetup

* Use of EPAYA variable to identify cases in which the employer says negotiation with union over pay
* normally occurs, whether at workplace or higher level

recode epaya (1=1 "normally negotiates") (2/4=0 "no negotiation") (.a=.a "Refusal")(.b=.b "Don't know") (.e=.e "Not applicable"),gen(npayneg)
label var npayneg "Management normally negotiates with unions over pay"
ta npayneg nyear, mi

recode ehoursa (1=1 "normally negotiates") (2/4=0 "no negotiation") (.a=.a "Refusal")(.b=.b "Don't know") (.e=.e "Not applicable"),gen(nhrsneg)
label var nhrsneg "Management normally negotiates with unions over hours of work"
ta nhrsneg nyear, mi

recode ehola (1=1 "normally negotiates") (2/4=0 "no negotiation") (.a=.a "Refusal")(.b=.b "Don't know") (.e=.e "Not applicable"),gen(nholneg)
label var nholneg "Management normally negotiates with unions over holiday entitlements"
ta nholneg nyear, mi

recode epena (1=1 "normally negotiates") (2/4=0 "no negotiation") (.a=.a "Refusal")(.b=.b "Don't know") (.e=.e "Not applicable"),gen(npenneg)
label var npenneg "Management normally negotiates with unions over pension entitlements"
ta npenneg nyear, mi

recode etraina (1=1 "normally negotiates") (2/4=0 "no negotiation") (.a=.a "Refusal")(.b=.b "Don't know") (.e=.e "Not applicable"),gen(ntraneg)
label var ntraneg "Management normally negotiates with unions over training"
ta ntraneg nyear, mi

* note 2011 includes disciplinary procedures as well as grievances

egen ngrineg=anymatch(EGRIEVA egrvdisa),values(1)
replace ngrineg=.a if EGRIEVA==.a|egrvdisa==.a
replace ngrineg=.b if EGRIEVA==.b|egrvdisa==.b
replace ngrineg=.e if EGRIEVA==.e|egrvdisa==.e
label var ngrineg "Management normally negotiates with unions over grievance procedures"
label values ngrineg nyesno
ta ngrineg nyear, mi

recode ehealtha (1=1 "normally negotiates") (2/4=0 "no negotiation") (.a=.a "Refusal")(.b=.b "Don't know") (.e=.e "Not applicable"),gen(nhthneg)
label var nhthneg "Management normally negotiates with unions over health and safety"
ta nhthneg nyear, mi

* similar variables but this time identifies negotiation, consultation, information, none

recode epaya (1=1 "negotiates") (2=2 "consults") (3=3 "informs") (4=4 "nothing") (.a=.a "Refusal")(.b=.b "Don't know") (.e=.e "Not applicable"),gen(npayuni)
label var npayuni "What management normally does with unions over pay"
ta npayuni nyear, mi

recode ehoursa (1=1 "negotiates") (2=2 "consults") (3=3 "informs") (4=4 "nothing") (.a=.a "Refusal")(.b=.b "Don't know") (.e=.e "Not applicable"),gen(nhrsuni)
label var nhrsuni "What Management normally does with unions over hours of work"
ta nhrsuni nyear, mi

recode ehola (1=1 "negotiates") (2=2 "consults") (3=3 "informs") (4=4 "nothing") (.a=.a "Refusal")(.b=.b "Don't know") (.e=.e "Not applicable"),gen(nholuni)
label var nholuni "What management normally does with unions over holiday entitlements"
ta nholuni nyear, mi

recode epena (1=1 "negotiates") (2=2 "consults") (3=3 "informs") (4=4 "nothing") (.a=.a "Refusal")(.b=.b "Don't know") (.e=.e "Not applicable"),gen(npenuni)
label var npenuni "What management normally does with unions over pension entitlements"
ta npenuni nyear, mi

recode etraina (1=1 "negotiates") (2=2 "consults") (3=3 "informs") (4=4 "nothing") (.a=.a "Refusal")(.b=.b "Don't know") (.e=.e "Not applicable"),gen(ntrauni)
label var ntrauni "What management normally does with unions over training"
ta ntrauni nyear, mi

recode ehealtha (1=1 "negotiates") (2=2 "consults") (3=3 "informs") (4=4 "nothing") (.a=.a "Refusal")(.b=.b "Don't know") (.e=.e "Not applicable"),gen(nhthuni)
label var nhthuni "What management normally does with unions over health and safety"
ta nhthuni nyear, mi

egen nnegms=rowmiss(npayneg nhrsneg nholneg npenneg ntraneg ngrineg nhthneg)
label var nnegms "Missings on union joint reg variables"
ta nnegms

egen nnegs=anycount(npayneg nhrsneg nholneg npenneg ntraneg ngrineg nhthneg),values(1)
replace nnegs=.f if nnegms>0
replace nnegs=.e if npayneg==.e|nhrsneg==.e|nholneg==.e|npenneg==.e|ntraneg==.e|ngrineg==.e|nhthneg==.e
label var nnegs "N items employer normally negotiates with union"
label values nnegs nitem
ta nnegs nyear, mi

* note 2011 includes disciplinary procedures as well as grievances

recode EGRIEVA (1=1 "negotiates") (2=2 "consults") (3=3 "informs") (4=4 "nothing") (.a=.a "Refusal")(.b=.b "Don't know") (.e=.e "Not applicable"),gen(ngriuni)
replace ngriuni=1 if egrvdisa==1
replace ngriuni=2 if egrvdisa==2
replace ngriuni=3 if egrvdisa==3
replace ngriuni=4 if egrvdisa==4
replace ngriuni=.a if egrvdisa==.a
replace ngriuni=.b if egrvdisa==.b
replace ngriuni=.e if egrvdisa==.e
label var ngriuni "What management normally does with unions over grievance procedures"
ta ngriuni nyear, mi

* Pay settlement influences

egen nsetms=rowmiss(nsetcost nsetrec nsetperf nsetprod nsetinda)
label var nsetms "Missings on pay settlement influences"
ta nsetms

egen nsetinfs=anycount(nsetcost nsetrec nsetperf nsetprod nsetinda),values(1)
replace nsetinfs=.f if nsetms>0
label var nsetinfs "N influences on LOG pay settlement"
label values nsetinfs nitem
ta nsetinfs nyear, mi

egen nstms=rowmiss(nstcost nstrec nstperf nstprod nstinda nstnmw nstnag nstfun nstoth)
label var nstms "Missings on 2011 pay settlement influences"
ta nstms

egen nstinf=anycount(nstcost nstrec nstperf nstprod nstinda nstnmw nstnag nstfun nstoth),values(1)
replace nstinf=.e if nyear==0
replace nstinf=.f if nstms>0
label var nstinf "N influences on 2011 LOG pay settlement"
label values nstinf nitem
ta nstinf nyear, mi

* N incentive schemes

egen nincent=anycount(nmerit npbrind npbrteam npbrwp npbrorg nshare nprp),values(1)
replace nincent=.a if nmerit==.a|npbrind==.a|nshare==.a|nprp==.a
replace nincent=.b if nmerit==.b|npbrind==.b|nshare==.b|nprp==.b
replace nincent=.e if nmerit==.e|npbrind==.e|nshare==.e|nprp==.e
replace nincent=.f if nmerit==.f|npbrind==.f|nshare==.f|nprp==.f
label var nincent "N incentive schemes at workplace"
label values nincent nitem
ta nincent nyear, mi

gen nincents=nincent
replace nincents=2 if nincent>1&nincent<.
label var nincents "N incentive schemes at workplace, categorical"
label define nincents 0 "None" 1 "One" 2 "Two or more" .a "Refusal" .b "Don't know" .e "Item not applicable"
label values nincents nincents

* Who has performance appraisal

gen nappwho=1 if nyear==1 & (inlist(fsocinx1,1) | inlist(fsocinx2,1))
replace nappwho=2 if nyear==1 & (inlist(fsocinx1,2) | inlist(fsocinx2,2))
replace nappwho=3 if nyear==1 & ((fsocinx1==1&fsocinx2==2) | (fsocinx1==2&fsocinx2==1))
replace nappwho=1 if nyear==0 & inlist(FSOCIN01,FSOCIN02,FSOCIN03,FSOCIN04,FSOCIN05,FSOCIN06,FSOCIN07,FSOCIN08,FSOCIN09,FSOCIN10,1)
replace nappwho=2 if nyear==0 & inlist(FSOCIN01,FSOCIN02,FSOCIN03,FSOCIN04,FSOCIN05,FSOCIN06,FSOCIN07,FSOCIN08,FSOCIN09,FSOCIN10,2,3,4,5,6,7,8,9)
replace nappwho=3 if nyear==0 & FSOCIN01==0
replace nappwho=3 if nyear==0 & (inlist(FSOCIN01,FSOCIN02,FSOCIN03,FSOCIN04,FSOCIN05,FSOCIN06,FSOCIN07,FSOCIN08,FSOCIN09,FSOCIN10,1)) /*
*/ & inlist(FSOCIN01,FSOCIN02,FSOCIN03,FSOCIN04,FSOCIN05,FSOCIN06,FSOCIN07,FSOCIN08,FSOCIN09,FSOCIN10,2,3,4,5,6,7,8,9)
replace nappwho=4 if fsocinx1==3|FSOCIN01==10
replace nappwho=.a if fsocinx1==.a|FSOCIN01==.a
replace nappwho=.b if fsocinx1==.b|FSOCIN01==.b
replace nappwho=.e if (fsocinx1==.e&nyear==1)|(FSOCIN01==.e&nyear==0)
label var nappwho "Who has performance formally appraised"
label values nappwho nwho
ta nappwho nyear, mi

* % non-managerials have performance formally assessed

ge npcx=fmeasprt/(zallemps-zmgr_tot)*100 if nyear==1
replace npcx=fmeasprt/(zallemps-zmng_tot)*100 if nyear==0
label var npcx "per cent non-managers have performance formally appraised from exact count"
ta npcx nyear

recode npcx (99.5/100=1) (79.5/99.49=2) (59.5/79.49=3) (39.5/59.49=4) (19.5/39.49=5) (0.5/19.49=6) (0/0.49=7),ge(npcbnd)
label values npcbnd pcband
ta npcbnd

recode fmeaspr (1=1 "All") (2=2 "80-99%") (3=3 "60-79%") (4=4 "40-59%") (5=5 "20-39%") (6=6 "1-19%") (7=7 "None") (.a=.a "Refused") (.b=.b "Don't know") (.e=.e "Not applicable"),gen(npcapp)
replace npcapp=7 if nappwho==1|nappwho==4
replace npcapp=.a if nappwho==.a
replace npcapp=.b if nappwho==.b
replace npcapp=.e if nappwho==.e
replace npcapp=npcbnd if npcbnd>0&npcbnd<8
label var npcapp "Percent of non-managerials with performance formally appraised"
label values npcapp pcband
ta npcapp nyear, mi

drop npcx npcbnd

* Link between appraisal and pay

gen npayapp=.e if fapppay==.e
replace npayapp=1 if fapppay==1
replace npayapp=2 if fapppay==2
replace npayapp=3 if nappwho==1|nappwho==4
replace npayapp=.b if fapppay==.b
replace npayapp=.a if fapppay==.a
label define npayapp 1 "Yes" 2 "No" 3 "No appraisal"  .a "Refused" .b "Don't know" .e "Item not applicable"
label var npayapp "Any non-managerial employees' pay is linked to outcome of performance appraisal"
label values npayapp npayapp
ta npayapp, mi


*Variable to identify continuing wps which are not in the panel (ncontin)
*gen ncontin=1 if norigin2011==1 & nmq2011==1 & nsource==2
*replace ncontin=0 if noutcom2004==1 & nmq2004==1 & nsource==1
*lab define ncontin 1 "2011 X-section only, in existence in 2004" 0 "2004 X-section only, in existence in 2011"
*lab val ncontin ncontin
*lab var ncontin "Continuing wps which are not in panel"


*********************************************************************************
* Employees at the establishment, 3 bands
*********************************************************************************

recode nallemp6 (1/3=1) (4=2) (5/6=3)(.e=.e "Item not applicable"),ge(nallemp3)
label define nallemp3 1 "Fewer than 50" 2 "50-99" 3 "100 or more", replace
label val nallemp3 nallemp3
label var nallemp3 "Total N employees, 3 categories"
ta nallemp6, mi
ta nallemp3, mi


****************************************************************
* Number of days largerst occupational group spent on training
****************************************************************

recode ctrain (1=1 "No time") (2/5=2 "1-9") (6=3 "10 or more") (.e=.e "Item not applicable") (.b=.b "Don't know"), ge(nctrain)
label var nctrain "Average N of days largest occupational group spent on training"
ta ctrain, mi
ta nctrain, mi


*************************************************************
* Extent workplace affected by the recession, grouped
*************************************************************
recode lrecimp (1/2=1 "A great deal/quite a lot") (3=2 "Moderate amount") (4/5=3 "Little or no effect") (.a=.a "Refusal") (.b=.b "Don't know") (.e=.e "Item not applicable") , ge(nrecimp1)
label var nrecimp1 "Effect of recession, grouped"
ta  lrecimp, mi
ta nrecimp1, mi


**********************************************************
* Rating combining H&S risks with control over the risks
**********************************************************

recode iwrkrisk(1/3=1 "Median or below")(4/10=2 "Above median") (.a=.a "Refusal") (.b=.b "Don't know")(.e=.e "Item not applicable"), gen(niwrkris)
label var niwrkris "Rating of H&S risks"
ta iwrkrisk niwrkris, mi

recode iwrkcont(1/8=1 "Median or below") (9/10=2 "Above median") (.a=.a "Refusal") (.b=.b "Don't know")(.e=.e "Item not applicable"), gen(niwrkcon)
label var niwrkcon "Rating of control over H&S risks"
ta iwrkcont niwrkcon, mi

gen nhsrate=0
replace nhsrate=1 if (niwrkris==1 & niwrkcon==1)
replace nhsrate=2 if (niwrkris==1 & niwrkcon==2)
replace nhsrate=3 if (niwrkris==2 & niwrkcon==1)
replace nhsrate=4 if (niwrkris==2 & niwrkcon==2)
replace nhsrate=.a if niwrkris==.a 
replace nhsrate=.b if (niwrkris==.b | niwrkcon==.b)
replace nhsrate=.e if niwrkris==.e 
replace nhsrate=. if niwrkris==. 
label define nhsrate 1 "Low risk low control" 2 "Low risk high control" 3 "High risk low control" 4 "High risk high control" .a "Refusal" .b "Don't know" .e "Item not applicable", replace
label val nhsrate nhsrate
label var nhsrate "Combined rating H&S risks and control of risks"
ta niwrkris niwrkcon, mi
ta nhsrate, mi

***********************************************
*Changes at establishment in past two years
***********************************************
*Different variables in 2004 and 2011
*Need to combine but watch for changes in code numbers sometimes

*2004 - ahowch01-ahowch12
*Maximum number of multiple responses given in 2004 was 7

*2011 - ahowcx01-ahowcx14
*Maximum number of multiple responses given in 2011 was 6

*Whether establishment has changed name in past 2 years (nchgname) 
*No missings on ahowch01 in 2004
*Note on similar variables in 2004, "No" was coded as 2, but here coded as 0

egen nchgname=eqany(AHowCh01-AHowCh12 ahowcx01-ahowcx14), values(1) 
replace nchgname=.b if ahowcx01==.b
replace nchgname=.e if ahowcx01==.e

lab var nchgname "Whether establishment changed name in past 2 years"
lab val nchgname nyesno

*Whether establishment has changed address in past 2 years (nchgadd)

egen nchgadd=eqany(AHowCh01-AHowCh12 ahowcx01-ahowcx14), values(2) 
replace nchgadd=.b if ahowcx01==.b
replace nchgadd=.e if ahowcx01==.e

lab var nchgadd "Whether establishment changed address in past 2 years"
lab val nchgadd nyesno

*Establishment has changed activity in past 2 years (nchgact) 

egen nchgact=eqany(AHowCh01-AHowCh12 ahowcx01-ahowcx14), values(3) 
replace nchgact=.b if ahowcx01==.b
replace nchgact=.e if ahowcx01==.e

lab var nchgact "Whether establishment has changed activity in past 2 years"
lab val nchgact nyesno

*Agreed takeover/merger in past 2 years (nchgagmg) 

egen nchgagmg=eqany(AHowCh01-AHowCh12 ahowcx01-ahowcx14), values(4) 
replace nchgagmg=.b if ahowcx01==.b
replace nchgagmg=.e if ahowcx01==.e

lab var nchgagmg "Agreed takeover/merger in past 2 years"
lab val nchgagmg nyesno

*Takeover/merger formally opposed in past 2 years (nchgopmg) 

egen nchgopmg=eqany(AHowCh01-AHowCh12), values(5) 
replace nchgopmg=1 if ahowcx01==6|ahowcx02==6|ahowcx03==6|ahowcx04==6|ahowcx05==6|ahowcx06==6
replace nchgopmg=.b if ahowcx01==.b
replace nchgopmg=.e if ahowcx01==.e

lab var nchgopmg "Takeover/merger formally opposed in past 2 years"
lab val nchgopmg nyesno

*Sold by parent organisation in past 2 years (nchgsold) 

egen nchgsold=eqany(AHowCh01-AHowCh12), values(6) 
replace nchgsold=1 if ahowcx01==7|ahowcx02==7|ahowcx03==7|ahowcx04==7|ahowcx05==7|ahowcx06==7
replace nchgsold=.b if ahowcx01==.b
replace nchgsold=.e if ahowcx01==.e

lab var nchgsold "Sold by parent organisation in past 2 years"
lab val nchgsold nyesno

*Ex-public sector, now privatised/denationalised in past 2 years (nchgpriv) 

egen nchgpriv=eqany(AHowCh01-AHowCh12), values(7) 
replace nchgpriv=1 if ahowcx01==8|ahowcx02==8|ahowcx03==8|ahowcx04==8|ahowcx05==8|ahowcx06==8
replace nchgpriv=.b if ahowcx01==.b
replace nchgpriv=.e if ahowcx01==.e

lab var nchgpriv "Ex-public sector, now privatised/denationalised in past 2 years"
lab val nchgpriv nyesno

*Management buy-out in past 2 years (nchgmout) 

egen nchgmout=eqany(AHowCh01-AHowCh12), values(8) 
replace nchgmout=1 if ahowcx01==9|ahowcx02==9|ahowcx03==9|ahowcx04==9|ahowcx05==9|ahowcx06==9
replace nchgmout=.b if ahowcx01==.b
replace nchgmout=.e if ahowcx01==.e

lab var nchgmout "Management buy-out in past 2 years"
lab val nchgmout nyesno

*Buy-out by employees generally in past 2 years (nchgeout) 

egen nchgeout=eqany(AHowCh01-AHowCh12), values(9) 
replace nchgeout=1 if ahowcx01==10|ahowcx02==10|ahowcx03==10|ahowcx04==10|ahowcx05==10|ahowcx06==10
replace nchgeout=.b if ahowcx01==.b
replace nchgeout=.e if ahowcx01==.e

lab var nchgeout "Buy-out by employees generally in past 2 years"
lab val nchgeout nyesno

*Establishment split from another workplace in its organisation in past 2 years (nsplit)

egen nsplit=eqany(AHowCh01-AHowCh12), values(10) 
replace nsplit=1 if ahowcx01==11|ahowcx02==11|ahowcx03==11|ahowcx04==11|ahowcx05==11|ahowcx06==11
replace nsplit=.b if ahowcx01==.b
replace nsplit=.e if ahowcx01==.e

lab var nsplit "Establishment split from another workplace in its organisation in past 2 years"
lab val nsplit nyesno

*Establishment merged with another in its organisation in past 2 years (nmerge) 

egen nmerge=eqany(AHowCh01-AHowCh12), values(11) 
replace nmerge=1 if ahowcx01==12|ahowcx02==12|ahowcx03==12|ahowcx04==12|ahowcx05==12|ahowcx06==12
replace nmerge=.b if ahowcx01==.b
replace nmerge=.e if ahowcx01==.e

lab var nmerge "Establishment merged with another in its organisation in past 2 years"
lab val nmerge nyesno

*None of specified changes in past 2 years (nchgnone) 

egen nchgnone=eqany(AHowCh01-AHowCh12), values(12) 
replace nchgnone=1 if ahowcx01==14|ahowcx02==14|ahowcx03==14|ahowcx04==14|ahowcx05==14|ahowcx06==14
replace nchgnone=.b if ahowcx01==.b
replace nchgnone=.e if ahowcx01==.e

lab var nchgnone "None of specified changes in past 2 years"
lab val nchgnone nyesno

*Add 2011 additions only
*2004 are coded as general missings on these derived variables

*Government acquired share in operation in past 2 years (nchggov)

egen nchggov=eqany(ahowcx01-ahowcx14), values(5) 
replace nchggov=. if nmq2004==1
replace nchggov=.b if ahowcx01==.b
replace nchggov=.e if ahowcx01==.e

lab var nchggov "Government acquired share in operation in past 2 years"
lab val nchggov nyesno

*Acquisition by venture capital/private equity (nchgvent)

egen nchgvent=eqany(ahowcx01-ahowcx14), values(13) 
replace nchgvent=. if nmq2004==1
replace nchgvent=.b if ahowcx01==.b
replace nchgvent=.e if ahowcx01==.e

lab var nchgvent "Acquisition by venture capital/private equity in past 2 years"
lab val nchgvent nyesno

*Establishment has changed ownership in past 2 years (nchgown)
*In 2004 this combined codes 4 thru 8 i.e. agreed takeover/merger, merger formally opposed, sold by parent org, privatised and management buy-out
*This version of variable is consistent with that, although could arguably also include government acquired share as change in ownership, and venture capital/private equity - new in 2011
*In any case, we have derived variables for each individual change so we can stil compare these, so keep this consistent across time

egen nchgown=eqany(nchgagmg nchgopmg nchgsold nchgpriv nchgmout), values(1) 
replace nchgown=.b if ahowcx01==.b
replace nchgown=.e if ahowcx01==.e

lab var nchgown "Whether establishment has changed ownership in past 2 years"
lab val nchgown nyesno

*Establishment has changed ownership in past 2 years (nchgown2)
*Also includes employee buy-out

egen nchgown2=eqany(nchgagmg nchgopmg nchgsold nchgpriv nchgmout nchgeout), values(1) 
replace nchgown2=.b if ahowcx01==.b
replace nchgown2=.e if ahowcx01==.e

lab var nchgown2 "Whether establishment has changed ownership in past 2 years - version 2"
lab val nchgown2 nyesno

*Establishment has changed ownership in past 2 years (nchgown3)
*As nchgown2 but with new codes in 2011 (govt share and venture capital)

egen nchgown3=eqany(nchgagmg nchgopmg nchgsold nchgpriv nchgmout nchgeout nchggov nchgvent), values(1) 
replace nchgown3=.b if ahowcx01==.b
replace nchgown3=.e if ahowcx01==.e

lab var nchgown3 "Whether establishment has changed ownership in past 2 years - version 3"
lab val nchgown3 nyesno

*Merger or takeover in past 2 years (nanymg)
*Includes those agreed and formally opposed

egen nanymg=eqany(nchgagmg nchgopmg), values(1) 
replace nanymg=.b if ahowcx01==.b
replace nanymg=.e if ahowcx01==.e

lab var nanymg "Merger or takeover in past 2 years (agreed or opposed)"
lab val nanymg nyesno

*Derived variable counts number of responses at AHOWCH/AHOWCX (nnumchg)

gen nnumchg=1 if (ahowcx01>0 & ahowcx01<14) & ahowcx02==.e
replace nnumchg=0 if ahowcx01==14
replace nnumchg=2 if (ahowcx01>0 & ahowcx01<14) & (ahowcx02>0 & ahowcx02<14) & ahowcx03==.e
replace nnumchg=3 if (ahowcx01>0 & ahowcx01<14) & (ahowcx02>0 & ahowcx02<14) & (ahowcx03>0 & ahowcx03<14)  & ahowcx04==.e
replace nnumchg=4 if (ahowcx01>0 & ahowcx01<14) & (ahowcx02>0 & ahowcx02<14) & (ahowcx03>0 & ahowcx03<14) & (ahowcx04>0 & ahowcx04<14) & ahowcx05==.e
replace nnumchg=5 if (ahowcx01>0 & ahowcx01<14) & (ahowcx02>0 & ahowcx02<14) & (ahowcx03>0 & ahowcx03<14) & (ahowcx04>0 & ahowcx04<14) & (ahowcx05>0 & ahowcx05<14) & ahowcx06==.e
replace nnumchg=6 if (ahowcx01>0 & ahowcx01<14) & (ahowcx02>0 & ahowcx02<14) & (ahowcx03>0 & ahowcx03<14) & (ahowcx04>0 & ahowcx04<14) & (ahowcx05>0 & ahowcx05<14) & (ahowcx06>0 & ahowcx06<14) & ahowcx07==.e
replace nnumchg=.b if ahowcx01==.b
replace nnumchg=.e if ahowcx01==.e

replace nnumchg=0 if AHowCh01==12
replace nnumchg=1 if (AHowCh01>0 & AHowCh01<12) & AHowCh02==.
replace nnumchg=2 if (AHowCh01>0 & AHowCh01<12) & (AHowCh02>0 & AHowCh02<12) & AHowCh03==.
replace nnumchg=3 if (AHowCh01>0 & AHowCh01<12) & (AHowCh02>0 & AHowCh02<12) & (AHowCh03>0 & AHowCh03<12) & AHowCh04==.
replace nnumchg=4 if (AHowCh01>0 & AHowCh01<12) & (AHowCh02>0 & AHowCh02<12) & (AHowCh03>0 & AHowCh03<12) & (AHowCh04>0 & AHowCh04<12) & AHowCh05==.
replace nnumchg=5 if (AHowCh01>0 & AHowCh01<12) & (AHowCh02>0 & AHowCh02<12) & (AHowCh03>0 & AHowCh03<12) & (AHowCh04>0 & AHowCh04<12) & (AHowCh05>0 & AHowCh05<12) & AHowCh06==.
replace nnumchg=6 if (AHowCh01>0 & AHowCh01<12) & (AHowCh02>0 & AHowCh02<12) & (AHowCh03>0 & AHowCh03<12) & (AHowCh04>0 & AHowCh04<12) & (AHowCh05>0 & AHowCh05<12) & (AHowCh06>0 & AHowCh06<12) & AHowCh07==.
replace nnumchg=7 if (AHowCh01>0 & AHowCh01<12) & (AHowCh02>0 & AHowCh02<12) & (AHowCh03>0 & AHowCh03<12) & (AHowCh04>0 & AHowCh04<12) & (AHowCh05>0 & AHowCh05<12) & (AHowCh06>0 & AHowCh06<12) & (AHowCh07>0 & AHowCh07<12) & AHowCh08==.

lab var nnumchg "Number of changes reported at AHOWCX/AHowCh"
lab val nnumchg nitem

*Number of employees in 2004 for all panel cases (nall2004)
bysort serno npanel: gen t=zallemps if npanyr==0
by serno npanel: egen nall2004=mean(t)
drop t
lab var nall2004 "Size of workfoce in 2004 - panel wps"

*Number of employees in 2011 for all panel cases (nall2011)
bysort serno npanel: gen t=zallemps if npanyr==1
by serno npanel: egen nall2011=mean(t)
drop t
lab var nall2011 "Size of workforce in 2011 - panel wps"

*Employment change in panel workplaces (nsizedif)
gen nsizedif=nall2011-nall2004
lab var nsizedif "Employment change in panel wps 2004-2011"

*Classifying panel wps as growing, stable or shrinking by more than 20% (ngrow)
*Classify employment change as stable if within 20% of employment size in 2004
*Using 20% as the cut-off, because this is only equivalent to 1 employee in a workplace with 5 employees in 2004
*If the cut-off is lower than 20%, would mean that all workplaces with 5 employees in 2004 which had one more employee in 2011 would be classified as growing, rather than stable
gen ngrow=1 if nsizedif<0 & (nsizedif/nall2004)<-0.2
replace ngrow=3 if nsizedif>0 & (nsizedif/nall2004)>0.2
replace ngrow=2 if nsizedif==0| (nsizedif<0 & (nsizedif/nall2004)>=-0.2)|(nsizedif>0 & (nsizedif/nall2004)<=0.2)
lab define ngrow 1 "Shrunk by more than 20%" 2 "Change of 20% or less" 3 "Grown by more than 20%"
lab val ngrow ngrow
lab var ngrow "Banded panel employment change 2004-2011"

*Classifying panel wps as growing, stable or shrinking, by more than 50% (ngrow2)
gen ngrow2=1 if nsizedif<0 & (nsizedif/nall2004)<-0.5
replace ngrow2=3 if nsizedif>0 & (nsizedif/nall2004)>0.5
replace ngrow2=2 if nsizedif==0| (nsizedif<0 & (nsizedif/nall2004)>=-0.5)|(nsizedif>0 & (nsizedif/nall2004)<=0.5)
lab define ngrow2 1 "Shrunk by more than 50%" 2 "Change of 50% or less" 3 "Grown by more than 50%"
lab val ngrow2 ngrow2
lab var ngrow2 "Banded panel employment change 2004-2011"

*Reasons constraining provision of flexible working arrangements (nflexco1-nflexco7)
*Some respondents say no constraints but actually then name one, so have recoded nflexco1 in these cases
egen nflexco1=anymatch(iflexco1-iflexco7), values(1)
replace nflexco1=0 if nflexco1==1 & (inrange(iflexco1,2,7)|inrange(iflexco2,2,7)|inrange(iflexco3,2,7)|inrange(iflexco4,2,7)|inrange(iflexco5,2,7)|inrange(iflexco6,2,7)|inrange(iflexco7,2,7))
replace nflexco1=.b if iflexco1==.b
replace nflexco1=.e if iflexco1==.e
lab var nflexco1 "No constraints on provision of flexible working"

egen nflexco2=anymatch(iflexco1-iflexco7), values(2)
replace nflexco2=.b if iflexco1==.b
replace nflexco2=.e if iflexco1==.e
lab var nflexco2 "Wp size constrains provision of flexible working"

egen nflexco3=anymatch(iflexco1-iflexco7), values(3)
replace nflexco3=.b if iflexco1==.b
replace nflexco3=.e if iflexco1==.e
lab var nflexco3 "Nature of work/operating hrs constrains flexible working"

egen nflexco4=anymatch(iflexco1-iflexco7), values(4)
replace nflexco4=.b if iflexco1==.b
replace nflexco4=.e if iflexco1==.e
lab var nflexco4 "Pressure on employees/managers constrains flexible working"

egen nflexco5=anymatch(iflexco1-iflexco7), values(5)
replace nflexco5=.b if iflexco1==.b
replace nflexco5=.e if iflexco1==.e
lab var nflexco5 "Cost constrains provision of flexible working"

egen nflexco6=anymatch(iflexco1-iflexco7), values(6)
replace nflexco6=.b if iflexco1==.b
replace nflexco6=.e if iflexco1==.e
lab var nflexco6 "Lack of demand constrains provision of flexible working"

egen nflexco7=anymatch(iflexco1-iflexco7), values(7)
replace nflexco7=.b if iflexco1==.b
replace nflexco7=.e if iflexco1==.e
lab var nflexco7 "Other reason constrains provision of flexible working"


********************************
* EPQ wage dispersion - Author AB
********************************

gen npcwag1=zwagea/zallemps*100
replace npcwag1=zwageapc if npcwag1==.
replace npcwag1=.a if zwagea==.a
replace npcwag1=.b if zwageapc==.b
replace npcwag1=.e if npcwag1==.
label values npcwag1 nitem
label var npcwag1 "% employees earning the adult rate of the National Minimum Wage or less"
fre npcwag1

gen npcwag2=zwageb/zallemps*100
replace npcwag2=zwagebpc if npcwag2==.
replace npcwag2=.a if zwageb==.a
replace npcwag2=.b if zwagebpc==.b
replace npcwag2=.e if npcwag2==.
label values npcwag2 nitem
label var npcwag2 "% employees earning just over the adult NMW rate-£7.50 per hour"
fre npcwag2

gen npcwag3=zwagec/zallemps*100
replace npcwag3=zwagecpc if npcwag3==.
replace npcwag3=.a if zwagec==.a
replace npcwag3=.b if zwagecpc==.b
replace npcwag3=.e if npcwag3==.
label values npcwag3 nitem
label var npcwag3 "% employees earning £7.51 - £10.00 per hour"
fre npcwag3

gen npcwag4=zwaged/zallemps*100
replace npcwag4=zwagedpc if npcwag4==.
replace npcwag4=.a if zwaged==.a
replace npcwag4=.b if zwagedpc==.b
replace npcwag4=.e if npcwag4==.
label values npcwag4 nitem
label var npcwag4 "% employees earning £10.01 - £13.00 per hour"
fre npcwag4

gen npcwag5=zwagee/zallemps*100
replace npcwag5=zwageepc if npcwag5==.
replace npcwag5=.a if zwagee==.a
replace npcwag5=.b if zwageepc==.b
replace npcwag5=.e if npcwag5==.
label values npcwag5 nitem
label var npcwag5 "% employees earning £13.01 - £18.00 per hour"
fre npcwag5

gen npcwag6=zwagef/zallemps*100
replace npcwag6=zwagefpc if npcwag6==.
replace npcwag6=.a if zwagef==.a
replace npcwag6=.b if zwagefpc==.b
replace npcwag6=.e if npcwag6==.
label values npcwag6 nitem
label var npcwag6 "% employees earning £18.01 or more per hour"
fre npcwag6

egen tempwms=rowmiss(npcwag1-npcwag6)
label var tempwms "temp var capturing missings on wage categories"
ta tempwms

egen npctotw=rowtotal(npcwag*)
label var npctotw "Total % employees in wage distribution"
replace npctotw=.b if tempwms>0
replace npctotw=.e if nyear==0
label values npctotw nitem
fre npctotw 

fre npctotw if (npctotw>=95|npctotw<=105)&nyear==1

*Proportion of employees earning under £5.94 per hour - banded (npcwag1b)

gen int npcwag1b=1 if npcwag1==0
replace npcwag1b=2 if npcwag1>0 & npcwag1<5
replace npcwag1b=3 if npcwag1>=5 & npcwag1<10
replace npcwag1b=4 if npcwag1>=10 &npcwag1<25
replace npcwag1b=5 if npcwag1>=25 & npcwag1<=100
replace npcwag1b=.a if npcwag1==.a
replace npcwag1b=.b if npcwag1==.b

label var npcwag1b "Proportion of employees earning under £5.94 per hour - banded"
label define npcwag1b 1 "None" 2 "1-4%" 3 "5-9%" 4 "10-24%" 5 "25%+" .a "Refusal" .b "DK" 
label values npcwag1b npcwag1b
tab npcwag1b if nmq2011==1

*Proportion of employees earning under £5.94 per hour - alternative bands (npcwag1d)

gen int npcwag1d=1 if npcwag1==0
replace npcwag1d=2 if npcwag1>0 & npcwag1<10
replace npcwag1d=3 if npcwag1>=10 &npcwag1<25
replace npcwag1d=4 if npcwag1>=25 & npcwag1<50
replace npcwag1d=5 if npcwag1>=50 & npcwag1<=100
replace npcwag1d=.a if npcwag1==.a
replace npcwag1d=.b if npcwag1==.b

label var npcwag1d "Proportion of employees earning under £5.94 per hour - banded"
label define npcwag1d 1 "None" 2 "1-9%" 3 "10-24%" 4 "25-50%" 5 "50%+" .a "Refusal" .b "DK" 
label values npcwag1d npcwag1d
tab npcwag1d if nmq2011==1

*Proportion of employees earning £18.01 or more per hour - banded (npcwag6d)

gen int npcwag6d=1 if npcwag6==0
replace npcwag6d=2 if npcwag6>0 & npcwag6<10
replace npcwag6d=3 if npcwag6>=10 &npcwag6<25
replace npcwag6d=4 if npcwag6>=25 & npcwag6<50
replace npcwag6d=5 if npcwag6>=50 & npcwag6<=100
replace npcwag6d=.a if npcwag6==.a
replace npcwag6d=.b if npcwag6==.b

label var npcwag6d "Proportion of employees earning £18.01 or more per hour - banded"
label define npcwag6d 1 "None" 2 "1-9%" 3 "10-24%" 4 "25-50%" 5 "50%+" .a "Refusal" .b "DK" 
label values npcwag6d npcwag6d
tab npcwag6d if nmq2011==1

*Dummy variables to indicate where at least 25% workforce in lowest and highest pay bands (n25lowp, n25highp)

recode npcwag1b (1/4=0)(5=1), gen (n25lowp)
label var n25lowp "25% or more employees earning under £5.94 per hour"
label values n25lowp nyesno

recode npcwag6d (1/3=0)(4/5=1), gen (n25highp)
label var n25highp "25% or more employees earning £18.01 or more per hour"
label values n25highp nyesno

* Whether any grievances raised whether through a procedure or not (nanygrv)
*Note: have nraised but this only applies to those with procedure. Need an equivalent to nanysanc. 

ge nanygrv =HTYPE01
replace nanygrv=1 if HTYPE01>0 | htypex01>0
replace nanygrv=htypex01 if htypex01>=.a & htypex01<.f
replace nanygrv=HTYPE01 if HTYPE01>=.a & HTYPE01<.f
replace nanygrv=0 if HTYPE01==0 | htypex01==0
label var nanygrv "Any grievance raised (thru procedure or not)"
label val nanygrv nyesno
ta nanygrv nyear, mi

*Recode climate variables: managers and employees
recode mrelate (1/2=1 "(Very) Good") (3=2 "Neither") (4/5=3 "(Very) Poor") (.a=.a "Refused") (.b=.b "Don't know") (.e=.e "Not applicable"), ge(nrelate)
label var nrelate "Managers rating of the relationship between management and employees"

recode qc3 (1/2=1 "(Very) Good") (3=2 "Neither") (4/5=3 "(Very) Poor") (.a=.a "Refused") (.b=.b "Don't know") (.e=.e "Not applicable"), ge(erelate)
label var erelate "Employees rating of the relationship between management and employees"

*Create new absence var getting rid of outliers. 20% absence rate lies at the 97th percentile
ge nabsence=zabsence
replace nabsence=.e if zabsence>25 & zabsence<=100
label var nabsence "Absence rate minus outliers"
label val nabsence nitem

*Whether wp male or female dominated (nfdom)
recode nfprop (1/2=1)(3/4=2) (5/6=3)(.b=.b)(.e=.e), gen(nfdom)
lab var nfdom "Male or female-dominated workplace"
lab define nfdom 1 "25% or less female" 2 "More than 25% to 75% female" 3 "More than 75% female"
lab val nfdom nfdom

*Whether wp female-dominated (nfdom2)
recode nfdom (1/2=0)(3=1)(.b=.b)(.e=.e), gen(nfdom2)
lab var nfdom2 "Workforce more than 75% female"
lab val nfdom2 yesno

*Manager agrees or strongly agrees up to individual to balance work and family responsibilities (nphras04)
recode aphras04 (1/2=1)(3/5=0)(.b=.b), gen(nphras04)
lab var nphras04 "Agree/strongly agree WLB up to individual"
lab val nphras04 yesno

*Whether contractors were former employees (npreemp)
recode jpreemp (1=1)(2=0)(.b=.b)(.e=.e), gen(npreemp)
replace npreemp=0 if jpreemp==.e & nyr5emp==0
lab val npreemp yesno
lab var npreemp "Some contractors former employees"

*Reasons for using fixed-term contracts (nwhyf1-nwhyf9)
for num 1/9: egen nwhyfX=anymatch(jwhyfit1-jwhyfit7 xjwhyfi1-xjwhyfi3), values(X)
replace nwhyf7=0 if xjwhyfi1<10|xjwhyfi2<10|xjwhyfi3<10 
for num 1/9: replace nwhyfX=.a if jwhyfit1==.a
for num 1/9: replace nwhyfX=.b if jwhyfit1==.b
for num 1/9: replace nwhyfX=.e if jwhyfit1==.e
for num 1/9: replace nwhyfX=0 if (zfixterm==0|zanytem==2) & jwhyfit1==.e
for num 1/9: lab val nwhyfX yesno
lab var nwhyf1 "Using fixed-term contracts as spur to improve performance"
lab var nwhyf2 "Using fixed-term contracts to obtain specialist skills"
lab var nwhyf3 "Using fixed-term contracts as trial for permanent job"
lab var nwhyf4 "Using fixed-term contracts as freeze on permanent staff"
lab var nwhyf5 "Using fixed-term contracts as temporary increase in demand"
lab var nwhyf6 "Using fixed-term contracts for maternity/LT leave cover"
lab var nwhyf7 "Using fixed-term contracts for other reason"
lab var nwhyf8 "Using fixed-term contracts as time-limited funding"
lab var nwhyf9 "Using fixed-term contracts as budget restrictions"

*Annual growth rate in panel wps (npcgr04)
gen npcgr04=((nsizedif/nall2004)*100)/6
lab var npcgr04 "Annual growth rate in 2004-2011 panel wps"

********************************
* Collapse rating of whether manager agrees that discuss with emps before making changes (ndiscuss) JF
* SA/Agree rating of whether manager agrees that discuss with emps before making changes (ndiscuss2) JF

lab define nagree3 1 "Agree or strongly agree" 2 "Neither agree nor disagree" 3 "Disagree or strongly disagree" .a "Refusal" .b "Don't know" .e "Item not applicable" .f "Don't know or not answered"
lab define nagree2 1 "Strongly agree or ageee" 0 "Other ratings" .a "Refusal" .b "Don't know" .e "Item not applicable" .f "Don't know or not answered"

recode aphras08 (1/2=1) (3=2) (4/5=3), ge(ndiscuss)
label var ndiscuss "Rating of whether manager agrees that discuss with emps before making changes"
label val ndiscuss nagree3

recode aphras08 1/2=1 3/5=0, ge(ndiscuss2)
label var ndiscuss2 "SA/Agree that managers discuss with emps before making changes" 
label val ndiscuss2 nagree2
*fre aphras08 ndiscuss ndiscuss2 if nmq==1

********************************

* Policy of guaranteed job security or no-compulsory redundancies for any staff (njobsec) JF

recode jobsecx1 (1/2=1) (3=0) (.b=.b) if nyear==1, ge(njobsec)
replace njobsec=1 if nyear==0 & JOBSEC01<10
replace njobsec=0 if nyear==0 & JOBSEC01==10
replace njobsec=.b if nyear==0 & inlist(JOBSEC01,.a,.b)
label var njobsec "Policy of guaranteed job security or no-compulsory redundancies"
label val njobsec yesno
*fre njobsec if nmq==1

********************************

* Experience of redundancies in past year (nredund) JF

* Note that nanyred is simple yes/no as to whether any redundancies made
* This variable nredund also calls on jwithdraw
* If no redunds made and no proposals withdrawn, doesn't nec imply no current proposals
* This variable is a filter for the consultation variables

recode nanyred 1=1 0=3, ge(nredund)
recode nredund 3=2 if jwithdrw==1
label var nredund "Experience of redundancies in past year"
label define nredund 1 "Some redundancies made" 2 "No redundancies, but proposals withdrawn" 3 "Neither"
label val nredund nredund
*fre nredund if nmq==1

********************************

* Any consultation over redundancies made in past year / propposals withdrawn in past year (nredcon) JF

ge nredcon=1 if inlist(nredund,1,2) & inlist(1,jredcon1,jredcon2)
recode nredcon .=2 if inlist(nredund,1,2) & inlist(1,jredcon1,jredcon2)==0
recode nredcon 2/.=3 if inlist(nredund,1,2) & (inlist(.a,jredcon1,jredcon2) | inlist(.b,jredcon1,jredcon2))
recode nredcon .=.e
label var nredcon "Whether any consultation over redundancies made in past year / propposals withdrawn in past year"
label define nredcon 1 "Yes" 2 "No" 3 "Don't know" .e "Not applicable"
label val nredcon nredcon 
*fre nredund nredcon if nmq==1

********************************

* Any consultation over redundancies with reps (nrconrep) JF

egen nrconrep=anymatch(jwhocon1-jwhocon4), values(1 2 3)
recode nrconrep 0=.b if jwhocon1==.b
replace nrconrep=.e if nredcon>1
*fre nredcon jwhocon1 nrconrep if nmq==1

********************************

* Outcomes of redundancy consultation (nrchgnum) JF [2011 only]

gen nrchgnum=(inlist(1,jchangx1,jchangx2,jchangx3,jchangx4,jchangx5,jchangx6,jchangx7) | /*
	*/ inlist(4,jchangx1,jchangx2,jchangx3,jchangx4,jchangx5,jchangx6,jchangx7))
gen nrprep=inlist(5,jchangx1,jchangx2,jchangx3,jchangx4,jchangx5,jchangx6,jchangx7)
gen nrredep=inlist(6,jchangx1,jchangx2,jchangx3,jchangx4,jchangx5,jchangx6,jchangx7)
gen nrpay=inlist(3,jchangx1,jchangx2,jchangx3,jchangx4,jchangx5,jchangx6,jchangx7)
gen nrcrit=inlist(2,jchangx1,jchangx2,jchangx3,jchangx4,jchangx5,jchangx6,jchangx7)

foreach var of varlist nrchgnum nrprep nrredep nrpay nrcrit {
	replace `var'=jchangx1 if jchangx1>8
}

label var nrchgnum "Redundancy consulation changed N redundancies or found alternatives (2011 only)"
label var nrprep "Redundancy consulation changed way employees were prepared for redundancy (2011 only)"
label var nrredep "Redundancy consulation changed strategies for redeployment (2011 only)"
label var nrpay "Redundancy consulation changed redundancy payments (2011 only)"
label var nrcrit "Redundancy consulation changed criteria for selection (2011 only)"
label val nrchgnum nrprep nrredep nrpay nrcrit yesno

su nrchgnum nrprep nrredep nrpay nrcrit

********************************

* Types of workplace change in past 2 years (nnewprp, nnewtech, nnewhours, nneworgn, nnewproc, nnewei, nnewprod, newnone) JF

* Note that lmancha in 2004 has one more code than lmanchx in 2011
* 2004 codes 2 and 3 (intro/upgrading of tech and intro/upgrading of computers) are combined into code 2 in 2011 (intro/upgrading of technology inc computers)
* I create a combined indicator (nnewtech) , but we must be cautious in its use

egen nnewprp=anymatch(LMANCHA1-LMANCHA9 lmanchx1-lmanchx8), values(1)
gen nnewtech=(inlist(2,LMANCHA1,LMANCHA2,LMANCHA3,LMANCHA4,LMANCHA5,LMANCHA6,LMANCHA7,LMANCHA8,LMANCHA9) | /*
	*/ inlist(3,LMANCHA1,LMANCHA2,LMANCHA3,LMANCHA4,LMANCHA5,LMANCHA6,LMANCHA7,LMANCHA8,LMANCHA9) | /*
	*/ inlist(2,lmanchx1,lmanchx2,lmanchx3,lmanchx4,lmanchx5,lmanchx6,lmanchx7,lmanchx8))
gen nnewhours=(inlist(4,LMANCHA1,LMANCHA2,LMANCHA3,LMANCHA4,LMANCHA5,LMANCHA6,LMANCHA7,LMANCHA8,LMANCHA9) | /*
	*/ inlist(3,lmanchx1,lmanchx2,lmanchx3,lmanchx4,lmanchx5,lmanchx6,lmanchx7,lmanchx8))
gen nneworgn=(inlist(5,LMANCHA1,LMANCHA2,LMANCHA3,LMANCHA4,LMANCHA5,LMANCHA6,LMANCHA7,LMANCHA8,LMANCHA9) | /*
	*/ inlist(4,lmanchx1,lmanchx2,lmanchx3,lmanchx4,lmanchx5,lmanchx6,lmanchx7,lmanchx8))
gen nnewproc=(inlist(6,LMANCHA1,LMANCHA2,LMANCHA3,LMANCHA4,LMANCHA5,LMANCHA6,LMANCHA7,LMANCHA8,LMANCHA9) | /*
	*/ inlist(5,lmanchx1,lmanchx2,lmanchx3,lmanchx4,lmanchx5,lmanchx6,lmanchx7,lmanchx8))
gen nnewei=(inlist(7,LMANCHA1,LMANCHA2,LMANCHA3,LMANCHA4,LMANCHA5,LMANCHA6,LMANCHA7,LMANCHA8,LMANCHA9) | /*
	*/ inlist(6,lmanchx1,lmanchx2,lmanchx3,lmanchx4,lmanchx5,lmanchx6,lmanchx7,lmanchx8))
gen nnewprod=(inlist(8,LMANCHA1,LMANCHA2,LMANCHA3,LMANCHA4,LMANCHA5,LMANCHA6,LMANCHA7,LMANCHA8,LMANCHA9) | /*
	*/ inlist(7,lmanchx1,lmanchx2,lmanchx3,lmanchx4,lmanchx5,lmanchx6,lmanchx7,lmanchx8))
gen nnewnone=(LMANCHA1==9 | lmanchx1==8)
foreach i of varlist nnewprp nnewtech nnewhours nneworgn nnewproc nnewei nnewprod nnewnone {
	replace `i'=LMANCHA1 if nyear==0 & LMANCHA1>9
	replace `i'=lmanchx1 if nyear==1 & lmanchx1>8
	label values `i' yesno
}
label var nnewprp "Performance-related pay introduced in last 2 years"
label var nnewtech "Technology or computers introduced in last 2 years"
label var nnewhours "Working time arrangements changed in last 2 years"
label var nneworgn "Work organisation changed in last 2 years"
label var nnewproc "Work techniques or procedures changed in last 2 years"
label var nnewei "Employee involvement initiatives introduced in last 2 years"
label var nnewprod "Product or service innovation in last 2 years"
label var nnewnone "None of specified changes in last 2 years"
*fre nnewprp-nnewnone if nmq==1

********************************

* Any consultation or negotiation (through any route) over most important workplace change in last 2 years (nnewncon) JF

ge nnewncon=(inlist(ltypinv1,1,2,3) | inlist(ltypinv2,1,2,3) | inlist(ltypinv3,1,2,3))
replace nnewncon=ltypinv3 if nnewncon==0 & ltypinv3>5
label var nnewncon "Any consultation or negotiation (through any route) over most important workplace change in last 2 years"
label val nnewncon yesno
*fre ltypinv3 nnewncon if nmq==1

* Any negotiation (through any route) over most important workplace change in last 2 years (nnewcon) JF

ge nnewneg=(inlist(ltypinv1,1,2) | inlist(ltypinv2,1,2) | inlist(ltypinv3,1,2))
replace nnewneg=ltypinv3 if nnewneg==0 & ltypinv3>5
label var nnewneg "Any negotiation (through any route) over most important workplace change in last 2 years"
label val nnewneg yesno

* Any consultation 

ge nnewcon=(inlist(ltypinv1,3) | inlist(ltypinv2,3) | inlist(ltypinv3,3))
replace nnewcon=ltypinv3 if nnewcon==0 & ltypinv3>5
label var nnewcon "Any consultation (through any route) over most important workplace change in last 2 years"
label val nnewcon yesno
fre ltypinv3 nnewcon if nmq==1

***********************

* Specialist vs generalist HR managers (nhrspec) JF .

ge nhrspec=(ntitle==1 | inrange(bproport,51,100))
recode nhrspec 0=.b if mi(ntitle,bproport)
label var nhrspec "HR specialist (by job title or time spent)"
label val nhrspec yesno
*fre nhrspec if nmq==1

***********************

* Union / non-union representative structures (nanyer1) JF
* note: not on-site reps, but structures for generalised emp representation (recog tu, unrecogtu with rep, JCC at w/p or higher, standalone rep)

ge nanyer1=(nanyrecb==1 | eothurep==1 | inrange(nanycom2,2,5) | eothreps==1)
replace nanyer1=.b if mi(nanyrecb,nanycom2,eothreps) | eothurep==.a | eothurep==.b
label var nanyer1 "Any structure for employee representation?"
label val nanyer1 yesno
*fre nanyer1 if nmq==1 

* Union / non-union reps on site (nanyer2) JF

ge nanyer2=(inrange(nonsurep,1,3) | njcc==1 | eothreps==1)
replace nanyer2=.b if mi(nonsurep,njcc,eothreps) 
label var nanyer2 "Any on-site reps (union or non-union)"
label val nanyer2 yesno
*fre nanyer2 if nmq==1 


**********************************************************
* Private or public sector
**********************************************************

gen nmqpri=0
replace nmqpri=1 if (nmq==1 & nsector3<=2)
ta nmq nsector3
ta nmqpri
label var nmqpri "nmq in private sector"

gen nmqpub=0
replace nmqpub=1 if (nmq==1 & nsector3==3)
ta nmq nsector3
ta nmqpub
label var nmqpub "nmq in public sector"

recode nsector3 (1/2=1 "Private") (3=2 "Public"), gen(npripub)
label var npripub "Private or public sector"
ta nsector3 npripub


*************************************************************
* Managers' attitudes towards work life balance
**************************************************************

recode aphras04 (1/2=1 "Agree strongly agree") (3=2 "Neither") (4/5=3 "Disagree strongly disagree"), gen(nffatt)
label var nffatt "it is up to individual employees to balance their work and family responsibiliti"
ta aphras04 nffatt

****************************************************************
* Number of days largest occupational group spent on training
****************************************************************

recode ctrain (1=1 "No time") (2/4=2 "1-<5") (5=3 "5-<10") (6=4 "10 or more") (.e=.e "Item not applicable") (.b=.b "Don't know"), ge(nctrain1)
label var nctrain1 "Average N of days largest occupational group spent on training"
ta ctrain nctrain1, mi

********************************************************************
* Cut training in response to recession and impact of recession 
******************************************************************** 

gen nkeptran=.e
replace nkeptran=1 if (nreact12==0 & nrecimp1==1)
replace nkeptran=2 if (nreact12==1 & nrecimp1==1)
replace nkeptran=3 if (nreact12==0 & ( nrecimp1==2 | nrecimp1==3))
replace nkeptran=4 if (nreact12==1 & ( nrecimp1==2 | nrecimp1==3))
replace nkeptran=.a if (nreact12==.a | nrecimp1==.a)
replace nkeptran=.b if (nreact12==.b | nrecimp1==.b)
replace nkeptran=.e if (nreact12==.e | nrecimp1==.e)
label define nkeptran 1 "No cut & greatly affected by recession" 2 "Cut & greatly affected by recession" 3 "No cut & recession had mild/little effects" 4 "Cut & recession had mild/little effect" .a "Refusal" .b "Don't know" .e "Item not applicable"
label values nkeptran nkeptran
label var nkeptran "Training cut and effect of recession"

ta nreact12 nrecimp1, mi
ta nkeptran, mi

********************************************************************
* Managers' perception of Health and Safety risks and contol
*********************************************************************

recode iwrkrisk (1/2=1 "1 & 2") (3/4=2 "3 & 4") (5/6=3 "5 & 6")(7/8=4 "7 & 8")(9/10=5 "(9 & 10")(.a=.a "Refusal") (.b=.b "Don't know") (.e=.e "Item not applicable"), gen(nhsrisgp)
label var nhsrisgp "Rating of H&S risks"
ta iwrkrisk nhsrisgp, mi

recode iwrkcont (1/6=1 "1 to 6") (7=2 "7") (8/10=3 "8 to 10")(.a=.a "Refusal") (.b=.b "Don't know") (.e=.e "Item not applicable"), gen(nhscongp)
label var nhscongp "Rating of control over H&S risks"
ta iwrkcont nhscongp, mi  

***********************************************************************
* Overlap between JCC and H&S Committee
**********************************************************************
recode nhealth1 (1=1 "H&S committee") (2/4=2 "Others")(.a=.a "Refusal") (.b=.b "Don't know") (.e=.e "Item not applicable"), gen(nhealth2)
label var nhealth2 "H&S consultation method"
ta nhealth1 nhealth2, mi 

recode njcc (0=0 "No JCC") (1/2=1 "JCC"), gen(njccgp)
label var njccgp "Has JCC"
ta njcc njccgp

gen njcchs=.e
replace njcchs=1 if (nhealth2==1 & njccgp==1)
replace njcchs=2 if (nhealth2==1 & njccgp==0)
replace njcchs=3 if (nhealth2==2 & njccgp==1)
replace njcchs=4 if (nhealth2==2 & njccgp==0)
label define  njcchs 1 "H&S + JCC" 2 "H&S no JCC" 3 "JCC no H&S" 4 "Neither" .e "Item not applicable", replace
label value njcchs njcchs
label var njcchs "Whether has JCC and H&S Committee"
ta nhealth2 njccgp
ta njcchs, mi

drop nhealth2 njccgp


*******************************************************************************
* Health and Safety training among employees in the largest occupational group
********************************************************************************

egen nhstrain=anymatch(chow01-chow12) if chow01 <=12, values (7)
replace nhstrain=.a if chow01==.a
replace nhstrain=.b if chow01==.b
replace nhstrain=.e if chow01==.e
label values nhstrain nyesno
label var nhstrain "Largest occ group had health and safety training"
ta nhstrain, mi

*************************************************************************************************
* Whether health and safety is one of the three most often discussed issues at all staff meetings
*************************************************************************************************
egen nhsmeet=anymatch(dmwhix1-dmwhix3) if dmwhix1 <=13, values (10)
replace nhsmeet=.a if dmwhix1==.a
replace nhsmeet=.b if dmwhix1==.b
replace nhsmeet=.e if dmwhix1==.e
label values nhsmeet nyesno
label var nhsmeet "All staff meetings discussed health & safety"
ta nhsmeet, mi

*************************************************************************************************
* Whether health and safety is one of the three most often discussed issues at team briefings
*************************************************************************************************
egen nhsbrief=anymatch(dbwhix1-dbwhix3) if dbwhix1 <=13, values (10)
replace nhsbrief=.a if dbwhix1==.a
replace nhsbrief=.b if dbwhix1==.b
replace nhsbrief=.e if dbwhix1==.e
label values nhsbrief nyesno
label var nhsbrief "Team briefings discussed health & safety"
ta nhsbrief, mi

**********************
* foreign ownership
**********************

recode acontrol (4/5=1) (1/3=0) (.a=.a) (.b=.b) (.e=.e),ge(nforeign)
replace nforeign=0 if nprivate==0
label var nforeign "Foreign owned, 51%+"
label value nforeign yesno
ta nforeign, mi

*********************
* family ownership
*********************

recode aconin50 (1=1) (2 3=0) (.a=.a) (.b=.b),ge(nfamily)
replace nfamily=1 if ACONINT==1
replace nfamily=.a if ACONINT==.a
replace nfamily=.b if ACONINT==.b
replace nfamily=0 if ACONINT==2|ACONINT==.e|aconin50==.e
label variable nfamily "Family owned, 50+"
label value nfamily yesno
ta nfamily, mi

******************************************************************************
* JF 30/1/13: I have commented out this code of Alex's because it prompted a proper review of the recognition vars
* and I have now derived improved variables earlier in the do file
* The revised Nanyrecb provides our best overall indicator of recognition

* Alex's old comment:
** Any union recog irrespective of membership. Note: union recognition is asked
** in 2004 and 2011 irrespective of whether there are union members at the workplace.
** this allows us to make the distinction between recog with and without members.
** the variable EOTHREC is the one coding recog status if no members. the filter used
** in relation to union membership is CAPI derived EANYEMP which has no missings, just yes or no.
** that means if EANYEMP=yes you are asked one set of recog questions. If EANYEMP=no you get to EOTHREC.
** So ALL workplaces are asked for union recognition. The current variables are NANYRECA and NANYRECB
** and have 91 and 86 missings respectively because of missingness on union density. But it is not necessary
** to derive a union recognition dummy since we know recog status irrespective of membership for all cases. 
** The only missings on the new variable will be those that are missing on EOTHREC. These are 1 refusal and 17 don't knows.

**gen nanyrec=nrecogb==3|nrecogb==4
**replace nanyrec=.a if eothrec==.a
**replace nanyrec=.b if eothrec==.b
**label var nanyrec "Any union recog for bargaining at workplace"
**label values nanyrec yesno
**ta nanyrec nyear, mi

*********************************
* Market/competition variables
*********************************

recode kcompet (1=1 "None") (2=2 "Few") (3=3 "Many") (.e=4 "Not trading") (.a=.a "Refusal") (.b=.b "Don't know"),gen(ncompet)
label var ncompet "Competitors for main product or service"
fre ncompet

recode kmarket (1=1 "Local") (2=2 "Regional") (3=3 "National") (4=4 "International") (.e=5 "Not trading") (.a=.a "Refusal") (.b=.b "Don't know"),gen(nmarket)
label var nmarket "Market for main product or service"
fre nmarket

recode kdegree (1=1 "V High") (2=2 "High") (3=3 "Neither") (4=4 "Low") (5=5 "Very Low") (.e=6 "Not trading") (.a=.a "Refusal") (.b=.b "Don't know"),gen(ndegree)
label var ndegree "Degree of market competition"
fre ndegree

recode kovrsea (1=1 "A lot") (2=2 "A little") (3=3 "None") (.e=4 "Not trading") (.a=.a "Refusal") (.b=.b "Don't know"),gen(novrsea)
label var novrsea "Competition from overseas suppliers"
fre novrsea

recode kpctshar (1=1 "<5%") (2=2 "5-10%") (3=3 "11-25%") (4=4 "26-50%") (5=5 ">50%") (.e=6 "Not trading") (.a=.a "Refusal") (.b=.b "Don't know"),gen(npctshar)
label var npctshar "Company's UK market share"
fre npctshar

recode kstamar (1=1 "Growing") (2=2 "Mature") (3=3 "Declining") (4=4 "Turbulent") (.e=5 "Not trading") (.a=.a "Refusal") (.b=.b "Don't know"),gen(nstamar)
label var nstamar "State of the market"
fre nstamar

recode kprosal (1=1 "<25%") (2=2 "25-49%") (3=3 "59-74%") (4=4 ">=75%") (.a=.a "Refusal") (.b=.b "Don't know") (.e=.e "Item not applicable"),gen(nprosal)
label var nprosal "Labour costs as proportion of sales"
fre nprosal

recode kprice (1=1 "Not at all") (5=5 "Heavily") (.e=6 "Not trading") (.a=.a "Refusal") (.b=.b "Don't know"),gen(nprice) copy
label var nprice "Demand depends on price"
fre nprice

recode kqual (1=1 "Not at all") (5=5 "Heavily") (.e=6 "Not trading") (.a=.a "Refusal") (.b=.b "Don't know"),gen(nqual) copy
label var nqual "Demand depends on quality"
fre nqual

************************************
* Communication methods - DCONSULT *
************************************
*Use notice boards
egen notice=anymatch(dconsul1-dconsul8) if dconsul1 <=10, values (1)
replace notice=1 if XDCONSU1==1 | XDCONSU2==1 | XDCONSU3==1 
replace notice=.a if dconsul1==.a
replace notice=.b if dconsul1==.b
replace notice=.e if dconsul1==.e
label values notice nyesno
label var notice "Management conmmunicates or consults using notice boards"
ta notice nyear, mi

*Sytematic use of cascading info
egen ncascade=anymatch(dconsul1-dconsul8) if dconsul1 <=10, values (2)
replace ncascade=1 if XDCONSU1==2 | XDCONSU2==2 | XDCONSU3==2 
replace ncascade=.a if dconsul1==.a
replace ncascade=.b if dconsul1==.b
replace ncascade=.e if dconsul1==.e
label values ncascade nyesno
label var ncascade "Management conmmunicates or consults by cascading info"
ta ncascade nyear, mi

*Suggestion schemes
egen nsuggest=anymatch(dconsul1-dconsul8) if dconsul1 <=10, values (3)
replace nsuggest=1 if XDCONSU1==3 | XDCONSU2==3 | XDCONSU3==3 
replace nsuggest=.a if dconsul1==.a
replace nsuggest=.b if dconsul1==.b
replace nsuggest=.e if dconsul1==.e
label values nsuggest nyesno
label var nsuggest "Management conmmunicates or consults by suggestion schemes"
ta nsuggest nyear, mi

*Regular newsletters
egen newslet=anymatch(dconsul1-dconsul8) if dconsul1 <=10, values (4)
replace newslet=1 if XDCONSU1==4 | XDCONSU2==4 | XDCONSU3==4 
replace newslet=.a if dconsul1==.a
replace newslet=.b if dconsul1==.b
replace newslet=.e if dconsul1==.e
label values newslet nyesno
label var newslet "Management conmmunicates or consults by newsletter"
ta newslet nyear, mi

*Regular email
egen nemail=anymatch(dconsul1-dconsul8) if dconsul1 <=10, values (5)
replace nemail=1 if XDCONSU1==5 | XDCONSU2==5 | XDCONSU3==5 
replace nemail=.a if dconsul1==.a
replace nemail=.b if dconsul1==.b
replace nemail=.e if dconsul1==.e
label values nemail nyesno
label var nemail "Management conmmunicates or consults by regular emails"
ta nemail nyear, mi

*Intranet
egen nintra=anymatch(dconsul1-dconsul8) if dconsul1 <=10, values (6)
replace nintra=1 if XDCONSU1==6 | XDCONSU2==6 | XDCONSU3==6 
replace nintra=.a if dconsul1==.a
replace nintra=.b if dconsul1==.b
replace nintra=.e if dconsul1==.e
label values nintra nyesno
label var nintra "Management conmmunicates or consults by intranet"
ta nintra nyear, mi

*************************
* Joiners and leavers
*************************

*gen njoiner=norigin==2|norigin==3
*label var njoiner "Joined (new or into scope) since 2004"

*gen nleaver=noutcom2004==2|noutcom2004==3
*replace nleaver=.b if noutcom==.b
*label var nleaver "Leaver (closed or out of scope) by 2011"

*ge nstayer=norigin2011==1|noutcom2004==1
*replace nstayer=.b if noutcom==.b
*label var nstayer "Stayer (in-scope both years)"

*label values njoiner nleaver nstayer yesno

*fre njoiner nleaver nstayer

*gen njls=1 if njoiner==1
*replace njls=2 if nleaver==1
*replace njls=3 if nstayer==1
*replace njls=4 if nleaver==.b
*label define njls 1 "Joiner" 2 "Leaver" 3 "Stayer" 4 "Dont know"
*label var njls "Joiner, leaver, stayer status"
*label values njls njls 
*ta njls nyear, mi

*********************************************
* Some additional pay determination variables
*********************************************

egen ncoreneg=anycount(npayneg nhrsneg nholneg),values(1)
replace ncoreneg=.f if nnegms>0
replace ncoreneg=.e if npayneg==.e|nhrsneg==.e|nholneg==.e|npenneg==.e|ntraneg==.e|ngrineg==.e|nhthneg==.e
label var ncoreneg "N core items employer normally negotiates with union"
label values ncoreneg nitem
ta ncoreneg nyear, mi

*********************************************************************************************
* Change to 2003 single digit SIC to deal with 9 cases missing on NSICOD03 because ASIC2003 is coded 1410
* ie landscape gardening, which is classified as agricultural services. I have proposed
* the production of NSIC03 to others where these cases are coded to "Other business services"
* for reasons I have outlined by email on 6th Feb 2013
*********************************************************************************************

*su asic* nsic2003

/*
*recode nsicod03  (1=1 "Manufacturing") /*
	*/ (2=2 "Electricity, gas and water") /*
	*/ (3=3 "Construction") /*
	*/ (4=4 "Wholesale and retail") /*
	*/ (5=5 "Hotels and restaurants") /*
	*/ (6=6 "Transport and communication") /*
	*/ (7=7 "Financial services") /*
	*/ (.n 8=8 "Other business services") /*
	*/ (9=9 "Public administration") /*
	*/ (10=10 "Education") /*
	*/ (11=11 "Health") /*
	*/ (12=12 "Other community services"), ge(nsic03) 
*label var nsic03 "SIC 2003"
*ta nsic03 nyear, mi
*/

*Derive variable which identifies new workplaces from 1998 to 2004 (nnew)
gen tnew1=1 if zemp1ago==0
replace tnew1=1 if zemp6ago==0
replace tnew1=2 if zemp6ago>0 & zemp6ago<.
replace tnew1=2 if zemp6ago>=. & zemp6dk==1
replace tnew1=.h if zemp6ago>=. & zemp6dk>=2
lab val tnew1 tnew1
lab define tnew1 1 "New since 1998" 2 "In operation in 1998" .h "Not clear from zempXago variables"

gen tnew2=1 if ahowlong>=0 & ahowlong<=6
replace tnew2=2 if ahowlong>=7 & ahowlong<.
replace tnew2=1 if ahowlong>=. & ahowest==1
replace tnew2=2 if ahowlong>=. & ahowest>=3 & ahowest<=6
replace tnew2=.h if ahowlong>=. & ahowest>=.
lab val tnew2 tnew2
lab define tnew2 1 "New since 1998" 2 "In operation in 1998" .h "Not clear from ahowlong variables"
*4 cases where in existence for 5-9 years

gen nnew=.h if tnew1>=. & tnew2>=.
replace nnew=tnew2 if tnew2<.
replace nnew=tnew1 if tnew2>=. & tnew1<.
lab var nnew "Whether establishment in operation in 1998"
lab val nnew nnew
lab define nnew 1 "New since 1998" 2 "In operation in 1998"	.h "Missing data"
drop tnew1 tnew2
lab drop tnew1 tnew2

*Only retain nnew for 2004 data
replace nnew=. if nmq2011==1|nseq2011==1|nwrq2011==1

*Derive variable to identify cross-section workplaces which closed between 2004 and 2011 (nclose)
gen nclose=1 if noutcom2004==3
replace nclose=0 if noutcom2004==1|noutcom2004==2
lab val nclose yesno
lab var nclose "Wp closed between 2004 and 2011"

*Derive dummies for industry standard breaks (nsic1-nsic12)
*ta nsic03, gen(nsic)

*Derive variable to identify workplaces which were born between 2004 and 2011 (nbirth)
*gen nbirth=1 if norigin2011==3
*replace nbirth=0 if norigin2011==1|norigin2011==2
*lab var nbirth "New workplace between 2004 and 2011"
*lab val nbirth yesno

*Proportion of employees at wp 1 year before 2011 interview who were still there a year later (nprem)
gen t=zemp1ago-(zresigne+zdismiss+zother+zredund) if zstill==1 & zemp1ago<. & zresigne<. & zdismiss<. & zother<. & zredund<.
replace t=znotleft if zstill==2
replace t=zstill2 if zemp1ago>=.|zresigne>=.|zdismiss>=.|zother>=.|zredund>=.
gen nprem=(t/zemp1ago)*100
lab var nprem "Percentage of wf 1 year ago still remaining"
drop t

*Derive variable to indicate the proportion of workplaces where the number of employees in 2004 was unknown (nemp6dk)
gen nemp6dk=0
replace nemp6dk=1 if zemp6ago==.b
replace nemp6dk=.a if zemp6ago==.a
replace nemp6dk=.e if zemp6ago==.e
lab var nemp6dk "Don't know number of employees in 2004"
lab define nemp6dk 1 "Unknown" 0 "Known" .a "Refused" .e "Item not applicable"
lab val nemp6dk nemp6dk

*Derive variable to indicate whether panel wps shrank between 2004 and 2011 (nshrink)
gen nshrink=1 if ngrow==1
replace nshrink=0 if ngrow==2|ngrow==3
lab val nshrink yesno
lab var nshrink "WP shrank >20% 2004-2011"

*Derive variable to indicate whether panel wps grew between 2004 and 2011 (ngrow20)
gen ngrow20=1 if ngrow==3
replace ngrow20=0 if ngrow==1|ngrow==2
lab val ngrow20 yesno
lab var ngrow20 "WP grew >20% 2004-2011"

*Reasons for making redundancies in the past year (nredrea1-nredrea11)
gen nredrea1=(inlist(1,jredrea1,jredrea2,jredrea3,jredrea4,jredrea5,jredrea6,jredrea7,jredrea8,jredrea9, xjredr1, xjredr2, xjredr3))
gen nredrea2=(inlist(2,jredrea1,jredrea2,jredrea3,jredrea4,jredrea5,jredrea6,jredrea7,jredrea8,jredrea9, xjredr1, xjredr2, xjredr3))
gen nredrea3=(inlist(3,jredrea1,jredrea2,jredrea3,jredrea4,jredrea5,jredrea6,jredrea7,jredrea8,jredrea9, xjredr1, xjredr2, xjredr3))
gen nredrea4=(inlist(4,jredrea1,jredrea2,jredrea3,jredrea4,jredrea5,jredrea6,jredrea7,jredrea8,jredrea9, xjredr1, xjredr2, xjredr3))
gen nredrea5=(inlist(5,jredrea1,jredrea2,jredrea3,jredrea4,jredrea5,jredrea6,jredrea7,jredrea8,jredrea9, xjredr1, xjredr2, xjredr3))
gen nredrea6=(inlist(6,jredrea1,jredrea2,jredrea3,jredrea4,jredrea5,jredrea6,jredrea7,jredrea8,jredrea9, xjredr1, xjredr2, xjredr3))
gen nredrea7=(inlist(7,jredrea1,jredrea2,jredrea3,jredrea4,jredrea5,jredrea6,jredrea7,jredrea8,jredrea9, xjredr1, xjredr2, xjredr3))
gen nredrea8=(inlist(8,jredrea1,jredrea2,jredrea3,jredrea4,jredrea5,jredrea6,jredrea7,jredrea8,jredrea9, xjredr1, xjredr2, xjredr3))
gen nredrea9=(inlist(10,jredrea1,jredrea2,jredrea3,jredrea4,jredrea5,jredrea6,jredrea7,jredrea8,jredrea9, xjredr1, xjredr2, xjredr3))
gen nredrea10=(inlist(11,jredrea1,jredrea2,jredrea3,jredrea4,jredrea5,jredrea6,jredrea7,jredrea8,jredrea9, xjredr1, xjredr2, xjredr3))
gen nredrea11=(inlist(12,jredrea1,jredrea2,jredrea3,jredrea4,jredrea5,jredrea6,jredrea7,jredrea8,jredrea9, xjredr1, xjredr2, xjredr3))

lab var nredrea1 "Redundancies because lack of demand"
lab var nredrea2 "Redundancies because shortage of materials"
lab var nredrea3 "Redundancies because of automation/mechanisation"
lab var nredrea4 "Redundancies because reorganised working methods"
lab var nredrea5 "Redundancies because of improved competitiveness/cost reduction"
lab var nredrea6 "Redundancies because merger with another org/wp"
lab var nredrea7 "Redundancies because of industrial disputes"
lab var nredrea8 "Redundancies because reduction in budget/cash limits"
lab var nredrea9 "Redundancies because subcontracting of work"
lab var nredrea10 "Redundancies because impending closure"
lab var nredrea11 "Redundancies because relocation"

*Combinations of voluntary and compulsory redundancies (nredtyp)
gen nredtyp=1 if nreact1==1 & nreact2==1
replace nredtyp=2 if nreact1==1 & nreact2==0
replace nredtyp=3 if nreact1==0 & nreact2==1
replace nredtyp=4 if nreact1==0 & nreact2==0
lab var nredtyp "Whether compulsory or voluntary redundancies"
lab define nredtyp 1 "Both" 2 "Compulsory redundancies only" 3 "Voluntary redundancies only" 4 "Neither voluntary or compulsory redundancies"
lab val nredtyp nredtyp

*Derive variable indicating coverage of job security guarantees (njscover)
gen njscover=1 if (jobsecx1==1|jobsecx2==1) & (jobsecx1==2|jobsecx2==2)
replace njscover=2 if njscover==. & (jobsecx1==1|jobsecx2==1) & (jobsecx1~=2|jobsecx2~=2)
replace njscover=3 if njscover==. & (jobsecx1~=1|jobsecx2~=1) & (jobsecx1==2|jobsecx2==2)
replace njscover=4 if njscover==. & (jobsecx1==3 | jobsecx2==3)
lab define njscover 1 "Both" 2 "Managers and senior officials only" 3 "Non-managerial employees" 4 "None of these"
lab val njscover njscover
lab var njscover "Coverage of job-security guarantees"

*Proportion of workplaces with some type of numerical flexibility, other than part-time (nflex1)
gen nflex1=0
replace nflex1=1 if nfixterm==1|ntempany==1|jnemphm==1|jwrkfree==1|njtime1==1|njtime2==1|njtime3==1
lab var nflex1 "Some type of numerical flex, other than PT"
lab val nflex1 yesno

*Any employees formally trained to do a job other than their own (nothjob)
gen nothjob=1 if cothjob<7
replace nothjob=1 if cothjobt<.
replace nothjob=0 if cothjob==7
lab val nothjob yesno
lab var nothjob "Any of LOG trained to do other job"

*Any employees who do jobs other than their own at least once a week (nothdo)
gen nothdo=1 if cothdo<7
replace nothdo=1 if cothdot<.
replace nothdo=0 if cothdo==7
lab val nothdo yesno
lab var nothdo "Any of LOG do other jobs once a week"

*Number of flexible working arrangements across wps (nflex)
egen nflex=anycount(npartany nfixterm ntempany jnemphm jwrkfree njtime1 njtime2 njtime3), values(1)
lab var nflex "Number of types of numerical flexibility"

*Divide wps into those with 2 or more types of numerical flexibility and those with less than two (nflex2p)
gen nflex2p=1 if nflex>=2 & nflex<=8
replace nflex2p=0 if nflex==0|nflex==1
lab val nflex2p yesno
lab var nflex2p "Two or more types of numerical flex (from 8)"

*Derive percentage of employees from each occ (nprman, nprpro, nprtec, npradm, nprskl, nprper, nprsal, nprope, nprrou)
gen nprman=100*(zmgr_tot/zallemps)
replace nprman=100*(zmng_tot/zallemps) if nprman==.
gen nprpro=100*(zpro_tot/zallemps)
gen nprtec=100*(ztec_tot/zallemps)
gen npradm=100*(zadm_tot/zallemps)
gen nprskl=100*(zskl_tot/zallemps)
gen nprper=100*(zper_tot/zallemps)
gen nprsal=100*(zsal_tot/zallemps)
gen nprope=100*(zope_tot/zallemps)
gen nprrou=100*(zrou_tot/zallemps)

lab var nprman "% of wf managers"
lab var nprpro "% of wf professionals"
lab var nprtec "% of wf associate pro/technical"
lab var npradm "% of wf admin and secretarial"
lab var nprskl "% of wf skilled"
lab var nprper "% of wf caring/leisure/other services"
lab var nprsal "% of wf sales/customer service"
lab var nprope "% of wf process, plant & machine operatives"
lab var nprrou "% of wf elementary occupations"

************************************************

* public sector dummy

gen npublic=nprivate==0
label var npublic "Public sector"
label values npublic yesno
fre npublic

* Pay settlement freeze/cut

recode nupdown (2 3=1 "Yes") (1 4=0 "No") (.a .b .e=9 "Missing"),gen(ndecfrez)
label var ndecfrez "LOG pay settlement was freeze or cut"
label values ndecfrez yesnor
ta ndecfrez nyear, mi

* Negotiations/consultations/information with union 

egen nnoth=anycount(npayuni nhrsuni nholuni npenuni ntrauni ngriuni nhthuni),values(4)
replace nnoth=.f if nnegms>0
replace nnoth=.e if npayneg==.e|nhrsneg==.e|nholneg==.e|npenneg==.e|ntraneg==.e|ngrineg==.e|nhthneg==.e
label var nnoth "N items employer normally neither negotiates, consults or informs with union"
label values nnoth nitem
ta nnoth nyear, mi

egen nconinf=anycount(npayuni nhrsuni nholuni npenuni ntrauni ngriuni nhthuni),values(2 3)
replace nconinf=.f if nnegms>0
replace nconinf=.e if npayneg==.e|nhrsneg==.e|nholneg==.e|npenneg==.e|ntraneg==.e|ngrineg==.e|nhthneg==.e
label var nconinf "N items employer normally consults with or informs union"
label values nconinf nitem
ta nconinf nyear, mi

gen nnegcat=0 if nnegs==0
replace nnegcat=2 if nnegs==7
replace nnegcat=1 if nnegs>0&nnegs<7
replace nnegcat=.a if nnegs==.a
replace nnegcat=.b if nnegs==.b
replace nnegcat=.f if nnegs==.f
replace nnegcat=.e if nnegs==.e
label define nnegcat 0 "None" 1 "Some" 2 "All" .a "Refusal" .b "Don't know" .e "Item not applicable" .f "Don't know or not answered" 
label var nnegcat "N items employer normally negotiates with union"
label values nnegcat nnegcat
ta nnegcat nyear, mi

* Fringe benefits

egen npension=anymatch(fothtit*),value(1)
replace npension=9 if fothtit1==.a|fothtit1==.b|fothtit1==.e
label var npension "Employer contributes to LOG pension scheme"
label values npension yesnor
ta npension nyear, mi

egen ncar=anymatch(fothtit*),value(2)
replace ncar=9 if fothtit1==.a|fothtit1==.b|fothtit1==.e
label var ncar "LOG entitled to company vehicle or allowance"
label values ncar yesnor
ta ncar nyear, mi

egen nhinsur=anymatch(fothtit*),value(3)
replace nhinsur=9 if fothtit1==.a|fothtit1==.b|fothtit1==.e
label var nhinsur "LOG entitled to private health insurance"
label values nhinsur yesnor
ta nhinsur nyear, mi

egen nholiday=anymatch(fothtit*),value(4)
replace nholiday=9 if fothtit1==.a|fothtit1==.b|fothtit1==.e
label var nholiday "LOG entitled to >28 day annual paid leave"
label values nholiday yesnor
ta nholiday nyear, mi

egen nsickpay=anymatch(fothtit*),value(5)
replace nsickpay=9 if fothtit1==.a|fothtit1==.b|fothtit1==.e
label var nsickpay "LOG entitled to sick pay > stautory"
label values nsickpay yesnor
ta nsickpay nyear, mi

gen nnofring=fothtit1==6
replace nnofring=9 if fothtit1==.a|fothtit1==.b|fothtit1==.e
label var nnofring "LOG entitled to none of 5 fringe benefits"
label values nnofring yesnor
ta nnofring nyear, mi

egen nnfring=anycount(npension ncar nhinsur nholiday nsickpay),values(1)
replace nnfring=9 if fothtit1==.a|fothtit1==.b|fothtit1==.e
label var nnfring "N non-pay terms and conditions for LOG"
label values nnfring nitem2
ta nnfring nyear, mi

egen nnfring2=anycount(npension ncar nhinsur nsickpay),values(1)
replace nnfring2=9 if fothtit1==.a|fothtit1==.b|fothtit1==.e
label var nnfring2 "N non-pay t&c for LOG exc hols"
label values nnfring2 nitem2
ta nnfring2 nyear, mi

egen nmanpen=anymatch(fentit*),value(1)
replace nmanpen=9 if fentitl1==.a|fentitl1==.b|fentitl1==.e
label var nmanpen "Employer contributes to manager pension scheme"
label values nmanpen yesnor
ta nmanpen nyear, mi

egen nmancar=anymatch(fentit*),value(2)
replace nmancar=9 if fentitl1==.a|fentitl1==.b|fentitl1==.e
label var nmancar "Managers entitled to company vehicle or allowance"
label values nmancar yesnor
ta nmancar nyear, mi

egen nmanins=anymatch(fentit*),value(3)
replace nmanins=9 if fentitl1==.a|fentitl1==.b|fentitl1==.e
label var nmanins "Managers entitled to private health insurance"
label values nmanins yesnor
ta nmanins nyear, mi

egen nmanhol=anymatch(fentit*),value(4)
replace nmanhol=9 if fentitl1==.a|fentitl1==.b|fentitl1==.e
label var nmanhol "Managers entitled to >28 day annual paid leave"
label values nmanhol yesnor
ta nmanhol nyear, mi

egen nmanspay=anymatch(fentit*),value(5)
replace nmanspay=9 if fentitl1==.a|fentitl1==.b|fentitl1==.e
label var nmanspay "LOG entitled to sick pay > stautory"
label values nmanspay yesnor
ta nmanspay nyear, mi

gen nmannofr=fentitl1==6
replace nmannofr=9 if fentitl1==.a|fentitl1==.b|fentitl1==.e
label var nmannofr "Managers entitled to none of 5 fringe benefits"
label values nmannofr yesnor
ta nmannofr nyear, mi

egen nnmanfr=anycount(nmanpen nmancar nmanins nmanhol nmanspay),values(1)
replace nnmanfr=9 if fentitl1==.a|fentitl1==.b|fentitl1==.e
label var nnmanfr "N non-pay terms and conditions for managers"
label values nnmanfr nitem2
ta nnmanfr nyear, mi

egen nnmanfr2=anycount(nmanpen nmancar nmanins nmanspay),values(1)
replace nnmanfr2=9 if fentitl1==.a|fentitl1==.b|fentitl1==.e
label var nnmanfr2 "N non-pay t&c for LOG exc hols"
label values nnmanfr2 nitem2
ta nnmanfr2 nyear, mi

*Managers trust in union and non-union reps - 3 bands
recode etrusa3 (1/2=1 "Strongly /Agree") (3=2 "Neither agree nor disagree") (4/5=3 "Strongly /Disagree") (.a=.a "Refused") (.b=.b "Don't know") (.e=.e "Item not applicable"), ge(nutrus)
recode etrusb3 (1/2=1 "Strongly /Agree") (3=2 "Neither agree nor disagree") (4/5=3 "Strongly /Disagree") (.a=.a "Refused") (.b=.b "Don't know") (.e=.e "Item not applicable"), ge(nnutrus)
label var nutrus "Managers trust union reps to act with honest and integrity in there dealings with them - 3 bands"
label var nnutrus "Managers trust non-union reps to act with honest and integrity in there dealings with them - 3 bands" 

*What managers  do (e.g. neg, cons, etc) over disciplinary and grievance procedures (ngrvdisa ngrvdisb) BvW
*Note: this var is to make 2004 and 2011 comparable as 2011 combines D&G in one var. 
*For 2004 there are some cases where managers didn't do the same thing for both D and G. However they did in 96% of cases. 
*For the other 4% the variable will defer to the 'higher' (i.e. if neg on one and cons on the other code as neg). 
*And where one is missing will defer to the answer given for the other. 
*Note: This variable includes all workplaces

label define nnegcons 1 "Negotiates" 2 "Consults" 3 "Informs" 4 "Not inform" 5 "No unions/reps at the workplace" .a "Refused" .b "Don't know" .e "Item not applicable"

ge ngrvdisa=egrvdisa
replace ngrvdisa=5 if nyear==0 & (EGRIEVA==.e | EDISCIPA==.e)
replace ngrvdisa=5 if nyear==1 & egrvdisa==.e
replace ngrvdisa=.b if nyear==0 & (EGRIEVA==.b | EDISCIPA==.b)
replace ngrvdisa=.a if nyear==0 & (EGRIEVA==.a | EDISCIPA==.a)
replace ngrvdisa=4 if nyear==0 & (EGRIEVA==4 | EDISCIPA==4)
replace ngrvdisa=3 if nyear==0 & (EGRIEVA==3 | EDISCIPA==3)
replace ngrvdisa=2 if nyear==0 & (EGRIEVA==2 | EDISCIPA==2)
replace ngrvdisa=1 if nyear==0 & (EGRIEVA==1 | EDISCIPA==1)
label var ngrvdisa "Does mgt negotiate, consult, inform or not inform unions about grievance & disciplinary procedures" 
label val ngrvdisa nnegcons

ge ngrvdisb=egrvdisb
replace ngrvdisb=5 if nyear==0 & (EGRIEVB==.e | EDISCIPB==.e)
replace ngrvdisb=5 if nyear==1 & egrvdisb==.e
replace ngrvdisb=.b if nyear==0 & (EGRIEVB==.b | EDISCIPB==.b)
replace ngrvdisb=.a if nyear==0 & (EGRIEVB==.a | EDISCIPB==.a)
replace ngrvdisb=4 if nyear==0 & (EGRIEVB==4 | EDISCIPB==4)
replace ngrvdisb=3 if nyear==0 & (EGRIEVB==3 | EDISCIPB==3)
replace ngrvdisb=2 if nyear==0 & (EGRIEVB==2 | EDISCIPB==2)
replace ngrvdisb=1 if nyear==0 & (EGRIEVB==1 | EDISCIPB==1)
label var ngrvdisb "Does mgt negotiate, consult, inform or not inform non-union reps about grievance & disciplinary procedures" 
label val ngrvdisb nnegcons

ge ngrvdist=ngrvdisa
replace ngrvdist=ngrvdisb if ngrvdisb<ngrvdisa
label var ngrvdist "Mgt negotiations, consults, informs or not informs about grievance & disciplinary procedures"
label val ngrvdist nnegcons

*Type of grievance raised in the past year. 
egen ngpay=anymatch(htypex01-htypex10)if nyear==1, values(1)
replace ngpay=1 if xhtypx1==1|xhtypx2==1|xhtypx3==1
egen xngpay=anymatch(HTYPE01-HTYPE17)if nyear==0, values(1)
replace ngpay=xngpay if nyear==0

drop xngpay
replace ngpay=1 if XHTYPE1==1|XHTYPE2==1|XHTYPE3==1
replace ngpay=htypex01 if htypex01>=.a & htypex01<=.e
replace ngpay=HTYPE01 if HTYPE01>=.a & HTYPE01<=.e
label var ngpay "Pay and conditions grievance was raised in the past year"
label val ngpay nyesno

egen nghs=anymatch(htypex01-htypex10)if nyear==1, values(3)
replace nghs=1 if xhtypx1==3|xhtypx2==3|xhtypx3==3
replace nghs=htypex01 if htypex01>=.a & htypex01<=.e
egen xnghs=anymatch(HTYPE01-HTYPE17)if nyear==0, values(4)
replace nghs=xnghs if nyear==0
drop xnghs
replace nghs=1 if XHTYPE1==4|XHTYPE2==4|XHTYPE3==4
replace nghs=HTYPE01 if HTYPE01>=.a & HTYPE01<=.e
label var nghs "Physical working conditions, H&S grievance was raised in the past year"
label val nghs nyesno

egen ngtime=anymatch(htypex01-htypex10)if nyear==1, values(4)
replace ngtime=1 if xhtypx1==4|xhtypx2==4|xhtypx3==4
replace ngtime=htypex01 if htypex01>=.a & htypex01<=.e
egen xngtime=anymatch(HTYPE01-HTYPE17)if nyear==0, values(6)
replace ngtime=xngtime if nyear==0
drop xngtime
replace ngtime=1 if XHTYPE1==6|XHTYPE2==6|XHTYPE3==6
replace ngtime=HTYPE01 if HTYPE01>=.a & HTYPE01<=.e
label var ngtime "Working time grievance was raised in the past year"
label val ngtime nyesno

egen ngredun=anymatch(htypex01-htypex10)if nyear==1, values(8)
replace ngredun=1 if xhtypx1==8|xhtypx2==8|xhtypx3==8
replace ngredun=htypex01 if htypex01>=.a & htypex01<=.e
egen xngredun=anymatch(HTYPE01-HTYPE17)if nyear==0, values(14)
replace ngredun=xngredun if nyear==0
drop xngredun
replace ngredun=1 if XHTYPE1==14|XHTYPE2==14|XHTYPE3==14
replace ngredun=HTYPE01 if HTYPE01>=.a & HTYPE01<=.e
label var ngredun "Redundancy selection grievance was raised in the past year"
label val ngredun nyesno 

*The following are for 2011 only at this stage
egen ngpromo=anymatch(htypex01-htypex10)if nyear==1, values(2)
replace ngpromo=1 if xhtypx1==2|xhtypx2==2|xhtypx3==2
replace ngpromo=htypex01 if htypex01>=.a & htypex01<=.e
replace ngpromo=.e if nyear==0
label var ngpromo "Promotion, job grading, career development grievance was raised in the past year"
label val ngpromo nyesno

egen ngdiscr=anymatch(htypex01-htypex10)if nyear==1, values(5)
replace ngdiscr=1 if xhtypx1==5|xhtypx2==5|xhtypx3==5
replace ngdiscr=htypex01 if htypex01>=.a & htypex01<=.e
replace ngdiscr=.e if nyear==0
label var ngdiscr "Discrimination grievance was raised in the past year"
label val ngdiscr nyesno 

egen ngunfair=anymatch(htypex01-htypex10)if nyear==1, values(6)
replace ngunfair=1 if xhtypx1==6|xhtypx2==6|xhtypx3==6
replace ngunfair=htypex01 if htypex01>=.a & htypex01<=.e
replace ngunfair=.e if nyear==0
label var ngunfair "Unfair treatment grievance was raised in the past year"
label val ngunfair nyesno 

egen ngbully=anymatch(htypex01-htypex10)if nyear==1, values(7)
replace ngbully=1 if xhtypx1==7|xhtypx2==7|xhtypx3==7
replace ngbully=htypex01 if htypex01>=.a & htypex01<=.e
replace ngbully=.e if nyear==0
label var ngbully "Bullying / harassment grievance was raised in the past year"
label val ngbully nyesno 
 
* Proportion of workforce that are managerial employees
gen float nmgrprop=.
replace nmgrprop=zmgr_tot/zallemps if nyear==1
replace nmgrprop=zmng_tot/zallemps if nyear==0
replace nmgrprop=.b if zmgr_tot==.b | zmng_tot==.b
replace nmgrprop=.e if zmgr_tot==.e | zallemps==.e
lab var nmgrprop "Managers as proportion of all employment"
lab val nmgrprop nitem 

* Proportion of managerial employees that are females 
gen float nfmprop=.
replace nfmprop=zmgr_fem/zmgr_tot if nyear==1
replace nfmprop=(zmng_fft+zmng_fpt)/zmng_tot if nyear==0
replace nfmprop=.e if zmgr_tot==0 | zmng_tot==0
replace nfmprop=.a if zmgr_tot==.a|zmng_tot==.a|zmgr_fem==.a|zmng_fft==.a|zmng_fpt==.a
replace nfmprop=.b if zmgr_tot==.b|zmng_tot==.b|zmgr_fem==.b|zmng_fft==.b|zmng_fpt==.b
replace nfmprop=.e if zmgr_tot==.e | zallemps==.e
lab var nfmprop "Females managers as a proportion of all managerial employees"
lab val nfmprop nitem 

gen int nfmprop6=1 if nfmprop==0
replace nfmprop6=2 if nfmprop>0 & nfmprop<0.25
replace nfmprop6=3 if nfmprop>=0.25 & nfmprop<0.5
replace nfmprop6=4 if nfmprop>=0.5 & nfmprop<0.75
replace nfmprop6=5 if nfmprop>=0.75 & nfmprop<1
replace nfmprop6=6 if nfmprop==1
replace nfmprop6=.a if nfmprop==.a
replace nfmprop6=.b if nfmprop==.b
replace nfmprop6=.e if nfmprop==.e
lab var nfmprop6 "Female managers as a proportion of all managerial employees: banded"
lab val nfmprop6 nuprop

*Derive number of actions taken in response to the recession
*Note: there is one case where numarec=0 but nreact15=no because nreact16('other' coded to workload increase). So problem is with nreact15.
egen numarec=anycount(nreact1-nreact14), values(1)
replace numarec=. if nmq~=1
replace numarec=. if nyear==0
replace numarec=.a if nreact1==.a 
replace numarec=.b if nreact1==.b 
replace numarec=.e if nreact1==.e 
lab var numarec "Number of actions taken in response to the recession"
lab val numarec nitem

recode numarec (0=0)(1=1)(2=2)(3=3)(4/16=4)(.a=.a)(.b=.b)(.e=.e), gen(numarec4)
lab val numarec4 enumchg
lab var numarec4 "Number of actions taken in response to the recession - banded"

*Dummies for competing on quality
ta nqual, gen(nqual)

*Dummies for degree of competition
ta ncompet, gen(ncomp)

*Redundancy consultation resulted in no changes in 2011 (nrnone)
gen nrnone=inlist(8,jchangx1,jchangx2,jchangx3,jchangx4,jchangx5,jchangx6,jchangx7)
replace nrnone=jchangx1 if jchangx1>8 
label var nrnone "Redundancy consulation led to no changes (2011 only)"
label val nrnone yesno

*Whether union rep involved in redundancy consultations according to management respondent (nwhocon1)
gen nwhocon1=inlist(1, jwhocon1,jwhocon2, jwhocon3, jwhocon4)
replace nwhocon1=.b if jwhocon1==.b
replace nwhocon1=.e if jwhocon1==.e
lab var nwhocon1 "Union rep involved in redundancy consultations"
lab val nwhocon1 yesno

*Relations between management and employees v/good (nrelat2)
gen nrelat2=1 if mrelate==1|mrelate==2
replace nrelat2=0 if mrelate>2 & mrelate<6
replace nrelat2=.a if mrelate==.a
replace nrelat2=.b if mrelate==.b
replace nrelat2=.e if mrelate==.e
lab val nrelat2 yesno
lab var nrelat2 "Relations between management and employees v/good"

*Change in climate (nclimch)
*Improvement - change from neither good nor poor, poor or very poor to good or very good
*Worsening of climate - change from very good or good climate to neither good nor poor, poor or very poor
sort serno npanyr
gen nclimch=1 if ((mrelate==1|mrelate==2) & npanyr==1) & (serno==serno[_n-1] & npanyr[_n-1]==0 & mrelate[_n-1]>2 & mrelate[_n-1]<6)
replace nclimch=3 if mrelate>2 & mrelate<6 & npanyr==1 & serno==serno[_n-1] & npanyr[_n-1]==0 & (mrelate[_n-1]==1|mrelate[_n-1]==2)
replace nclimch=2 if serno==serno[_n-1] & npanyr==1 & npanyr[_n-1]==0 & nclimch==.
lab define nclimch 1 "Improvement in climate" 2 "No change in climate" 3 "Worsening of climate"
lab val nclimch nclimch
lab var nclimch "Improvement or worsening of climate"

*Change in climate - any movemement up or down the scale (nclimch2)
sort serno npanyr
gen nclimch2=1 if mrelate==1 & npanyr==1 & serno==serno[_n-1] & npanyr[_n-1]==0 & mrelate[_n-1]>1 & mrelate[_n-1]<6
replace nclimch2=1 if mrelate==2 &  npanyr==1 & serno==serno[_n-1] & npanyr[_n-1]==0 & mrelate[_n-1]>2 & mrelate[_n-1]<6
replace nclimch2=1 if mrelate==3 &  npanyr==1 & serno==serno[_n-1] & npanyr[_n-1]==0 & mrelate[_n-1]>3 & mrelate[_n-1]<6
replace nclimch2=1 if mrelate==4 &  npanyr==1 & serno==serno[_n-1] & npanyr[_n-1]==0 & mrelate[_n-1]>4 & mrelate[_n-1]<6
replace nclimch2=3 if mrelate>1 & mrelate<6 & npanyr==1 & serno==serno[_n-1] & npanyr[_n-1]==0 & mrelate[_n-1]==1
replace nclimch2=3 if mrelate>2 & mrelate<6 & npanyr==1 & serno==serno[_n-1] & npanyr[_n-1]==0 & mrelate[_n-1]==2
replace nclimch2=3 if mrelate>3 & mrelate<6 & npanyr==1 & serno==serno[_n-1] & npanyr[_n-1]==0 & mrelate[_n-1]==3
replace nclimch2=3 if mrelate>4 & mrelate<6 & npanyr==1 & serno==serno[_n-1] & npanyr[_n-1]==0 & mrelate[_n-1]==4
replace nclimch2=2 if serno==serno[_n-1] & npanyr==1 & npanyr[_n-1]==0 & nclimch2==.
lab val nclimch2 nclimch
lab var nclimch2 "Improvement of worsening of climate - any movement"

*Representative structures in 2004 and 2011 (nanyer04)
sort serno npanyr
gen nanyer04=1 if nanyer1==1 & npanyr==1 & npanyr[_n-1]==0 & nanyer1[_n-1]==1
replace nanyer04=0 if nanyer04==. & npanyr==1 & npanyr[_n-1]==0
lab define nanyer04 1 "Representative structures in both years" 0 "No representative structures in at least one year"
lab val nanyer04 nanyer04
lab var nanyer04 "Representative structures - panel"

*On-site reps in 2004 and 2011 (nanyer204)
sort serno npanyr
gen nanyer204=1 if nanyer2==1 & npanyr==1 & npanyr[_n-1]==0 & nanyer2[_n-1]==1
replace nanyer204=0 if nanyer204==. & npanyr==1 & npanyr[_n-1]==0
lab define nanyer204 1 "On-site reps in both years" 0 "No on-site reps in at least one year"
lab val nanyer204 nanyer204
lab var nanyer204 "On-site reps - panel"

*Whether ballot for IA in 12 months before interview (nballot)
gen nballot=1 if gballot==1
replace nballot=0 if gballot==2
replace nballot=.a if gballot==.a
replace nballot=.b if gballot==.b
replace nballot=.e if gballot==.e
lab val nballot yesno
lab var nballot "IA ballot in 12 months before interview"

*Summary of MQ's subjective workplace performance rating (nfperf2)
recode kestper2 (1 2=1 "Above average for industry") (3=2 "About average for industry") (4 5=3 "Below average for industry") (6 7 .a .b .e=4 "Not answered"), ge(nfperf2)
label var nfperf2 "Summary of MQ's subjective labour productivity rating"

*Recode number of products to dummy (nproser)
recode kproser (1=1) (2=2) (.e=3)(.a=.a) (.b=.b), gen(nproser)
lab define nproser 3 "Not trading",  modify
lab val nproser nproser

********************************************************************************
* Summary var for presence of representative, direct or no voice (nrepdir1) (JF)
* See also nrepdir2 which focuses only on on-site reptv voice
********************************************************************************

* Rep voice includes any arrangement for employee representation covering the w/p (recog tus; rep of non-recog tu; single/multi-issue JCC; stand-alone NU reps)
* Direct voice includes any face-to-face meeting with 25%+ time for employee questions/feedback
* All other workplaces are labelled 'no voice'

ge nanyer3=(nanyrecb==1 | eothurep==1 | inrange(nanycom2,1,5) | eothreps==1)
replace nanyer3=.b if mi(nanyrecb,nanycom2,eothreps) | eothurep==.a | eothurep==.b
label var nanyer3 "Any structure for employee representation at the workplace?"
label val nanyer3 yesno

ge nmeet1=(dmeeting==1 & dmtwoway==4)
replace nmeet1=.b if mi(dmeeting)
label var nmeet1 "Any workforce meetings with 25%+ time for questions"
label val nmeet1 yesno

ge nbrief1=(dbrief==1 & dbtwoway==4)
replace nbrief1=.b if mi(dbrief)
label var nbrief1 "Any team briefings with 25%+ time for questions"
label val nbrief1 yesno

ge nanymeet1=(nmeet1==1 | nbrief1==1)
replace nanymeet1=.b if nanymeet1==0 & mi(nmeet1,nbrief1)
label var nanymeet1 "Any meetings or briefings with 25%+ time for questions"
label val nanymeet1 yesno

gen nrepdir1=1 if (nanyer3==1 & nanymeet1==1)
replace nrepdir1=2 if (nanyer3==1 & nanymeet1==0)
replace nrepdir1=3 if (nanyer3==0 & nanymeet1==1)
replace nrepdir1=4 if (nanyer3==0 & nanymeet1==0)
replace nrepdir1=.b if mi(nanyer3,nanymeet1)
label var nrepdir1 "Summay of voice arrangements covering the workplace"
label define nrepdir1 1 "Representative & direct voice" 2 "Representative voice only" 3 "Direct voice only" 4 "Neither" .b "Missing"
label val nrepdir1 nrepdir1
ta nrepdir1 nyear, mi col


*Number of different types of disciplinary sanctions applied in last year
egen nsancnum=anycount(norwarn nwarning nsuspend ndeduct ndismiss ntransf), values(1)
label var nsancnum "Number of different types of sanctions applied in last year"
label value nsancnum nitem

*Reasons for taking disciplinary action
*Reasons for taking disciplinary action
egen ndtime=anymatch(hsustyx1 hsustyx2 hsustyx3 hsustyx4 hsustyx5 hsustyx6 hsustyx7 hsustyx8 xhsustx1 xhsustx2 xhsustx3), values(1)
replace ndtime=1 if HSUSTY01==1 | HSUSTY02==1 | HSUSTY03==1 | HSUSTY04==1 | HSUSTY05==1 | HSUSTY06==1 | HSUSTY07==1 | HSUSTY08==1 | HSUSTY09==1 | HSUSTY10==1 | HSUSTY11==1 | HSUSTY12==1 | HSUSTY13==1 | XHSUSTY1==1 | XHSUSTY2==1 | XHSUSTY3==1
replace ndtime=1 if HSUSTY01==2 | HSUSTY02==2 | HSUSTY03==2 | HSUSTY04==2 | HSUSTY05==2 | HSUSTY06==2 | HSUSTY07==2 | HSUSTY08==2 | HSUSTY09==2 | HSUSTY10==2 | HSUSTY11==2 | HSUSTY12==2 | HSUSTY13==2 | XHSUSTY1==2 | XHSUSTY2==2 | XHSUSTY3==2
replace ndtime=.a if hsustyx1==.a | HSUSTY01==.a
replace ndtime=.b if hsustyx1==.b | HSUSTY01==.b
replace ndtime=.e if hsustyx1==.e | HSUSTY01==.e
label var ndtime "Reason for discipline - poor timekeeping or unauthorised absence"
label value ndtime nyesno

egen ndperf=anymatch(hsustyx1 hsustyx2 hsustyx3 hsustyx4 hsustyx5 hsustyx6 hsustyx7 hsustyx8 xhsustx1 xhsustx2 xhsustx3), values(2)
replace ndperf=1 if HSUSTY01==3 | HSUSTY02==3 | HSUSTY03==3 | HSUSTY04==3 | HSUSTY05==3 | HSUSTY06==3 | HSUSTY07==3 | HSUSTY08==3 | HSUSTY09==3 | HSUSTY10==3 | HSUSTY11==3 | HSUSTY12==3 | HSUSTY13==3 | XHSUSTY1==3 | XHSUSTY2==3 | XHSUSTY3==3
replace ndperf=.a if hsustyx1==.a | HSUSTY01==.a
replace ndperf=.b if hsustyx1==.b | HSUSTY01==.b
replace ndperf=.e if hsustyx1==.e | HSUSTY01==.e
label var ndperf "Reason for discipline - poor performance"
label value ndperf nyesno

egen ndiob=anymatch(hsustyx1 hsustyx2 hsustyx3 hsustyx4 hsustyx5 hsustyx6 hsustyx7 hsustyx8 xhsustx1 xhsustx2 xhsustx3), values(3)
replace ndiob=1 if HSUSTY01==4 | HSUSTY02==4 | HSUSTY03==4 | HSUSTY04==4 | HSUSTY05==4 | HSUSTY06==4 | HSUSTY07==4 | HSUSTY08==4 | HSUSTY09==4 | HSUSTY10==4 | HSUSTY11==4 | HSUSTY12==4 | HSUSTY13==4 | XHSUSTY1==4 | XHSUSTY2==4 | XHSUSTY3==4
replace ndiob=.a if hsustyx1==.a | HSUSTY01==.a
replace ndiob=.b if hsustyx1==.b | HSUSTY01==.b
replace ndiob=.e if hsustyx1==.e | HSUSTY01==.e
label var ndiob "Reason for discipline - disobedience"
label value ndiob nyesno

egen nmisuse=anymatch(hsustyx1 hsustyx2 hsustyx3 hsustyx4 hsustyx5 hsustyx6 hsustyx7 hsustyx8 xhsustx1 xhsustx2 xhsustx3), values(4)
replace nmisuse=1 if HSUSTY01==6 | HSUSTY02==6 | HSUSTY03==6 | HSUSTY04==6 | HSUSTY05==6 | HSUSTY06==6 | HSUSTY07==6 | HSUSTY08==6 | HSUSTY09==6 | HSUSTY10==6 | HSUSTY11==6 | HSUSTY12==6 | HSUSTY13==6 | XHSUSTY1==6 | XHSUSTY2==6 | XHSUSTY3==6
replace nmisuse=1 if HSUSTY01==7 | HSUSTY02==7 | HSUSTY03==7 | HSUSTY04==7 | HSUSTY05==7 | HSUSTY06==7 | HSUSTY07==7 | HSUSTY08==7 | HSUSTY09==7 | HSUSTY10==7 | HSUSTY11==7 | HSUSTY12==7 | HSUSTY13==7 | XHSUSTY1==7 | XHSUSTY2==7 | XHSUSTY3==7
replace nmisuse=.a if hsustyx1==.a | HSUSTY01==.a
replace nmisuse=.b if hsustyx1==.b | HSUSTY01==.b
replace nmisuse=.e if hsustyx1==.e | HSUSTY01==.e
label var nmisuse "Reason for discipline - personal use of work stuff, theft or dishonesty"
label value nmisuse nyesno

egen ndsafety=anymatch(hsustyx1 hsustyx2 hsustyx3 hsustyx4 hsustyx5 hsustyx6 hsustyx7 hsustyx8 xhsustx1 xhsustx2 xhsustx3), values(5)
replace ndsafety=1 if HSUSTY01==8 | HSUSTY02==8 | HSUSTY03==8 | HSUSTY04==8 | HSUSTY05==8 | HSUSTY06==8 | HSUSTY07==8 | HSUSTY08==8 | HSUSTY09==8 | HSUSTY10==8 | HSUSTY11==8 | HSUSTY12==8 | HSUSTY13==8 | XHSUSTY1==8 | XHSUSTY2==8 | XHSUSTY3==8
replace ndsafety=.a if hsustyx1==.a | HSUSTY01==.a
replace ndsafety=.b if hsustyx1==.b | HSUSTY01==.b
replace ndsafety=.e if hsustyx1==.e | HSUSTY01==.e
label var ndsafety "Reason for discipline - safety breaches"
label value ndsafety nyesno

egen nviolen=anymatch(hsustyx1 hsustyx2 hsustyx3 hsustyx4 hsustyx5 hsustyx6 hsustyx7 hsustyx8 xhsustx1 xhsustx2 xhsustx3), values(6)
replace nviolen=1 if HSUSTY01==10 | HSUSTY02==10 | HSUSTY03==10 | HSUSTY04==10 | HSUSTY05==10 | HSUSTY06==10 | HSUSTY07==10 | HSUSTY08==10 | HSUSTY09==10 | HSUSTY10==10 | HSUSTY11==10 | HSUSTY12==10 | HSUSTY13==10 | XHSUSTY1==10 | XHSUSTY2==10 | XHSUSTY3==10
replace nviolen=1 if HSUSTY01==11 | HSUSTY02==11 | HSUSTY03==11 | HSUSTY04==11 | HSUSTY05==11 | HSUSTY06==11 | HSUSTY07==11 | HSUSTY08==11 | HSUSTY09==11 | HSUSTY10==11 | HSUSTY11==11 | HSUSTY12==11 | HSUSTY13==11 | XHSUSTY1==11 | XHSUSTY2==11 | XHSUSTY3==11
replace nviolen=.a if hsustyx1==.a | HSUSTY01==.a
replace nviolen=.b if hsustyx1==.b | HSUSTY01==.b
replace nviolen=.e if hsustyx1==.e | HSUSTY01==.e
label var nviolen "Reason for discipline - abusive or violent behaviour, bullying or harrassment"
label value nviolen nyesno

egen nalcpro=anymatch(hsustyx1 hsustyx2 hsustyx3 hsustyx4 hsustyx5 hsustyx6 hsustyx7 hsustyx8 xhsustx1 xhsustx2 xhsustx3), values(7)
replace nalcpro=1 if HSUSTY01==12 | HSUSTY02==12 | HSUSTY03==12 | HSUSTY04==12 | HSUSTY05==12 | HSUSTY06==12 | HSUSTY07==12 | HSUSTY08==12 | HSUSTY09==12 | HSUSTY10==12 | HSUSTY11==12 | HSUSTY12==12 | HSUSTY13==12 | XHSUSTY1==12 | XHSUSTY2==12 | XHSUSTY3==12
replace nalcpro=.a if hsustyx1==.a | HSUSTY01==.a
replace nalcpro=.b if hsustyx1==.b | HSUSTY01==.b
replace nalcpro=.e if hsustyx1==.e | HSUSTY01==.e
label var nalcpro "Reason for discipline - alcohol or drug use"
label value nalcpro nitem

*Changes made as a result of the recession on 2004 panel wps (nreact7, nreact9, nreact10, nreact11, nreact13)
*Recession resulted in cut to basic hours for 2004 panel observation (nreact7p)
bysort serno npanel (nyear): gen nreact7p=nreact7[_n+1]
replace nreact7p=nreact7 if npanel==1 & nyear==1
replace nreact7p=. if npanel==0
lab var nreact7p "Recession resulted in reduced basic hours - panel"
lab val nreact7p nyesno

*Recession resulted in unpaid leave for 2004 panel observation (nreact9p)
bysort serno npanel (nyear): gen nreact9p=nreact9[_n+1]
replace nreact9p=nreact9 if npanel==1 & nyear==1
replace nreact9p=. if npanel==0
lab var nreact9p "Recession resulted in unpaid leave - panel"
lab val nreact9p nyesno

*Recession resulted in reduced agency/temp workers for 2004 panel observation (nreact10p)
bysort serno npanel (nyear): gen nreact10p=nreact10[_n+1]
replace nreact10p=nreact10 if npanel==1 & nyear==1
replace nreact10p=. if npanel==0
lab var nreact10p "Recession resulted in reduced agency/temps - panel"
lab val nreact10p nyesno

*Recession resulted in increased agency/temp workers for 2004 panel observation (nreact11p)
bysort serno npanel (nyear): gen nreact11p=nreact11[_n+1]
replace nreact11p=nreact11 if npanel==1 & nyear==1
replace nreact11p=. if npanel==0
lab var nreact11p "Recession resulted in increased agency/temps - panel"
lab val nreact11p yesno

*Recession resulted in changed work organisation for 2004 panel observation (nreact13p)
bysort serno npanel (nyear): gen nreact13p=nreact13[_n+1]
replace nreact13p=nreact13 if npanel==1 & nyear==1
replace nreact13p=. if npanel==0
lab var nreact13p "Recession resulted in changed work organisation - panel"
lab val nreact13p nyesno

*Recession resulted in no action affecting wf (nreact15p)
bysort serno npanel (nyear): gen nreact15p=nreact15[_n+1]
replace nreact15p=nreact15 if npanel==1 & nyear==1
replace nreact15p=. if npanel==0
lab var nreact15p "Recession resulted in no actions affecting wf - panel"
lab val nreact15p nyesno

*Private sector, trading externally (ntrade)
*COMMENTED OUT BY JF 4TH JUN 13 - FAULTY (PUTS ALL SINGLES ON ZERO)
* SEE NTRADE2 AND NTRADE3
*gen ntrade=0
*replace ntrade=1 if astatus1>=1 & astatus1<=7 & (kactivm1==1|kactivm1==2|kactivm2==1|kactivm2==2|kactivm3==1|kactivm3==2|kactivm4==1|kactivm4==2)
*replace ntrade=1 if astatus2>=1 & astatus2<=7 & (kactivm1==1|kactivm1==2|kactivm2==1|kactivm2==2|kactivm3==1|kactivm3==2|kactivm4==1|kactivm4==2)
*lab val ntrade yesno
*lab var ntrade "Private sector trading externally"

*Higher or lower skilled occupation (nskill)
*managerial, prof, associate prof, skilled trades= high skill
*admin, personal, sales, process, plant and machine operatives routine
*Proportion of workforce in highest skilled occupations (managerial, prof, associate prof, skilled trades)
gen nskill=0
replace nskill=nprman+nprpro+nprtec+nprskl
lab var nskill "Proportion of wf highly-skilled"

*More than half the workforce highly skilled (nhskill)
gen nhskill=0
replace nhskill=1 if nskill>50 & nskill<.
lab var nhskill "More than half wf highly skilled"
lab val nhskill yesno

* targets that the workplace has in place for performance, costs, job sat etc (ntarg#) (JF)
forvalues i = 1/12 {
	egen ntarg`i'=anymatch(ktarge01-ktarge12), values(`i')
	replace ntarg`i'=. if ktarge01>12
}
label variable ntarg1 "Workplace has target for volume of goods/services"
label variable ntarg2 "Workplace has target for total costs"
label variable ntarg3 "Workplace has target for profits/ROI"
label variable ntarg4 "Workplace has target for unit labour costs"
label variable ntarg5 "Workplace has target for productivity"
label variable ntarg6 "Workplace has target for quality of product/service"
label variable ntarg7 "Workplace has target for labour turnover"
label variable ntarg8 "Workplace has target for absenteeism"
label variable ntarg9 "Workplace has target for workforce training"
label variable ntarg10 "Workplace has target for employee job satisfaction"
label variable ntarg11 "Workplace has target for customer/client satisfaction"
label variable ntarg12 "Workplace has none of the specified target"
label values ntarg1-ntarg12 yesno
su ntarg*

* total number of targets that the workplace has in place (out of possible 11) (ntargnum) (JF)
egen ntargnum=anycount(ntarg1-ntarg11), values(1)
replace ntargnum=. if ntarg1==.
label variable ntargnum "N targets the workplace has in place (out of possible 11)"
fre ntargnum

* Workplace ER manager is female (nhrfem) (JF)
recode bsex 2=1 1=0, ge(nhrfem)
label var nhrfem "Whether workplace ER manager is female"
label values nhrfem yesno

* Alternative branch site identifier (branch of multi, or soleUK) - used as filter for BCONSULT (nbranch2) (JF)
gen nbranch2=((asingle==1 & aconhead==2) | asingle==3)
label var nbranch2 "Whether branch site for BCONSULT"
label values nbranch2 yesno

* Items that branch sites don't need to consult over (nbc1-nbc14) (JF)
forvalues i = 1/14 {
	egen nbc`i'=anymatch(bconsu01-bconsu14), values(`i')
	replace nbc`i'=bconsu01 if bconsu01>14
	label values nbc`i' yesno
}
label var nbc1 "Workplace managers free to decide on rates of pay"
label var nbc2 "Workplace managers free to decide on working hours"
label var nbc3 "Workplace managers free to decide on holiday entitlements"
label var nbc4 "Workplace managers free to decide on pension entitlements"
label var nbc5 "Workplace managers free to decide on recruitment/selection"
label var nbc6 "Workplace managers free to decide on training"
label var nbc7 "Workplace managers free to decide on grievance issues"
label var nbc8 "Workplace managers free to decide on disciplinary issues"
label var nbc9 "Workplace managers free to decide on staffing plans"
label var nbc10 "Workplace managers free to decide on equal opps"
label var nbc11 "Workplace managers free to decide on health & safety"
label var nbc12 "Workplace managers free to decide on appraisals"
label var nbc13 "Workplace managers free to decide on union recognition"
label var nbc14 "Workplace managers free to decide on none of the specified items"

* count of N items that branch sites don' tneed to consult over (nbcnum) (JF)
egen nbcnum=anycount(nbc1-nbc13), values(1)
replace nbcnum=nbc1 if mi(nbc1)
label var nbcnum "N items over which managers free to decide (0-13)"
label val nbcnum nitem
fre nbcnum

* ER items covered in strategic plan - oberved for all w/ps, whether any strategic plan or not (nbstrat#) (JF)
egen nbstrat1=anymatch(bmanage1-bmanage8), values(1)
egen nbstrat2=anymatch(bmanage1-bmanage8), values(2)
egen nbstrat3=anymatch(bmanage1-bmanage8), values(3)
egen nbstrat6=anymatch(bmanage1-bmanage8), values(6)
recode2 nbstrat1-nbstrat6 : 0=.b if bstrateg==.b
label variable nbstrat1 "Workplace vovered by a strategic plan which covers employee development"
label variable nbstrat2 "Workplace vovered by a strategic plan which covers employee job satisfaction"
label variable nbstrat3 "Workplace vovered by a strategic plan which covers employee diversity"
label variable nbstrat6 "Workplace vovered by a strategic plan which forecasts staffing requirements"
label values nbstrat1-nbstrat6 yesno
*fre nbstrat1-nbstrat6

* Are any onsite union reps ULRS? (based on MQ report) (nulr) (JF)
* Note: question change: EULR in 2004, but EULRNUM in 2011
ge nulr=1 if (eulr==1 & nyear==0) | (eulrnum>0 & eulrnum<. & nyear==1)
replace nulr=0 if (eulr==2 & nyear==0) | (eulrnum==0 & nyear==1)
replace nulr=.b if (mi(eulr) & nyear==0) | (mi(eulrnum) & nyear==1)
label variable nulr "Are any on-site union reps ULRs?"
label values nulr yesno
fre nulr

* Alternative means of identifying JCCs which splits single and multi as per routing of questionnaire (njcc2) (JF)
* So multi issue JCCs are those where Dissues=1 or 3 OR more than one issue cited at D1WHI
* This is the routing for all questions about the operation of the JCC
* The original Njcc relies only on Dissues; njcc2 moves 122 cases from single issue on njcc to multi issue on njcc2
* njcc2 retains the same codes as njcc (i.e. 0, 1, 2)
recode djoint (1=2) (2=0), ge(njcc2)
recode njcc2 2=1 if (inlist(dissues,1,3) | ((nyear==0 & D1WHI02<.) | (nyear==1 & d1whix2<.e)))==0
label var njcc2 "Presence of workplace JCC(s) - alternative coding"
label val njcc2 njcc
ta njcc2 nyear, mi

* Identify trading workplaces (trading sector and sell good/services) - filter for kmarket etc
* This is one replacement for Ntrade - the other is Ntrade3 below
ge ntrade2=((inrange(astatus1,1,8) | inrange(astatus2,1,8)) & (asingle==2 | inlist(kactivm1,1,2) | inlist(kactivm2,1,2) | inlist(kactivm3,1,2) | inlist(kactivm4,1,2)))
label var ntrade2 "Trading sector and sell goods/services"
label values ntrade2 yesno
fre ntrade2

* Identifies private sector workplaces where ntrade2==1
* Ntrade3 misses about 100 w/ps where ntrade2==1
ge ntrade3=((inrange(astatus1,1,7) | inrange(astatus2,1,7)) & (asingle==2 | inlist(kactivm1,1,2) | inlist(kactivm2,1,2) | inlist(kactivm3,1,2) | inlist(kactivm4,1,2)))
label var ntrade3 "Private sector and sell goods/services"
label values ntrade3 yesno
ta ntrade2 ntrade3, mi

*Set up dummy variable for any freelancers (nfree)
recode jwrkfree (1=1)(2=0)(.a=.a)(.b=.b)(.e=.e), gen(nfree)
lab val nfree yesno
lab var nfree "Freelancers"

*Set up dummy variable for any homeworkers (nhome)
recode jnemphm (1=1)(2=0)(.a=.a)(.b=.b)(.e=.e), gen(nhome)
lab val nhome yesno
lab var nhome "Homeworkers"

* Rep voice includes any arrangement for employee representation covering the w/p (recog tus; rep of non-recog tu; single/multi-issue JCC; stand-alone NU reps)
* Direct voice includes any face-to-face meeting with 25%+ time for employee questions/feedback
* All other workplaces are labelled 'no voice'

ge nanyer4=(esteward==1 | eothurep==1 | djoint==1 | eothreps==1)
replace nanyer4=.b if mi(djoint,eothreps) | esteward==.a | esteward==.b | eothurep==.a | eothurep==.b
label var nanyer4 "Any structure for employee representation at the workplace?"
label val nanyer4 yesno

gen nrepdir2=1 if (nanyer4==1 & nanymeet1==1)
replace nrepdir2=2 if (nanyer4==1 & nanymeet1==0)
replace nrepdir2=3 if (nanyer4==0 & nanymeet1==1)
replace nrepdir2=4 if (nanyer4==0 & nanymeet1==0)
replace nrepdir2=.b if mi(nanyer4,nanymeet1)
label var nrepdir2 "Summay of voice arrangements covering the workplace"
label val nrepdir2 nrepdir1
ta nrepdir2 nyear, mi col

* Identifies panel workplaces that were private trading sector (ntrade3==1) in both 2004 and 2011 (ntrade3p) (JF)
sort serno npanyr
gen ntrade3p=(npanyr==1 & ntrade3==1 & ntrade3[_n-1]==1) 
replace ntrade3p=1 if (npanyr==0 & ntrade3==1 & ntrade3[_n+1]==1)
label var ntrade3p "Private trading sector in 2004 and 2011"
label values ntrade3p yesno
ta ntrade3p nyear

*Dummy for overseas competition - none v. a little/lot (novers1-novers3)
recode novrsea (1=1) (2=1) (3=0)(4=2)(.a=.a)(.b=.b), gen(novers)
lab define novers 1 "A little/lot" 0 "None" 2 "Not trading" .a "Refusal" .b "Don't know"
lab val novers novers
lab var novers "Any competition from overseas suppliers"

*Derive categorical variable for union density suitable for public sector analysis (nudens4)
recode nudens6 (1/2=1 "0-24%") (3=2 "25-49%")(4=3 "50-74%")(5/6=4 "75-100%") (.a=.a "Refusal") (.b=.b "Don't know") (.e=.e "Item not applicable"), ge(nudens4)
lab var nudens4 "Union membership density - banded"
ta nudens4, gen(nud)

***************************************
* Employment weights for one year ago *
***************************************
*For variables examining numbers of employees in the last 12 months (e.g. number of grievances in last 12 months). 
gen nempwt1y=zemp1ago
replace nempwt1y=nestwt*zemp1ago if zemp1ago>0 & zemp1ago <50000
label var nempwt1y "Employment weight for 1 year ago"
label val nempwt1y nitem

gen npemwt1y=.
replace npemwt1y=zemp1ago if npanel==1
replace npemwt1y=npqestwt*zemp1ago if zemp1ago>0 & zemp1ago <50000
label var npemwt1y "Panel employment weight for 1 year ago"
label val npemwt1y nitem

*************************************************************************
*Save version of dataset containing the derived variables
*************************************************************************
* First generate a final var which we can call in var lists, knowing it is the last of the MQ derived vars on the file
gen byte nmlast=1
label var nmlast "Last MQ derived variable on the data file"
sort serno
quietly: compress
save "$path_derived\mq_derived.dta", replace

erase "$path_derived\mq&wrq&seq_2004&2011.dta"

log close
